@echo off

setlocal
rem ----- Receive parameters from the InSight actuator
set temp_file1=%1
set temp_file2=%2
set temp_file3=%3
set temp_file4=%4
set temp_file5=%5
set temp_file6=%6
set db2_folder=%~7
set instance_name=%~8
set UserName=%~9
shift
set Password=%~9
shift
set Truncate=%~9
shift
set Context=%~9
for %%I in (%*) do set props_file=%%~I
for %%I in (%props_file%) do set PROPS_NAME=%%~nI
if "%PROPS_FILE%" == "" (
   set ES_LOG="..\log\~n0-error.log"
) else (
   set ES_LOG="..\log\%PROPS_NAME%.log"
)

rem ----- Create actuator progress log file
rem if not exist ..\log mkdir ..\log

type nul > %ES_LOG%

if %temp_file1% == "" (
   echo [%date% %time%] ERROR: Missing argument TEMPFILE1.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)

if %temp_file2% == "" (
   echo [%date% %time%] ERROR: Missing argument TEMPFILE2.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)
if %temp_file3% == "" (
   echo [%date% %time%] ERROR: Missing argument TEMPFILE3.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)
if %temp_file4% == "" (
   echo [%date% %time%] ERROR: Missing argument TEMPFILE4.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)
if %temp_file5% == "" (
   echo [%date% %time%] ERROR: Missing argument TEMPFILE5.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)
if %temp_file6% == "" (
   echo [%date% %time%] ERROR: Missing argument TEMPFILE6.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)
if "%db2_folder%" == "" (
   echo [%date% %time%] ERROR: Missing argument DB2 FOLDER.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)
if "%instance_name%" == "" (
   echo [%date% %time%] ERROR: Missing argument INSTANCE_NAME.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)
if %props_file% == "" (
   echo [%date% %time%] ERROR: Missing argument PROPS_FILE.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
)

echo [%date% %time%] Start processing.>> %ES_LOG%

rem ----- Set DB2INSTANCE environment variable to %instance_name% value
set db2instance=%instance_name%

rem ----- Set %db2_log_path% variable to "%db2_folder%\%instance_name%\security" value
set db2_log_path="%db2_folder%\%instance_name%\security"

rem ----- QE0807002: Take 'LastPruneTime' from propsfile
if exist "%props_file%" (
   for /F "delims=" %%I in ('findstr /R "^[0-9][0-9]*$" "%props_file%"') do (set LastPruneTime=%%I)
)
if "%LastPruneTime%" == "" (
   echo [%date% %time%] All existing events will be collected.>> %ES_LOG%
) else (
   echo [%date% %time%] Last prune time: %LastPruneTime%.>> %ES_LOG%
)
for /F "delims=" %%I IN ('..\bin\date.exe +%%Y%%m%%d%%H') do (set CurrentTime=%%I)
rem ---- END QE0807002
rem ----- If the following files %db2_log_path%\*.del exist then remove them.
rem ----- If failed then finish work with return code 3
if exist %db2_log_path%\*.del (
   del /q /f %db2_log_path%\*.del
   if exist %db2_log_path%\*.del (
      echo [%date% %time%] ERROR: Failure removing %db2_log_path%\*.del files.>> %ES_LOG%
      echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
      exit /b 3
   ) else (
      echo [%date% %time%] Old '*.del' files in %instance_name% instance were removed successfully.>> %ES_LOG%
   )
)

rem ----- Run "%db2_folder%\bin\db2audit.exe flush" command

if "%UserName%" == "" (
    "%db2_folder%\bin\db2audit.exe" flush
) else (
    ..\bin\cmtool.exe -k -d "%Password%" | ..\bin\psexec.exe \\127.0.0.1 -u "%UserName%" -r "%db2_folder%\bin\db2audit.exe" flush 2>>%ES_LOG%
)
if errorlevel 1 (
   echo [%date% %time%] ERROR: "%db2_folder%\bin\db2audit.exe flush" command execution failure.>> %ES_LOG%
   echo [%date% %time%] NOTE: Check DB2 8.1 - 9.1 event source credentials.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
) else (
   echo [%date% %time%] "db2audit flush" operation succeeded.>> %ES_LOG%
)

rem ----- Extracting from empty db2audit.log causes failure, so handling that case separately

set db2_log="%db2_folder%\%instance_name%\security\db2audit.log"
if not exist %db2_log% (
   echo [%date% %time%] %db2_log% does not exist.>> %ES_LOG%
   goto COLLECT_FROM_EMPTY_LOG
)

set empty_temporary_file="%props_file%__"
type nul > %empty_temporary_file%

fc %db2_log% %empty_temporary_file% > nul
if errorlevel 1 (
   echo [%date% %time%] %db2_log% exists and its size is greater than 0.>> %ES_LOG%
   del /q /f %empty_temporary_file%
) else (
   echo [%date% %time%] %db2_log% exists and its size is 0.>> %ES_LOG%
   del /q /f %empty_temporary_file%
   goto COLLECT_FROM_EMPTY_LOG
)

rem ----- Run "%db2_folder%\bin\db2audit.exe extract delasc category audit, checking, secmaint, sysadmin, validate" command
if "%UserName%" == "" (
   "%db2_folder%\bin\db2audit.exe" extract delasc category audit, checking, secmaint, sysadmin, validate, context
) else (
    ..\bin\cmtool.exe -k -d "%Password%" | ..\bin\psexec.exe \\127.0.0.1 -u "%UserName%" -r "%db2_folder%\bin\db2audit.exe" extract delasc category audit, checking, secmaint, sysadmin, validate, context 2>>%ES_LOG%
)

if errorlevel 1 (
   echo [%date% %time%] ERROR: "%db2_folder%\bin\db2audit.exe extract delasc" command execution failure.>> %ES_LOG%
   echo [%date% %time%] NOTE: Check DB2 8.1 - 9.1 event source credentials.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 1
) else (
   echo [%date% %time%] "db2audit extract delasc" operation succeeded.>> %ES_LOG%
)


rem ----- QE0807002: If option "truncate" is set to 'yes' - get rid of the events we've already collected by prunning all records up to YYYYMMDDHH time in db2audit.log to resolve problem with high cpu 
rem ----- and memory usage.

set EXIT_CODE=0
set ACTION=0
if "%Truncate%" == "yes" (
   echo [%date% %time%] Truncate requested.>> %ES_LOG%
   if "%CurrentTime%" GTR "%LastPruneTime%" (
      set LastPruneTime=%CurrentTime%
      set ACTION=1
      echo [%date% %time%] Prunning records up to '%CurrentTime%'.>> %ES_LOG%
      if "%UserName%" == "" (
         "%db2_folder%\bin\db2audit.exe" prune date %CurrentTime%
      ) else (
         ..\bin\cmtool.exe -d "%Password%" | ..\bin\psexec.exe \\127.0.0.1 -u "%UserName%" -r "%db2_folder%\bin\db2audit.exe" prune date %CurrentTime% 2>>%ES_LOG%
      )
      set EXIT_CODE=%ERRORLEVEL%
   ) else (
      echo [%date% %time%] Will not prune because all records are up to date.>> %ES_LOG%
   )
)
if %ACTION% EQU 1 (
   if %EXIT_CODE% EQU 0 (
      echo [%date% %time%] "db2audit prune" operation succeeded.>> %ES_LOG%
   ) else (
      echo [%date% %time%] ERROR: "%db2_folder%\bin\db2audit.exe prune date %CurrentTime%" command execution failure.>> %ES_LOG%
      echo [%date% %time%] NOTE: Check DB2 8.1 - 9.1 event source credentials.>> %ES_LOG%
      echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
      exit /b 1
   )
)

rem ----END QE0807002

rem ----- Set %none_log_access% variable to 1
set none_log_access=1

rem ----- Call getdb2recs.vbs script
rem ----- If the getdb2recs.vbs script return code 0, set %none_log_access% variable to 0
set executable=cscript.exe //Nologo ..\bin\getdb2recs.vbs
%executable% %db2_log_path% "audit.del" %temp_file1% %props_file% >> %ES_LOG% 2>&1
if %errorlevel% EQU 0 (
    echo [%date% %time%] Successfully collected data from 'audit.del'.>> %ES_LOG%
    set none_log_access=0
) else (
    echo [%date% %time%] WARNING: Cannot collect data from 'audit.del'.>> %ES_LOG%
)

%executable% %db2_log_path% "checking.del" %temp_file2% %props_file% >> %ES_LOG% 2>&1
if %errorlevel% EQU 0 (
   echo [%date% %time%] Successfully collected data from 'checking.del'.>> %ES_LOG%
   set none_log_access=0
) else (
   echo [%date% %time%] WARNING: Cannot collect data from 'checking.del'.>> %ES_LOG%
)

%executable% %db2_log_path% "secmaint.del" %temp_file3% %props_file% >> %ES_LOG% 2>&1
if %errorlevel% EQU 0 (
   echo [%date% %time%] Successfully collected data from 'secmaint.del'.>> %ES_LOG%
   set none_log_access=0
) else (
   echo [%date% %time%] WARNING: Cannot collect data from 'secmaint.del'.>> %ES_LOG%
)

%executable% %db2_log_path% "sysadmin.del" %temp_file4% %props_file% >> %ES_LOG% 2>&1
if %errorlevel% EQU 0 (
   echo [%date% %time%] Successfully collected data from 'sysadmin.del'.>> %ES_LOG%
   set none_log_access=0
) else (
   echo [%date% %time%] WARNING: Cannot collect data from 'sysadmin.del'.>> %ES_LOG%
)

%executable% %db2_log_path% "validate.del" %temp_file5% %props_file% >> %ES_LOG% 2>&1
if %errorlevel% EQU 0 (
   echo [%date% %time%] Successfully collected data from 'validate.del'.>> %ES_LOG%
   set none_log_access=0
) else (
   echo [%date% %time%] WARNING: Cannot collect data from 'validate.del'.>> %ES_LOG%
)

if "%Context%" == "on" (
   echo [%date% %time%] Context processing is 'ON'.>> %ES_LOG%
   %executable% %db2_log_path% "context.del" %temp_file6% %props_file% >> %ES_LOG% 2>&1
   if %errorlevel%==0 (
      echo [%date% %time%] Successfully collected data from 'context.del'.>> %ES_LOG%
      set none_log_access=0
   ) else (
      echo [%date% %time%] WARNING: Cannot collect data from 'context.del'.>> %ES_LOG%
   )
) else (
   echo [%date% %time%] Context processing is 'OFF'.>> %ES_LOG%
   %executable% %db2_log_path% "context.del" %temp_file6% %props_file% >> %ES_LOG% 2>&1
   type nul > %temp_file6%
   echo [%date% %time%] Context sublog cleaned.>> %ES_LOG%
) 

rem ----- If %none_log_access% variable is equal to 1, then finish work with return code 2
if %none_log_access%==1 (
   echo [%date% %time%] ERROR: None of logfiles is accessible or file '..\bin\getdb2recs.vbs' doesn't exist.>> %ES_LOG%
   echo [%date% %time%] Processing finished [FAILURE].>> %ES_LOG%
   exit /b 2
)

rem ----- Create\rewrite %props_file% file. Obtain %USERDOMAIN% system environment variable
echo _domainname=%USERDOMAIN%> %props_file%

rem ----- DB2 9.1 update. Checking if LDAP is enabled
if not exist %props_file%.dir (mkdir %props_file%.dir)
set DBM_CFG="%props_file%.dir\db2_cfg.txt"
set LDAP_ENABLED=0
if exist %DBM_CFG% ( del %DBM_CFG% )
"%db2_folder%\bin\db2cmd.exe" -c -w "db2 -r %DBM_CFG% get dbm cfg"
if %ERRORLEVEL% NEQ 0 (
    echo [%date% %time%] Unable to call db2 and get DBM configuration.>> %ES_LOG%
)
 
for /F "delims== tokens=1,2" %%i in ('type %DBM_CFG%') do (
    if "%%i" == " Client Userid-Password Plugin          (CLNT_PW_PLUGIN) " (
       if "%%j" == " IBMLDAPauthclient" set LDAP_ENABLED=1
    )
    if "%%i"==" Server Userid-Password Plugin        (SRVCON_PW_PLUGIN) " (
       if "%%j" == " IBMLDAPauthserver" set LDAP_ENABLED=1
    )
)

if %LDAP_ENABLED% EQU 1 (
   echo _ldapenable=YES>> %props_file%
) else (
   echo _ldapenable=NO>> %props_file%
)
    
rem ----- QE0807002: Put 'CurrentTime' into propsfile
echo %LastPruneTime%>>%props_file%
rem ----- END QE0807002

rem ----- Add contents of files, which were created by getdb2recs.vbs to %props_file% file
if exist %props_file%.audit.del    type %props_file%.audit.del>>%props_file%
if exist %props_file%.checking.del type %props_file%.checking.del >> %props_file%
if exist %props_file%.secmaint.del type %props_file%.secmaint.del >> %props_file%
if exist %props_file%.sysadmin.del type %props_file%.sysadmin.del >> %props_file%
if exist %props_file%.validate.del type %props_file%.validate.del >> %props_file%
if exist %props_file%.context.del type %props_file%.context.del >> %props_file%

rem ----- Remove files
if exist %props_file%.audit.del    del /q /f %props_file%.audit.del
if exist %props_file%.checking.del del /q /f %props_file%.checking.del
if exist %props_file%.secmaint.del del /q /f %props_file%.secmaint.del
if exist %props_file%.sysadmin.del del /q /f %props_file%.sysadmin.del
if exist %props_file%.validate.del del /q /f %props_file%.validate.del
if exist %props_file%.context.del del /q /f %props_file%.context.del

rem ----- Finish work with return code 0
echo [%date% %time%] Finish processing [SUCCESS].>> %ES_LOG%
rem ----- DB2 9.1 update
rmdir %PROPS_FILE%.dir /S /Q
rem ----- end update for DB2 9.1

rem ----- If particular sublog doesn't exist, then create empty file
rem ----- If none of them exist, assume that it should fall to FAILURE 2 above
if not exist %temp_file1% type nul > %temp_file1%
if not exist %temp_file2% type nul > %temp_file2%
if not exist %temp_file3% type nul > %temp_file3%
if not exist %temp_file4% type nul > %temp_file4%
if not exist %temp_file5% type nul > %temp_file5%
if not exist %temp_file6% type nul > %temp_file6%

exit /b 0

:COLLECT_FROM_EMPTY_LOG
type nul > %temp_file1%
type nul > %temp_file2%
type nul > %temp_file3%
type nul > %temp_file4%
type nul > %temp_file5%
type nul > %temp_file6%

if not exist "%props_file%" (
   echo audit.del_firstrecord=Empty file>%props_file%
   echo audit.del_lineshift=0>>%props_file%
   echo audit.del_lastrecord=Empty file>>%props_file%

   echo checking.del_firstrecord=Empty file>>%props_file%
   echo checking.del_lineshift=0>>%props_file%
   echo checking.del_lastrecord=Empty file>>%props_file%

   echo secmaint.del_firstrecord=Empty file>>%props_file%
   echo secmaint.del_lineshift=0>>%props_file%
   echo secmaint.del_lastrecord=Empty file>>%props_file%

   echo sysadmin.del_firstrecord=Empty file>>%props_file%
   echo sysadmin.del_lineshift=0>>%props_file%
   echo sysadmin.del_lastrecord=Empty file>>%props_file%

   echo validate.del_firstrecord=Empty file>>%props_file%
   echo validate.del_lineshift=0>>%props_file%
   echo validate.del_lastrecord=Empty file>>%props_file%

   echo context.del_firstrecord=Empty file>>%props_file%
   echo context.del_lineshift=0>>%props_file%
   echo context.del_lastrecord=Empty file>>%props_file%
)

echo [%date% %time%] Processing finished [SUCCESS].>> %ES_LOG%
exit /b 0
