REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
rem ----------------------------------------------------------------------
rem  Name:
rem    getasegroups.bat
rem 
rem  Purpose:
rem    Initial actuator script for Sybase ASE UIS. 
rem 
rem  History:
rem    060421 0.0.1  ScienceSoft-SA  EE0408007:  Created.
rem ----------------------------------------------------------------------
 
set TEMP_FILE1=%1
set CFG_FILE=%2
set DSN=%3
set USER=%4
set PASSWORD=%5
set PROPS_FILE=%6
set LOG_FILE="..\log\%PROPS_FILE%.log"

echo [%date%][%time%] Start processing > %LOG_FILE%

if %TEMP_FILE1% EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)			
if %CFG_FILE% EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)			
if %DSN% EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)
if %USER% EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)
if %PROPS_FILE% EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)

..\bin\cmtool.exe -d %PASSWORD% | ..\bin\odbc-genact.exe -stdinpassword -props=%PROPS_FILE% -preprocess="..\bin\getasegroupsengine.tsql" "%TEMP_FILE1%.tmp" "%TEMP_FILE1%.tmp2" "" "" %DSN% %USER% "" aseuisview1 dummy aseuisview2 dummy >>%LOG_FILE% 2>&1

if errorlevel 1 (
	echo Failure: COLLECT PROCESS FAILED>>%LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
	exit /b 1
)

if exist "%TEMP_FILE1%.tmp" (
        echo [Persons]>%TEMP_FILE1%
	for /f "tokens=1-3 delims=;" %%b in ('type "%TEMP_FILE1%.tmp"') do (
		echo "%%c" "%%c" "0">>%TEMP_FILE1%
		echo {>>%TEMP_FILE1%
		echo   match logonname "%%d">>%TEMP_FILE1%
		echo   match attribute "%DSN%">>%TEMP_FILE1%
		echo }>>%TEMP_FILE1%	
	)
	del "%TEMP_FILE1%.tmp"
)

if exist "%TEMP_FILE1%.tmp2" (
        echo [SourceGroup]>>%TEMP_FILE1%
	for /f "tokens=1-3 delims=;" %%b in ('type "%TEMP_FILE1%.tmp2"') do (
		echo "%%c">>%TEMP_FILE1%
		echo {>>%TEMP_FILE1%
		echo   match logonname "%%d">>%TEMP_FILE1%
		echo   match attribute "%DSN%">>%TEMP_FILE1%
		echo }>>%TEMP_FILE1%	
	)
	del "%TEMP_FILE1%.tmp2"
)

if exist %PROPS_FILE% del %PROPS_FILE%
echo [%date%][%time%] Finish processing [OK] >> %LOG_FILE%
