REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
rem ----------------------------------------------------------------------
rem  Name:
rem    getaselogs.bat
rem 
rem  Purpose:
rem    Initial actuator script for Sybase ASE ES. 
rem 
rem  History:
rem    060420 0.0.1  ScienceSoft-SA  EE0408007:  Created.
rem    061221 0.0.2   ScienceSoft-SB  WE06SB023: Updated to be used with new odbc-genact
rem ----------------------------------------------------------------------
 
set TEMP_FILE1=%1
set DSN=%2
set USER=%3
set PASSWORD=%4
set PROPS_FILE=%5
set LOG_FILE="..\log\%PROPS_FILE%.log"

echo [%date%][%time%] Start processing > %LOG_FILE%

if %TEMP_FILE1% EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)			
if "%DSN%" EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)
if %USER% EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)
if %PROPS_FILE% EQU "" (
        echo Failure: Missing argument >> %LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
        exit /b 1
)

rem --------------------------------------------------------------
rem -----            Retrieving the audit records            ----- 
rem --------------------------------------------------------------
..\bin\cmtool.exe -d %PASSWORD% | ..\bin\odbc-genact.exe -stdinpassword -useheaderline -props=%PROPS_FILE% -separator="\t" -preprocess="..\bin\getnewaselogs.tsql" "%TEMP_FILE1%" "" "" "" %DSN% %USER% "" aselogsview eventtime >>%LOG_FILE% 2>&1

if errorlevel 1 (
	echo Failure: COLLECT PROCESS FAILED>>%LOG_FILE%
	echo [%date%][%time%] Finish processing [NOK]>> %LOG_FILE%
	exit /b 1
)


rem --------------------------------------------------------------
rem -----       Storing the actuator state information       ----- 
rem --------------------------------------------------------------
echo [%date%][%time%] Finish processing [OK] >> %LOG_FILE%
