REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off

set TEMP_FILE=%1
set LDAPHOST=%3
set LDAPPORT=%4
set ORGNAME=%5
set USERNAME=%6
set PASSWORD=%7
set PROPS_FILE=%8
set LOG_FILE="..\log\%PROPS_FILE%.log"

echo [%date%][%time%] "Processing started ..."> %LOG_FILE%

if %LDAPHOST% EQU "" (
  echo Failure: Missing LDAPHOST argument >> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)
if %LDAPPORT% EQU "" (
  echo Failure: Missing LDAPPORT argument>> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)
if %TEMP_FILE% EQU "" (
  echo Failure: Missing OUTPUT_FILE argument>> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)
if %ORGNAME% EQU "" (
  echo Failure: Missing ORGNAME argument>> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)


..\bin\cmtool.exe -d %PASSWORD% | java  -classpath "../bin/getitimgroups.jar" com.ibm.tcim.cea.gensub.itim.java.CollectITIMGroups -LDAPHost?%LDAPHOST% -LDAPPort?%LDAPPORT% -OrgName?%ORGNAME% -UserName?%USERNAME% -Password?"" -StdinPassword -Filename?%TEMP_FILE% >>%LOG_FILE% 2>&1
if %errorlevel% EQU 1 (
  echo Failure: Collect process failed>> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)

echo [%date%][%time%] "Processing finished" >> %LOG_FILE%
exit /b 0
