REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off

rem --------------------------------------------------------------
rem -----                Setting arguments                   ----- 
rem --------------------------------------------------------------
set TEMP_FILE=%1
shift
shift
shift
shift
set DSN=%1
set USERNAME=%2
set PASSWORD=%3
set TABLE=%4
set TIMESTAMP=%5
set DATETIME=%6
set ENCODING=%7
set PROPS_FILE=%8

set LOG_FILE="..\log\%PROPS_FILE%.log"

rem --------------------------------------------------------------
rem -----              Logging process [start]               ----- 
rem --------------------------------------------------------------
echo [%date%][%time%] Processing started ...> %LOG_FILE%

rem --------------------------------------------------------------
rem -----       Checking for all necessary arguments         ----- 
rem --------------------------------------------------------------
if %TEMP_FILE% EQU "" (
        echo Failure: Missing argument TEMP_FILE>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %DSN% EQU "" (
        echo Failure: Missing argument DSN>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %TABLE% EQU "" (
        echo Failure: Missing argument TABLE>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %USERNAME% EQU "" (
        echo Failure: Missing argument USERNAME>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %TIMESTAMP% EQU "" (
        echo Failure: Missing argument TIMESTAMP>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %DATETIME% EQU "" (
        echo Failure: Missing argument DATETIME>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %ENCODING% EQU "" (
        echo Failure: Missing argument ENCODING>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %PROPS_FILE% EQU "" (
        echo Failure: Missing argument PROPS_FILE>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)

rem --------------------------------------------------------------
rem -----     Converting Database ENCODING name to uppercase     ----- 
rem --------------------------------------------------------------
set ENCODING=%ENCODING:a=A%
set ENCODING=%ENCODING:b=B%
set ENCODING=%ENCODING:c=C%
set ENCODING=%ENCODING:d=D%
set ENCODING=%ENCODING:e=E%
set ENCODING=%ENCODING:f=F%
set ENCODING=%ENCODING:g=G%
set ENCODING=%ENCODING:h=H%
set ENCODING=%ENCODING:i=I%
set ENCODING=%ENCODING:j=J%
set ENCODING=%ENCODING:k=K%
set ENCODING=%ENCODING:l=L%
set ENCODING=%ENCODING:m=M%
set ENCODING=%ENCODING:n=N%
set ENCODING=%ENCODING:o=O%
set ENCODING=%ENCODING:p=P%
set ENCODING=%ENCODING:q=Q%
set ENCODING=%ENCODING:r=R%
set ENCODING=%ENCODING:s=S%
set ENCODING=%ENCODING:t=T%
set ENCODING=%ENCODING:u=U%
set ENCODING=%ENCODING:v=V%
set ENCODING=%ENCODING:w=W%
set ENCODING=%ENCODING:x=X%
set ENCODING=%ENCODING:y=Y%
set ENCODING=%ENCODING:z=Z%

rem --------------------------------------------------------------
rem -----  Retrieving audit records, logging process [NOK]   ----- 
rem --------------------------------------------------------------
..\bin\cmtool.exe -d %PASSWORD% | ..\bin\odbc-genact.exe -props=%PROPS_FILE% -stdinpassword -useheaderline -separator=";" -datetimeformat=%DATETIME% "%TEMP_FILE%" "" "" "" %DSN% %USERNAME% "" %TABLE% %TIMESTAMP% >> %LOG_FILE% 2>&1
if errorlevel 1 (
	echo Failure: Collect process failed>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
	exit /b 1
)

rem--------------------------------
rem-- Temp file is necessary
rem-- in order to store timestamp
rem-- during props file updating
rem--------------------------------
findstr /I %TABLE%= %PROPS_FILE% > %TEMP_FILE%.tmp
type %TEMP_FILE%.tmp > %PROPS_FILE%
echo encoding1=%ENCODING%>>%PROPS_FILE%
del %TEMP_FILE%.tmp

echo [%date%][%time%] Processing finished [OK]>> %LOG_FILE%
