@echo off

set TEMP_FILE=%1
set CFG_FILE=%2
set AD_NAME=%3
set DSN_NAME=%4
set USER=%5
set PASSWORD=%6
set PROPS_FILE=%7
set LOG_FILE="..\log\%PROPS_FILE%.log"
set TABLE=tcim_uis_sp2sp61

echo [%date%][%time%] Processing started ... > %LOG_FILE%

if %TEMP_FILE% EQU "" (
        echo [%date%][%time%] Failure: Missing argument TEMP_FILE >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
        exit /b 1
)
if %CFG_FILE% EQU "" (
        echo [%date%][%time%] Failure: Missing argument CFG_FILE >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
        exit /b 1
)
if %AD_NAME% EQU "" (
        echo [%date%][%time%] Failure: Missing argument AD_NAME >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
        exit /b 1
)
if %DSN_NAME% EQU "" (
        echo [%date%][%time%] Failure: Missing argument DSN_NAME >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
        exit /b 1
)
if %USER% EQU "" (
        echo [%date%][%time%] Failure: Missing argument USER >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
        exit /b 1
)
if %PROPS_FILE% EQU "" (
        echo [%date%][%time%] Failure: Missing argument PROPS_FILE >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
        exit /b 1
)


echo [%date%][%time%] Start retrieving user info from Active Directory >> %LOG_FILE%

call ..\bin\getgroupsAD.bat %TEMP_FILE% "" "" "" "" %AD_NAME% "" "" "" "" "" "" %PROPS_FILE%_AD>>%LOG_FILE% 2>&1

if %errorlevel% NEQ 0 (
	echo [%date%][%time%] Collect from Active Directory failed [FAILURE] >> %LOG_FILE%
	echo [%date%][%time%] Return code: %errorlevel% >> %LOG_FILE% 2>&1
	call :clear	
	echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
	exit /b 1
)
else
(
	echo [%date%][%time%] Collect from Active Directory finished >> %LOG_FILE%
)

setlocal EnableDelayedExpansion

rem #################### SQL ####################
echo [%date%][%time%] Start retrieving user info from MS SQL >> %LOG_FILE%

..\bin\cmtool.exe -d %PASSWORD% | ..\bin\odbc-genact.exe -stdinpassword -props=%PROPS_FILE% -preprocess="..\bin\getsiteprotectorgroups.sql" "%TEMP_FILE%_odbc" "" "" "" %DSN_NAME% %USER% "" %TABLE% dummy >>%LOG_FILE% 2>&1

if %errorlevel% NEQ 0 (
	if NOT EXIST %TEMP_FILE%_odbc (
			echo [%date%][%time%] Collect from MS SQL failed [FAILURE] >> %LOG_FILE% 2>&1
			echo [%date%][%time%] Return code: %errorlevel% >> %LOG_FILE% 2>&1
        		call :clear
	        	if exist %TEMP_FILE% del %TEMP_FILE%
			echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
			exit /b 1
	)
)
else
(
	rem #################### MERGE ####################
	echo [%date%][%time%] Merge user info from MS SQL and AD >> %LOG_FILE%
)

setlocal
set props=%PROPS_FILE%
type nul >%props%_odbc_groups.tmp
type nul >%props%_odbc_list_groups.tmp

for /F "delims=; tokens=1,2,3,4,5" %%a in ('type %TEMP_FILE%_odbc') do (
    echo %%c;%%d;%%e;%%b>> %props%_odbc_groups.tmp
    echo %%c>> %props%_odbc_list_groups.tmp

)
sort %props%_odbc_list_groups.tmp /o %props%_odbc_list_groups.tmp
if %errorlevel% NEQ 0 (
	echo [%date%][%time%] Sorting failed. [FAILURE] >> %LOG_FILE%
        echo [%date%][%time%] Return code: %errorlevel% >> %LOG_FILE%
        call :clear
        if exist %TEMP_FILE% del %TEMP_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
	exit /b 1
)

@echo.>> %TEMP_FILE% 
@echo.>> %TEMP_FILE% 
echo [SourceGroup]>> %TEMP_FILE% 
for /F "delims=;" %%i in ('type %props%_odbc_list_groups.tmp') do (
    if not "%%i"=="!prev_gr_name!" (
        echo "%%i">> %TEMP_FILE%
        for /F "delims=; tokens=1,2,3,4" %%a in ('type %props%_odbc_groups.tmp') do (
            if "%%i"=="%%a" (
            if "%%d"=="User" (
                    echo {>> %TEMP_FILE%
                    echo    match logonname "%%b">> %TEMP_FILE%
                    echo    match originator "%%c">> %TEMP_FILE%
                    echo }>> %TEMP_FILE%
                ) else (
                    echo {>> %TEMP_FILE%
                    echo    in src_group "%%b">> %TEMP_FILE%
                    echo }>> %TEMP_FILE%
                )
            )
        )
    )
set prev_gr_name=%%i
)

setlocal disabledelayedexpansion
endlocal

call :clear
goto success

rem #################### CLEAR ####################
:clear
if exist "%PROPS_FILE%" del "%PROPS_FILE%"
if exist "%PROPS_FILE%_AD" del "%PROPS_FILE%_AD"
if exist %props%_odbc_list_groups.tmp del %props%_odbc_list_groups.tmp
if exist %props%_odbc_groups.tmp del %props%_odbc_groups.tmp
if exist %TEMP_FILE%_odbc del %TEMP_FILE%_odbc
goto :EOF
:success
echo [%date%][%time%] Processing finished [SUCCESS] >> %LOG_FILE%