@echo off

set TEMP_FILE1=%1
set TEMP_FILE2=%2
set DSN_NAME=%3
set USER=%4
set PASSWORD=%5
set PROPS_FILE=%6
set LOG_FILE="..\log\%PROPS_FILE%.log"
set TABLE1=tcim_es_sp2sp61
set TABLE2=SensorData1

echo [%date%][%time%] Processing started ...> %LOG_FILE%

if %TEMP_FILE1% EQU "" (
        echo [%date%][%time%] Failure: Missing argument TEMP_FILE1 >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
)		

if %TEMP_FILE2% EQU "" (
        echo [%date%][%time%] Failure: Missing argument TEMP_FILE2 >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
)

if %DSN_NAME% EQU "" (
        echo [%date%][%time%] Failure: Missing argument DSN_NAME >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
)

if %USER% EQU "" (
        echo [%date%][%time%] Failure: Missing argument USER >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
)

if %PROPS_FILE% EQU "" (
        echo [%date%][%time%] Failure: Missing argument PROPS_FILE >> %LOG_FILE%
	echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
)

type nul>%TEMP_FILE1%
type nul>%TEMP_FILE2%

setlocal EnableDelayedExpansion

rem #################### SELF-AUDIT SQL ####################
echo [%date%][%time%] Start retrieving self-audit info from MS SQL>> %LOG_FILE%
..\bin\cmtool.exe -k -d %PASSWORD% | ..\bin\odbc-genact.exe -useheaderline -stdinpassword -props=%PROPS_FILE%1 -preprocess="..\bin\getsiteprotectorlogs.sql" "%TEMP_FILE1%_4sort" "" "" "" %DSN_NAME% %USER% "" %TABLE1% AuditTime1 >>%LOG_FILE% 2>&1

if %errorlevel% NEQ 0 (
	echo [%date%][%time%] Collect of self-audit records from MS SQL failed. [FAILURE] >>%LOG_FILE%
        set SAC=1
	goto NEXT
)

echo [%date%][%time%] Sorting self-audit records >> %LOG_FILE%

sort %TEMP_FILE1%_4sort /o %TEMP_FILE1%
if %errorlevel% NEQ 0 (
	echo [%date%][%time%] Sorting of self-audit records failed. [FAILURE] >>%LOG_FILE%
)

:NEXT
rem #################### SENSORS SQL ####################
echo [%date%][%time%] Start retrieving sensors audit info from MS SQL>> %LOG_FILE%
..\bin\cmtool.exe -d %PASSWORD% | ..\bin\odbc-genact.exe -useheaderline -stdinpassword -props=%PROPS_FILE%2 "%TEMP_FILE2%" "" "" "" %DSN_NAME% %USER% "" %TABLE2% AlertDateTime >>%LOG_FILE% 2>&1

if %errorlevel% NEQ 0 (
	echo [%date%][%time%] Collect of sensor records from MS SQL failed. [FAILURE] >>%LOG_FILE%
	if !SAC! EQU 1 (
		echo [%date%][%time%] Collect of records failed. [FAILURE] >>%LOG_FILE%
        	echo [%date%][%time%] Return code: %errorlevel% >>%LOG_FILE%
		echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
		if exist %TEMP_FILE1% del %TEMP_FILE1%
		if exist %TEMP_FILE2% del %TEMP_FILE2%
		exit /b 1
	)
)

if exist %TEMP_FILE1%_4sort del %TEMP_FILE1%_4sort

echo [%date%][%time%] Processing finished. [SUCCESS] >> %LOG_FILE%
