REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
set TEMP_FILE=%1
set DSN=%2
set ENCODING=%3
set USERNAME=%4
set PASSWORD=%5  
set PROPS_FILE=%6
set LOG_FILE="..\log\%PROPS_FILE%.log"

echo [%date%][%time%] Processing started ...> %LOG_FILE%

if %TEMP_FILE% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %DSN% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %ENCODING% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)			
if %USERNAME% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)
if %PROPS_FILE% EQU "" (
        echo Failure: Missing argument>> %LOG_FILE%
	echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
        exit /b 1
)		

rem --------------------------------------------------------------
rem -----     Converting Database ENCODING name to uppercase     ----- 
rem --------------------------------------------------------------
set ENCODING=%ENCODING:a=A%
set ENCODING=%ENCODING:b=B%
set ENCODING=%ENCODING:c=C%
set ENCODING=%ENCODING:d=D%
set ENCODING=%ENCODING:e=E%
set ENCODING=%ENCODING:f=F%
set ENCODING=%ENCODING:g=G%
set ENCODING=%ENCODING:h=H%
set ENCODING=%ENCODING:i=I%
set ENCODING=%ENCODING:j=J%
set ENCODING=%ENCODING:k=K%
set ENCODING=%ENCODING:l=L%
set ENCODING=%ENCODING:m=M%
set ENCODING=%ENCODING:n=N%
set ENCODING=%ENCODING:o=O%
set ENCODING=%ENCODING:p=P%
set ENCODING=%ENCODING:q=Q%
set ENCODING=%ENCODING:r=R%
set ENCODING=%ENCODING:s=S%
set ENCODING=%ENCODING:t=T%
set ENCODING=%ENCODING:u=U%
set ENCODING=%ENCODING:v=V%
set ENCODING=%ENCODING:w=W%
set ENCODING=%ENCODING:x=X%
set ENCODING=%ENCODING:y=Y%
set ENCODING=%ENCODING:z=Z%

rem --------------------------------------------------------------
rem -----              Retrieving audit records              ----- 
rem --------------------------------------------------------------
rem --------------------------------------------------------------
rem -----                       Oracle, Db2                         ----- 
rem --------------------------------------------------------------
..\bin\cmtool.exe -k -d %PASSWORD% | ..\bin\odbc-genact.exe -props=%PROPS_FILE% -stdinpassword -useheaderline -separator=";" -datetimeformat="%%Y%%m%%dT%%H:%%M:%%S.000" "%TEMP_FILE%" "" "" "" "%DSN%" %USERNAME% "" LOG 7 >>%LOG_FILE% 2>&1
rem --------------------------------------------------------------
rem -----                         MySQL                               ----- 
rem --------------------------------------------------------------
if errorlevel 1 (
        ..\bin\cmtool.exe -d %PASSWORD% | ..\bin\odbc-genact.exe -props=%PROPS_FILE% -stdinpassword -useheaderline -separator=";" -datetimeformat="%%Y%%m%%dT%%H:%%M:%%S.000" "%TEMP_FILE%" "" "" "" "%DSN%" %USERNAME% "" log 7 >>%LOG_FILE% 2>&1
        if errorlevel 1 (
                echo Failure: Collect process failed>> %LOG_FILE%
                echo [%date%][%time%] Processing finished [FAILURE]>> %LOG_FILE%
                exit /b 1
        ) else (
                echo Processing table log >> %LOG_FILE% 
        )
) else (
        echo Procesing table LOG >> %LOG_FILE%
)

rem--------------------------------
rem-- Temp file is necessary
rem-- in order to store timestamp
rem-- during props file updating
rem--------------------------------
findstr /I LOG= %PROPS_FILE% > %TEMP_FILE%.tmp
type %TEMP_FILE%.tmp > %PROPS_FILE%
echo encoding1=%ENCODING%>>%PROPS_FILE%
del %TEMP_FILE%.tmp

rem --------------------------------------------------------------
rem -----       Storing the actuator state information       ----- 
rem --------------------------------------------------------------
echo [%date%][%time%] Processing finished [OK]>> %LOG_FILE%
