@echo off
set TEMP_FILE1=%1
set HOST=%2
set PORT=%3
set USER_NAME=%4
set PASSWORD=%5
set TIP_INSTALL_DIR=%6
for %%A in (%*) do set PROPS_FILE=%%A

set LOG_FILE="..\log\%PROPS_FILE%.log"

echo [%date%][%time%] Processing start. > %LOG_FILE%
if %TEMP_FILE1% == "" (
   echo [%date%][%time%] Failure: Missing output file argument>> %LOG_FILE%
   echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
   exit /b 1
)

if %HOST% == "" (
   echo [%date%][%time%] Failure: Missing WAS repository hostname argument>> %LOG_FILE%
   echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
   exit /b 1
)

if %PORT% == "" (
   echo [%date%][%time%] Failure: Missing WAS repository SOAP port argument>> %LOG_FILE%
   echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
   exit /b 1
)

if %USER_NAME% == "" (
   echo [%date%][%time%] Warning: Missing Repository User argument>> %LOG_FILE%
)

if %TIP_INSTALL_DIR% == "" (
   echo [%date%][%time%] Failure: Missing WAS installation directory argument>> %LOG_FILE%
   echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
   exit /b 1
) 

if %PROPS_FILE% == "" (
   echo [%date%][%time%] Failure: Missing property file argument>> %LOG_FILE%
   echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
   exit /b 1
) 

@rem no profile so use default
set profileCmd="%TIP_INSTALL_DIR%"\properties\fsdb\_was_profile_default\default.bat

if exist "%profileCmd%" (
   echo [%date%][%time%] WebSphere component ['WAS installation directory'/properties/fsdb/_was_profile_default/default.bat] found.>> %LOG_FILE%
) else (
   echo [%date%][%time%] WebSphere component  ['WAS installation directory'/properties/fsdb/_was_profile_default/default.bat] not found. Check 'WAS installation directory' ES property.>> %LOG_FILE%
   echo [%date%][%time%] [%%TIP_INSTALL_DIR%%] %TIP_INSTALL_DIR% >> %LOG_FILE%
   echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
   exit /b 1
)
@rem load environment variables so WAS will work
set CLIENTSSL=null
call "%profileCmd%"
if exist "%WAS_USER_SCRIPT%" (
   echo [%date%][%time%] WebSphere component [%WAS_USER_SCRIPT%] found.>> %LOG_FILE%
) else (
   echo [%date%][%time%] WebSphere component  [%WAS_USER_SCRIPT%] not found.>> %LOG_FILE%
   echo [%date%][%time%] [%%WAS_USER_SCRIPT%%] %WAS_USER_SCRIPT% >> %LOG_FILE%
   echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
   exit /b 1
)
call "%WAS_USER_SCRIPT%"

set SHOWLOG_PATH=%WAS_HOME%/bin/showlog.bat
set TRUSTFILE=%TIP_INSTALL_DIR%/profiles/TIPProfile/etc/DummyClientTrustFile.jks
set KEYFILE=%TIP_INSTALL_DIR%/profiles/TIPProfile/etc/DummyClientKeyFile.jks

if "%CLIENTSSL%" == "null" (
   @rem WAS V6.0
   ..\bin\cmtool.exe -d %PASSWORD% | "%JAVA_HOME%/bin/java" -Djava.security.auth.login.config="%WAS_HOME%/properties/wsjaas_client.conf" -Djava.ext.dirs="%JAVA_HOME%/jre/lib/ext;%WAS_HOME%/plugins;%WAS_EXT_DIRS%" -Dserver.root="%WAS_HOME%" -Duser.install.root="%USER_INSTALL_ROOT%" -classpath "%WAS_CLASSPATH%;%WAS_HOME%/lib/admin.jar;%WAS_HOME%/lib/utils.jar;%WAS_HOME%/lib/bootstrap.jar;%WAS_HOME%/lib/j2ee.jar;"../bin/gettiplogs.jar;. com.ibm.tcim.cea.gensub.tsiemtip.java.GetTIPLogs -host %HOST% -port %PORT% -username %USER_NAME% -password "" -trustfile %TRUSTFILE% -keyfile %KEYFILE% -showlog %SHOWLOG_PATH% -chunk %TEMP_FILE1% -stdinpassword yes -propsfile %PROPS_FILE% 1>> %LOG_FILE% 2>&1
) else (
   @rem V6.1 and 7.0
   ..\bin\cmtool.exe -d %PASSWORD% | "%JAVA_HOME%/bin/java" -Djava.security.auth.login.config="%WAS_HOME%/properties/wsjaas_client.conf" -Djava.ext.dirs="%JAVA_HOME%/jre/lib/ext;%WAS_HOME%/plugins;%WAS_EXT_DIRS%" -Dserver.root="%WAS_HOME%" "%CLIENTSAS%" "%CLIENTSSL%" -Duser.install.root="%USER_INSTALL_ROOT%" -classpath "%WAS_CLASSPATH%;%WAS_HOME%/lib/admin.jar;%WAS_HOME%/lib/utils.jar;%WAS_HOME%/lib/bootstrap.jar;%WAS_HOME%/lib/j2ee.jar;"../bin/gettiplogs.jar;. com.ibm.tcim.cea.gensub.tsiemtip.java.GetTIPLogs -host %HOST% -port %PORT% -username %USER_NAME% -password "" -trustfile %TRUSTFILE% -keyfile %KEYFILE% -showlog %SHOWLOG_PATH% -chunk %TEMP_FILE1% -stdinpassword yes -propsfile %PROPS_FILE% 1>> %LOG_FILE% 2>&1
)   
if errorlevel 1 (
   echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
   exit /b 1
) else (
   echo [%date%][%time%] Processing finished. [SUCCESS] >> %LOG_FILE%
   exit /b 0
)
