REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
rem -- 
rem getueslogs.bat
rem
rem Generic Actuator for Universal Event Source
rem
rem
rem Purpose:
rem   Read all log files ordered allphabetically (latest last) into a chunk file,
rem   and remove the read log files.
rem
rem Notes:
rem
rem History
rem   30dec2003 AndrewZhdanov: UE0312017: created
rem --

rem get command line arguments
set out=%1
shift
set dummy2=%1
shift
set dummy3=%1
shift
set dummy4=%1
shift
set directory=%1
shift
set option2=%1
shift
set option3=%1
shift
set option4=%1
shift
set option5=%1
shift
set option6=%1
shift
set option7=%1
shift
set option8=%1
shift
set props=%1

rem initialize logging
set logfile=../log/getueslogs%props%.log
echo *** >> %logfile%
type nul | time >> %logfile%
echo >> %logfile%
echo getueslogs.bat: %* >> %logfile%

rem validate input
if x%out%x==xx goto error_usage
if x%out%x==x""x goto error_usage
if x%directory%x==xx goto error_usage
if x%directory%x==x""x goto error_usage
if x%props%x==xx goto error_usage
if x%props%x==x""x goto error_usage
goto skip_error_usage
:error_usage
echo usage: getueslogs.bat ^<out^> dummy2 dummy3 dummy4 ^<directory^> option2 option3 option4 option5 option6 option7 option8 ^<props^> >> %logfile%
goto finish
:skip_error_usage

if exist %directory% goto skip_error_directory
echo error: directory %directory% does not exist or not found >> %logfile%
exit 1
:skip_error_directory

rem initialize otuput
if exist %out% del %out% 2>>%logfile%
if errorlevel 0 goto skip_error_clean
echo error: can't delete output file %out% >> %logfile%
:skip_error_clean

type nul > %out% 2>>%logfile%
if errorlevel 0 goto skip_error_touch
echo error: can't create output file %out% >> %logfile%
exit 1
:skip_error_touch

rem  collect and remove all log files sorted alphabetically 
for %%f in (%directory%\*.*) do (
 echo Reading %%f >> %logfile%
 type "%%f" >> %out% 2>>%logfile%
 echo Deleting %%f >> %logfile%
 del "%%f" 2>>%logfile%
 if errorlevel 1 exit 1
)
echo Finished successfully >> %logfile%
:finish
