@echo off

rem IBM Confidential
rem OCO Source Material
rem 5724-S67
rem (c) Copyright IBM Corp. 1998, 2010
rem The source code for this program is not published or otherwise divested of
rem its trade secret, irrespective of what has been deposited with the U.S.
rem Copyright Office.

rem ######################################################################################
rem Map network shared resource and assign SHARE_DISK variable
rem Input parameters:
rem   1 - HOST_NAME
rem   2 - SHARE_NAME
rem   3 - NET_OPTIONS

rem Return value:
rem   0 - success
rem   1 - failure

rem Usage:
rem   call ..\bin\mapnetworkshare.bat "HOST_NAME" "SHARE_NAME" "NET_OPTIONS" >> LOG_FILE 2>&1 || goto failure
rem ######################################################################################

set HOST_NAME=%~1
set SHARE_NAME=%~2
set NET_OPTIONS=%~3

if "%SHARE_NAME%" == "" (
   echo [%date% %time%] ERROR: Wrong number of parameters.
   exit /b 1
)

set SHARE_DISK=\\%HOST_NAME%\%SHARE_NAME%
echo [%date% %time%] Map network share of the target system on the drive '%SHARE_DISK%'.
net use %SHARE_DISK% %NET_OPTIONS% >nul

if exist "%SHARE_DISK%\" (
   exit /b 0
) else (
   echo [%date% %time%] ERROR: Failure during mapping network share of the target system.
   exit /b 1
)
