-- Licensed Materials - Property of IBM
-- 5724-S67
-- (c) Copyright IBM Corp. 1998, 2008   All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=47
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
47,
'Tandem',
'Tandem en Microsoft Windows',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=47,
Name='Tandem',
Description='Tandem en Microsoft Windows',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=47
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=47
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (47,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=47,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=47
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Name of Executable',
'..\bin\actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(47,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Log File Name',
'..\log\AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(47,
'CommandLine2',
'Log File Name',
'..\log\AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Program Path',
'..\bin\gettandemlog.bat',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Temporary file'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Temporary file',
'TANDEM1',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Logfile2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Logfile2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Temporary file 2'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Temporary file 2',
'',
6,
1,
'Logfile2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Logfile3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Logfile3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Temporary file 3'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Temporary file 3',
'',
6,
1,
'Logfile3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Logfile4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Logfile4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Temporary file 4'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Temporary file 4',
'',
6,
1,
'Logfile4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Host de FTP'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Host de FTP',
'',
6,
0,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Usuario de FTP'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Usuario de FTP',
'',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Contraseña de FTP'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Contraseña de FTP',
'',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Subvolumen de copia'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Subvolumen de copia',
'$system.safecopy',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Option5'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Option5'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Prefijo de auditoría'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Prefijo de auditoría',
'A',
6,
0,
'Option5');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Option6'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Option6'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Option 6'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Option 6',
'',
6,
1,
'Option6');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Option7'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Option7'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Option 7'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Option 7',
'',
6,
1,
'Option7');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Option8'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Option8'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Option 8'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Option 8',
'',
6,
1,
'Option8');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' System Name',
'',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(47,
'SystemName',
' System Name',
'',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name=' Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
' Platform Type',
'Tandem',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Hide',
'Option3',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Audited Machine Type',
'19',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(47,
'auditedmachinetype',
'Audited Machine Type',
'19',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=47
  AND rightclassix=29
  AND rightix=19
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
47,
29,
19,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=47,
rightclassix=29,
rightix=19,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=47
  AND rightclassix=29
  AND rightix=19
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=47
  AND rightclassix=28
  AND rightix=47
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
47,
28,
47,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=47,
rightclassix=28,
rightix=47,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=47
  AND rightclassix=28
  AND rightix=47
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='SECURE_VERSION'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='SECURE_VERSION'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Secure version'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Secure version',
'1',
6,
1,
'SECURE_VERSION');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(47,
'SECURE_VERSION',
'Secure version',
'1',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Código de idioma para seguimiento de auditoría'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Código de idioma para seguimiento de auditoría',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(47,
'userlanguage',
'Código de idioma para seguimiento de auditoría',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=47
  AND handle='userencoding'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND handle='userencoding'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=47
  AND name='Codificación de texto para seguimiento de auditoría'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
47,
'Codificación de texto para seguimiento de auditoría',
'',
6,
0,
'userencoding');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(47,
'userencoding',
'Codificación de texto para seguimiento de auditoría',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!
