-- Licensed Materials - Property of IBM
-- 5724-S67
-- (c) Copyright IBM Corp. 1998, 2008   All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=329
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
329,
'Syslog Cisco ASA à partir de l''hôte syslog',
'Syslog Cisco ASA à partir de l''hôte syslog',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=329,
Name='Syslog Cisco ASA à partir de l''hôte syslog',
Description='Syslog Cisco ASA à partir de l''hôte syslog',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=329
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=329
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (329,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=329,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=329
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Name of Executable',
'..\bin\actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(329,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Log File Name',
'..\log\AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(329,
'CommandLine2',
'Log File Name',
'..\log\AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Program Path',
'../bin/wrapgetnewrecs.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Temporary file 1'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Temporary file 1',
'autogenerated',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Platform'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Platform',
'Syslog-CiscoAsa',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Log dir'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Log dir',
'/var/log/tsiem',
6,
1,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Regex of logfiles'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Regex of logfiles',
'syslog-[0-9][0-9]*-[0-9][0-9]*-[0-9][0-9]*\.log',
6,
1,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'System Name',
'',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(329,
'SystemName',
'System Name',
'',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Platform Type',
'Syslog-CiscoAsa',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='SyslogHost'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='SyslogHost'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Hôte syslog'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Hôte syslog',
'',
6,
0,
'SyslogHost');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Audited Machine Type',
'98',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(329,
'auditedmachinetype',
'Audited Machine Type',
'98',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='isLM'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='isLM'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='LM Event Source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'LM Event Source',
'yes',
6,
1,
'isLM');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=329
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
329,
29,
98,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=329,
rightclassix=29,
rightix=98,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=329
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=329
  AND rightclassix=28
  AND rightix=329
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
329,
28,
329,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=329,
rightclassix=28,
rightix=329,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=329
  AND rightclassix=28
  AND rightix=329
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Fichier de clés SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Fichier de clés SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Utilisateur SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Utilisateur SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Port SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Port SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Code de langue pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Code de langue pour analyse rétrospective',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(329,
'userlanguage',
'Code de langue pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=329
  AND handle='userencoding'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND handle='userencoding'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=329
  AND name='Codage du texte pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
329,
'Codage du texte pour analyse rétrospective',
'',
6,
0,
'userencoding');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(329,
'userencoding',
'Codage du texte pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=315
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
315,
'Récepteur syslog Cisco ASA',
'RealTime syslog à partir de Cisco ASA',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=315,
Name='Récepteur syslog Cisco ASA',
Description='RealTime syslog à partir de Cisco ASA',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=315
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=315
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (315,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=315,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=315
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Name of Executable',
'..\bin\actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(315,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Log File Name',
'..\log\AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(315,
'CommandLine2',
'Log File Name',
'..\log\AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Actuator Type',
'realtime',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'System Name',
'',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(315,
'SystemName',
'System Name',
'',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Platform Type',
'Syslog-CiscoAsa',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='rtIP'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='rtIP'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Adresses source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Adresses source',
'*',
6,
0,
'rtIP');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='rtActive'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='rtActive'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='RealTimeMapping'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'RealTimeMapping',
'',
6,
1,
'rtActive');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(315,
'rtActive',
'RealTimeMapping',
'',
1,
1);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Audited Machine Type',
'98',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(315,
'auditedmachinetype',
'Audited Machine Type',
'98',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='isLM'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='isLM'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='LM Event Source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'LM Event Source',
'yes',
6,
1,
'isLM');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=315
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
315,
29,
98,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=315,
rightclassix=29,
rightix=98,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=315
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=315
  AND rightclassix=28
  AND rightix=315
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
315,
28,
315,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=315,
rightclassix=28,
rightix=315,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=315
  AND rightclassix=28
  AND rightix=315
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Code de langue pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Code de langue pour analyse rétrospective',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(315,
'userlanguage',
'Code de langue pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=315
  AND handle='userencoding'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND handle='userencoding'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=315
  AND name='Codage du texte pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
315,
'Codage du texte pour analyse rétrospective',
'',
6,
0,
'userencoding');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(315,
'userencoding',
'Codage du texte pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=395
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
395,
'Syslog Cisco ASA à partir de l''hôte syslog',
'Syslog Cisco ASA à partir de l''hôte syslog',
29,
11);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=395,
Name='Syslog Cisco ASA à partir de l''hôte syslog',
Description='Syslog Cisco ASA à partir de l''hôte syslog',
ParentClassIX=29,
ParentIX=11

  WHERE ClassIX=28
  AND IX=395
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=395
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (395,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=395,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=395
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(395,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(395,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Program Path',
'../bin/wrapgetnewrecs.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Temporary file 1'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Temporary file 1',
'autogenerated',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Platform'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Platform',
'Syslog-CiscoAsa',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Log dir'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Log dir',
'/var/log/tsiem',
6,
1,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Regex of logfiles'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Regex of logfiles',
'syslog-[0-9][0-9]*-[0-9][0-9]*-[0-9][0-9]*\.log',
6,
1,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'System Name',
'',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(395,
'SystemName',
'System Name',
'',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Platform Type',
'Syslog-CiscoAsa',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='SyslogHost'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='SyslogHost'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Hôte syslog'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Hôte syslog',
'',
6,
0,
'SyslogHost');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Audited Machine Type',
'98',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(395,
'auditedmachinetype',
'Audited Machine Type',
'98',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='isLM'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='isLM'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='LM Event Source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'LM Event Source',
'yes',
6,
1,
'isLM');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=395
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
395,
29,
98,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=395,
rightclassix=29,
rightix=98,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=395
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=395
  AND rightclassix=28
  AND rightix=395
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
395,
28,
395,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=395,
rightclassix=28,
rightix=395,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=395
  AND rightclassix=28
  AND rightix=395
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Fichier de clés SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Fichier de clés SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Utilisateur SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Utilisateur SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Port SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Port SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Code de langue pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Code de langue pour analyse rétrospective',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(395,
'userlanguage',
'Code de langue pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=395
  AND handle='userencoding'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND handle='userencoding'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=395
  AND name='Codage du texte pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
395,
'Codage du texte pour analyse rétrospective',
'',
6,
0,
'userencoding');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(395,
'userencoding',
'Codage du texte pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=530
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
530,
'Récepteur syslog Cisco ASA',
'RealTime syslog à partir de Cisco ASA',
29,
11);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=530,
Name='Récepteur syslog Cisco ASA',
Description='RealTime syslog à partir de Cisco ASA',
ParentClassIX=29,
ParentIX=11

  WHERE ClassIX=28
  AND IX=530
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=530
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (530,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=530,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=530
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(530,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(530,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Actuator Type',
'realtime',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'System Name',
'',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(530,
'SystemName',
'System Name',
'',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Platform Type',
'Syslog-CiscoAsa',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='rtIP'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='rtIP'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Adresses source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Adresses source',
'*',
6,
0,
'rtIP');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='rtActive'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='rtActive'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='RealTimeMapping'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'RealTimeMapping',
'',
6,
1,
'rtActive');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(530,
'rtActive',
'RealTimeMapping',
'',
1,
1);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Audited Machine Type',
'98',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(530,
'auditedmachinetype',
'Audited Machine Type',
'98',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='isLM'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='isLM'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='LM Event Source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'LM Event Source',
'yes',
6,
1,
'isLM');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=530
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
530,
29,
98,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=530,
rightclassix=29,
rightix=98,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=530
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=530
  AND rightclassix=28
  AND rightix=530
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
530,
28,
530,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=530,
rightclassix=28,
rightix=530,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=530
  AND rightclassix=28
  AND rightix=530
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='ChunkDir'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='ChunkDir'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Répertoire de collecte'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Répertoire de collecte',
'/tmp',
6,
0,
'ChunkDir');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(530,
'ChunkDir',
'Répertoire de collecte',
'/tmp',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Code de langue pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Code de langue pour analyse rétrospective',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(530,
'userlanguage',
'Code de langue pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=530
  AND handle='userencoding'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND handle='userencoding'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=530
  AND name='Codage du texte pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
530,
'Codage du texte pour analyse rétrospective',
'',
6,
0,
'userencoding');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(530,
'userencoding',
'Codage du texte pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=394
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
394,
'Syslog Cisco ASA à partir de l''hôte syslog',
'Syslog Cisco ASA à partir de l''hôte syslog',
29,
16);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=394,
Name='Syslog Cisco ASA à partir de l''hôte syslog',
Description='Syslog Cisco ASA à partir de l''hôte syslog',
ParentClassIX=29,
ParentIX=16

  WHERE ClassIX=28
  AND IX=394
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=394
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (394,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=394,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=394
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(394,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(394,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Program Path',
'../bin/wrapgetnewrecs.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Temporary file 1'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Temporary file 1',
'autogenerated',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Platform'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Platform',
'Syslog-CiscoAsa',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Log dir'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Log dir',
'/var/log/tsiem',
6,
1,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Regex of logfiles'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Regex of logfiles',
'syslog-[0-9][0-9]*-[0-9][0-9]*-[0-9][0-9]*\.log',
6,
1,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'System Name',
'',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(394,
'SystemName',
'System Name',
'',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Platform Type',
'Syslog-CiscoAsa',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='SyslogHost'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='SyslogHost'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Hôte syslog'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Hôte syslog',
'',
6,
0,
'SyslogHost');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Audited Machine Type',
'98',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(394,
'auditedmachinetype',
'Audited Machine Type',
'98',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='isLM'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='isLM'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='LM Event Source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'LM Event Source',
'yes',
6,
1,
'isLM');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=394
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
394,
29,
98,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=394,
rightclassix=29,
rightix=98,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=394
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=394
  AND rightclassix=28
  AND rightix=394
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
394,
28,
394,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=394,
rightclassix=28,
rightix=394,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=394
  AND rightclassix=28
  AND rightix=394
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Fichier de clés SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Fichier de clés SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Utilisateur SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Utilisateur SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Port SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Port SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Code de langue pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Code de langue pour analyse rétrospective',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(394,
'userlanguage',
'Code de langue pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=394
  AND handle='userencoding'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND handle='userencoding'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=394
  AND name='Codage du texte pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
394,
'Codage du texte pour analyse rétrospective',
'',
6,
0,
'userencoding');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(394,
'userencoding',
'Codage du texte pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=578
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
578,
'Récepteur syslog Cisco ASA',
'RealTime syslog à partir de Cisco ASA',
29,
16);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=578,
Name='Récepteur syslog Cisco ASA',
Description='RealTime syslog à partir de Cisco ASA',
ParentClassIX=29,
ParentIX=16

  WHERE ClassIX=28
  AND IX=578
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=578
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (578,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=578,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=578
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(578,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(578,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Actuator Type',
'realtime',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'System Name',
'',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(578,
'SystemName',
'System Name',
'',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Platform Type',
'Syslog-CiscoAsa',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='rtIP'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='rtIP'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Adresses source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Adresses source',
'*',
6,
0,
'rtIP');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='rtActive'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='rtActive'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='RealTimeMapping'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'RealTimeMapping',
'',
6,
1,
'rtActive');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(578,
'rtActive',
'RealTimeMapping',
'',
1,
1);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Audited Machine Type',
'98',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(578,
'auditedmachinetype',
'Audited Machine Type',
'98',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='isLM'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='isLM'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='LM Event Source'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'LM Event Source',
'yes',
6,
1,
'isLM');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=578
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
578,
29,
98,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=578,
rightclassix=29,
rightix=98,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=578
  AND rightclassix=29
  AND rightix=98
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=578
  AND rightclassix=28
  AND rightix=578
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
578,
28,
578,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=578,
rightclassix=28,
rightix=578,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=578
  AND rightclassix=28
  AND rightix=578
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='ChunkDir'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='ChunkDir'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Répertoire de collecte'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Répertoire de collecte',
'/tmp',
6,
0,
'ChunkDir');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(578,
'ChunkDir',
'Répertoire de collecte',
'/tmp',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Code de langue pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Code de langue pour analyse rétrospective',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(578,
'userlanguage',
'Code de langue pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=578
  AND handle='userencoding'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND handle='userencoding'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=578
  AND name='Codage du texte pour analyse rétrospective'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
578,
'Codage du texte pour analyse rétrospective',
'',
6,
0,
'userencoding');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(578,
'userencoding',
'Codage du texte pour analyse rétrospective',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!
