-- Licensed Materials - Property of IBM
-- 5724-S67
-- (c) Copyright IBM Corp. 1998, 2008   All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=741
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
741,
'Raggruppamento di Linux Auditing Framework',
'Raggruppamento di Linux Auditing Framework su Linux',
29,
16);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=741,
Name='Raggruppamento di Linux Auditing Framework',
Description='Raggruppamento di Linux Auditing Framework su Linux',
ParentClassIX=29,
ParentIX=16

  WHERE ClassIX=28
  AND IX=741
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=741
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (741,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=741,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=741
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(741,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(741,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Program Path',
'../bin/getlafsgroups.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Temporary file'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Temporary file',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Grouping File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Grouping File',
'laf_group.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Codifica testo per tracciato di verifica'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Codifica testo per tracciato di verifica',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(741,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Platform Type',
'GROUPING',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=741
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=741
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
741,
'Audited Machine Type',
'16',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(741,
'auditedmachinetype',
'Audited Machine Type',
'16',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=741
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
741,
29,
16,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=741,
rightclassix=29,
rightix=16,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=741
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=737
  AND rightclassix=28
  AND rightix=741
  AND relation='UIS'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
737,
28,
741,
'UIS');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28
  , leftix=737
  , rightclassix=28
  , rightix=741
  , relation='UIS'

  WHERE leftclassix=28
  AND leftix=737
  AND rightclassix=28
  AND rightix=741
  AND relation='UIS'
;
END IF; 
END
!
 -- End Other 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=737
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
737,
'Linux Auditing Framework',
'Linux Auditing Framework su Linux',
29,
16);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=737,
Name='Linux Auditing Framework',
Description='Linux Auditing Framework su Linux',
ParentClassIX=29,
ParentIX=16

  WHERE ClassIX=28
  AND IX=737
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=737
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (737,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=737,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=737
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(737,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(737,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Program Path',
'../bin/genact-main-2',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Temporary file 1'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Temporary file 1',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='Logfile2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='Logfile2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Temporary file 2'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Temporary file 2',
'AUTOMATIC',
6,
1,
'Logfile2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Configuration File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Configuration File',
'./lafs.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='userencoding2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='userencoding2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Codifica testo'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Codifica testo',
'UTF-8',
6,
0,
'userencoding2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(737,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Platform Type',
'LAF',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Audited Machine Type',
'16',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(737,
'auditedmachinetype',
'Audited Machine Type',
'16',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=737
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
737,
29,
16,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=737,
rightclassix=29,
rightix=16,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=737
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=737
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=737
  AND name='Codice linguaggio per tracciato di verifica'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
737,
'Codice linguaggio per tracciato di verifica',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(737,
'userlanguage',
'Codice linguaggio per tracciato di verifica',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=742
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
742,
'Raggruppamento di Linux Auditing Framework tramite SSH',
'Raggruppamento di Linux Auditing Framework tramite SSH',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=742,
Name='Raggruppamento di Linux Auditing Framework tramite SSH',
Description='Raggruppamento di Linux Auditing Framework tramite SSH',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=742
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=742
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (742,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=742,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=742
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(742,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(742,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Program Path',
'../bin/getlafsgroups.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Temporary file'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Temporary file',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Grouping File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Grouping File',
'laf_group.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Codifica testo per tracciato di verifica'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Codifica testo per tracciato di verifica',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(742,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Platform Type',
'GROUPING',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(742,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=742
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
742,
29,
16,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=742,
rightclassix=29,
rightix=16,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=742
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=742
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
742,
29,
23,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=742,
rightclassix=29,
rightix=23,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=742
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=742
  AND rightclassix=28
  AND rightix=742
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
742,
28,
742,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=742,
rightclassix=28,
rightix=742,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=742
  AND rightclassix=28
  AND rightix=742
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=738
  AND rightclassix=28
  AND rightix=742
  AND relation='UIS'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
738,
28,
742,
'UIS');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=738,
rightclassix=28,
rightix=742,
relation='UIS'

  WHERE leftclassix=28
  AND leftix=738
  AND rightclassix=28
  AND rightix=742
  AND relation='UIS'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='File chiave SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'File chiave SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Utente SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Utente SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=742
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=742
  AND name='Porta SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
742,
'Porta SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=738
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
738,
'Linux Auditing Framework tramite SSH',
'Linux Auditing Framework tramite SSH',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=738,
Name='Linux Auditing Framework tramite SSH',
Description='Linux Auditing Framework tramite SSH',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=738
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=738
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (738,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=738,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=738
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(738,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(738,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Program Path',
'../bin/genact-main-2',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Temporary file 1'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Temporary file 1',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='Logfile2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='Logfile2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Temporary file 2'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Temporary file 2',
'AUTOMATIC',
6,
1,
'Logfile2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Configuration File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Configuration File',
'./lafs.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='userencoding2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='userencoding2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Codifica testo'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Codifica testo',
'UTF-8',
6,
0,
'userencoding2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(738,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Platform Type',
'LAF',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(738,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=738
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
738,
29,
16,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=738,
rightclassix=29,
rightix=16,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=738
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=738
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
738,
29,
23,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=738,
rightclassix=29,
rightix=23,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=738
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=738
  AND rightclassix=28
  AND rightix=738
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
738,
28,
738,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=738,
rightclassix=28,
rightix=738,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=738
  AND rightclassix=28
  AND rightix=738
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='File chiave SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'File chiave SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Utente SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Utente SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Porta SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Porta SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=738
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=738
  AND name='Codice linguaggio per tracciato di verifica'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
738,
'Codice linguaggio per tracciato di verifica',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(738,
'userlanguage',
'Codice linguaggio per tracciato di verifica',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=743
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
743,
'Raggruppamento di Linux Auditing Framework tramite SSH',
'Raggruppamento di Linux Auditing Framework tramite SSH',
29,
11);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=743,
Name='Raggruppamento di Linux Auditing Framework tramite SSH',
Description='Raggruppamento di Linux Auditing Framework tramite SSH',
ParentClassIX=29,
ParentIX=11

  WHERE ClassIX=28
  AND IX=743
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=743
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (743,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=743,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=743
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(743,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(743,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Program Path',
'../bin/getlafsgroups.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Temporary file'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Temporary file',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Grouping File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Grouping File',
'laf_group.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Codifica testo per tracciato di verifica'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Codifica testo per tracciato di verifica',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(743,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Platform Type',
'GROUPING',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(743,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=743
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
743,
29,
16,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=743,
rightclassix=29,
rightix=16,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=743
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=743
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
743,
29,
23,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=743,
rightclassix=29,
rightix=23,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=743
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=743
  AND rightclassix=28
  AND rightix=743
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
743,
28,
743,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=743,
rightclassix=28,
rightix=743,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=743
  AND rightclassix=28
  AND rightix=743
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=738
  AND rightclassix=28
  AND rightix=743
  AND relation='UIS'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
738,
28,
743,
'UIS');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=738,
rightclassix=28,
rightix=743,
relation='UIS'

  WHERE leftclassix=28
  AND leftix=738
  AND rightclassix=28
  AND rightix=743
  AND relation='UIS'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='File chiave SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'File chiave SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Utente SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Utente SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=743
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=743
  AND name='Porta SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
743,
'Porta SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=739
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
739,
'Linux Auditing Framework tramite SSH',
'Linux Auditing Framework tramite SSH',
29,
11);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=739,
Name='Linux Auditing Framework tramite SSH',
Description='Linux Auditing Framework tramite SSH',
ParentClassIX=29,
ParentIX=11

  WHERE ClassIX=28
  AND IX=739
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=739
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (739,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=739,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=739
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(739,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(739,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Program Path',
'../bin/genact-main-2',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Temporary file 1'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Temporary file 1',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='Logfile2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='Logfile2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Temporary file 2'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Temporary file 2',
'AUTOMATIC',
6,
1,
'Logfile2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Configuration File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Configuration File',
'./lafs.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='userencoding2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='userencoding2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Codifica testo'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Codifica testo',
'UTF-8',
6,
0,
'userencoding2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(739,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Platform Type',
'LAF',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(739,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=739
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
739,
29,
16,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=739,
rightclassix=29,
rightix=16,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=739
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=739
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
739,
29,
23,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=739,
rightclassix=29,
rightix=23,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=739
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=739
  AND rightclassix=28
  AND rightix=739
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
739,
28,
739,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=739,
rightclassix=28,
rightix=739,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=739
  AND rightclassix=28
  AND rightix=739
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='File chiave SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'File chiave SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Utente SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Utente SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Porta SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Porta SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=739
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=739
  AND name='Codice linguaggio per tracciato di verifica'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
739,
'Codice linguaggio per tracciato di verifica',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(739,
'userlanguage',
'Codice linguaggio per tracciato di verifica',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=744
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
744,
'Raggruppamento di Linux Auditing Framework tramite SSH',
'Raggruppamento di Linux Auditing Framework tramite SSH',
29,
16);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=744,
Name='Raggruppamento di Linux Auditing Framework tramite SSH',
Description='Raggruppamento di Linux Auditing Framework tramite SSH',
ParentClassIX=29,
ParentIX=16

  WHERE ClassIX=28
  AND IX=744
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=744
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (744,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=744,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=744
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(744,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(744,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Program Path',
'../bin/getlafsgroups.sh',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Temporary file'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Temporary file',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Grouping File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Grouping File',
'laf_group.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='userencoding1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='userencoding1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Codifica testo per tracciato di verifica'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Codifica testo per tracciato di verifica',
'UTF-8',
6,
0,
'userencoding1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(744,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Platform Type',
'GROUPING',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(744,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=744
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
744,
29,
16,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=744,
rightclassix=29,
rightix=16,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=744
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=744
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
744,
29,
23,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=744,
rightclassix=29,
rightix=23,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=744
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=744
  AND rightclassix=28
  AND rightix=744
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
744,
28,
744,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=744,
rightclassix=28,
rightix=744,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=744
  AND rightclassix=28
  AND rightix=744
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=738
  AND rightclassix=28
  AND rightix=744
  AND relation='UIS'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
738,
28,
744,
'UIS');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=738,
rightclassix=28,
rightix=744,
relation='UIS'

  WHERE leftclassix=28
  AND leftix=738
  AND rightclassix=28
  AND rightix=744
  AND relation='UIS'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='File chiave SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'File chiave SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Utente SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Utente SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=744
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=744
  AND name='Porta SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
744,
'Porta SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition


-- END of SQL BLOCK


!

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=740
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
740,
'Linux Auditing Framework tramite SSH',
'Linux Auditing Framework tramite SSH',
29,
16);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=740,
Name='Linux Auditing Framework tramite SSH',
Description='Linux Auditing Framework tramite SSH',
ParentClassIX=29,
ParentIX=16

  WHERE ClassIX=28
  AND IX=740
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=740
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (740,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=740,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=740
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Name of Executable',
'../bin/actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(740,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Log File Name',
'../log/AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(740,
'CommandLine2',
'Log File Name',
'../log/AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Program Path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Program Path',
'../bin/genact-main-2',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Temporary file 1'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Temporary file 1',
'AUTOMATIC',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='Logfile2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='Logfile2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Temporary file 2'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Temporary file 2',
'AUTOMATIC',
6,
1,
'Logfile2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Configuration File'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Configuration File',
'./lafs.cfg',
6,
1,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='userencoding2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='userencoding2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Codifica testo'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Codifica testo',
'UTF-8',
6,
0,
'userencoding2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Source System Name',
'AUTOMATIC',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(740,
'SystemName',
'Source System Name',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Platform Type',
'LAF',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(740,
'auditedmachinetype',
'Audited Machine Type',
'13',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=740
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
740,
29,
16,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=740,
rightclassix=29,
rightix=16,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=740
  AND rightclassix=29
  AND rightix=16
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=740
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
740,
29,
23,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=740,
rightclassix=29,
rightix=23,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=740
  AND rightclassix=29
  AND rightix=23
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=740
  AND rightclassix=28
  AND rightix=740
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
740,
28,
740,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=740,
rightclassix=28,
rightix=740,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=740
  AND rightclassix=28
  AND rightix=740
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Audited Machine Type',
'13',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='SSHKeyFile'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='SSHKeyFile'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='File chiave SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'File chiave SSH',
'audhost-tsiem.ppk',
6,
0,
'SSHKeyFile');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='SSHUser'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='SSHUser'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Utente SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Utente SSH',
'tsiemssh',
6,
0,
'SSHUser');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='SSHPort'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='SSHPort'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Porta SSH'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Porta SSH',
'22',
6,
0,
'SSHPort');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=740
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=740
  AND name='Codice linguaggio per tracciato di verifica'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
740,
'Codice linguaggio per tracciato di verifica',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(740,
'userlanguage',
'Codice linguaggio per tracciato di verifica',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!
