-- Licensed Materials - Property of IBM
-- 5724-S67
-- (c) Copyright IBM Corp. 1998, 2008   All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

-- START of SQL BLOCK

-- procedure InsertUpdatePropInstanceProc must have already been created
-- See script \sql\db2\insertUpdatePropInstanceProc.sql


BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (
SELECT COUNT(*)
                FROM   &&DATABASE..Object
                WHERE     ClassIX=28
  AND IX=148
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..Object(ClassIX,
IX,
Name,
Description,
ParentClassIX,
ParentIX) VALUES (28,
148,
'HP Tru64 UNIX',
'Подсистема аудита HP Tru64 UNIX',
29,
13);

ELSE
  UPDATE &&DATABASE..Object
  SET ClassIX=28,
IX=148,
Name='HP Tru64 UNIX',
Description='Подсистема аудита HP Tru64 UNIX',
ParentClassIX=29,
ParentIX=13

  WHERE ClassIX=28
  AND IX=148
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..SysPlatform
                WHERE     SysPltfIX=148
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..SysPlatform(SysPltfIX,
SysPltfAudActrID,
SysPltfSysActrID) VALUES (148,
'1.2.4.20',
'0.0.0');

ELSE
  UPDATE &&DATABASE..SysPlatform
  SET SysPltfIX=148,
SysPltfAudActrID='1.2.4.20',
SysPltfSysActrID='0.0.0'

  WHERE SysPltfIX=148
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='CommandLine0'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='CommandLine0'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Name of Executable'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Name of Executable',
'..\bin\actuator',
6,
1,
'CommandLine0');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='CommandLine1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='CommandLine1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Connect String'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Connect String',
'AUTOMATIC',
6,
1,
'CommandLine1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(148,
'CommandLine1',
'Connect String',
'AUTOMATIC',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='CommandLine2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='CommandLine2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Log File Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Log File Name',
'..\log\AUTOMATIC.log',
6,
1,
'CommandLine2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(148,
'CommandLine2',
'Log File Name',
'..\log\AUTOMATIC.log',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Program'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Program'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Program path'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Program path',
'..\bin\gettru64logs.bat',
6,
1,
'Program');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Logfile1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Logfile1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Temporary file 1'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Temporary file 1',
'tru64_trail.tmp',
6,
1,
'Logfile1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Logfile2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Logfile2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Temporary file 2'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Temporary file 2',
'tru64_passwd.tmp',
6,
1,
'Logfile2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Logfile3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Logfile3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Temporary file 3'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Temporary file 3',
'tru64_group.tmp',
6,
1,
'Logfile3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Logfile4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Logfile4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Temporary file 4'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Temporary file 4',
'',
6,
1,
'Logfile4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Option1'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Option1'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Очистка данных'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Очистка данных',
'',
6,
0,
'Option1');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Option2'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Option2'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='FTP-сервер'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'FTP-сервер',
'',
6,
0,
'Option2');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Option3'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Option3'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Шаблон журнала аудита'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Шаблон журнала аудита',
'/var/log/auditlog.*',
6,
0,
'Option3');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Option4'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Option4'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Каталог файлов Passwd/Group'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Каталог файлов Passwd/Group',
'/etc',
6,
0,
'Option4');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Option5'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Option5'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Имя пользователя FTP'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Имя пользователя FTP',
'',
6,
0,
'Option5');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Option6'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Option6'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Пароль FTP'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Пароль FTP',
'',
6,
0,
'Option6');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='PlatformType'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='PlatformType'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Platform Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Platform Type',
'HP Tru64 UNIX',
6,
1,
'PlatformType');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='ChunkTool'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='ChunkTool'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Actuator Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Actuator Type',
'generic',
6,
1,
'ChunkTool');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='SystemName'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='SystemName'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Source System Name'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Source System Name',
'',
6,
1,
'SystemName');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(148,
'SystemName',
'Source System Name',
'',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='auditedmachinetype'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='auditedmachinetype'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Audited Machine Type'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Audited Machine Type',
'20',
6,
1,
'auditedmachinetype');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(148,
'auditedmachinetype',
'Audited Machine Type',
'20',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=148
  AND rightclassix=29
  AND rightix=20
  AND relation='SP supported by AMT'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
148,
29,
20,
'SP supported by AMT');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=148,
rightclassix=29,
rightix=20,
relation='SP supported by AMT'

  WHERE leftclassix=28
  AND leftix=148
  AND rightclassix=29
  AND rightix=20
  AND relation='SP supported by AMT'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Other 
-- 
-- Insert or Update record
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..ObjectRelation
                WHERE     leftclassix=28
  AND leftix=148
  AND rightclassix=28
  AND rightix=148
  AND relation='remotable'
);
  IF ( iCount = 0) THEN 
INSERT INTO &&DATABASE..ObjectRelation(leftclassix,
leftix,
rightclassix,
rightix,
relation) VALUES (28,
148,
28,
148,
'remotable');

ELSE
  UPDATE &&DATABASE..ObjectRelation
  SET leftclassix=28,
leftix=148,
rightclassix=28,
rightix=148,
relation='remotable'

  WHERE leftclassix=28
  AND leftix=148
  AND rightclassix=28
  AND rightix=148
  AND relation='remotable'
;
END IF; 
END
!
 -- End Other 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='Hide'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='Hide'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Hide'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Hide',
'Option6',
6,
1,
'Hide');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(148,
'Hide',
'Hide',
'Option6',
1,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='userlanguage'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='userlanguage'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Код языка для журнала аудита'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Код языка для журнала аудита',
'',
6,
0,
'userlanguage');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(148,
'userlanguage',
'Код языка для журнала аудита',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 

BEGIN ATOMIC -- Start Properties.rec* : Insert or Update Property Definition
  DECLARE iCount INT;
  SET iCount = (SELECT COUNT(*)
                FROM   &&DATABASE..Properties
                WHERE     classix=28
  AND ix=148
  AND handle='userencoding'
);
  IF ( iCount > 0) THEN 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND handle='userencoding'
;
END IF; 
  DELETE FROM &&DATABASE..Properties
  WHERE classix=28
  AND ix=148
  AND name='Кодировка текста для журнала аудита'
;

INSERT INTO &&DATABASE..Properties(classix,
ix,
name,
value,
type,
scope,
handle) VALUES (28,
148,
'Кодировка текста для журнала аудита',
'',
6,
0,
'userencoding');

END
!
 -- End Properties.rec* : Insert or Update Property Definition

BEGIN ATOMIC -- Start Properties.^recinst.+ 
-- 
-- Insert or Update Property Instance
CALL &&DATABASE..insertUpdatePropInstance(148,
'userencoding',
'Кодировка текста для журнала аудита',
'',
0,
0);
END
!
 -- End Properties.^recinst.+ 


-- END of SQL BLOCK


!
