/// DOMINO_5.src.gml - Licensed Materials ­ Property of IBM
/// DOMINO_5.src.gml - 5724-S67
/// DOMINO_5.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// DOMINO_5.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

//

//

//
key PlatformCreateKey(platformname,platformtype) 
key OriginRefKey(platformname,platformtype) 
key TargetRefKey(platformname,platformtype) 

key ObjectRefKey(objectname,objectpath,objecttype)
key SourceRefKey(realname,logonname)
key StreamRefKey(description)
key EventDetailKey(miscellaneous,reason,recordtype)

initial final state CreateServer
 (( platformevent eq "server" ))

  Remember("epiname", CreateServer.onserver)
endstate

initial final state Domino
 (( platformevent ne "server" ))

  epiname := Recall("epiname")
  if (epiname eq null) then
    epiname := Domino.commonname
  endif    
  epname := "DOMINO"
  platformname:=Trim(epiname,"NOTES")
  platformtype:=epname
  platform := GetPlatform(PlatformCreateKey)

  platformname:=Trim(Domino.fromwhere,epiname,"NOTES")
  origin:=GetOrigin(OriginRefKey)
  platformname:=Trim(Domino.whereto,epiname,"NOTES")
  target:=GetTarget(TargetRefKey)

  if (Domino.server ne null) then
    objectname := Domino.fromwhere
    objectpath := Domino.server
    objecttype := "SESSION"
  else if (Domino.entry ne null) then
    objectname := "Entry"
    objectpath := Domino.dbase
    objecttype := "DBOBJECT"
  else if (Domino.subsys eq "AMgr") then
    objectpath := Trim(Domino.dbase,".")
    if (Domino.doc ne null) then
      objectname := Domino.doc
      objecttype := "DOCUMENT"
    else if (Domino.agent ne null) then
      objectname := Domino.agent
      objecttype := "PROCESS"
    else
      objectname := Trim(Domino.objectname,"-")
      objectpath := Trim(Domino.objectpath,".")
      objecttype := Trim(Domino.objecttype,"DATABASE")
    endif endif
  else if (Domino.doc ne null) then
    objectname := Domino.doc
    objectpath := Domino.dbase
    objecttype := Trim(Domino.objecttype,"PROCESS")
  else if (Domino.user ne null) then
    objectname := Domino.dbase
    objectpath := "."
    objecttype := "DATABASE"
  else if (Domino.recipient ne null) then
    objectname := Domino.recipient
    if (Domino.protocol ne null) then
      objectpath := Domino.protocol
    else
      objectpath := "."
    endif
    objecttype := "EMAIL"    
  else if (Domino.useradmin ne null) then
    objectname := Trim(Domino.objectname,"-")
    objectpath := Trim(Domino.servername,".")
    objecttype := Trim(Domino.objecttype,"SYSTEM")
  else
    objectname := Trim(Domino.objectname,epiname)
    objectpath := Trim(Domino.objectpath,"-")
    objecttype := Trim(Domino.objecttype,"SYSTEM")
  endif endif endif endif endif endif endif
  object := GetObject(ObjectRefKey)

  if (Domino.user ne null) then
    if (Domino.domain ne null) then
      realname := Append(Domino.user,"/",Domino.domain)
    else
      realname := Domino.user
    endif      
    logonname := Domino.user
  else if (Domino.message ne null) then
    realname := epiname
    logonname := epiname
  else if (Domino.subsys eq "AMgr") then
    realname := "Agent Manager"
    logonname := "Agent Manager"
  else if (Domino.subsys eq "SchedMgr") then
    realname := "Schedule Manager"
    logonname := "Schedule Manager"
  else if (Domino.sender ne null and Domino.sender ne "") then

    realname := Domino.sender
    logonname := Domino.sender
  else if (Domino.subsys ne null ) then
    realname := Domino.subsys
    logonname := Domino.subsys
  else if (Domino.useradmin ne null ) then
    realname := Domino.useradmin
    logonname := Domino.useradmin
  else
    realname := "Unavailable"
    logonname := "Unavailable"    
  endif endif endif endif endif endif endif
  src       := logonname
  source := GetSource(SourceRefKey)

  description := Append(epiname, "/", logonname)
  stream := GetStream(StreamRefKey)

  case Domino.mainclass of
    "Updated":
       eventmainclass := "Update"
    "Added":
       eventmainclass := "Add"
    "Removed":
       eventmainclass := "Remove"    
    otherwise       
       eventmainclass := Domino.mainclass
  endcase
  if (Domino.class ne null) then
    eventclass := Domino.class
  endif
  if (Domino.success ne null) then
    successclass := Domino.success
  else
    successclass := "Success"
  endif
  if (Domino.useradmin ne null) then

    if (Domino.success ne "0") then
       successclass:= "Failure"
    else
       successclass:= "Success"
    endif
  endif

  if (Domino.platformeventtime eq null) then
    eventtimestamp := Recall("timestamp")
  else
    eventtimestamp := Domino.platformeventtime
    Remember("timestamp", Domino.platformeventtime)
  endif

  chunk := Domino
  reason := Trim(Domino.erroraspect,null)
  miscellaneous := Trim(Domino.msg,null)
  recordtype :=Trim(Domino.platformevent,null)
  event := GetEvent(EventDetailKey)

endstate
