/// FW1_4_1.src.gml - Licensed Materials ­ Property of IBM
/// FW1_4_1.src.gml - 5724-S67
/// FW1_4_1.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// FW1_4_1.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

//

//

//

key ObjectRefKey(objectname,
                 objectpath,
                 objecttype)

key SourceRefKey(logonname)

key StreamRefKey(description)

key PlatformRefKey(platformname)

key EventDetailKey(
                   action,
                   interface,
                   message,
                   endtime,
                   reason,
                   resource,
                   service,
                   IKE_Log_,
                   rule)
first state Setup
    preserve := "dst,src"
    description:="Activity"
    equality:="orig"
    data:=""
    period:=GetIniProperty("ActivityPeriod","600000") 
    threshold:=GetIniProperty("ActivityThreshold","1200")
    activityalerter:=GetListener(SumCounter)
    preserve := null
    Listen(activityalerter,Setup)

    description:="Aggregator"
    equality:= "orig,action,i_f_name,i_f_dir,protocol,src,dst,service"
    targets:=""
    separator:="."
    period:=GetIniProperty("AggregationPeriod","600000")
    threshold:=GetIniProperty("AggregationThreshold","1")
    aggregator:=GetListener(Aggregator)
    Listen(aggregator,Setup)

    description:="HostScan"
    preserve := "dst"
    equality:="orig,action,i_f_name,i_f_dir,src,protocol,service"
    data:="dst"
    period:=GetIniProperty("HostScanPeriod","300000") 
    threshold:=GetIniProperty("HostScanThreshold","100")
    hostscandetector:=GetListener(DataCounter)
    preserve := null
    Listen(hostscandetector,Setup)

    description:="PortScan"
    equality:="orig,action,i_f_name,i_f_dir,src,dst"
    data:="service"
    period:=GetIniProperty("PortScanPeriod","300000") 
    threshold:=GetIniProperty("PortScanThreshold","10")
    portscandetector:=GetListener(DataCounter)
    Listen(portscandetector,Setup)

    interfacedef:=Trim(GetChunkProperty(Setup,"Option2"))
    if interfacedef ne " " then 
      if RegexMatch(interfacedef, "([^,]+),([^:]+):([^ ]+)") <> "0" then

        if RegexRef("2") eq RegexRef("3") then 
          Remember("boundary", RegexRef("1"), "copy")
        endif
      else
        index := RegexMatch(interfacedef, "([^;]+);?")
        if index <> "0" then

          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "([^;]+);?", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "(.+)", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      endif
    endif

    interfacedef:=Trim(GetChunkProperty(Setup,"Option3"))
    if interfacedef ne " " then
      if RegexMatch(interfacedef, "([^,]+),([^:]+):([^ ]+)") <> "0" then
        if RegexRef("2") eq RegexRef("3") then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      else
        index := RegexMatch(interfacedef, "([^;]+);?")
        if index <> "0" then

          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "([^;]+);?", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "(.+)", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      endif
    endif

    interfacedef:=Trim(GetChunkProperty(Setup,"Option4"))
    if interfacedef ne " " then
      if RegexMatch(interfacedef, "([^,]+),([^:]+):([^ ]+)") <> "0" then
        if RegexRef("2") eq RegexRef("3") then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      else
        index := RegexMatch(interfacedef, "([^;]+);?")
        if index <> "0" then

          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "([^;]+);?", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "(.+)", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      endif
    endif

    interfacedef:=Trim(GetChunkProperty(Setup,"Option5"))
    if interfacedef ne " " then
      if RegexMatch(interfacedef, "([^,]+),([^:]+):([^ ]+)") <> "0" then
        if RegexRef("2") eq RegexRef("3") then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      else
        index := RegexMatch(interfacedef, "([^;]+);?")
        if index <> "0" then

          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "([^;]+);?", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "(.+)", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      endif
    endif

    interfacedef:=Trim(GetChunkProperty(Setup,"Option6"))
    if interfacedef ne " " then
      if RegexMatch(interfacedef, "([^,]+),([^:]+):([^ ]+)") <> "0" then
        if RegexRef("2") eq RegexRef("3") then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      else
        index := RegexMatch(interfacedef, "([^;]+);?")
        if index <> "0" then

          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "([^;]+);?", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "(.+)", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      endif
    endif

    interfacedef:=Trim(GetChunkProperty(Setup,"Option7"))
    if interfacedef ne " " then
      if RegexMatch(interfacedef, "([^,]+),([^:]+):([^ ]+)") <> "0" then
        if RegexRef("2") eq RegexRef("3") then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      else
        index := RegexMatch(interfacedef, "([^;]+);?")
        if index <> "0" then

          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "([^;]+);?", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "(.+)", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      endif
    endif

    interfacedef:=Trim(GetChunkProperty(Setup,"Option8"))
    if interfacedef ne " " then
      if RegexMatch(interfacedef, "([^,]+),([^:]+):([^ ]+)") <> "0" then
        if RegexRef("2") eq RegexRef("3") then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      else
        index := RegexMatch(interfacedef, "([^;]+);?")
        if index <> "0" then

          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "([^;]+);?", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "(.+)", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      endif
    endif

    interfacedef:=Trim(GetChunkProperty(Setup,"Option9"))
    if interfacedef ne " " then
      if RegexMatch(interfacedef, "([^,]+),([^:]+):([^ ]+)") <> "0" then
        if RegexRef("2") eq RegexRef("3") then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      else
        index := RegexMatch(interfacedef, "([^;]+);?")
        if index <> "0" then

          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "([^;]+);?", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
          index := RegexMatch(interfacedef, "(.+)", index)
        endif
        if index <> "0" then
          Remember("boundary", RegexRef("1"), "copy")
        endif
      endif
    endif

    Remember("swap", "inbound", "outbound")
    Remember("swap", "outbound", "inbound")

    MoveTo(ListenState)
endstate

last state Shutdown
  if aggregator ne null then 
    StopListening(aggregator)
    StopListening(activityalerter)
    StopListening(portscandetector)
    StopListening(hostscandetector)
  endif
endstate

state ListenState(platformeventcount eq null)
  Listen(aggregator,ListenState)
  Listen(activityalerter,ListenState)
  Listen(hostscandetector,ListenState)
  Listen(portscandetector,ListenState)
endstate

initial state Event(platformeventcount ne null)

  platformname := Trim(Event.orig,
                       GetChunkProperty(Event,"SystemName"),
                       "Unavailable")
  platformtype       := "FIREWALL1"
  platform           := GetPlatform(PlatformRefKey)

  platformtype := "Host"
  platformname := Trim(Event.src, "Unavailable")
  origin := GetOrigin(PlatformRefKey)

  platformtype := "Host"
  platformname := Trim(Event.dst, "Unavailable")
  target := GetTarget(PlatformRefKey)

  if Event.user ne null then
    if Event.user eq "<no_auth>"  then
      logonname := "Anonymous"
      realname := "Anonymous"
    else
      logonname := Event.user
      realname  := Event.user
    endif
  else
    logonname := "Anonymous"
    realname  := "Anonymous"
  endif
  source    := GetSource(SourceRefKey)

  description := Append("source=",src)
  stream := GetStream(StreamRefKey)

  eventtimestamp := Event.platformeventtime

  chunk              := Event
  interface          := Event.i_f_name
  logrecordtype      := "FireWall1"

  if interface eq "daemon" then 
    MoveTo(DropEvent)
  else

    case Event.platformevent of
    "FireWall-1":
      MoveTo(AggregatedEvent)
    otherwise
      MoveTo(ThresholdEvent)
    endcase
  endif
endstate

final state DropEvent

endstate

final state ThresholdEvent

 case Event.description of
   "HostScan":
      objecttype := "Net"
      objectpath := "-"
      objectname := Event.platformeventcount
   "PortScan":
      objecttype := "Host"
      objectpath := Trim(Event.dst,"-")
      objectname := Event.platformeventcount
   "Activity":
      objecttype := "Activity"
      objectpath := Event.period
      objectname := Event.platformeventcount
   otherwise
      objecttype := "Object"
      objectpath := "-"         
      objectname := "-"
 endcase

 object := GetObject(ObjectRefKey)

 eventmainclass:="Alert"
 eventclass := Trim(Event.description,"Aggregate")
 successclass:="Success"

 alerttype:=Event.description
 threshold:=Event.threshold
 period:= Event.period
 message:= Event.message
 endtime:=Trim(Event.platformeventendtime,null)
 event := GetEvent(EventDetailKey)
endstate

final state AggregatedEvent
  if Recall("boundary", Event.i_f_name) ne "copy" then

    direction := Recall("swap", Event.i_f_dir)
  else 
    direction := Event.i_f_dir
  endif

  destination := Trim(Event.dst,
                      GetChunkProperty(Event,"SystemName"),
                      "Unavailable")
  if (Event.action eq "ctl" and Event.src eq null) then
    objecttype := "Object"
    objectpath := "-"
    objectname := "-"
  else
    objectpath := destination
    case Event.protocol of
      "tcp": 
        objecttype := "tcp"
        objectname := Trim(Event.service,"-")
      "udp":
        objecttype := "udp"
        objectname := Trim(Event.service,"-")
      "icmp":
        objecttype := "icmp"
        objectname := Trim(Event.icmp_type,"-")
    otherwise
      objecttype := Trim(Event.protocol,"Other")
      objectname := Trim(Event.service,"-")
    endcase
  endif

  object := GetObject(ObjectRefKey)

  if Event.action eq "ctl" then
    eventmainclass := "Start"
    eventclass := "System"
    successclass := "Success"
  else
    eventmainclass := NormalizeString(Trim(direction,"Connection"))
    eventclass := Trim(Event.eventclass,"Other")
    if (Event.action eq "accept") then
      successclass := "Success"
    else
      successclass := "Failure"
    endif
  endif

  action:=Event.action

  service:=Event.service
  threshold:=Event.threshold
  port:=Event.port
  rule:=Event.rule
  action:=Event.action
  message:=Event.sys_msgs

  if Event.xlatesrc ne null then
  translated := Append("translated to(s:d:p) ",
                       Event.xlatesrc,":",
                       Event.xlatedst,":",
                       Event.xlatedport)
  endif
  if icmp_type ne null then
    icmp_type:=Append(Event.icmp_type,":",Event.icmp_code)
  endif
  reason:=Event.reason
  if Event.reason_ ne null then
    reason:=Event.reason_
  endif
  resource:=Event.resource
  ike_log:=Event.IKE_Log_

  eventcount:=Event.platformeventcount
  endtime:=Trim(Event.platformeventendtime,null)
  event := GetEvent(EventDetailKey)
endstate

