/// FW1_4_1_audit.src.gml - Licensed Materials ­ Property of IBM
/// FW1_4_1_audit.src.gml - 5724-S67
/// FW1_4_1_audit.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// FW1_4_1_audit.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key DummyKey(dummy)
key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceAspectKey(originator)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(operation, object_name, object_type, information, changes)

initial state FW1_AUDIT

	eventmainclass := FW1_AUDIT.eventmainclass
	eventclass     := FW1_AUDIT.eventclass
	successclass   := FW1_AUDIT.successclass 

	eventtimestamp := FW1_AUDIT.platformeventtime

	logonname := FW1_AUDIT.username
	realname  := FW1_AUDIT.username

	if (FW1_AUDIT.objectpath eq "" or FW1_AUDIT.objectpath eq "'-'") then objectpath := "-"
	else objectpath	   := FW1_AUDIT.objectpath
	endif

	if (FW1_AUDIT.objectname eq "" or FW1_AUDIT.objectname eq "'-'") then objectname := "-"
	else objectname	   := FW1_AUDIT.objectname
	endif

	objecttype     := FW1_AUDIT.objecttype 

	platformtype := Uppercase(GetChunkProperty(FW1_AUDIT,"platformtype"))
	platformname := Uppercase(GetChunkProperty(FW1_AUDIT,"platformname"))

	operation	:= FW1_AUDIT.operation
	object_name := FW1_AUDIT.objname
	object_type := FW1_AUDIT.objtype
	information := FW1_AUDIT.information
	changes		:= FW1_AUDIT.changes

	if (FW1_AUDIT.opnum >= "0" and FW1_AUDIT.opnum <= "4" and objecttype eq "UNKNOWN") 
	then MoveTo (ProcessObject)
	else MoveTo (Finish)
	endif

endstate

state ProcessObject

	l_objecttype := Lowercase(FW1_AUDIT.objtype)
	if (RegexMatch(l_objecttype, "_(.*?)$") <> "0")
	then case RegexRef("1") of
			"community":
				eventclass := "Community"
				objecttype := "COMMUNITY"
			"group":
				eventclass := "Group"
				objecttype := "GROUP"
			"license":
				eventclass := "License"
				objecttype := "LICENSE"			
			"policy":
				eventclass := "Policy"
				objecttype := "POLICY"			
			"resource":
				eventclass := "Resource"
				objecttype := "RESOURCE"			
			"service":
				eventclass := "Service"
				objecttype := "SERVICE"			
			"server":
				eventclass := "Server"
				objecttype := "SERVER"			
			"template":
				eventclass := "Template"
				objecttype := "TEMPLATE"			
			"version":		
				eventclass := "Version"
				objecttype := "VERSION"	
		endcase
	endif

	if (objecttype eq "UNKNOWN") then MoveTo(Trash)
	else MoveTo(Finish)
	endif

endstate

final state Trash
endstate

final state Finish  

	description := platformname

	source   := GetSource(DummyKey)
	object   := GetObject(DummyKey)
	platform := GetPlatform(DummyKey)	
	origin   := GetOrigin(DummyKey)
	target   := GetTarget(DummyKey)	
	stream   := GetStream(DummyKey)  
	chunk    := FW1_AUDIT
	event    := GetEvent(EventDetailKey)  

endstate	
