/// McAfeeePO.src.gml - Licensed Materials ­ Property of IBM
/// McAfeeePO.src.gml - 5724-S67
/// McAfeeePO.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// McAfeeePO.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key ObjectRefKey(objecttype,objectname,objectpath)
key OriginRefKey(platformname,platformtype)
key PlatformRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailRefKey(virusname,virustype,severity,value,newvalue,engineversion,datversion,description)

initial final state mcafee_epo
    eventclass     := mcafee_epo.eventclass
    eventmainclass := mcafee_epo.eventmainclass
    successclass := mcafee_epo.successclass
    objecttype := mcafee_epo.objecttype
    objectpath := mcafee_epo.objectpath
    case mcafee_epo.objectpath of
        "P1":
            objectpath := Path(mcafee_epo.filename)

        "P3":
            objectpath := "."
    endcase

    case mcafee_epo.objectname of
        "N1":
           objectname := Filename(mcafee_epo.filename)

        "N2":
            objectname := mcafee_epo.filename

        "N4":
            objectname := mcafee_epo.taskname

        "N5":
            objectname := mcafee_epo.productname

        "N7":
            objectname := Path(mcafee_epo.filename)

        "N8":
            objectname := Trim(mcafee_epo.hostname,mcafee_epo.hostname)
            objectname := Trim(objectname,mcafee_epo.hostipaddress)
        "N9":
            objectname := Trim(mcafee_epo.processname,mcafee_epo.taskname)
            objectname := Trim(objectname,"Unavailable")
       endcase

    objectpath := NormalizeString(Trim(objectpath,"Unavailable"))
    objectname := NormalizeString(Trim(objectname,"Unavailable"))
    object     := GetObject(ObjectRefKey)

    tempvalue := Trim(mcafee_epo.hostname,mcafee_epo.hostipaddress)

    platformtype := "Windows"
    platformname := Trim(mcafee_epo.sourcecomp,tempvalue)
    platformname := Trim(platformname,"Unavailable")
    origin       := GetOrigin(OriginRefKey)

    platformname := Trim(tempvalue,"Unavailable")
    platform     := GetPlatform(PlatformRefKey)

    platformname := Trim(mcafee_epo.hostname,tempvalue)
    platformname := Trim(platformname,"Unavailable")
    target       := GetTarget(TargetRefKey)

    value1    := Trim(tempvalue,"Unavailable")
    value2    := Trim(mcafee_epo.username,"Unavailable")
    logonname := Append(value1,"/",value2)
    realname  := logonname
    source    := GetSource(SourceRefKey)

    stream := GetStream(StreamRefKey)

    chunk := mcafee_epo
    eventtimestamp := mcafee_epo.platformeventtime

    if (mcafee_epo.description ne "-") then
        description := mcafee_epo.description
    endif

    if (mcafee_epo.severity ne "-") then
        severity := mcafee_epo.severity
    endif

    case mcafee_epo.aspects of
        "A1":
            virusname := Trim(mcafee_epo.virusname,"Unavailable")
            virustype := Trim(mcafee_epo.virustype,"Unavailable")
            engineversion := Trim(mcafee_epo.engineversion,"Unavailable")
            datversion := Trim(mcafee_epo.datversion,"Unavailable")
        "A2":
            engineversion := Trim(mcafee_epo.engineversion,"Unavailable")
            datversion := Trim(mcafee_epo.datversion,"Unavailable")
        "A3":
            engineversion := Trim(mcafee_epo.engineversion,"Unavailable")
            datversion := Trim(mcafee_epo.datversion,"Unavailable")
        "A4":
            virusname := Trim(mcafee_epo.virusname,"Unavailable")
            virustype := Trim(mcafee_epo.virustype,"Unavailable")
            engineversion := Trim(mcafee_epo.engineversion,"Unavailable")
            datversion := Trim(mcafee_epo.datversion,"Unavailable")
            value := Trim(mcafee_epo.filename,"Unavailable")
        "A5":
            engineversion := Trim(mcafee_epo.engineversion,"Unavailable")
            datversion := Trim(mcafee_epo.datversion,"Unavailable")
            value := Trim(mcafee_epo.taskname,"Unavailable")
        "A6":
            engineversion := Trim(mcafee_epo.engineversion,"Unavailable")
            datversion := Trim(mcafee_epo.datversion,"Unavailable")
            value := Trim(mcafee_epo.productname,"Unavailable")
        "A7":
            value := Trim(mcafee_epo.productname,"Unavailable")
        "A8":
            value := Trim(mcafee_epo.filename,"Unavailable")
        "A9":
            $v1    := Trim(mcafee_epo.productcode,"Unavailable")
            $v2    := Trim(mcafee_epo.type,"Unavailable")
            $v3    := Trim(mcafee_epo.version,"Unavailable")
            $v := Append($v1,"/",$v2)
            newvalue := Append ($v,"/",$v3)

    endcase
    event := GetEvent(EventDetailRefKey)
endstate
