/// OPICS.src.gml - Licensed Materials ­ Property of IBM
/// OPICS.src.gml - 5724-S67
/// OPICS.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// OPICS.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

//

//

key EpiCreateKey(platformname,platformtype)
key ObjectRefKey(objectname,objectpath,objecttype)
key SourceRefKey(origin,originator)
key StreamTimeKey(streamtimestamp)
key StreamRefKey(description)
key EventCreateKey(miscellaneous,logrecordtype)
key OriginRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)

initial state Opics (platformevent ne "dbio_return")
 epname := "OPICS"

 servername := GetChunkProperty(Opics,"platformname")
 if Opics.workstation ne null then
   epiname := Trim(Opics.workstation)
 else
   epiname := "[BATCH]"
 endif

 if Opics.pcid ne null then
   if Trim(Opics.pcid) ne "" then
     Remember("epi2pcid", epiname, Trim(Opics.pcid))
     epiname := Append(epiname, "-", Opics.pcid)
     subject := Append(Trim(Opics.pcid), "/", Trim(Opics.userid))
   else
     opicspcid := Recall("epi2pcid", epiname)
     epiname := Append(epiname, "-", opicspcid)
     subject := Append(opicspcid, "/", Trim(Opics.userid))
   endif

 endif
 platformname:=servername
 platformtype:=epname
 epi := GetPlatform(EpiCreateKey)
 platform:=epi

 subjectname := subject

 originator := subject
 realname:=Trim(originator,"Anonymous")
 logonname:=Trim(subjectname,"Anonymous")

 objecttype := Trim(Opics.objecttype,"Unknown")

 if Opics.objectname ne null then
   objectname := Opics.objectname
   if Opics.fid ne null then
     Remember("fid2name", Opics.fid, Opics.objectname)
   endif
 else if Opics.fid ne null then
   objectname := Recall("fid2name", Opics.fid)
   if (objectname eq null or objectname eq "") then
     objecttype := "FILEID"
     objectname := Opics.fid
   endif
   if Opics.emainclass eq "Close" then
     Forget("fid2name", Opics.fid)
   endif
 else if Opics.task ne null then
   objectname := Trim(Opics.task)
   if Opics.item ne null then
     objectname := Append(objectname, "-", Trim(Opics.item))
   endif
 endif endif endif

 if Opics.objectpath ne null then
   objectpath := Opics.objectpath
 else
   objectpath := Path(objectname)
   if objectpath eq "" then
     objectpath := "-"          
   endif     
   objectname := Filename(objectname)
 endif

 if Opics.objecttype eq "DATABASE" then
   objectname := NormalizeString(objectname)
 endif   
 object := GetObject(ObjectRefKey)

 origin := epi
 source := GetSource(SourceRefKey)

 streamtimestamp := Opics.platformeventtime

 if Opics.entrypoint ne null then
   entrypoint := Opics.entrypoint
 else
   entrypoint := epiname 
 endif
 description:=Append(entrypoint,"/",origin,"/",originator)
 stream := GetStream(StreamRefKey)

 target:=GetTarget(TargetRefKey)

 if Opics.entrypoint ne null then
   platformname := Opics.entrypoint
 else
   platformname := epiname 
 endif
 platformtype:="-"

 origin:=GetOrigin(OriginRefKey)

 if Opics.emainclass ne null then
   eventmainclass := NormalizeString(Opics.emainclass)
 endif

 if Opics.eclass ne null then
   eventclass := Opics.eclass
 endif

 if Opics.sclass ne null then
   successclass := Opics.sclass
 else
   successclass := "Success"
 endif

 if Opics.opreq ne null then
   operationrequested := Opics.opreq
   if successclass eq "Success" then
     operationgranted := operationrequested
   endif
 endif

 eventtimestamp := Opics.platformeventtime

 chunk := Opics
 if Opics.workstation ne null then
   miscellaneous := Append("[",Trim(Opics.workstation),"/",Trim(Opics.netid),"] ")
 else
   miscellaneous := ""
 endif   
 if Opics.msg ne null then
   miscellaneous := Append(miscellaneous, Opics.msg)
 endif
 if Opics.msgadd ne null then
   miscellaneous := Append(miscellaneous, Opics.msgadd)
 endif

 if Opics.workunit ne null then
   workunit := Opics.workunit
   if Opics.recordtype eq "B.BSY" then
     Remember("workunit", Opics.workunit)
   endif
 else
   if Opics.recordtype eq "B.BSY" then
     workunit := Recall("workunit")
   endif
 endif
 if Opics.command ne null then
   command := Opics.command
 endif
 if Opics.program ne null then
   program := Opics.program
 endif

 logrecordtype := Opics.recordtype
 logrecordtimestamp := Opics.platformeventtime

 case Opics.platformevent of
   "dbio":
     MoveTo(Dbio_return)
 otherwise
     MoveTo(TheEnd)
 endcase
endstate

state Dbio_return (platformevent eq "dbio_return")
  case Dbio_return.dbsuccess of
    "0":
      successclass := "Success"
    "1":
      successclass := "Failure"    
  otherwise  
      successclass := "*"
  endcase      
  miscellaneous := Append(miscellaneous, "; exit = ", Dbio_return.dbsuccess)
  MoveTo(TheEnd) 
endstate

final state TheEnd
 event := GetEvent(EventCreateKey)
endstate
