/// OS390.src.gml - Licensed Materials ­ Property of IBM
/// OS390.src.gml - 5724-S67
/// OS390.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// OS390.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

//

//
//

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceAspectKey(originator)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(subject, logrecordtype, program, command, workunit, miscellaneous)

initial final state OS390

  if (OS390.remember_telnet_session eq "yes")
  then
    Remember("terminal2ip", OS390.terminal, OS390.client_ip)
  endif

  platformname := OS390.epiname
  platformtype := "OS/390"
  origin := GetOrigin(OriginRefKey)
  target := GetTarget(TargetRefKey)
  platform := GetPlatform(PlatformRefKey)

  if Trim(OS390.objectname) eq "" then 
    objectname := OS390.objectpath
    objectpath := "-"
    objecttype := Trim(OS390.objecttype, "VOLUME")
  else
    objectname := OS390.objectname
    if (Trim(OS390.objectpath) eq "" or OS390.objectpath eq "*") then
      objectpath := "-"
    else
      objectpath := OS390.objectpath
    endif
    objecttype := Trim(OS390.objecttype, "DATASET")
  endif
  if (Trim(objectname) eq "" or objectname eq "*") then
    objectname := "-"
  endif
  object := GetObject(ObjectRefKey)

  logonname := OS390.logonname
  if (Trim(logonname) eq "" or logonname eq "*") then
    logonname := "System"
  endif
  realname := logonname
  originator := logonname 
  source := GetSource(SourceRefKey,SourceAspectKey)

  description := OS390.jobtag
  stream := GetStream(StreamRefKey)

  if (OS390.recall_telnet_session eq "yes")
  then
    miscellaneous:=Recall("terminal2ip",OS390.terminal)
  else
    miscellaneous:=OS390.misc
  endif
  logrecordtype := OS390.logrecordtype
  subject := OS390.subject
  program := OS390.program
  command := OS390.command
  workunit := OS390.workunit

  eventmainclass:=NormalizeString(OS390.eventmainclass)
  eventclass:=OS390.eventclass
  successclass:=OS390.successclass
  chunk:=OS390  

  if (OS390.eventtimestamp ne null)
  then
    eventtimestamp:=OS390.eventtimestamp
  else
    eventtimestamp:=OS390.platformeventtime
  endif 

  event:=GetEvent(EventDetailKey)

  if (OS390.platformevent eq "T030_TSO_LOGON")
  then

    objectpath := OS390.objectpath_logon
    if (Trim(objectpath) eq "" or objectpath eq "*") then
      objectpath := "-"
    endif
    objectname := "*JOB*"
    objecttype := "PROCESS"	
    object := GetObject(ObjectRefKey)

    eventmainclass := "Start"
    eventclass := "Job"
    event := GetEvent(EventDetailKey)   
  endif

  if (OS390.platformevent eq "T030_STEP_END")
  then
    eventmainclass := "Stop"
    event := GetEvent(EventDetailKey)
  endif

  if (OS390.platformevent eq "T030_TSO_LOGOFF")
  then

    objectname := "TSO"
    objectpath := OS390.objectpath_logoff
    if (Trim(objectpath) eq "" or objectpath eq "*") then
      objectpath := "-"
    endif
    objecttype := "SYSTEM"
    object := GetObject(ObjectRefKey)

    eventmainclass := "Logoff"
    eventclass := "User"
    successclass := "Success"
    event:=GetEvent(EventDetailKey)
  endif

  if (OS390.forget_telnet_session eq "yes")
  then
    Forget("terminal2ip", OS390.terminal)
  else
    if (OS390.forget_all_telnet_session eq "yes")
    then
      ForgetAll("terminal2ip")
    endif
  endif	  

endstate
