/// OS400.src.gml - Licensed Materials ­ Property of IBM
/// OS400.src.gml - 5724-S67
/// OS400.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// OS400.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//
key PlatformRefKey(platformtype, platformname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)

key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceAspectKey(originator) 
key EventDetailKey(accessgranted, arguments, behalf, command, connection_id, description, eventdetail, eventid, eventreason, newvalue, object_focus, object_handle, oldvalue, origin_ip, origin_port, origtype, owner, printqueue, process_id, protocol, Target, target_ip, target_port, target_process_id, user_id, value, password_changed, password_none, password_expired, all_object_spec_authority, job_control_spec_authority, save_system_spec_authority, security_administrator_spec_authority, spool_control_spec_authority, service_spec_authority, audit_spec_authority, system_configuration_spec_authority, journal)

initial final state OS400_4 
if OS400_4.eventmainclass ne "?" then

  where := Trim(OS400_4.platform_hostname, "Unavailable")
  platformname := where
  platformtype := "OS/400"
  platform     := GetPlatform(PlatformRefKey)

  platformname := Trim(OS400_4.origin_hostname,where)
  origin       := GetOrigin(OriginRefKey)

  platformname := Trim(OS400_4.target_hostname,where)
  target       := GetTarget(TargetRefKey)

  objectname   := Trim(OS400_4.objectname, "-")
  objectpath   := Trim(OS400_4.objectpath, "-")
  objecttype   := Trim(OS400_4.objecttype, "OBJECT")
  origtype     := Trim(OS400_4.origtype, null)

  if ( objectname eq "-" and objectpath eq "-" ) then
    objectname := where
    objectpath := "-"
    objecttype := "HOST"
  endif

  object       := GetObject(ObjectRefKey)

  realname     := Trim(OS400_4.username2, OS400_4.username, "Unavailable")
  logonname    := realname
  originator   := realname
  source       := GetSource(SourceRefKey,SourceAspectKey)

  description  := Trim(OS400_4.userstart)
  stream       := GetStream(StreamRefKey)

  eventmainclass := Trim(OS400_4.eventmainclass,"-")
  eventclass     := Trim(OS400_4.eventclass,"-")
  successclass   := Trim(OS400_4.successclass,"-")
  eventtimestamp := OS400_4.platformeventtime
  chunk          := OS400_4

  accessgranted  := Trim(OS400_4.accessgranted, null)
  arguments      := Trim(OS400_4.arguments, null)
  behalf         := Trim(OS400_4.behalf, null)
  command        := Trim(OS400_4.command, null)
  connection_id  := Trim(OS400_4.connection_id, null)
  description    := Trim(OS400_4.description, null)
  eventdetail    := Trim(OS400_4.eventdetail, null)
  eventid        := Trim(OS400_4.eventid, null)
  eventreason    := Trim(OS400_4.eventreason, null)
  newvalue       := Trim(OS400_4.newvalue, null)
  object_focus   := Trim(OS400_4.objectfocus, null)
  object_handle  := Trim(OS400_4.object_handle, null)
  oldvalue       := Trim(OS400_4.oldvalue, null)
  origin_ip      := Trim(OS400_4.origin_ip, null)
  origin_port    := Trim(OS400_4.origin_port, null)
  origtype       := Trim(OS400_4.origtype, null)
  owner          := Trim(OS400_4.owner, null)
  printqueue     := Trim(OS400_4.printqueue, null)
  process_id     := Trim(OS400_4.process_id, null)
  protocol       := Trim(OS400_4.protocol, null)
  Target         := Trim(OS400_4.Target, null)
  target_ip      := Trim(OS400_4.target_ip, null)
  target_port    := Trim(OS400_4.target_port, null)
  target_process_id := Trim(OS400_4.target_process_id, null)
  user_id        := Trim(OS400_4.user_id, null)
  value          := Trim(OS400_4.value, null)

  if ( Trim(OS400_4.password_changed, null) eq "Y" or Trim(OS400_4.password_changed, null) eq "y" ) then
		password_changed := "Y"
  endif
  if ( Trim(OS400_4.password_none, null) eq "Y" or Trim(OS400_4.password_none, null) eq "y" ) then
		password_none := "Y"
  endif
  if ( Trim(OS400_4.password_expired, null) eq "Y" or Trim(OS400_4.password_expired, null) eq "y" ) then
		password_expired := "Y"
  endif
  if ( Trim(OS400_4.all_object_spec_authority, null) eq "Y" or Trim(OS400_4.all_object_spec_authority, null) eq "y" ) then
		all_object_spec_authority := "Y"
  endif
  if ( Trim(OS400_4.job_control_spec_authority, null) eq "Y" or Trim(OS400_4.job_control_spec_authority, null) eq "y" ) then
		job_control_spec_authority := "Y"
  endif
  if ( Trim(OS400_4.save_system_spec_authority, null) eq "Y" or Trim(OS400_4.save_system_spec_authority, null) eq "y" ) then
		save_system_spec_authority := "Y"
  endif
  if ( Trim(OS400_4.security_administrator_spec_authority, null) eq "Y" or Trim(OS400_4.security_administrator_spec_authority, null) eq "y" ) then
		security_administrator_spec_authority := "Y"
  endif
  if ( Trim(OS400_4.spool_control_spec_authority, null) eq "Y" or Trim(OS400_4.spool_control_spec_authority, null) eq "y" ) then
		spool_control_spec_authority := "Y"
  endif
  if ( Trim(OS400_4.service_spec_authority, null) eq "Y" or Trim(OS400_4.service_spec_authority, null) eq "y" ) then
		service_spec_authority := "Y"
  endif
  if ( Trim(OS400_4.audit_spec_authority, null) eq "Y" or Trim(OS400_4.audit_spec_authority, null) eq "y" ) then
		audit_spec_authority := "Y"
  endif 
  if ( Trim(OS400_4.system_configuration_spec_authority, null) eq "Y" or Trim(OS400_4.system_configuration_spec_authority, null) eq "y" ) then
		system_configuration_spec_authority := "Y"
  endif
  journal := Append(Trim(GetChunkProperty(OS400_4,"Option5"), "QSYS"),"/",Trim(GetChunkProperty(OS400_4,"Option6"), "QAUDJRN"))

  if ( eventmainclass ne "-" and eventclass ne "-" ) then  
     event          := GetEvent(EventDetailKey)
 endif

endif
endstate
