/// OpenVMS.src.gml - Licensed Materials ­ Property of IBM
/// OpenVMS.src.gml - 5724-S67
/// OpenVMS.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// OpenVMS.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// OpenVMS.gml

key SourceRefKey(realname, logonname)
key ObjectRefKey(objecttype, objectpath, objectname)
key PlatformRefKey(platformtype, platformname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key StreamRefKey(description)
key EventDetailKey(recordtype, reason, description, remoteuser)

initial final state OpenVMS

  pt := Trim(GetChunkProperty(OpenVMS, "PlatformType"), "OpenVMS")
  pn := Trim(OpenVMS.system_name,
             GetChunkProperty(OpenVMS, "TargetSystemName"),
             GetChunkProperty(OpenVMS, "SystemName"))

  platformtype := pt
  platformname := pn
  platform     := GetPlatform(PlatformRefKey)

  objectpath := Trim(OpenVMS.system_name, OpenVMS.remote_nodename, ".")
  objecttype := Trim(OpenVMS.objtype, OpenVMS.defaultobjtype, "Unknown")
  if (objecttype eq "FILE")
  then
    objectname := Trim(OpenVMS.file_name, OpenVMS.object_name, OpenVMS.image_name, OpenVMS.process_name, "-")
  else
    objecttype := Trim(OpenVMS.defaultobjtype, "Unknown")
    objectname := Trim(OpenVMS.object_name, OpenVMS.image_name, OpenVMS.process_name, "-")
  endif

  if (objectname eq "-")
  then
    if (objectpath eq ".")
    then
      objectpath := "-"
    else
      objectname := Filename(objectpath)
      objectpath := Path("/", objectpath)
    endif
  else
    if (objectpath eq ".")
    then
      objectpath := Path("/", objectname)
      objectname := Filename(objectname)
    endif
  endif

  objectpath := Trim(objectpath, ".")
  objectname := Trim(objectname, "-")

  object := GetObject(ObjectRefKey)

  logonname := Trim(OpenVMS.user_name, OpenVMS.account, OpenVMS.uaf_source, "Unknown")
  realname  := logonname
  source    := GetSource(SourceRefKey)

  platformname := Trim(OpenVMS.srcplatform_name, pn)
  if Token(platformname, ":", "1") ne "LOCAL"
  then
    platformtype := "-"
  endif
  origin       := GetOrigin(OriginRefKey)

  platformname := pn
  platformtype := pt
  target       := GetTarget(TargetRefKey)

  description := logonname
  stream      := GetStream(StreamRefKey)

  chunk := OpenVMS

  recordtype  := Trim(OpenVMS.eventid)
  reason      := Trim(OpenVMS.reason)
  description := Trim(OpenVMS.description)
  remoteuser  := Trim(OpenVMS.remote_username)

  if ((description eq null) or (description eq "") or (description eq "NULL") or (description eq "Unknown"))
  then
    description := null
  endif

  if ((reason eq null) or (reason eq "") or (reason eq "NULL") or (reason eq "Unknown"))
  then
    reason := null
  endif

  if ((recordtype eq null) or (recordtype eq "") or (recordtype eq "NULL") or (recordtype eq "Unknown"))
  then
    recordtype := null
  endif

  if ((remoteuser eq null) or (remoteuser eq "") or (remoteuser eq "NULL") or (remoteuser eq "Unknown"))
  then
    remoteuser := null
  endif

  eventmainclass := Trim(OpenVMS.emclass, "Unknown")
  eventclass     := Trim(OpenVMS.eclass, "*")
  if (OpenVMS.final_status eq "")
  then
    successclass := Trim(OpenVMS.sclass, "*")
  else
    if ((OpenVMS.final_status eq "1") and (OpenVMS.second_final_status eq "0"))
    then
      successclass := "Success"
    else
      successclass := Trim(OpenVMS.sclass, "*")
    endif
  endif

  eventtimestamp := OpenVMS.platformeventtime

  event          := GetEvent(EventDetailKey)

endstate
