/// SymantecAV.src.gml - Licensed Materials ­ Property of IBM
/// SymantecAV.src.gml - 5724-S67
/// SymantecAV.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// SymantecAV.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectpath,objectname)
key PlatformRefKey(platformname,platformtype)
key OriginRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key TargetRefKey(platformname,platformtype)
key EventDetailKey(Logger,Category,Description,Virusname,Virustype,Description,Newvalue,Oldvalue,Value)

initial final state SymantecAV
        chunk := SymantecAV
        objecttype := SymantecAV.objecttype
        if (SymantecAV.temp eq "1") then
                objectpath := SymantecAV.objectpath
                objectname := SymantecAV.objectname
        else
                objectname := Filename(SymantecAV.objectname)
                objectpath := Path(SymantecAV.objectname)
        endif		
        fromwhere  := SymantecAV.fromwhere
        case SymantecAV.eventnumber of 
                "2":
                        eventclass := "Systemprocess"
                        eventmainclass := "Complete"
                        successclass := "Success"
                        objecttype := "SYSTEM"
                "3":
                        eventclass := "Systemprocess"
                        eventmainclass := "Start"
                        successclass := "Success"
                        objecttype := "SYSTEM"
                "5":
                        eventclass := "File"
                        eventmainclass := SymantecAV.eventmainclass
                        successclass := SymantecAV.successclass
                        objecttype := "FILE"
                        if (SymantecAV.fromwhere1 ne "") then
                                fromwhere := SymantecAV.fromwhere1
                        endif
                        objectpath := SymantecAV.objectpath1
                        objectname := SymantecAV.virusname
                "6":
                        successclass := "Failure"
                        objecttype := "FILE"
                        if(SymantecAV.temp eq "1") then
                                eventclass := "File"
                                eventmainclass := "Access"
                        else
                                eventclass := "File"
                                eventmainclass := "Open"
                        endif
                "7":
                        eventclass := "Service"
                        eventmainclass := "Refresh"
                        successclass := "Success"
                        objecttype := "SERVICE"
                        objectpath := SymantecAV.where
                        objectname := "Symantec AntiVirus"
                "12":
                        eventclass := "Sysvar"
                        case SymantecAV.sysvart of
                                "111":
                                        eventmainclass := "Modify"
                                "222":
                                        eventmainclass := "Create"
                                "333":
                                        eventmainclass := "Delete"
                        endcase
                        successclass := "Info"
                        objecttype := "SYSVAR"
                "13":
                        eventclass := "Service"
                        eventmainclass := "Stop"
                        successclass := "Success"
                        objecttype := "SERVICE"
                        objectpath := SymantecAV.where
                        objectname := "Symantec AntiVirus"
                "14":
                        eventclass := "Service"
                        eventmainclass := "Start"
                        successclass := "Success"
                        objecttype := "SERVICE"
                        objectpath := SymantecAV.where
                        objectname := "Symantec AntiVirus"
                "16":
                        eventclass := "Service"
                        eventmainclass := "Refresh"
                        successclass := "Warning"
                        objecttype := "SERVICE"
                        objectpath := SymantecAV.where
                        objectname := "Symantec AntiVirus"
                "21":
                        eventclass := "Systemprocess"
                        eventmainclass := "Abort"
                        successclass := "Success"
                        objecttype := "SYSTEM"
                "22":
                        eventclass := "Service"
                        eventmainclass := "Enable"
                        successclass := "Failure"
                        objecttype := "SERVICE"
                        objectpath := SymantecAV.where
                        objectname := "Symantec AntiVirus"
                "23":
                        eventclass := "Service"
                        eventmainclass := "Enable"
                        successclass := "Success"
                        objecttype := "SERVICE"
                        objectpath := SymantecAV.where
                        objectname := "Symantec AntiVirus"
                "24":
                        eventclass := "Service"
                        eventmainclass := "Disable"
                        successclass := "Success"
                        objecttype := "SERVICE"
                        objectpath := SymantecAV.where
                        objectname := "Symantec AntiVirus"
                "27":
                        eventclass := "Systemprocess"
                        eventmainclass := "Resume"
                        successclass := "Success"
                        objecttype := "SYSTEM"
        endcase
        object := GetObject(ObjectRefKey)
        platformdom := Append(SymantecAV.domain,"/")
        if (platformdom eq "/")	then
                platformdomain := ""
        else
                platformdomain := platformdom
        endif
        platformname := Append(platformdomain, SymantecAV.where)
        platformtype := "Windows"
        platform := GetPlatform(PlatformRefKey)
        platformname := Append(platformdomain, fromwhere)
        platformtype := "Windows"
        target := GetTarget(TargetRefKey)
        platformname := Append(platformdomain, fromwhere)
        if (fromwhere eq SymantecAV.where) then
                platformtype := "Windows"
        else
                platformtype := "Host"
        endif
        origin := GetOrigin(OriginRefKey)
        logonname := Append(platformdomain, SymantecAV.name)
        realname := logonname
        source := GetSource(SourceRefKey)
        description := SymantecAV.platformeventtime
        stream := GetStream(StreamRefKey)
        if (SymantecAV.description eq "") then
                case SymantecAV.virustype of
                        "1":          Virustype:="Boot Virus"
                        "3":          Virustype:="Boot Virus"
                        "5":          Virustype:="Boot Virus"
                        "9":          Virustype:="Boot Virus"
                        "768":        Virustype:="Mutation Virus"
                        "256":        Virustype:="File Virus"
                        "2304":       Virustype:="File Virus"
                        "4352":       Virustype:="File Virus"
                        "1280":	      Virustype:="Macro Virus"
                        "65536":      Virustype:="Memory Virus"
                        "196608":     Virustype:="Memory Virus"
                        "327680":     Virustype:="Memory Virus"
                        "589824":     Virustype:="Memory Virus"
                        "16777216":   Virustype:="Virus Behavior"
                        "50301648":   Virustype:="Virus Behavior"
                        "134217728":  Virustype:="Compressed Virus"
                        "268435456":  Virustype:="Virus Heuristic"
                        otherwise 
                                        Virustype:="Unknown Virus"
                endcase
                Virusname:=SymantecAV.virusname
                Virustype:=Virustype
                Description:=" "
        else
                if (SymantecAV.eventnumber eq "5") then
                        Logger:=SymantecAV.objectpath1
                else
                        Logger:=SymantecAV.objectpath
                endif
                Category:=SymantecAV.category
                Description:=SymantecAV.description
        endif
        Oldvalue := SymantecAV.oldvalue
        Newvalue := SymantecAV.newvalue
        Value    := SymantecAV.value
        if (Oldvalue eq "") then
                Oldvalue := "-"
        endif
        if (Newvalue eq "") then
                Newvalue := "-"
        endif
        if (Value eq "") then
                Value := "-"
        endif
        eventtimestamp := SymantecAV.platformeventtime
        event:=GetEvent(EventDetailKey)
endstate
