/// Syslog.src.gml - Licensed Materials ­ Property of IBM
/// Syslog.src.gml - 5724-S67
/// Syslog.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// Syslog.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(logrecordtype, miscellaneous, pid, tty, remoteuser)

initial final state Syslog

  pt := Trim(GetChunkProperty(Syslog, "platformtype"), "-")
  if RegexMatch(pt, "^Syslog-(.+)$") > "0" then
    pt := RegexRef("1")
  endif
  pn := Trim(Syslog.host,GetChunkProperty(Syslog, "platformname"))
  platformtype := pt
  platformname := pn
  platform     := GetPlatform(PlatformRefKey)

  if (Syslog.objecttype ne null) 
  then
    objecttype := Syslog.objecttype
  else
    objecttype := "Unknown"
  endif

  if (Syslog.objectpath ne null) 
  then
    objectpath := Syslog.objectpath
  else
    objectpath := "*"
  endif

  if (Syslog.objectname ne null) 
  then
    objectname := Syslog.objectname
  else
    if (Syslog.objectpath ne null)
    then
      objectpath := Path("/",Syslog.objectpath)
      objectname := Filename(Syslog.objectpath)
    else
      objectpath := "-"
      objectname := "-"
    endif
  endif

  object := GetObject(ObjectRefKey)

  description := Append(Syslog.workunit,"/",Syslog.entrypoint)
  stream      := GetStream(StreamRefKey)

  logonname := Trim(Syslog.logonname, "Unknown")
  realname := Trim(Syslog.originator, logonname)
  source := GetSource(SourceRefKey)

  platformname := Trim(Syslog.entrypoint,pn)
  if platformname ne "localhost" then
    platformtype := "-"
  endif

  if (Syslog.origin ne null) then 
    platformname := Syslog.origin
    platformtype := "-"
  endif

  origin       := GetOrigin(OriginRefKey)

  platformname := Trim(Syslog.target,pn)
  if platformname ne "localhost" then
    platformtype := "-"
  endif
  target := GetTarget(TargetRefKey)

  logrecordtype := Syslog.logrecordtype
  miscellaneous := Syslog.miscellaneous
  pid := Syslog.pid
  tty := Syslog.tty
  remoteuser := Syslog.remoteuser

  chunk := Syslog

  if (Syslog.eventmainclass ne null)
  then
    eventmainclass := Syslog.eventmainclass
  else
    eventmainclass := "Unknown"
  endif

  if (Syslog.eventclass ne null)
  then
    eventclass := Syslog.eventclass
  else
    eventclass := "*"
  endif

  if (Syslog.successclass ne null)
  then
    successclass := Syslog.successclass
  else
    successclass := "*"
  endif

  eventtimestamp := Syslog.platformeventtime
  event          := GetEvent(EventDetailKey)
endstate

