/// accessmanager.src.gml - Licensed Materials ­ Property of IBM
/// accessmanager.src.gml - 5724-S67
/// accessmanager.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// accessmanager.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(message,status,attribute,Target,Source,recordtype,profile)

initial final state Finish

  platformname:=GetChunkProperty(Finish,"platformname")
  platformtype:="Tivoli Access Manager"
  platform     := GetPlatform(PlatformRefKey)

  target       := GetTarget(TargetRefKey)

  platformname := Trim(Finish.location,"-")
  platformtype := Trim(Finish.origin,"-")
  origin       := GetOrigin(OriginRefKey)

  logonname := Trim(Finish.lname,"-")
  realname  := Trim(Finish.rname,logonname)
  source    := GetSource(SourceRefKey)

  objecttype   := Finish.objecttype
  if (Finish.platformevent eq "http") then
    objectpath   := Trim(Path(Trim(Finish.objectname,"-")),".")
    objectname   := Filename(Trim(Finish.objectname,"-"))
  else 
    objectpath   := "."
    if (objecttype eq "SYSTEM") then
      objectname := GetChunkProperty(Finish,"platformname")
    else
      objectname   := Trim(Finish.objectname, "-")
    endif
  endif
  object       := GetObject(ObjectRefKey)

  status         := Finish.status
  message        := Finish.message
  recordtype     := Finish.recordtype
  aspects        := Trim(Finish.aspects, "")

  if (RegexMatch(aspects, "^([^=]+)=([^;]+)") > "0") then
    case RegexRef("1") of
      "attribute": 
        attribute := RegexRef("2")
      "source":
        Source := RegexRef("2")
      "target":
        Target := RegexRef("2")
      "profile":
        profile := RegexRef("2")

    endcase
  endif

  eventtimestamp := Finish.platformeventtime

  chunk := Finish

  eventmainclass := Finish.emainclass
  eventclass     := Finish.eclass
  successclass   := Finish.success

  description := logonname
  stream := GetStream(StreamRefKey)

  event          := GetEvent(EventDetailKey)
endstate
