/// ad2008.src.gml - Licensed Materials ­ Property of IBM
/// ad2008.src.gml - 5724-S67
/// ad2008.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// ad2008.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key ObjectDetailRefKey(origtype, originator)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceDetailRefKey(originator)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKey(recordtype, oldvalue, newvalue, eventreason, result, attribute, value, Source, Target, protocol, arguments, command, service, access, version, requestee, object_focus, database)

first state Setup

 description := "Directory Scan"
 equality := "eventid,eventclass,eventmainclass,successclass,objectpath,objecttype,logonname,originator"
 targets := "process_id,platform_hostname,objectname"
 separator := "\\" 
 period := "5000" 

 strategy := "directory"
 directoryscan := GetListener(Aggregator)
 if ((Setup.eventclass ne "User" 
      and (Setup.eventclass ne "Group" 
           or Setup.eventclass ne "Domaingroup"))) then
   Listen(directoryscan,Setup)
 endif
 CopyTo(DirectoryScan)

 equality := "eventid,eventclass,eventmainclass,successclass,process_id,objectname,objectpath,objecttype,logonname,originator"
 description := "Ready"
 targets := "process_id,platform_hostname,objectname"
 period := "2000" 
 strategy := "directory" 
 removedups := GetListener(Aggregator)
 if ((Setup.eventclass ne "User" 
      and (Setup.eventclass ne "Group" 
           or Setup.eventclass ne "Domaingroup"))) then
   Listen(removedups,Setup)
 endif
 directoryscan:=null 
 MoveTo(RemoveDuplicates)
endstate

last state Shutdown

 if directoryscan ne null then
     StopListening(directoryscan)
     Remember("DirectoryScan","status","shutting down")
     directoryscan := null
 endif
 if removedups ne null then
   if (Recall("DirectoryScan","status") eq "shutting down") then
     Remember("DirectoryScan","status","down")

     CopyTo(RemoveDuplicates)
   else

     if (Recall("DirectoryScan","status") eq "down") then
       StopListening(removedups)
       Forget("DirectoryScan","status")
       removedups := null
     else

       CopyTo(RemoveDuplicates)
     endif
   endif
 endif
endstate

state DirectoryScan ((platformeventcount eq null
                      and eventclass ne "User"
                      and eventclass ne "Users"                      
                      and eventclass ne "Group" 
                      and eventclass ne "Domainroup"))
  Listen(directoryscan,DirectoryScan)
endstate

state RemoveDuplicates ((description eq "Directory Scan"
                         and eventclass ne "User" 
                         and eventclass ne "Users"
                         and eventclass ne "Group" 
                         and eventclass ne "Domainroup"))
  Listen(removedups,RemoveDuplicates)
endstate

initial final state ad2008 (((eventclass eq "User" 
                              or eventclass eq "Users"
                              or eventclass eq "Group" 
                              or eventclass eq "Domainroup") 
                              or description eq "Ready"))

platformtype        := "Microsoft Windows Server 2008 Active Directory"
if Trim(ad2008.platform_hostname, "null") ne "null" then
    platformname    := ad2008.platform_hostname
else
    platformname    := GetChunkProperty(ad2008, "SystemName")
endif
platform            := GetPlatform(PlatformRefKey)

if Trim(ad2008.wherefrom, "null") ne "null" then
    platformname        := ad2008.wherefrom
else
    if Trim(ad2008.platform_hostname, "null") ne "null" then
        platformname    := ad2008.platform_hostname
    else
        platformname    := GetChunkProperty(ad2008, "SystemName")
    endif
endif
origin                  := GetOrigin(OriginRefKey)

if Trim(ad2008.whereto, "null") ne "null" then
    platformname        := ad2008.whereto
else
    if Trim(ad2008.platform_hostname, "null") ne "null" then
        platformname    := ad2008.platform_hostname
    else
        platformname    := GetChunkProperty(ad2008, "SystemName")
    endif
endif
target                  := GetTarget(TargetRefKey)

objectname      := Trim(ad2008.objectname, "Unavailable")
objectpath      := Trim(ad2008.objectpath, "-")
objecttype      := Trim(ad2008.objecttype, "Unavailable")
if Trim(ad2008.onwhatorigtype, "null") ne "null"   then origtype   := ad2008.onwhatorigtype   endif
if Trim(ad2008.onwhatoriginator, "null") ne "null" then originator := ad2008.onwhatoriginator endif
object          := GetObject(ObjectRefKey, ObjectDetailRefKey)

logonname       := Trim(ad2008.logonname, "Unavailable")
if (RegexMatch(logonname, "\\\\") > "0") then
   logonname    := Uppercase(logonname)
   if (RegexMatch(logonname, "BUILTIN\\\\") > "0") then
     logonname  := Uppercase(Append(platformname, "\\", logonname))
   endif
else
   logonname    := Uppercase(Append(platformname, "\\", logonname))
endif
realname        := logonname
if Trim(ad2008.originator, "null") ne "null" then originator := ad2008.originator endif
source          := GetSource(SourceRefKey, SourceDetailRefKey)

description     := Trim(logonname, "Unavailable")
stream          := GetStream(StreamRefKey)

if Trim(ad2008.eventid, "null")         ne "null" then recordtype      := ad2008.eventid endif
if Trim(ad2008.oldvalue, "null")        ne "null" then oldvalue        := ad2008.oldvalue endif
if Trim(ad2008.newvalue, "null")        ne "null" then newvalue        := ad2008.newvalue endif
if Trim(ad2008.eventreason, "null")     ne "null" then eventreason     := ad2008.eventreason endif
if Trim(ad2008.result, "null")          ne "null" then result          := ad2008.result endif
if Trim(ad2008.attribute, "null")       ne "null" then attribute       := ad2008.attribute endif
if Trim(ad2008.value, "null")           ne "null" then value           := ad2008.value endif
if Trim(ad2008.source, "null")          ne "null" then Source          := ad2008.source endif
if Trim(ad2008.target, "null")          ne "null" then Target          := ad2008.target endif
if Trim(ad2008.protocol, "null")        ne "null" then protocol        := ad2008.protocol endif
if Trim(ad2008.arguments, "null")       ne "null" then arguments       := ad2008.arguments endif
if Trim(ad2008.command, "null")         ne "null" then command         := ad2008.command endif
if Trim(ad2008.service, "null")         ne "null" then service         := ad2008.service endif
if Trim(ad2008.access, "null")          ne "null" then access          := ad2008.access endif
if Trim(ad2008.version, "null")         ne "null" then version         := ad2008.version endif
if Trim(ad2008.requestee, "null")       ne "null" then requestee       := ad2008.requestee endif
if Trim(ad2008.object_focus, "null")    ne "null" then object_focus    := ad2008.object_focus endif
if Trim(ad2008.database, "null")        ne "null" then database         := ad2008.database endif

chunk           := ad2008
eventtimestamp  := ad2008.platformeventtime
eventmainclass  := Trim(ad2008.eventmainclass, "Unavailable")
eventclass      := Trim(ad2008.eventclass, "Unavailable")
successclass    := Trim(ad2008.successclass, "Unavalbl")

if ad2008.platformeventcount ne null then eventcount := ad2008.platformeventcount endif

event           := GetEvent(EventDetailRefKey)

endstate
