/// aix.src.gml - Licensed Materials ­ Property of IBM
/// aix.src.gml - 5724-S67
/// aix.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// aix.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

//

//
//

key ObjectRefKey(objecttype,objectname,objectpath)
key ObjectAspectKey(owner,origtype)
key StreamRefKey(description)
key PlatformRefKey(platformname, platformtype)
key SourceRefKey(realname, logonname)
key SourceAspectKey(originator)
key TargetRefKey(platformname, platformtype)
key OriginRefKey(platformname, platformtype)
key WTMPEventDetailKey(message,recordtype,command, process_id)

key EventDetailKey(recordtype,command,newvalue,oldvalue,access,process_id,Targettype,Target,Sourcetype,Source,user,privilege,message)

initial final state WTMP ((chunklogtype eq "UTMP"))

  epiname:=GetChunkProperty(WTMP,"platformname")
  platformname:=Trim(Uppercase(epiname),"Unavailable")
  platformtype:="IBM AIX"
  platform:=GetPlatform(PlatformRefKey)
  target:=GetTarget(TargetRefKey)

  if WTMP.pid ne null then
    objectname := WTMP.objectname
    objecttype := WTMP.objecttype
    if objectname ne null then
      Remember("pid2oname", WTMP.pid, objectname)
      Remember("pid2otype", WTMP.pid, objecttype)
    else
     objectname := Trim(Recall("pid2oname", WTMP.pid), WTMP.pid)
     objecttype := Trim(Recall("pid2otype", WTMP.pid), "UserProcess")
    endif
  else
    objectname:=WTMP.objectname
    objectpath:=WTMP.objectpath
    objecttype:=WTMP.objecttype
  endif

  if (objectpath eq "default EVPLI//EVPLINAME") then
    objectpath:="-"
  endif

  if ((Trim(objectpath, "") eq "") or (Trim(objectpath, "") eq "\"\"")) then
    objectpath := Trim(Path(objectname), "-")
    objectname := Trim(Filename(objectname), "Unavailable")
  endif

  objecttype:=Uppercase(objecttype)

  case objecttype of
    "SYSTEM":
      if RegexMatch(Trim(objectname,""),"\\w+") = "0" then
        objectname := epiname
      endif
      objectpath := "-"
  endcase

  object:=GetObject(ObjectRefKey)

  if ( (Trim(WTMP.eventclass,"") eq "Process") and (Trim(WTMP.eventmainclass,"") eq "Complete") and (Trim(WTMP.successclass,"") eq "Success") ) then
    Forget("pid2otype", WTMP.pid)
    Forget("pid2oname", WTMP.pid)
  endif

  post_user_context := Trim(GetChunkProperty(WTMP, "_postusercontext"),"no")

  originator := Trim(WTMP.originator)
  logonname:=Trim(WTMP.logonname, "System")

  if( post_user_context eq "no" ) then
    logonname := Trim(GetLogonName(originator,""), logonname)
  endif

  realname :=logonname
  source:=GetSource(SourceRefKey,SourceAspectKey)

  pid := Trim(WTMP.pid)
  entrypoint := Trim(WTMP.entrypoint)

  if ( (Trim(WTMP.eventclass,"") eq "Process") and (Trim(WTMP.eventmainclass,"") eq "Complete") and (Trim(WTMP.successclass,"") eq "Success") ) then
    Forget("pid2entrypoint",pid)
  else
    if  WTMP.entrypoint ne "" then
      Remember("pid2entrypoint", pid, entrypoint)
    endif    
  endif

  platformname:=Uppercase(Trim(WTMP.entrypoint, epiname))

  if platformname ne Uppercase(Trim(epiname)) then 
    platformtype:="Host"
  endif 
  origin:=GetOrigin(OriginRefKey)

  description:=Append(WTMP.entrypoint,"::",logonname,"::",WTMP.platformeventtime) 
  stream:=GetStream(StreamRefKey)

  if WTMP.command eq "\"\"" then
    command := "-"
  else
    command:=Trim(WTMP.command,null)
  endif

  recordtype:=WTMP.logrecordtype
  if WTMP.miscellaneous eq "\"\"" then 
    message := null
  else
    message:=Trim(WTMP.miscellaneous,null)
  endif
  process_id:=Trim(WTMP.pid,null)

  chunk:=WTMP
  eventtimestamp:=WTMP.platformeventtime
  eventclass:=WTMP.eventclass
  eventmainclass:=WTMP.eventmainclass
  successclass:=WTMP.successclass
  event:=GetEvent(WTMPEventDetailKey)

endstate

initial state AUDIT ((chunklogtype eq "AUDITTRAILLOG"))
  epiname        := GetChunkProperty(AUDIT,"platformname")
  platformname   := Trim(Uppercase(epiname),"Unavailable")
  platformtype   := "IBM AIX"
  platform := GetPlatform(PlatformRefKey)
  target := GetTarget(TargetRefKey)

  objectname := AUDIT.objectname
  objectpath := AUDIT.objectpath
  objecttype := AUDIT.objecttype

  if AUDIT.fd ne null then 
    if objectname ne null then 
      Remember("fd2name", AUDIT.fd, objectname)
      Remember("fd2type", AUDIT.fd, objecttype)
    else 
      if AUDIT.eventname ne "FS_Fchdir" then
        objectname := Recall("fd2name", AUDIT.fd)
        objecttype := Recall("fd2type", AUDIT.fd)
      endif
      if Trim(objectname,"") eq "" then 
        objectname := AUDIT.fd
        objecttype := "FileDescriptor"
      endif
    endif
  endif

  pid := Trim(AUDIT.pid)
  ppid := Trim(AUDIT.ppid)

  entrypoint := Trim(AUDIT.origin, null)

  if ( (entrypoint ne null) and (AUDIT.eventname eq "TCPIP_access")) then
    if (pid ne null) then
      Remember("pid2entrypoint", pid, entrypoint)
    endif
  else 

    found := "true"
    foundpid := "false"
    entrypoint := Recall("pid2entrypoint",ppid)
    if (entrypoint eq "") then
      entrypoint := Recall("pid2entrypoint",pid)
      if (entrypoint eq "") then
        entrypoint := epiname
        found := "false"
      else 
        foundpid := "true"
      endif
    endif

    if ( (found eq "true") and (foundpid eq "false") and (pid ne null) ) then
      Remember("pid2entrypoint",pid,entrypoint)
    endif
  endif

  if ( (AUDIT.eventname eq "PROC_Delete") and (pid ne null) ) then
    Forget("pid2entrypoint",pid)
  endif

  platformname   := Uppercase(entrypoint)
  if platformname ne Uppercase(epiname) then 
    platformtype   := "Host"
  endif 
  origin := GetOrigin(OriginRefKey)

  Remember("pid2command",pid,AUDIT.command)
    if AUDIT.pid_aspect ne null then
      pid := Trim(AUDIT.pid_aspect)
    endif
  case AUDIT.pidaction of
    "remember":
      if objectname eq null then
        objectname := AUDIT.command
      endif
      Remember("pid2name",pid,objectname)
    "forget":
      objectname := Trim(Recall("pid2name",pid),Recall("pid2command",pid))
      Forget("pid2name",pid)
      Forget("pid2command",pid)
      if objectname eq "" then
        objectname := pid
        objecttype := "Pid"
      endif
    "recall":
      objectname := Trim(Recall("pid2name",pid),Recall("pid2command",pid))
      if objectname eq "" then
        objectname := pid
        objecttype := "Pid"
      endif
  endcase

  if (((AUDIT.eventname eq "FS_Chdir") and (RegexMatch(AUDIT.command, "(.+)?sh(.+)?") > "0")) or (RegexMatch(AUDIT.eventname, "FILE_.+") > "0") or (AUDIT.eventname eq "FS_Fchdir") or (AUDIT.eventname eq "PROC_Execute")) then

    if Trim(objectname) eq "" then
      objectname := Trim(AUDIT.objectname,AUDIT.fd,"")
    endif
    if Trim(AUDIT.fd,"") ne "" then
      if RegexMatch(Trim(objecttype,""),"FileDescriptor") > "0" then 

        Target := objectname
        Targettype := "File descriptor"
        objectname := Append("-/",objectname)
      endif
      case AUDIT.fd of
        "0":

          Target := "stdin"
          Targettype := "Standard Input"
        "1":

          Target := "stdout"
          Targettype := "Standard Output"
        "2":

          Target := "stderr"
          Targettype := "Standard Error"
      endcase
    endif

    if RegexMatch(Trim(objectname,""), "^[^/-]+") > "0" then

      pid_fd := Append(AUDIT.pid,"_",Trim(AUDIT.fd,"-1"))
      ppid_fd := Append(AUDIT.ppid,"_",Trim(AUDIT.fd,"-1"))

      if Trim(Recall("pid_fd2path",pid_fd)) ne "" then

        objectname := Append(Recall("pid_fd2path",pid_fd),"/",Trim(AUDIT.objectname,"e'm'p't'y"))
      else

        if Trim(Recall("pid_fd2path",ppid_fd)) ne "" then

          objectname := Append(Recall("pid_fd2path",ppid_fd),"/",Trim(AUDIT.objectname,"e'm'p't'y"))
        else

          if Trim(Recall("pid_fd2path",Append(AUDIT.pid,"_-1"))) ne "" then

            objectname := Append(Recall("pid_fd2path",Append(AUDIT.pid,"_-1")),"/",Trim(AUDIT.objectname,"e'm'p't'y"))
          else

            if Trim(Recall("pid_fd2path",Append(AUDIT.ppid,"_-1"))) ne "" then
              objectname := Append(Recall("pid_fd2path",Append(AUDIT.ppid,"_-1")),"/",Trim(AUDIT.objectname,"e'm'p't'y"))
            else

              if RegexMatch(Trim(objectname,""),"^\\.\\./") = "0" then
                objectname := Append("./",objectname)
              endif
            endif
          endif
        endif
      endif
    endif

    objectname := RegexReplace(objectname,"/e'm'p't'y$","")

    objectname := RegexReplace(objectname,"(/\\.[^\\.\\w\\s\\{\\}\\(\\)\\[\\]])","/")

    objectname := RegexReplace(objectname,"/{2,}","/")

    if RegexMatch(Trim(objectname,""),"/?\\.\\./\\.\\./?") = "0" then

      objectname := RegexReplace(objectname,"([^/\\.]+/\\.\\.)","/")

      objectname := RegexReplace(objectname,"/{2,}","/")
    endif

    if RegexMatch(Trim(objectname,""),"^\\./|^-/") = "0" then
      case AUDIT.eventname of
        "FS_Chdir":

          pid_fd := Append(AUDIT.pid,"_-1")

          Remember("pid_fd2path",pid_fd,objectname)
        "FILE_Open":

          if AUDIT.fd > "2" then

            pid_fd := Append(AUDIT.pid,"_",AUDIT.fd)
            Remember("pid_fd2path",pid_fd,Trim(objectname,"./"))
          endif
        "FILE_Close":
          if AUDIT.fd > "2" then

            pid_fd := Append(AUDIT.pid,"_",AUDIT.fd)

            ppid_fd := Append(AUDIT.ppid,"_",AUDIT.fd)

            if Trim(Recall("pid_fd2path",pid_fd),"") ne "" then
              Forget("pid_fd2path",pid_fd)
            else

              Forget("pid_fd2path",ppid_fd)
            endif
          endif
      endcase
    endif

    if RegexMatch(Trim(objectname,""),"^\\.\\./") > "0" then
      objectpath := "."
      objectname := RegexReplace(objectname,"^\\.\\./","")
    endif
  endif

  case objecttype of
    "System":
      objectname := epiname
      objectpath := "-"
  endcase

  objectname := Trim(objectname, "")
  objectpath := Trim(objectpath, "")

  if RegexMatch(Trim(objectname,""), "(.*)/$") > "0" then 
    objectname := RegexRef("1")
      if objecttype eq "File" then
        objecttype := "Directory"
      endif
  endif

  objecttype := Uppercase(objecttype)

  if objecttype eq "VIRTUALSYSTEM" then
    case AUDIT.eventname of
      "WM_SetInitConf":

        Remember("ppid2wpname",AUDIT.ppid,AUDIT.objectname)
      "WM_ResetConfig","WM_ModifyConfig":

        objectname := Trim(Recall("ppid2wpname",AUDIT.ppid),"Unavailable")
    endcase
  endif

  if objectname eq "" then
    case objecttype of
      "PROCESS":
        objectname := pid
      "DIRECTORY":
        objectname := "-"
      otherwise
        objectname := Trim(Filename(objectpath), "Unavailable")
    endcase
    objectpath := Trim(Path(objectpath), "-")
  endif

  if objectpath eq "" then

    if RegexMatch(Trim(objecttype,""),"(CRON)?JOB") > "0" then
      objectpath := "-"
      objectname := AUDIT.objectname
    else
      objectpath := Trim(Path(objectname), "-")
      if objectpath eq "/" then
        objectpath := "-"
      endif
      objectname := Trim(Filename(objectname), "Unavailable")
    endif
  endif    

  if ((AUDIT.eventmainclass ne "NOMAPPING") and (AUDIT.eventname ne "PROC_Delete")) then
    owner := Trim(AUDIT.newowner_aspect,null)
    origtype := Trim(AUDIT.origtype,null)
    object := GetObject(ObjectRefKey,ObjectAspectKey)

    post_user_context := Trim(GetChunkProperty(AUDIT, "_postusercontext"),"no")

    logonname  := Trim(AUDIT.logonname, "Unavailable")
    originator := Trim(AUDIT.originator)
    if ((NormalizeString(logonname) eq "Unavailable") or (post_user_context eq "no")) then
      logonname := Trim(GetLogonName(originator,""), logonname)
    endif
    realname := logonname
    source := GetSource(SourceRefKey,SourceAspectKey)

    description := Trim(AUDIT.description,logonname)
    stream := GetStream(StreamRefKey)

    eventmainclass:=AUDIT.eventmainclass
    eventclass:=AUDIT.eventclass
    successclass:=AUDIT.successclass
    if successclass eq "*" then
      successclass := AUDIT.exitcode
    endif

    chunk:=AUDIT  
    eventtimestamp:=AUDIT.platformeventtime

    recordtype := AUDIT.logrecordtype
    command := Trim(AUDIT.command,"-")
    user := Trim(AUDIT.group_aspect,null)
    newvalue := Trim(AUDIT.changes_aspect,null)
    access := Trim(AUDIT.access_aspect,null)
    oldvalue := Trim(AUDIT.oldname_aspect,null)

    process_id := Trim(AUDIT.pid_aspect,pid)
    if Targettype eq "" then Targettype := Trim(AUDIT.Targettype,null) endif
    if Target eq "" then Target := Trim(AUDIT.Target,null) endif
    Sourcetype := Trim(AUDIT.Sourcetype,null)
    Source := Trim(AUDIT.Source,null)

    message := Trim(AUDIT.message,null)
    privilege := Trim(AUDIT.privilege,null)

    event:=GetEvent(EventDetailKey)
  endif
endstate
