/// ame.src.gml - Licensed Materials ­ Property of IBM
/// ame.src.gml - 5724-S67
/// ame.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// ame.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectpath,objectname)
key OriginRefKey(platformtype,platformname) 
key PlatformRefKey(platformtype,platformname)
key TargetRefKey(platformtype,platformname)
key SourceRefKey(logonname)
key StreamRefKey(description)
key SourceAspectKey(originator)
key EventDetailRefKey(recordtype,db_user_name,Targettype,Target,access,reason,origtype,privilege,eventdetail)

/// AUDIT

initial state AUDIT 
((    (category eq "AUDIT")    
      and (eventmainclass ne "Unavailable")
      and (eventclass ne "Unavailable")
))

    eventmainclass := AUDIT.eventmainclass
    eventclass := AUDIT.eventclass
    if(AUDIT.result = "0")
    then
        successclass := "Success"
    else
        successclass := "Failure"
    endif

    ///OnWhat    
    objecttype := Trim(AUDIT.objecttype, "Unavailable")
    objectpath := "-"
    objectname := Trim(AUDIT.objectname, "Unavailable")
    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(AUDIT.origin_ip ne "")
    then
        platformname := AUDIT.origin_ip
        platformtype := "Host"
    else
        platformname := Trim(AUDIT.system, "Unavailable")
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=Trim(GetChunkProperty(AUDIT,"SystemName"), "Unavailable")
    platform := GetPlatform(PlatformRefKey)

    ///Who
    realname := Trim(AUDIT.user_id, "Unavailable")
    logonname := Trim(AUDIT.user_id, "Unavailable")
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := logonname
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := Trim(AUDIT.system, "Unavailable")
    target:=GetTarget(TargetRefKey)

    description := logonname
    stream      := GetStream(StreamRefKey)

    ///aspects
    recordtype := Append(AUDIT.category,"/",AUDIT.event_type)
    if not ((AUDIT.end_user_id eq "") or (AUDIT.end_user_id eq "-"))
    then
        db_user_name := AUDIT.end_user_id
    endif

    if(AUDIT.event_type eq "CONFIGURE")
    then
        Targettype := "AUDITPOLICY"
        Target := "db2audit.cfg"
    else
        Targettype := "AUDITLOG"
        Target := "db2audit.log"
    endif

    ///When
    eventtimestamp := AUDIT.time

    chunk := AUDIT
    event := GetEvent(EventDetailRefKey)

endstate

initial state CHECKING
((    (category eq "CHECKING")    
      and (eventmainclass ne "Unavailable")
      and (eventclass ne "Unavailable")
))

    eventmainclass := CHECKING.eventmainclass
    eventclass := CHECKING.eventclass
    if(CHECKING.result = "0")
    then
        successclass := "Success"
    else
        successclass := "Failure"
    endif
    if((CHECKING.name eq "") and (CHECKING.approval_reason eq "0x0000000000000001"))
    then
        successclass := "Failure"
    endif

    ///OnWhat
    if((CHECKING.name eq "") or (CHECKING.name eq "-"))
    then
        objecttype := DBINSTANCE
        objectpath := "-"
        objectname := Trim(CHECKING.subsystem, "Unavailable")
    else
        objecttype := Trim(CHECKING.objecttype, "Unavailable")
        case CHECKING.objectpath of
             "1":
                 objectpath := Trim(CHECKING.subsystem, "Unavailable")
                 if not ((CHECKING.xdatabase eq "-") or (CHECKING.xdatabase eq ""))
                 then
                      objectpath := Append(objectpath,"/",CHECKING.xdatabase)
                      if not ((CHECKING.xschema eq "-") or (CHECKING.xschema eq ""))
                      then
                          objectpath := Append(objectpath,":",CHECKING.xschema)
                      endif
                 endif
             "2":
                 objectpath := Trim(CHECKING.subsystem, "Unavailable")
             "3":
                 objectpath := "-"
             "4":
                 objectpath := Trim(CHECKING.subsystem, "Unavailable")
                 if not ((CHECKING.xdatabase eq "-") or (CHECKING.xdatabase eq ""))
                 then
                      objectpath := Append(objectpath,"/",CHECKING.xdatabase)
                 endif
        endcase 
        case CHECKING.objectname of
             "1":
                 objectname := Trim(CHECKING.name, "Unavailable")
             "2":
                 objectname := Trim(CHECKING.subsystem, "Unavailable")
             "3":
                 objectname := Trim(CHECKING.xdatabase, "Unavailable")
        endcase        
    endif
    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(CHECKING.origin_ip ne "")
    then
        platformname := CHECKING.origin_ip
        platformtype := "Host"
    else
        platformname := Trim(CHECKING.system, "Unavailable")
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=Trim(GetChunkProperty(CHECKING,"SystemName"), "Unavailable")
    platform := GetPlatform(PlatformRefKey)

    ///Who
    realname := Trim(CHECKING.user_id, "Unavailable")
    logonname := Trim(CHECKING.user_id, "Unavailable")
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := logonname
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := Trim(CHECKING.system, "Unavailable")
    target:=GetTarget(TargetRefKey)

    description := logonname
    stream      := GetStream(StreamRefKey)    

    ///aspects
    recordtype := Append(CHECKING.category,"/",CHECKING.event_type)
    if not ((CHECKING.end_user_id eq "") or (CHECKING.end_user_id eq "-"))
    then
        db_user_name := CHECKING.end_user_id
    endif
    if not ((CHECKING.access eq "") or (CHECKING.access eq "-"))
    then
        access := CHECKING.access
    endif
    if not ((CHECKING.reason eq "") or (CHECKING.reason eq "-"))    
    then
        reason := CHECKING.reason
    endif
    if not ((CHECKING.origtype eq "") or (CHECKING.origtype eq "-"))
    then
        origtype := CHECKING.origtype
    endif

    ///When
    eventtimestamp := CHECKING.time

    chunk := CHECKING
    event := GetEvent(EventDetailRefKey)

endstate

initial state OBJMAINT
((    (category eq "OBJMAINT")    
      and (eventmainclass ne "Unavailable")
      and (eventclass ne "Unavailable")
))

    eventmainclass := OBJMAINT.eventmainclass
    eventclass := OBJMAINT.eventclass
    if(OBJMAINT.result = "0")
    then
        successclass := "Success"
    else
        successclass := "Failure"
    endif

    ///OnWhat
    if((OBJMAINT.name eq "") or (OBJMAINT.name eq "-"))
    then
        objecttype := DBINSTANCE
        objectpath := "-"
        objectname := Trim(OBJMAINT.subsystem, "Unavailable")
    else
        objecttype := Trim(OBJMAINT.objecttype, "Unavailable")
        case OBJMAINT.objectpath of
             "1":
                 objectpath := Trim(OBJMAINT.subsystem, "Unavailable")
                 if not ((OBJMAINT.xdatabase eq "-") or (OBJMAINT.xdatabase eq ""))
                 then
                      objectpath := Append(objectpath,"/",OBJMAINT.xdatabase)
                      if not ((OBJMAINT.xschema eq "-") or (OBJMAINT.xschema eq ""))
                      then
                          objectpath := Append(objectpath,":",OBJMAINT.xschema)
                      endif
                 endif
             "2":
                 objectpath := Trim(OBJMAINT.subsystem, "Unavailable")
             "3":
                 objectpath := "-"
             "4":
                 objectpath := Trim(OBJMAINT.subsystem, "Unavailable")
                 if not ((OBJMAINT.xdatabase eq "-") or (OBJMAINT.xdatabase eq ""))
                 then
                      objectpath := Append(objectpath,"/",OBJMAINT.xdatabase)
                 endif
        endcase 
        case OBJMAINT.objectname of
             "1":
                 objectname := Trim(OBJMAINT.name, "Unavailable")
             "2":
                 objectname := Trim(OBJMAINT.subsystem, "Unavailable")
             "3":
                 objectname := Trim(OBJMAINT.xdatabase, "Unavailable")
        endcase        
    endif

    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(OBJMAINT.origin_ip ne "")
    then
        platformname := OBJMAINT.origin_ip
        platformtype := "Host"
    else
        platformname := Trim(OBJMAINT.system, "Unavailable")
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=Trim(GetChunkProperty(OBJMAINT,"SystemName"), "Unavailable")
    platform := GetPlatform(PlatformRefKey)

    ///Who
    realname := Trim(OBJMAINT.user_id, "Unavailable")
    logonname := Trim(OBJMAINT.user_id, "Unavailable")
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := Trim(OBJMAINT.user_id, "Unavailable")
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := Trim(OBJMAINT.system, "Unavailable")
    target:=GetTarget(TargetRefKey)

    description := logonname
    stream      := GetStream(StreamRefKey)    

    ///aspects
    recordtype := Append(OBJMAINT.category,"/",OBJMAINT.event_type)
    if not ((OBJMAINT.end_user_id eq "") or (OBJMAINT.end_user_id eq "-"))
    then
        db_user_name := OBJMAINT.end_user_id
    endif
    ///When
    eventtimestamp := OBJMAINT.time

    chunk := OBJMAINT
    event := GetEvent(EventDetailRefKey)

endstate

initial state SECMAINT
((    (category eq "SECMAINT")    
      and (eventmainclass ne "Unavailable")
      and (eventclass ne "Unavailable")
))

    eventmainclass := SECMAINT.eventmainclass
    eventclass := SECMAINT.eventclass
    if(SECMAINT.result = "0")
    then
        successclass := "Success"
    else
        successclass := "Failure"
    endif

    ///OnWhat
    if(SECMAINT.grant_type eq "USER")
    then
        objecttype := DBUSER
        objectpath := "-"
        objectname := Trim(SECMAINT.grantee, "Unavailable")
    else
        if(SECMAINT.event_type eq "SET_SESSION_USER")
        then
            objecttype := DATABASE
            objectpath := Trim(SECMAINT.subsystem, "Unavailable")
            objectname := Trim(SECMAINT.xdatabase, "Unavailable")
        else
            objecttype := DBGROUP
            objectpath := "-"
            objectname := Trim(SECMAINT.grantee, "Unavailable")
        endif        
    endif

    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(SECMAINT.origin_ip ne "")
    then
        platformname := SECMAINT.origin_ip
        platformtype := "Host"
    else
        platformname := Trim(SECMAINT.system, "Unavailable")
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=Trim(GetChunkProperty(SECMAINT,"SystemName"), "Unavailable")
    platform := GetPlatform(PlatformRefKey)

    ///Who
    realname := Trim(SECMAINT.user_id, "Unavailable")
    logonname := Trim(SECMAINT.user_id, "Unavailable")
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := Trim(SECMAINT.user_id, "Unavailable")
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := Trim(SECMAINT.system, "Unavailable")
    target:=GetTarget(TargetRefKey)

    description := logonname
    stream      := GetStream(StreamRefKey)    

    ///aspects
    recordtype := Append(SECMAINT.category,"/",SECMAINT.event_type)
    if not ((SECMAINT.end_user_id eq "") or (SECMAINT.end_user_id eq "-"))
    then
        db_user_name := SECMAINT.end_user_id
    endif
    if not ((SECMAINT.name eq "") or (SECMAINT.name eq "-"))
    then
        Target := SECMAINT.name
    endif
    if not ((SECMAINT.type eq "") or (SECMAINT.type eq "-"))
    then
        Targettype := SECMAINT.type
    endif
    privilege := SECMAINT.privilege

    ///When
    eventtimestamp := SECMAINT.time

    chunk := SECMAINT
    event := GetEvent(EventDetailRefKey)
endstate

initial state SYSADMIN
((    (category eq "SYSADMIN")    
      and (eventmainclass ne "Unavailable")
      and (eventclass ne "Unavailable")
))

    eventmainclass := SYSADMIN.eventmainclass
    eventclass := SYSADMIN.eventclass
    if(SYSADMIN.result = "0")
    then
        successclass := "Success"
    else
        successclass := "Failure"
    endif
    if((SYSADMIN.event_type eq "START_DB2") or (SYSADMIN.event_type eq "STOP_DB2"))
    then
        if((SYSADMIN.result >= "0") or (SYSADMIN.result eq "-1063") or (SYSADMIN.result eq "-1064"))
        then
            successclass := "Success"
        else
            successclass := "Failure"
        endif
    endif

    ///OnWhat
    objecttype := Trim(SYSADMIN.objecttype, "Unavailable")
    case SYSADMIN.objectpath of
         "1":
             objectpath := Trim(SYSADMIN.subsystem, "Unavailable")
         "2":
             objectpath := "-"
         "3":
             objectpath := Trim(SYSADMIN.subsystem, "Unavailable")
             if not ((SYSADMIN.xdatabase eq "-") or (SYSADMIN.xdatabase eq ""))
             then
                 objectpath := Append(objectpath,"/",SYSADMIN.xdatabase)
                 if not ((SYSADMIN.xschema eq "-") or (SYSADMIN.xschema eq ""))
                 then
                     objectpath := Append(objectpath,":",SYSADMIN.xschema)
                 endif
             endif
    endcase

    case SYSADMIN.objectname of
      "1":
          objectname := Trim(SYSADMIN.name, "Unavailable")
      "2":
          objectname := Trim(SYSADMIN.subsystem, "Unavailable")
      "3":
          objectname := Trim(SYSADMIN.system, "Unavailable")
      "4":
          objectname := Trim(SYSADMIN.xdatabase, "Unavailable")
      "5":
          objectname := Trim(SYSADMIN.origin_node_num, "Unavailable")
    endcase

    if((SYSADMIN.name eq "-") or (SYSADMIN.name eq ""))
    then
        if((SYSADMIN.event_type eq "CHANGE_DB_COMMENT") or (SYSADMIN.event_type eq "LOAD_TABLE") or (SYSADMIN.event_type eq "UNLOAD_TABLE") or (SYSADMIN.event_type eq "UPDATE_DATABASE_VERSION"))
        then
            objecttype := DATABASE
            objectpath := Trim(SYSADMIN.subsystem, "Unavailable")
            objectname := Trim(SYSADMIN.xdatabase, "Unavailable")
        else
            objecttype := DBINSTANCE
            objectpath := "-"
            objectname := Trim(SYSADMIN.subsystem, "Unavailable")
        endif
    endif

    if((SYSADMIN.xdatabase eq "-") or (SYSADMIN.xdatabase eq ""))
    then
        objecttype := DBINSTANCE
        objectpath := "-"
        objectname := Trim(SYSADMIN.subsystem, "Unavailable")
    endif

    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(SYSADMIN.origin_ip ne "")
    then
        platformname := SYSADMIN.origin_ip
        platformtype := "Host"
    else
        platformname := Trim(SYSADMIN.system, "Unavailable")
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=Trim(GetChunkProperty(SYSADMIN,"SystemName"), "Unavailable")
    platform := GetPlatform(PlatformRefKey)

    ///Who
    realname := Trim(SYSADMIN.user_id, "Unavailable")
    logonname := Trim(SYSADMIN.user_id, "Unavailable")
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := Trim(SYSADMIN.user_id, "Unavailable")
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := Trim(SYSADMIN.system, "Unavailable")
    target:=GetTarget(TargetRefKey)

    description := logonname
    stream      := GetStream(StreamRefKey)    

    ///aspects
    recordtype := Append(SYSADMIN.category,"/",SYSADMIN.event_type)
    if not ((SYSADMIN.end_user_id eq "") or (SYSADMIN.end_user_id eq "-"))
    then
        db_user_name := SYSADMIN.end_user_id
    endif

    ///When
    eventtimestamp := SYSADMIN.time

    chunk := SYSADMIN
    event := GetEvent(EventDetailRefKey)

endstate

initial state VALIDATE
((    (category eq "VALIDATE")    
      and (eventmainclass ne "Unavailable")
      and (eventclass ne "Unavailable")
))

    eventmainclass := VALIDATE.eventmainclass
    eventclass := VALIDATE.eventclass
    if(VALIDATE.result = "0")
    then
        successclass := "Success"
    else
        successclass := "Failure"
    endif

    ///OnWhat
    objecttype := Trim(VALIDATE.objecttype, "Unavailable")
    if((VALIDATE.xdatabase eq "-") or (VALIDATE.xdatabase eq ""))
    then        
        objecttype := "DBINSTANCE"
        objectpath := "-"
        objectname := Trim(VALIDATE.subsystem, "Unavailable")
    else
        if((VALIDATE.event_type eq "GET_GROUPS") or (VALIDATE.event_type eq "GET_GROUPLIST") or (VALIDATE.event_type eq "GET_USERID"))
        then
            objectpath := "-"
        else
            objectpath := Trim(VALIDATE.subsystem, "Unavailable")
        endif
        if((VALIDATE.event_type eq "GET_GROUPS") or (VALIDATE.event_type eq "GET_GROUPLIST"))
        then
            objectname := Trim(VALIDATE.subsystem, "Unavailable")
        else
            if(VALIDATE.event_type eq "GET_USERID")
            then
                if((VALIDATE.user_id ne "-") or (VALIDATE.user_id ne ""))
                then
                    objectname := Trim(VALIDATE.user_id, "Unavailable")
                else
                    objectname := Trim(VALIDATE.authorization_id, "Unavailable")
                endif
            else
                objectname := Trim(VALIDATE.xdatabase, "Unavailable")
            endif
        endif
    endif

    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(VALIDATE.origin_ip ne "")
    then
        platformname := VALIDATE.origin_ip
        platformtype := "Host"
    else
        platformname := Trim(VALIDATE.system, "Unavailable")
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=Trim(GetChunkProperty(VALIDATE,"SystemName"), "Unavailable")
    platform := GetPlatform(PlatformRefKey)

    ///Who
    realname := Trim(VALIDATE.user_id, "Unavailable")
    logonname := Trim(VALIDATE.user_id, "Unavailable")
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := Trim(VALIDATE.user_id, "Unavailable")
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := Trim(VALIDATE.system, "Unavailable")
    target:=GetTarget(TargetRefKey)

    description := logonname
    stream      := GetStream(StreamRefKey)    

    ///aspects
    recordtype := Append(VALIDATE.category,"/",VALIDATE.event_type)
    if not ((VALIDATE.end_user_id eq "") or (VALIDATE.end_user_id eq "-"))
    then
        db_user_name := VALIDATE.end_user_id
    endif

    ///When
    eventtimestamp := VALIDATE.time

    chunk := VALIDATE
    event := GetEvent(EventDetailRefKey)

endstate

initial state zOS
((    (event_type eq "143")    
      or (event_type eq "144")
      or (event_type eq "055")
      or (event_type eq "083")
      or (event_type eq "087")
      or (event_type eq "169")
      or (event_type eq "023")
      or (event_type eq "024")
      or (event_type eq "025")
      or (event_type eq "090")
      or (event_type eq "091")

))

    chunk := zOS

    ///When
    eventtimestamp := zOS.time

    ///Who
    realname := zOS.user_id
    logonname := zOS.user_id
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := zOS.user_id
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///What
    if(zOS.result < "0")
    then
      successclass := "Failure"
    else
      successclass := "Success"
    endif

    eventmainclass := zOS.eventmainclass
    eventclass := zOS.eventclass

    ///FromWhere
    if(zOS.origin_ip ne "")
    then
        platformname := zOS.origin_ip
        platformtype := "Host"
    else
        platformname := zOS.system
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := zOS.system
    target:=GetTarget(TargetRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=GetChunkProperty(zOS,"SystemName")
    platform := GetPlatform(PlatformRefKey)

    ///aspects
    recordtype := zOS.event_type
    eventdetail := zOS.context_type
    db_user_name := zOS.end_user_id

    ///OnWhat
    objecttype := zOS.objecttype
    case zOS.objectpath of
         "1":
             objectpath := zOS.subsystem
             if not ((zOS.xdatabase eq "-") or (zOS.xdatabase eq ""))
             then
                 objectpath := Append(objectpath,"/",zOS.xdatabase)
                 if not ((zOS.container eq "-") or (zOS.container eq ""))
                 then
                     objectpath := Append(objectpath,"/",zOS.container)
                 endif
                 if not ((zOS.xschema eq "-") or (zOS.xschema eq ""))
                 then
                     objectpath := Append(objectpath,":",zOS.xschema)
                 endif
             endif
         "2":
             objectpath := zOS.subsystem
         "3":
             objectpath := "-"
        endcase 
    case zOS.objectname of
         "1":
             objectname := zOS.name
         "2":
             objectname := zOS.xdatabase
         "3":
             objectname := zOS.app_name
    endcase 

    if((zOS.app_name eq "") or (zOS.xdatabase eq ""))
    then
        if((zOS.event_type eq "090") or (zOS.event_type eq "091") or (zOS.event_type eq "083") or (zOS.event_type eq "087") or (zOS.event_type eq "169"))
        then
            objecttype := DBINSTANCE
            objectpath := "-"
            objectname := zOS.subsystem
        endif
    endif

    object := GetObject(ObjectRefKey,EventDetailRefKey)

    event := GetEvent(EventDetailRefKey)

endstate

initial state zOS_140
((    (event_type eq "140")    

))

    chunk := zOS_140

    ///When
    eventtimestamp := zOS_140.time

    ///Who
    realname := zOS_140.user_id
    logonname := zOS_140.user_id
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := zOS_140.user_id
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///What
    if(zOS.result < "0")
    then
      successclass := "Failure"
    else
      successclass := "Success"
    endif

    eventmainclass := zOS_140.eventmainclass
    eventclass := zOS_140.eventclass

    ///OnWhat
    objecttype := zOS_140.objecttype
    case zOS_140.objectpath of
         "1":
             objectpath := zOS_140.subsystem
             if not ((zOS_140.xdatabase eq "-") or (zOS_140.xdatabase eq ""))
             then
                 objectpath := Append(objectpath,"/",zOS_140.xdatabase)
                 if not ((zOS_140.xschema eq "-") or (zOS_140.xschema eq ""))
                 then
                     objectpath := Append(objectpath,":",zOS_140.xschema)
                 endif
             endif
         "2":
             objectpath := "-"
         "3":
             objectpath := zOS_140.subsystem
         "4":
             objectpath := zOS_140.subsystem
             if not ((zOS_140.xdatabase eq "-") or (zOS_140.xdatabase eq ""))
             then
                 objectpath := Append(objectpath,"/",zOS_140.xdatabase)
             endif
        endcase 
    case zOS_140.objectname of
         "1":
             objectname := zOS_140.name
         "2":
             objectname := zOS_140.subsystem
         "3":
             objectname := zOS_140.xdatabase
    endcase 

    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(zOS_140.origin_ip ne "")
    then
        platformname := zOS_140.origin_ip
        platformtype := "Host"
    else
        platformname := zOS_140.system
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := zOS_140.system
    target:=GetTarget(TargetRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=GetChunkProperty(zOS_140,"SystemName")
    platform := GetPlatform(PlatformRefKey)

    ///aspects
    recordtype := zOS_140.event_type
    eventdetail := zOS_140.context_type
    db_user_name := zOS_140.end_user_id
    if(zOS_140.type eq "TABLE/VIEW")
    then
        origtype := "DBTABLE/DBVIEW"
    endif

    event := GetEvent(EventDetailRefKey)

endstate

initial state zOS_141
((    (event_type eq "141")    

))

    chunk := zOS_141

    ///When
    eventtimestamp := zOS_141.time

    ///Who
    realname := zOS_141.user_id
    logonname := zOS_141.user_id
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := zOS_141.user_id
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///What
    if(zOS.result = "0")
    then
      successclass := "Success"
    else
      successclass := "Failure"
    endif

    eventmainclass := zOS_141.eventmainclass
    eventclass := zOS_141.eventclass

    ///OnWhat
    objecttype := zOS_141.objecttype
    objectpath := "-"
    objectname := zOS_141.grantee

    ///FromWhere
    if(zOS_141.origin_ip ne "")
    then
        platformname := zOS_141.origin_ip
        platformtype := "Host"
    else
        platformname := zOS_141.system
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := zOS_141.system
    target:=GetTarget(TargetRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=GetChunkProperty(zOS_141,"SystemName")
    platform := GetPlatform(PlatformRefKey)

    ///aspects
    recordtype := zOS_141.event_type
    eventdetail := zOS_141.context_type
    db_user_name := zOS_141.end_user_id
    privilege := zOS_141.appreval_reason
    Target := zOS_141.name
    Targettype := zOS_141.type

    event := GetEvent(EventDetailRefKey)

endstate

initial state zOS_142
((    (event_type eq "142")   

)) 

    chunk := zOS_142

    ///When
    eventtimestamp := zOS_142.time

    ///Who
    realname := zOS_142.user_id
    logonname := zOS_142.user_id
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := zOS_142.user_id
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///What
    if(zOS.result = "0")
    then
      successclass := "Success"
    else
      successclass := "Failure"
    endif

    eventmainclass := zOS_142.eventmainclass
    eventclass := zOS_142.eventclass

    ///OnWhat
    objecttype := zOS_142.objecttype
    case zOS_142.objectpath of
         "1":
             objectpath := zOS_142.subsystem
             if not ((zOS_142.xdatabase eq "-") or (zOS_142.xdatabase eq ""))
             then
                 objectpath := Append(objectpath,"/",zOS_142.xdatabase)
                 if not ((zOS_142.xschema eq "-") or (zOS_142.xschema eq ""))
                 then
                     objectpath := Append(objectpath,":",zOS_142.xschema)
                 endif
             endif
         "2":
             objectpath := "-"
         "3":
             objectpath := zOS_142.subsystem
         "4":
             objectpath := zOS_142.subsystem
             if not ((zOS_142.xdatabase eq "-") or (zOS_142.xdatabase eq ""))
             then
                 objectpath := Append(objectpath,"/",zOS_142.xdatabase)
             endif
        endcase 
    case zOS_142.objectname of
         "1":
             objectname := zOS_142.name
         "2":
             objectname := zOS_142.subsystem
         "3":
             objectname := zOS_142.xdatabase
    endcase 

    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(zOS_142.origin_ip ne "")
    then
        platformname := zOS_142.origin_ip
        platformtype := "Host"
    else
        platformname := zOS_142.system
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := zOS_142.system
    target:=GetTarget(TargetRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=GetChunkProperty(zOS_142,"SystemName")
    platform := GetPlatform(PlatformRefKey)

    ///aspects
    recordtype := zOS_142.event_type
    eventdetail := zOS_142.context_type
    db_user_name := zOS_142.end_user_id
    if(zOS_142.type eq "TABLE/VIEW")
    then
        origtype := "DBTABLE/DBVIEW"
    endif

    event := GetEvent(EventDetailRefKey)

endstate

initial state zOS_145
((    (event_type eq "145")   

)) 

    chunk := zOS_145

    ///When
    eventtimestamp := zOS_145.time

    ///Who
    realname := zOS_145.user_id
    logonname := zOS_145.user_id
    orig := GetOriginator(logonname,"NA")
    if(orig eq "NA")
    then
        originator := zOS_145.user_id
    else
        originator := orig
    endif
    source := GetSource(SourceRefKey,SourceAspectKey)

    ///What
    if(zOS.result = "0")
    then
      successclass := "Success"
    else
      successclass := "Failure"
    endif

    eventmainclass := zOS_145.eventmainclass
    eventclass := zOS_145.eventclass

    ///OnWhat
    objecttype := zOS_145.objecttype
    case zOS_145.objectpath of
         "1":
             objectpath := zOS_145.subsystem
             if not((zOS_145.xdatabase eq "-") or (zOS_145.xdatabase eq ""))
             then
                 objectpath := Append(objectpath,"/",zOS_145.xdatabase)
                 if not ((zOS_145.xschema eq "-") or (zOS_145.xschema eq ""))
             then
                 objectpath := Append(objectpath,":",zOS_145.xschema)
             endif
             endif
         "2":
             objectpath := "-"
         "3":
             objectpath := zOS_145.subsystem
         "4":
             objectpath := zOS_145.subsystem
             if not ((zOS_145.xdatabase eq "-") or (zOS_145.xdatabase eq ""))
             then
                 objectpath := Append(objectpath,"/",zOS_145.xdatabase)
             endif
        endcase 
    case zOS_145.objectname of
         "1":
             objectname := zOS_145.name
         "2":
             objectname := zOS_145.subsystem
         "3":
             objectname := zOS_145.xdatabase
    endcase 

    object := GetObject(ObjectRefKey,EventDetailRefKey)

    ///FromWhere
    if(zOS_145.origin_ip ne "")
    then
        platformname := zOS_145.origin_ip
        platformtype := "Host"
    else
        platformname := zOS_145.system
        platformtype := "IBM DB2"
    endif

    origin := GetOrigin(OriginRefKey)

    ///ToWhere
    platformtype := "IBM DB2"
    platformname := zOS_145.system
    target:=GetTarget(TargetRefKey)

    ///Where
    platformtype := "IBM DB2AME"
    platformname:=GetChunkProperty(zOS_145,"SystemName")
    platform := GetPlatform(PlatformRefKey)

    ///aspects
    recordtype := zOS_145.event_type
    eventdetail := zOS_145.context_type
    db_user_name := zOS_145.end_user_id
    if(zOS_145.type eq "TABLE/VIEW")
    then
        origtype := "DBTABLE/DBVIEW"
    endif

    event := GetEvent(EventDetailRefKey)

endstate

