/// bim51.src.gml - Licensed Materials ­ Property of IBM
/// bim51.src.gml - 5724-S67
/// bim51.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// bim51.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

//

//

key PlatformRefKey(platformtype, platformname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key EventDetailKey(descript,message)

initial final state BIMEvent
    if(BIMEvent.sysid ne null and BIMEvent.sysid ne "") then
      platformname:=BIMEvent.sysid
    else
      platformname:="-"
    endif
    platformtype:="BIM"
    platform:=GetPlatform(PlatformRefKey)

    objecttype := BIMEvent.objecttype
    objectpath := BIMEvent.objectpath
    objectname := BIMEvent.objectname
    object:=GetObject(ObjectRefKey)

    platformname:="-"
    platformtype:="BIM"
    target:=GetTarget(TargetRefKey)

    description:=BIMEvent.logonname
    stream:=GetStream(StreamRefKey) 

    logonname := BIMEvent.logonname
    realname := BIMEvent.realname
    source:=GetSource(SourceRefKey)

    if(BIMEvent.origin ne null and BIMEvent.origin ne "") then
      platformname:=BIMEvent.origin
    else
      platformname:="-"
    endif
    origin:=GetOrigin(OriginRefKey)

    eventclass:=BIMEvent.eventclass
    eventmainclass:=BIMEvent.eventmainclass
    successclass:=BIMEvent.successclass
    eventtimestamp:=BIMEvent.platformeventtime

    chunk:=BIMEvent
    recordtype:="BIM"

    descript := BIMEvent.descript
    if (BIMEvent.message ne "canned") then
      message := BIMEvent.message
    else
      message0 := ""
      if (BIMEvent.field ne null and Trim(BIMEvent.field) ne "") then
        message0 := Append(message0, "Change field ", Trim(BIMEvent.field))
      endif
      if (BIMEvent.before ne null and Trim(BIMEvent.before) ne "") then
        message0 := Append(message0, " from ", Trim(BIMEvent.before))
      endif
      if (BIMEvent.after ne null and Trim(BIMEvent.after) ne "") then
        message0 := Append(message0, " to ", Trim(BIMEvent.after))
      endif
      if (message0 ne "") then
        message := message0
      endif
    endif

    event:=GetEvent(EventDetailKey)
endstate
