/// bluecoat.src.gml - Licensed Materials ­ Property of IBM
/// bluecoat.src.gml - 5724-S67
/// bluecoat.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// bluecoat.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectname,objectpath)
key OriginRefKey(platformname,platformtype) 
key PlatformRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailKey(method, path, protocol, content_category, content_filtering_result, appliance_action, virusname, transport)

final state DevNull
endstate

initial final state streaming 
((   (var_format eq "streaming")  ))

  eventmainclass := "Read"
  eventclass     := "File"

  if( (streaming.status <= "300") or (streamingt.status = "304") )
  then
    successclass := "Success"
  else
    successclass := "Failure"
  endif

  objecttype := "FILE"
  objectpath := Path(streaming.cs_uri_path)
  objectname := Filename(streaming.cs_uri_path)            
  objectpath := NormalizeString(Trim(objectpath,"Unavailable"))
  objectname := NormalizeString(Trim(objectname,"Unavailable"))
  object     := GetObject(ObjectRefKey)

  value1 := Trim(streaming.x_cache_user,"Anonymous")
  value2 := Trim(streaming.c_dns, streaming.c_ip)
  value2 := Trim(value2,"Unavailable")
  logonname := Append(value1,"@",value2)
  realname := logonname 
  source   := GetSource(SourceRefKey)

  platformtype := "-"

  platformname := value2
  origin := GetOrigin(OriginRefKey)

  value1 := Trim(streaming.s_dns, streaming.s_ip)
  platformname := Trim(value1,"Unavailable")
  target := GetTarget(TargetRefKey)

  platformname := GetChunkProperty(streaming,"SystemName")
  platformtype := GetChunkProperty(streaming,"PlatformType")
  platform     := GetPlatform(PlatformRefKey)

  description  := "generic"
  stream       := GetStream(StreamRefKey)

  protocol  := Trim(streaming.protocol,"Unavailable")
  transport := Trim(streaming.transport,"Unavailable")

  chunk := streaming
  eventtimestamp := streaming.platformeventtime
  event:=GetEvent(EventDetailKey)
endstate

initial state ncsa
((   (var_format eq "ncsa")  ))
  if( ncsa.var_emc eq "-" )
  then
    MoveTo(DevNull)
  else
    MoveTo(FinishNCSA)
  endif
endstate

final state FinishNCSA
  eventmainclass := ncsa.var_emc
  eventclass     := ncsa.var_ec
  objecttype     := ncsa.var_obtype
  objectpath     := ncsa.var_obpath
  objectname     := ncsa.var_obname

  if( (ncsa.status <= "300") or (ncsa.status = "304") )
  then
    successclass := "Success"
  else
    successclass := "Failure"
  endif

  case ncsa.var_obpath of
        "P1":
           eventclass := "File"
           objecttype := "FILE"
           objectpath := Path(ncsa.cs_uri_path)
           objectname := Filename(ncsa.cs_uri_path)
           if objectname eq "" then
             eventclass := "Directory"
             objecttype := "DIRECTORY"
             objectpath := Path(objectpath)
             objectname := Filename(objectpath)
           endif
           objectpath := Trim(objectpath,".")             
  endcase

  case ncsa.var_obname of
        "N4":      
           objectname := ncsa.cs_uri_path2
  endcase
  objectpath := NormalizeString(Trim(objectpath,"Unavailable"))
  objectname := NormalizeString(Trim(objectname,"Unavailable"))
  object     := GetObject(ObjectRefKey)

  if( (ncsa.authuser ne null) and (ncsa.authuser ne " ") )
  then
    logonname := ncsa.authuser
  else
    value := Trim(ncsa.remotehost,"Unavailable")
    logonname := Append("Anonymous@",value)
  endif
  realname := logonname 
  source   := GetSource(SourceRefKey)

  platformtype := "-"
  platformname := Trim(ncsa.remotehost,"Unavailable")   
  origin := GetOrigin(OriginRefKey)

  value := Trim(ncsa.domain,ncsa.domain2)
  platformname := Trim(value,"Unavailable")       
  target := GetTarget(TargetRefKey)

  platformname := GetChunkProperty(ncsa,"SystemName")
  platformtype := GetChunkProperty(ncsa,"PlatformType")
  platform     := GetPlatform(PlatformRefKey)

  description  := "generic"
  stream       := GetStream(StreamRefKey)

  chunk := ncsa
  eventtimestamp := ncsa.platformeventtime
  event:=GetEvent(EventDetailKey)
endstate 

initial state im
((   (var_format eq "im")  ))
  if( im.var_emc eq "-" )
  then
    MoveTo(DevNull)
  else
    MoveTo(FinishIM)
  endif
endstate

final state FinishIM 
  eventmainclass := im.var_emc
  eventclass     := im.var_ec
  successclass   := im.var_sc     
  objecttype     := im.var_obtype
  objectpath     := im.var_obpath
  objectname     := im.var_obname
  var_cond1      := im.var_cond1
  var_obpath     := im.var_obpath
  var_obname     := im.var_obname
  var_aspect     := im.var_aspect 

  if( (im.var_action eq "1") or
      (im.var_action eq "2") or
      (im.var_action eq "3") )
  then
    eventclass   := "System"
    successclass := "Warning"
    objecttype   := "SYSTEM"
    objectpath   := "-"
    objectname   := im.s_ip
    var_cond1    := "X"
    var_obpath   := "X"
    var_obname   := "X"
    var_aspect   := "A4"  
  endif

  case im.var_action of
        "1":
          eventmainclass := "Contentsviolation"
        "2":
          eventmainclass := "Policyviolation"
        "3":
          eventmainclass := "Internalwarning"
  endcase

  case var_cond1 of
      "C5":
        if( im.var_action eq "0" )
        then
          successclass := "Success"
        else
           successclass := "Failure"
        endif
  endcase

  case var_obpath of
        "P2":
           if( (im.x_im_file_size eq " ") or (im.x_im_file_size eq "0") ) 
           then
             eventclass := Chatmessage
             objecttype := CHATMESSAGE
             objectpath := im.x_im_chat_room_id
             objectname := Trim(im.x_im_buddy_name, im.x_im_buddy_id)
           else
              eventclass := "File"
              objecttype := "FILE"
              objectpath := Path(im.cs_uri_path)
              objectname := Filename(im.cs_uri_path)
              objectpath := Trim(objectpath,".")             
           endif
        "P3":
             objectpath := im.x_im_chat_room_id
  endcase
  case var_obname of
        "N6":      
           objectname := Trim(im.x_im_user_name, im.x_im_user_id)
        "N7": 
           objectname := im.x_im_chat_room_id  
        "N8": 
           objectname := Trim(im.x_im_buddy_name, im.x_im_buddy_id)
  endcase
  objectpath := NormalizeString(Trim(objectpath,"Unavailable"))
  objectname := NormalizeString(Trim(objectname,"Unavailable"))
  object     := GetObject(ObjectRefKey)

  value1 := Trim(im.cs_username,"Anonymous")
  value2 := Trim(im.c_ip,"Unavailable")
  logonname := Append(value1,"@",value2)
  realname  := logonname 
  source    := GetSource(SourceRefKey)

  platformtype := "-"
  platformname := value2   
  origin := GetOrigin(OriginRefKey)
  target := GetTarget(TargetRefKey)

  platformname := GetChunkProperty(im,"SystemName")
  platformtype := GetChunkProperty(im,"PlatformType")
  platform     := GetPlatform(PlatformRefKey)

  description  := "generic"
  stream       := GetStream(StreamRefKey)

  case var_aspect of
    "A4":
      method := Trim(im.x_im_method,"Unavailable")
      appliance_action := Trim(im.s_action,"Unavailable")
    "A5":
      appliance_action := Trim(im.s_action,"Unavailable")
  endcase

  chunk := im
  eventtimestamp := im.platformeventtime
  event := GetEvent(EventDetailKey)
endstate 

initial state main
((   (var_format eq "main")  and not ((cs_method eq "Pass") or (cs_method eq "User")) ))
  case main.var_emc of
    "-":
      MoveTo(DevNull)
    otherwise
      MoveTo(FinishMAIN)
  endcase
endstate

final state FinishMAIN
  eventmainclass := main.var_emc
  eventclass     := main.var_ec
  successclass   := main.var_sc     
  objecttype     := main.var_obtype
  objectpath     := main.var_obpath
  objectname     := main.var_obname
  var_cond1      := main.var_cond1
  var_obpath     := main.var_obpath
  var_obname     := main.var_obname
  var_aspect     := main.var_aspect 

  if( (main.x_virus_id ne " ") or
      (main.sc_filter_result eq "DENIED") or 
      (main.var_action eq "1") or
      (main.var_action eq "2") or
      (main.var_action eq "3") )
  then
    eventclass     := "System"
    successclass   := "Warning"
    objecttype     := "SYSTEM"
    objectpath     := "-"
    objectname     := main.s_ip
    var_cond1      := "X"
    var_obpath     := "X"
    var_obname     := "X"
    var_aspect     := "A2"  

    if( main.x_virus_id ne " " ) 
    then
      eventmainclass := "Virusdetect"
    else
      if( (main.sc_filter_result eq "DENIED") or (main.var_action eq "1") )
      then
        eventmainclass := "Contentsviolation"
      else
        if( main.var_action eq "2" )
        then
          eventmainclass := "Policyviolation"
        else
          if( main.var_action eq "3" )
          then
            eventmainclass := "Internalwarning"
          endif
        endif
      endif
    endif
  endif

  case var_cond1 of
      "C1":
        if( ((main.sc_status <= "300") or (main.sc_status = "304")) and
            (main.var_action eq "0") and (main.sc_filter_result ne "DENIED"))
        then
          successclass := "Success"
        else
           successclass := "Failure"
        endif

      "C2":
        if((main.var_action eq "0") and (main.sc_filter_result ne "DENIED"))
        then
          successclass := "Success"
        else
           successclass := "Failure"
        endif

      "C3":
        if( (main.sc_status <= "421") and
            (main.var_action eq "0") and (main.sc_filter_result ne "DENIED"))
        then
          successclass := "Success"
        else
           successclass := "Failure"
        endif
   endcase

  case var_obpath of
        "P1":
           eventclass := "File"
           objecttype := "FILE"
           objectpath := Path(main.cs_uri_path)
           objectname := Filename(main.cs_uri_path)
           if objectname eq "" then
             eventclass := "Directory"
             objecttype := "DIRECTORY"
             objectpath := Path(objectpath)
             objectname := Filename(objectpath)
           endif
           objectpath := Trim(objectpath,".")             
  endcase

  case var_obname of
        "N2":      
           objectname := main.s_sitename
        "N3":      
           objectname := main.s_ip
  endcase

  objectpath := NormalizeString(Trim(objectpath,"Unavailable"))
  objectname := NormalizeString(Trim(objectname,"Unavailable"))
  object     := GetObject(ObjectRefKey)

  value1 := Trim(main.cs_username,"Anonymous")
  value2 := Trim(main.c_ip,"Unavailable")
  logonname := Append(value1,"@",value2)
  realname  := logonname 
  source    := GetSource(SourceRefKey)

  platformtype := "-"
  platformname := value2
  origin := GetOrigin(OriginRefKey)

  platformtype := "-"
  platformname := Trim(main.s_ip,"Unavailable")
  target := GetTarget(TargetRefKey)

  platformname := GetChunkProperty(main,"SystemName")
  platformtype := GetChunkProperty(main,"PlatformType")
  platform     := GetPlatform(PlatformRefKey)

  description  := "generic"
  stream       := GetStream(StreamRefKey)

  case var_aspect of
    "A1":
      content_category := Trim(main.sc_filter_category,"Unavailable")
      content_filtering_result := Trim(main.sc_filter_result,"Unavailable")
      appliance_action := Trim(main.s_action,"Unavailable")
    "A2":
      method := Trim(main.cs_method,"Unavailable")
      path := Trim(main.cs_uri_path,"Unavailable")
      protocol := Trim(main.s_sitename,"Unavailable")
      content_category := Trim(main.sc_filter_category,"Unavailable")
      content_filtering_result := Trim(main.sc_filter_result,"Unavailable")
      appliance_action := Trim(main.s_action,"Unavailable")
      virusname := Trim(main.x_virus_id,"Unavailable")
    "A3":
      protocol := Trim(main.s_sitename,"Unavailable")
      content_category := Trim(main.sc_filter_category,"Unavailable")
      content_filtering_result := Trim(main.sc_filter_result,"Unavailable")
      appliance_action := Trim(main.s_action,"Unavailable")     
  endcase

  chunk := main
  eventtimestamp := main.platformeventtime
  event := GetEvent(EventDetailKey)
endstate

initial state FTPUser
  ((  ( cs_method eq "User" ) ))
  c_ip := FTPUser.c_ip
  MoveTo(FTPPass) 
endstate 

state FTPPass
  (( ( cs_method eq "Pass" ) ))
  if ( c_ip eq FTPPass.c_ip ) then

    eventmainclass := "Logon"
    eventclass := "Ftp"

    if( (FTPPass.sc_status <= "421") and
        (FTPPass.var_action eq "0") and 
        (FTPPass.sc_filter_result ne "DENIED") )
    then
      successclass := "Success"
    else
      successclass := "Failure"
    endif

    objecttype := "SYSTEM"
    objectpath := "-"
    objectname := Trim(FTPPass.s_ip, "Unavailable")
    object     := GetObject(ObjectRefKey)

    c_ip := Trim(FTPPass.c_ip,"Unavailable")
    cs_username := Trim(FTPPass.cs_username,"Anonymous")
    logonname := Append(cs_username,"@",c_ip)
    realname  := logonname 
    source    := GetSource(SourceRefKey)

    platformtype := "-"
    platformname := Trim(FTPPass.c_ip,"Unavailable")
    origin := GetOrigin(OriginRefKey)

    platformname := Trim(FTPPass.s_ip,"Unavailable")
    target := GetTarget(TargetRefKey)

    platformname := GetChunkProperty(FTPPass,"SystemName")
    platformtype := GetChunkProperty(FTPPass,"PlatformType")
    platform     := GetPlatform(PlatformRefKey)

    description  := "generic"
    stream       := GetStream(StreamRefKey)

    protocol := Trim(FTPPass.s_sitename,"Unavailable")
    content_category := Trim(FTPPass.sc_filter_category,"Unavailable")
    content_filtering_result := Trim(FTPPass.sc_filter_result,"Unavailable")
    appliance_action := Trim(FTPPass.s_action,"Unavailable")      

    chunk := FTPPass
    eventtimestamp := FTPPass.platformeventtime
    event := GetEvent(EventDetailKey)
    MoveTo(DevNull)
  endif
endstate 
