/// cea.src.gml - Licensed Materials ­ Property of IBM
/// cea.src.gml - 5724-S67
/// cea.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// cea.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// cea.gml - Licensed Materials  Property of IBM
/// cea.gml - 5724-S67
/// cea.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// cea.gml - US Government Users Restricted Rights  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(severity,miscellaneous,recordtype,module,id,reason,syncobject,Source,Target,target_object)

initial final state SelfAudit
        (( (eventmainclass ne "Nomapping") and (logtype ne "bluebook") and (logtype ne "AuthDaemon")))

  platformtype := "InSight"
  platformname := GetChunkProperty(SelfAudit,"platformname")
  platform := GetPlatform(PlatformRefKey)

  if SelfAudit.objectname ne null then
    objectname := SelfAudit.objectname
  else
    objectname := "-"
  endif
  if SelfAudit.objectpath ne null then
    objectpath := SelfAudit.objectpath
  else
    objectpath := "-"
  endif
  if objectpath eq "." then
    objectpath := Trim(Path(objectname), ".")
    objectname := Trim(Filename(objectname), "-")
  endif
  if SelfAudit.objecttype ne null then
    objecttype := SelfAudit.objecttype
  else
    objecttype := "-"
  endif
  object := GetObject(ObjectRefKey)

  if SelfAudit.entrypoint ne null then
    description := SelfAudit.entrypoint
  else
    description := platformname
  endif
  stream := GetStream(StreamRefKey)

  logonname := "Anonymous"
  realname := logonname
  source := GetSource(SourceRefKey)

  origin := GetOrigin(OriginRefKey)

  target := GetTarget(TargetRefKey)

  message0 := ""
  if SelfAudit.msgname ne "" then
    message0 := Append(message0, SelfAudit.msgname)
  endif
  message0 := Append(message0, SelfAudit.msgnumber)
  if message0 ne "" then
    message := message0
  endif
  miscellaneous := SelfAudit.miscellaneous

  eventclass := SelfAudit.eventclass
  eventmainclass := SelfAudit.eventmainclass
  successclass := SelfAudit.successclass
  eventtimestamp := SelfAudit.platformeventtime
  chunk := SelfAudit
  recordtype := SelfAudit.msgname
  module := SelfAudit.module     

  if SelfAudit.target_object ne "" then
	target_object := SelfAudit.target_object
  endif

  reason := SelfAudit.reason
  privileges := Append(privileges, SelfAudit.privileges)
  GetEvent(EventDetailKey)
endstate

initial final state AuthDaemon
  ((logtype eq "AuthDaemon"))

  platformtype := "IBM TCIM"
  platformname := GetChunkProperty(AuthDaemon,"platformname")
  platform := GetPlatform(PlatformRefKey)

  if ((AuthDaemon.objectname ne null) and (AuthDaemon.objectname ne "Connection with ")) then
    objectname := AuthDaemon.objectname
	if (AuthDaemon.objectname ne "AuthDaemon") then
	  Forget("database","cifdb")
	  Remember("database","cifdb",AuthDaemon.objectname)
	endif
  else
    if (AuthDaemon.objectname ne "Connection with ") then 
      objectname := Recall("database","cifdb") 
    else 
      objectname := Recall("database","cifdb")
      objectname := Append(AuthDaemon.objectname, objectname)
    endif
  endif
  objectpath := AuthDaemon.objectpath
  objecttype := AuthDaemon.objecttype
  object := GetObject(ObjectRefKey)

  realname := "Anonymous"
  logonname := "Anonymous"
  source            := GetSource(SourceRefKey)

  description       := "IBM TCIM"
  stream            := GetStream(StreamRefKey)

  platformtype      := "IBM TCIM"
  platformname      := GetChunkProperty(AuthDaemon,"platformname")
  origin            := GetOrigin(OriginRefKey)

  platformtype      := "IBM DB2"
  platformname      := Recall("database","cifdb")
  target            := GetTarget(TargetRefKey)

  eventmainclass    := AuthDaemon.eventmainclass
  eventclass        := AuthDaemon.eventclass
  successclass      := AuthDaemon.successclass

  eventtimestamp    := AuthDaemon.platformeventtime
  chunk             := AuthDaemon

  if AuthDaemon.id ne null then id := AuthDaemon.id endif
  if AuthDaemon.syncobject ne null then syncobject := AuthDaemon.syncobject endif
  if AuthDaemon.reason ne null then reason := AuthDaemon.reason endif
  if ((AuthDaemon.eventclass ne "Service") or (AuthDaemon.eventclass ne "Connection")) then Source := GetChunkProperty(AuthDaemon,"platformname") endif
  if AuthDaemon.eventmainclass eq "Synchronize" then Target := Recall("database","cifdb") endif
  event:=GetEvent(EventDetailKey)
endstate

initial state BBLog
  ((platformevent eq "BBLog300"))

  platformtype := "InSight"
  platformname := GetChunkProperty(BBLog,"platformname")
  platform := GetPlatform(PlatformRefKey)

  objectname        := BBLog.objectname
  objectpath        := BBLog.objectpath
  objecttype        := BBLog.objecttype
  object            := GetObject(ObjectRefKey)

  if (BBLog.sourcename ne null and BBLog.sourcename ne "") then
    realname          := BBLog.sourcename
    logonname         := BBLog.sourcename
  else
    realname := "Anonymous"
    logonname := "Anonymous"
  endif

  source            := GetSource(SourceRefKey)

  description       := "InSight"
  stream            := GetStream(StreamRefKey)

  platformname      := BBLog.originname
  platformtype      := BBLog.origintype
  origin            := GetOrigin(OriginRefKey)

  platformname      := BBLog.targetname
  platformtype      := BBLog.targettype
  target            := GetTarget(TargetRefKey)

  eventmainclass    := BBLog.eventmainclass
  eventclass        := BBLog.eventclass
  successclass      := BBLog.successclass

  eventtimestamp    := BBLog.platformeventtime
  chunk             := BBLog

  if (eventclass eq "Duplicate Policy") then
    miscellaneous     := BBLog.copyfrom
  else if (eventclass eq "Eventsource") then
    miscellaneous     := BBLog.databasename
  else if (eventclass eq "UserRole") then
    miscellaneous     := BBLog.rolename
  else if ((eventclass eq "GemDB") and (eventmainclass eq "Add")) then
    miscellaneous     := BBLog.gemdbsize
    miscellaneous     := Append(miscellaneous, " ")
    miscellaneous     := Append(miscellaneous, BBLog.gemdbfilename)
  endif endif endif endif

  recordtype := BBLog.msgname

  if (successclass eq "Wait") then
    uniqueid := BBLog.successnum
    MoveTo(Notify)
  else if (successclass eq "WaitError") then
    successclass := "Failure"
    MoveTo(Finish)
  else if (successclass eq "Failed") then
    successclass := "Failure"
    MoveTo(Finish)
  else
    MoveTo(Finish)
  endif endif endif
endstate

initial final state Notify
  (eventtype eq "BBLog301")
  if (Notify.id eq uniqueid) then
    successclass := Notify.successclass

    MoveTo(Finish) 
  endif
endstate

initial state License
  (eventtype eq "BBLog08x")

  platformtype := "InSight"
  platformname := GetChunkProperty(License,"platformname")
  platform          := GetPlatform(PlatformRefKey)

  objectname        := License.objectname
  objectpath        := License.objectpath
  objecttype        := License.objecttype
  object            := GetObject(ObjectRefKey)

  if (BBLog.sourcename ne null and BBLog.sourcename ne "") then
    realname          := License.sourcename
    logonname         := License.sourcename
  else
    realname := "Anonymous"
    logonname := "Anonymous"
  endif

  source            := GetSource(SourceRefKey)

  description       := "InSight"
  stream            := GetStream(StreamRefKey)

  platformname      := License.originname
  platformtype      := License.origintype
  origin            := GetOrigin(OriginRefKey)

  platformname      := License.targetname
  platformtype      := License.targettype
  target            := GetTarget(TargetRefKey)

  eventmainclass    := License.eventmainclass
  eventclass        := License.eventclass
  successclass      := License.successclass

  eventtimestamp    := License.platformeventtime
  chunk             := License

  miscellaneous     := License.msgnumber
  MoveTo(Finish)
endstate

final state Finish
  event             := GetEvent(EventDetailKey)
endstate
