/// ciscovpn.src.gml - Licensed Materials ­ Property of IBM
/// ciscovpn.src.gml - 5724-S67
/// ciscovpn.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// ciscovpn.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// ciscovpn.gml 

key PlatformRefKey(platformtype, platformname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key EventDetailKey(eventtimestamp, recordtype, reason, description)

initial final state Init

  eventmainclass := Init.eventmainclass
  eventclass     := Init.eventclass
  successclass   := Init.successclass

  objecttype   := Trim(Init.objecttype, "Unknown")
  if (Init.objectname ne null and Init.objectpath eq "yes") then
    objectpath := Path(Init.objectname)
    objectname := Filename(Init.objectname)
  else
    objectname := Init.objectname
    objectpath := Init.objectpath
  endif
  objectname   := Trim(objectname, "-")
  objectpath   := Trim(objectpath, "-")
  if (objectpath eq "yes") then
    objectpath := "-"
  endif
  object       := GetObject(ObjectRefKey)

  origplatformname   := Trim(Init.platformname, "-")
  if (origplatformname eq "-") then
    origplatformname := GetChunkProperty(Init, "platformname")
  endif
  origplatformtype   := Trim(Init.platformtype, "Cisco VPN")

  platformname := origplatformname
  platformtype := origplatformtype
  platform     := GetPlatform(PlatformRefKey)

  description := Trim(Init.description, "No description")
  stream      := GetStream(StreamRefKey)

  logonname := Trim(Init.logonname, "System")
  realname  := Trim(Init.realname, logonname)
  source    := GetSource(SourceRefKey)

  platformname   := Trim(Init.platformnameFrom, Init.srcplatformname)
  platformname   := Trim(platformname, "-")
  if (platformname eq "-") then
    platformname := origplatformname
    platformtype := origplatformtype
  else
    platformtype := Trim(Init.platformtypeFrom, "VPN Client")
  endif
  origin         := GetOrigin(OriginRefKey)

  platformname   := Trim(Init.platformnameTo, Init.tgtplatformname)
  platformname   := Trim(platformname, "-")
  if (platformname eq "-") then
    platformname := origplatformname
    platformtype := origplatformtype
  else
    platformtype := Trim(Init.platformtypeTo, "VPN Client")
  endif
  target         := GetTarget(TargetRefKey)

  chunk := Init

  recordtype     := Init.eventid
  eventtimestamp := Init.platformeventtime
  reason         := Init.reason

  description    := Init.description

  event := GetEvent(EventDetailKey)

endstate
