/// csacs.src.gml - Licensed Materials ­ Property of IBM
/// csacs.src.gml - 5724-S67
/// csacs.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// csacs.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// csacs.src.gml - Licensed Materials - Property of IBM
/// csacs.src.gml - 5724-S67
/// csacs.src.gml - (c) Copyright IBM Corp. 1998, 2011   All Rights Reserved.
/// csacs.src.gml - US Government Users Restricted Right - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformname, platformtype)
key OriginRefKey(platformname, platformtype)
key TargetRefKey(platformname, platformtype)

key ObjectRefKey(objectname, objecttype, objectpath)

key SourceRefKey(logonname, realname)

key StreamRefKey(description)

key EventDetailKey(reason)
key ACSEventDetailKey(detailtext="-")
key ACSReportEventDetailKey(reportname, filename, detailtext="-")

initial final state CSACS

  /// SetDebugMode("on")
  /// Print("** Starting csacs.gml **")

  /// Dump("")

  username := CSACS.username
  realname := CSACS.realname

  objecttype := CSACS.objecttype
  objectpath := CSACS.objectpath
  objectname := CSACS.objectname

  eventmainclass := CSACS.eventmainclass
  eventclass     := CSACS.eventclass
  successclass   := CSACS.successclass    

  eventtimestamp := CSACS.platformeventtime

  platformtype := Trim (CSACS.platformtype, "Cisco Secure ACS")
  platformname := Trim (CSACS.platformname, "Unavailable")
  platform := GetPlatform(PlatformRefKey)

  platformtype := CSACS.srcplatformtype
  platformname := Trim (CSACS.srcplatformname, "Unavailable")
  origin := GetOrigin(OriginRefKey)

  platformtype := CSACS.tgtplatformtype
  platformname := Trim (CSACS.tgtplatformname, "Unavailable")
  target := GetTarget(TargetRefKey)

  objecttype := Trim (objecttype, "*")
  objectpath := Trim (objectpath, "-")
  objectname := Trim (CSACS.objectname, "-")
  object := GetObject(ObjectRefKey)

  logonname := Trim (username, "Unavailable")
  realname  := Trim (realname, logonname)
  source := GetSource(SourceRefKey)

  description := CSACS.platformname
  stream      := GetStream(StreamRefKey)

  chunk := CSACS

  /// OK...Create the event
  if CSACS.acseventtype eq "report" then
      reportname := CSACS.reportname
      filename   := CSACS.filename
      event := GetEvent(ACSReportEventDetailKey)
  else
      if CSACS.acseventtype eq null then
          reason := CSACS.reason
          event := GetEvent(EventDetailKey)
      else
          detailtext := CSACS.detailtext
          event := GetEvent(ACSEventDetailKey)
      endif
  endif

  /// Print("** Event Created! **")  
  /// Dump("")
endstate
