/// etrust.src.gml - Licensed Materials ­ Property of IBM
/// etrust.src.gml - 5724-S67
/// etrust.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// etrust.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//

//

//

//

//

//

key EpiCreateKey(platformname,platformtype)
key ObjectRefKey(objectname,objectpath,objecttype,epi)
key SourceRefKey(clientip,username)
key StreamRefKey(description)
key EventDetailKey(stagecode,auditrecordcode,reason,command,logrecordtype)
key OriginRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)

initial state eTrust

  clientip:=GetChunkProperty(eTrust,"platformname")
  epiname:=clientip
  epname:="eTrustAC"
  platformname:=epiname
  platformtype:=epname
  epi:=GetPlatform(EpiCreateKey)
  platform:=epi

  eventtimestamp:=eTrust.platformeventtime
  streamtimestamp:=eTrust.platformeventtime

  chunk:=eTrust
  command:=eTrust.command
  if eTrust.commandparameters ne null then
    command := Append(command," ",eTrust.commandparameters)
  endif
  workunit:=Append(eTrust.stagecode,":",eTrust.auditrecordcode)
  program:=eTrust.program
  logrecordtype:=Append("eTrust:",eTrust.arc,":",eTrust.class)
  logrecordtimestamp:=eTrust.platformeventtime
  stagecode:=eTrust.stagecodedescription
  auditrecordcode:=eTrust.auditrecordcodedescription
  case eTrust.type of
    "logon":
       MoveTo(LogonLogout)
    "update":
       MoveTo(Update)
    "startup":
       MoveTo(Startup)
    "untrusted":
       MoveTo(Untrusted)
    "default","tcp":
       MoveTo(Default)
  endcase
endstate

final state LogonLogout 
//

  objectname:="Logon"
  objectpath:=clientip
  objecttype:="SYSTEM"
  object:=GetObject(ObjectRefKey)

  username:=eTrust.accessor

  originator:=username
  realname:=originator
  logonname:=username
  source:=GetSource(SourceRefKey)

  case eTrust.terminal of
   "localhost","","Unknown","0.0.0.0":
    entrypoint:=clientip
  otherwise
    entrypoint:=eTrust.terminal
  endcase
  description:=Append(entrypoint, "/", username);
  stream:=GetStream(StreamRefKey)

  target:=GetTarget(TargetRefKey)

  platformname:=entrypoint
  platformtype:="-"
  origin:=GetOrigin(OriginRefKey)

  subject:=username
  subjectname:=eTrust.accessor
  if (eTrust.class eq "LOGIN") then
    eventmainclass:="Logon"
  else
    eventmainclass:="Logoff"
  endif

  eventclass:="User"

  case eTrust.arc of
  "P","O":
    successclass:="Success"
  otherwise
    successclass:="Failure"
  endcase

  event:=GetEvent(EventDetailKey)

  //
endstate 

final state Update 
//

  objectname:=Filename(eTrust.resource)
  objectpath:=Path(eTrust.resource)
  if (objectpath eq "") then
    case eTrust.class of
     "FILE","USER":
       objectpath:="."
     otherwise
       objectpath:=clientip
    endcase
  endif
  objecttype:=eTrust.class 
  object:=GetObject(ObjectRefKey)

  username:=eTrust.accessor
  originator:=username
  realname:=originator
  logonname:=eTrust.accessor
  source:=GetSource(SourceRefKey)

  case eTrust.terminal of
   "localhost","","Unknown","0.0.0.0":
    entrypoint:=clientip
  otherwise
    entrypoint:=eTrust.terminal
  endcase
  description:=Append(entrypoint, "/", username);
  stream:=GetStream(StreamRefKey)

  target:=GetTarget(TargetRefKey)

  platformname:=entrypoint
  platformtype:="-"
  origin:=GetOrigin(OriginRefKey)

  subject:=username
  subjectname:=eTrust.accessor

  case eTrust.command of
  "authorize","auth","authorize-","auth-":
    eventmainclass:="Authorize"
    eventclass:=NormalizeString(eTrust.class)
  "chgrp","cg","editgrp","eg":
    eventmainclass:="Modify"
    eventclass:="Group"
  "chres","cr","editres","er":
    eventmainclass:="Modify"
    eventclass:="Resource"
  "chusr","cu","editusr","eu":
    eventmainclass:="Modify"
    eventclass:="User"
  "newusr","nu":
    eventmainclass:="Create"
    eventclass:="User"
  "newgrp","ng":
    eventmainclass:="Create"
    eventclass:="Group"
  "newres","nr":
    eventmainclass:="Create"
    eventclass:="Resource"
  "join","j":
    eventmainclass:="Add"
    eventclass:="User"
  "join-","j-":
    eventmainclass:="Remove"
    eventclass:="User"
  "rmusr","ru":
    eventmainclass:="Delete"
    eventclass:="User"
  "rmgrp","rg":
    eventmainclass:="Delete"
    eventclass:="Group"
  "rmres","rr":
    eventmainclass:="Delete"
    eventclass:="Resource"
  "setoptions","so":
    eventmainclass:="Modify"
    eventclass:="Passwordpolicy"
  "xaudit","xaudit-":
    eventmainclass:="Modify"
    eventclass:="Auditpolicy"
  otherwise
    eventmainclass:="Modify"
    eventclass:=NormalizeString(eTrust.class)
  endcase

  if eTrust.arc eq "S" then
    successclass:="Success"     
  else
    successclass:="Failure"
  endif

  event:=GetEvent(EventDetailKey)

  //
endstate 

final state Startup 
//

  objectname:=eTrust.program
  objectpath:="."
  objecttype:="PROGRAM"
  object:=GetObject(ObjectRefKey)

  if (eTrust.accessor eq "") then
    username:="nobody"
  else
    username:=eTrust.accessor
  endif
  originator:=username
  realname:=originator
  logonname:=username
  source:=GetSource(SourceRefKey)

  entrypoint:=clientip
  description:=Append(entrypoint, "/", username);
  stream:=GetStream(StreamRefKey)

  target:=GetTarget(TargetRefKey)
  platformname:=entrypoint
  platformtype:="-"
  origin:=GetOrigin(OriginRefKey)

  subject:=originator
  subjectname:=username

  case eTrust.class of
    "START":
       eventmainclass:="Start"
       eventclass:="Securitysystem"
    "SHUTDOWN":
       eventmainclass:="Stop"
       eventclass:="Securitysystem"
    "eTrust":
       case eTrust.accesstype of
         "Kill":
            eventmainclass:="Signal"
            eventclass:="Process"
         otherwise
            eventmainclass:=NormalizeString(eTrust.accesstype)
            eventclass:="Securitysystem"
       endcase
    otherwise
       eventmainclass:=NormalizeString(eTrust.class)
       eventclass:="Securitysystem"
  endcase

  if eTrust.stagecode ne "460" then
    successclass:="Success"
  else
    successclass:="Failure"
  endif

  event:=GetEvent(EventDetailKey)

  //
endstate 

final state Untrusted 
//
  //

  objectname:=Filename(eTrust.program)
  objectpath:=Path(eTrust.program)
  objecttype:="PROGRAM"
  object:=GetObject(ObjectRefKey)

  if (eTrust.accessor eq "") then
    username:="nobody"
  else
    username:=eTrust.accessor
  endif
  originator:=username
  realname:=originator
  logonname:=username
  source:=GetSource(SourceRefKey)

  entrypoint:=clientip
  description:=Append(entrypoint, "/", username);
  stream:=GetStream(StreamRefKey)

  target:=GetTarget(TargetRefKey)
  platformname:=clientip
  platformtype:="-"
  origin:=GetOrigin(OriginRefKey)

  subject:=originator
  subjectname:=username

  eventmainclass:="Modify"
  eventclass:="System"
  successclass:="Success"
  reason:="A trusted program (setuid or setgid) was changed; it is now untrusted"
  event:=GetEvent(EventDetailKey)

  //
endstate 

final state Default 
//
  //

  objecttype:=eTrust.class
  objectname:=Filename(eTrust.resource)
  objectpath:=Path(eTrust.resource)
  if (objectpath eq "") then
     case eTrust.class of
      "FILE","USER":
        objectpath:="."
     otherwise
       objectpath:=clientip
    endcase
  endif

  object:=GetObject(ObjectRefKey)

  if (eTrust.accessor eq "") then
    username:="nobody"
  else
    username:=eTrust.accessor
  endif

  originator:=username
  realname:=originator
  logonname:=username
  source:=GetSource(SourceRefKey)

  case eTrust.terminal of
   "localhost","","Unknown","0.0.0.0":
    entrypoint:=clientip
  otherwise
    entrypoint:=eTrust.terminal
  endcase
  description:=Append(entrypoint, "/", username);
  stream:=GetStream(StreamRefKey)

  if (eTrust.class eq "SURROGATE" and eTrust.accesstype eq "Read") then
    username:=Filename(".",eTrust.resource)
    originator:=username
  endif

  target:=GetTarget(TargetRefKey)
  platformname:=entrypoint
  platformtype:="-"
  origin:=GetOrigin(OriginRefKey)

  subject:=originator
  subjectname:=username

  eventclass:=NormalizeString(eTrust.class)
  reason:=Trim(eTrust.accessrequested,eTrust.accesstype)
  case eTrust.accesstype of
   "CrRead","CrWrite","CrRdWr":
     eventmainclass:="Create"
   "Chown":
     eventmainclass:="Modify"
     eventclass:="Access"
   "Chmod": 
     eventmainclass:="Modify"
     eventclass:="Access"
   "UTimes":
     eventmainclass:="Modify"
     eventclass:="File"
   "Erase":
     eventmainclass:="Delete"
   "Update":
     eventmainclass:="Write"
   "Read":
     if eTrust.class eq "SURROGATE" then
       eventclass:="Su"
       eventmainclass:="Logon"
     else
       eventmainclass:=NormalizeString(eTrust.accesstype)
     endif
  otherwise
    eventmainclass:=NormalizeString(eTrust.accesstype)
  endcase

  if eTrust.arc ne "D" then
    successclass:="Success"
  else
    successclass:="Failure"
  endif

  event:=GetEvent(EventDetailKey)

  //
endstate 

