/// guardium.src.gml - Licensed Materials ­ Property of IBM
/// guardium.src.gml - 5724-S67
/// guardium.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// guardium.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// guardium.gml
key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceDetailRefKey(usertype)
key OriginRefKey(platformtype, platformname)
key OriginDetailRefKey(nwaddress)
key TargetRefKey(platformtype, platformname)
key TargetDetailRefKey(nwaddress)
key EventDetailRefKey(user, database, servertype, sql, value, appliance_action, origtype, severity, object_description, message)

initial state guardium

logonname   := Trim(guardium.logonname,  "Unavailable")
realname    := logonname
usertype    := guardium.usertype
if Trim(usertype,  "null") ne "null" then
    source      := GetSource(SourceRefKey, SourceDetailRefKey)
else
    source      := GetSource(SourceRefKey)
endif

description := Trim(logonname, "Unavailable")
stream      := GetStream(StreamRefKey)

if Trim(guardium.user, "null") ne "null"        then user := guardium.user endif
if Trim(guardium.database, "null") ne "null"    then database := guardium.database endif
if Trim(guardium.servertype, "null") ne "null"  then servertype := guardium.servertype endif
if Trim(guardium.sql, "null") ne "null"         then sql := guardium.sql endif
if Trim(guardium.value, "null") ne "null"       then value := guardium.value endif
if Trim(guardium.appliance_action, "null") ne "null"  then appliance_action := guardium.appliance_action endif
if Trim(guardium.origtype, "null") ne "null"    then origtype := guardium.origtype endif
if Trim(guardium.severity, "null") ne "null"    then severity := guardium.severity endif
if Trim(guardium.object_description, "null") ne "null"  then object_description := guardium.object_description endif
if Trim(guardium.message, "null") ne "null"     then message := guardium.message endif

if (guardium.platformevent eq "syslog_alert") then
    MoveTo(guardium_syslog)
else
    MoveTo(guardium_report)
endif
endstate

final state guardium_syslog
type := GetIniProperty(guardium.ruleDescription, "none")
case type of
"ACCESS_TRACKING":

    platformtype    := "Database host"
    platformname    := Trim(guardium.platformname_where, GetChunkProperty(guardium, "SystemName"))
    platform        := GetPlatform(PlatformRefKey)

    platformtype    := "Database host"
    platformname    := Trim(guardium.platformname_whereto, GetChunkProperty(guardium, "SystemName"))
    nwaddress       := guardium.nwaddress_towhere
    if Trim(nwaddress,  "null") ne "null" then
        target          := GetTarget(TargetRefKey, TargetDetailRefKey)
    else
        target          := GetTarget(TargetRefKey)
    endif

    objectpath  := "-"
    objectname  := guardium.dst
    objecttype  := "DATABASE"

    eventmainclass  := "Access"
    eventclass      := "Database"
    successclass    := "Success"
"POLICY_VIOLATION":

    platformtype    := "Guardium appliance"
    platformname    := Trim(guardium.platformname_where, GetChunkProperty(guardium, "SystemName"))
    platform        := GetPlatform(PlatformRefKey)

    platformtype    := "Guardium appliance"
    platformname    := Trim(guardium.platformname_whereto, GetChunkProperty(guardium, "SystemName"))
    nwaddress       := guardium.nwaddress_towhere
    if Trim(nwaddress, "null") ne "null" then
        target          := GetTarget(TargetRefKey, TargetDetailRefKey)
    else
        target          := GetTarget(TargetRefKey)
    endif

    objectpath  := "-"
    objectname  := "Guardium appliance"
    objecttype  := "SYSTEM"

    eventmainclass  := "Policyviolation"
    eventclass      := "System"
    successclass    := "Warning"
otherwise

    platformtype    := "Database host"
    platformname    := Trim(guardium.platformname_where, GetChunkProperty(guardium, "SystemName"))
    platform        := GetPlatform(PlatformRefKey)

    platformtype    := "Database host"
    platformname    := Trim(guardium.platformname_whereto, GetChunkProperty(guardium, "SystemName"))
    nwaddress       := guardium.nwaddress_towhere
    if Trim(nwaddress,  "null") ne "null" then
        target          := GetTarget(TargetRefKey, TargetDetailRefKey)
    else
        target          := GetTarget(TargetRefKey)
    endif

    objectpath  := "-"
    objectname  := guardium.dst
    objecttype  := "DATABASE"

    eventmainclass  := "Action"
    eventclass      := "Database"
    successclass    := "Success"
endcase

platformtype    := "Host"
platformname    := Trim(guardium.platformname_wherefrom, GetChunkProperty(guardium, "SystemName"))
nwaddress       := guardium.nwaddress_fromwhere
if Trim(nwaddress, "null") ne "null" then
    origin          := GetOrigin(OriginRefKey, OriginDetailRefKey)
else
    origin          := GetOrigin(OriginRefKey)
endif
object          := GetObject(ObjectRefKey)

chunk           := guardium
eventtimestamp  := guardium.platformeventtime
event           := GetEvent(EventDetailRefKey)
endstate

final state guardium_report

platformtype    := Trim(guardium.platformtype_where, "Guardium")
platformname    := Trim(guardium.platformname_where, GetChunkProperty(guardium, "SystemName"))
platform        := GetPlatform(PlatformRefKey)

platformtype    := Trim(guardium.platformtype_whereto, "Guardium")
platformname    := Trim(guardium.platformname_whereto, GetChunkProperty(guardium, "SystemName"))
nwaddress       := guardium.nwaddress_towhere
if Trim(nwaddress,  "null") ne "null" then
    target          := GetTarget(TargetRefKey, TargetDetailRefKey)
else
    target          := GetTarget(TargetRefKey)
endif

platformtype    := Trim(guardium.platformtype_wherefrom, "Guardium")
platformname    := Trim(guardium.platformname_wherefrom, GetChunkProperty(guardium, "SystemName"))
nwaddress       := guardium.nwaddress_fromwhere
if Trim(nwaddress,  "null") ne "null" then
    origin          := GetOrigin(OriginRefKey, OriginDetailRefKey)
else
    origin          := GetOrigin(OriginRefKey)
endif

objectpath  := Trim(guardium.objectpath, "Unavailable")
objectname  := Trim(guardium.objectname, "Unavailable")
objecttype  := guardium.objecttype
object      := GetObject(ObjectRefKey)

eventclass      := guardium.eventclass
eventmainclass  := guardium.eventmainclass
successclass    := guardium.successclass

chunk           := guardium
eventtimestamp  := guardium.platformeventtime
event           := GetEvent(EventDetailRefKey)
endstate
