/// hpswitch.src.gml - Licensed Materials ­ Property of IBM
/// hpswitch.src.gml - 5724-S67
/// hpswitch.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// hpswitch.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key OriginRefKey(platformname,platformtype)
key StreamRefKey(description)
key TargetRefKey(platformname,platformtype)
key ObjectRefKey(objectname,objecttype,objectpath)
key SourceRefKey(logonname,realname)
key PlatformRefKey(platformname,platformtype)
key EventDetailKey(module, priority, message, recordtype) 

first state Setup
  period := "1000" 
  equality := "pltftype,pltfname,objectname,objecttype,objectpath,message,module,priority,info"
  targets := "pltftype,pltfname,objectname,objecttype,objectpath,message,module,priority,info"
  strategy := "directory" 
  removeduplicates := GetListener(Aggregator)
  Listen(removeduplicates,Setup)
  MoveTo(ListenState)
endstate

state ListenState (platformeventcount eq null)
  Listen(removeduplicates,ListenState)
endstate

last state Shutdown
  if removeduplicates ne null then
    StopListening(removeduplicates)
    removeduplicates := null
  endif
endstate

initial final state HP (platformeventcount ne null)
  platformtype := HP.pltftype
  platformname := HP.pltfname
  platform := GetPlatform(PlatformRefKey)

  objectname := Trim (HP.objectname,"-")
  objectpath := Trim (HP.objectpath,"-")
  objecttype := Trim (HP.objecttype,"*")
  object := GetObject(ObjectRefKey)

  description := platformname
  stream      := GetStream(StreamRefKey)

  logonname := Trim(HP.logonname, "-")
  if logonname ne "-" then 
    realname := "Anonymous"
  else
    realname := logonname
  endif
  source := GetSource(SourceRefKey)

  platformtype := "-"
  platformname := "-"
  origin := GetOrigin(OriginRefKey)

  platformtype := "-"
  platformname := "-"
  target := GetTarget(TargetRefKey)

  message  := HP.message
  module := HP.module
  priority := HP.info

  chunk := HP
  eventclass     := HP.eventclass
  eventmainclass := HP.eventsubclass
  successclass   := HP.successclass
  eventtimestamp := HP.platformeventtime
  recordtype     := HP.recordtype 
  eventcount     := HP.platformeventcount
  event := GetEvent(EventDetailKey)
endstate
