/// hpux.src.gml - Licensed Materials ­ Property of IBM
/// hpux.src.gml - 5724-S67
/// hpux.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// hpux.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//
/// GML file for HP-UX audit trail
//

//

//

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceAspectKey(originator)

key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(recordtype, message, newowner, newgroup, newtime,
                   changes, newname, pid, path, newvalue)

first state First
  Remember("emc", "groupadd", "Create")
  Remember("ec", "groupadd", "Group")
  Remember("ot", "groupadd", "GROUP")
  Remember("emc", "groupdel", "Delete")
  Remember("ec", "groupdel", "Group")
  Remember("ot", "groupdel", "GROUP")
  Remember("emc", "groupmod", "Modify")
  Remember("ec", "groupmod", "Group")
  Remember("ot", "groupmod", "GROUP")
  Remember("emc", "userdel", "Delete")
  Remember("ec", "userdel", "User")
  Remember("ot", "userdel", "USER")
  Remember("emc", "useradd", "Create")
  Remember("ec", "useradd", "User")
  Remember("ot", "useradd", "USER")
  Remember("emc", "chsh", "Modify")
  Remember("ec", "chsh", "User")
  Remember("ot", "chsh", "USER")
  Remember("emc", "su", "Logon")
  Remember("ec", "su", "Su")
  Remember("ot", "su", "USER")
  Remember("emc", "chown", "Change")
  Remember("ec", "chown", "Owner")
  Remember("ot", "chown", "USER")
endstate

initial state HPUX

  case HPUX.eventid of
    "1":     MoveTo(Exit)
    "5":     MoveTo(FileOpen) 
    "8":     MoveTo(FileCreate) 
    "9":     MoveTo(Link) 
    "10":    MoveTo(Ulink) 
    "12":    MoveTo(ChDir) 
    "15":    MoveTo(Chmod) 
    "16":    MoveTo(Chown16)
    "23":    MoveTo(SetUID) 
    "25":    MoveTo(TimeArg) 
    "33":    MoveTo(Access) 
    "38","40","366","369":    MoveTo(Stat) 
    "51":    MoveTo(SystemObject) 
    "59":    MoveTo(Execve)
    "80":    MoveTo(Setgroups) 
    "92","361" :    MoveTo(FStat) 
    "122":   MoveTo(SystemObject) 
    "123","124", "130", "238", "360", "407":    MoveTo(FD9_1_Commands) 
    "128":   MoveTo(Rename) 
    "129","370":   MoveTo(Truncate) 
    "136":   MoveTo(MkDir) 
    "137":   MoveTo(RmDir) 
    "143":   MoveTo(SystemObject) 
    "193":   MoveTo(NewdomainArg) 
    "221":   MoveTo(NewdomainArg) 
    "245":   MoveTo(SystemObject) 
    "247":   MoveTo(PidObject) 
    "248":   MoveTo(AudCtl) 
    "249","408":   MoveTo(GetAccess) 
    "325":   MoveTo(SystemObject) 
    "332":   MoveTo(LChOwn) 
    "345":   MoveTo(SystemObject) 
    "485":   MoveTo(ModPath) 
    "9218":  MoveTo(Login)
    "9219":  MoveTo(Pidwrite)
    "10243": MoveTo(ChangeArg) 
    "10244": MoveTo(Audsys)  
    "10245": MoveTo(ChangeArg) 
    "10282": MoveTo(Passwd)
  otherwise  MoveTo(Trash)
  endcase
endstate

final state Audsys
  if HPUX.emainclass ne "NOMAPPING" then
    message := HPUX.text
    MoveTo(SystemObject)
  endif
endstate

state ModPath
  changes := Append("Add ", HPUX.text, " to module search path")
  MoveTo(SystemObject)
endstate

state PidObject
  objecttype := "PROCESSID"
  objectname := HPUX.pid
  objectpath := "-"
  MoveTo(Finish)
endstate

state NewdomainArg
  newname := Uppercase(Append(GetChunkProperty(HPUX,"platformname"), ".", HPUX.text))
  MoveTo(SystemObject)
endstate

state ChangeArg
  changes := HPUX.changes
  MoveTo(SystemObject)
endstate

state TimeArg
  newtime := HPUX.newtime
  MoveTo(SystemObject)
endstate

state AudCtl
  eventmainclass:="Change"
  eventclass:="Auditlog"
  objecttype := "AUDITLOG"
  operation  := HPUX.operation
  case operation of
    "0": 
      if ((HPUX.nfile ne null) and (HPUX.nfile ne "")) then
        objectname:=Filename(HPUX.nfile)
        objectpath:=Path(HPUX.nfile)
        message:="Set audit next file name"
        CopyTo(Finish)
      endif
      if ((HPUX.cfile ne null) and (HPUX.cfile ne "")) then
        objectname:=Filename(HPUX.cfile)
        objectpath:=Path(HPUX.cfile)
      else
        objectname:="AUDITLOG"
        objectpath:="."
      endif
      message:="Set audit current file name"
    "1": 
      eventmainclass:="Inspect"
      eventclass:= "Audit"
      objecttype:="SYSTEM"
      objectname:=Uppercase(GetChunkProperty(HPUX,"platformname"))
      objectpath:="-"
      message:="Inspect audit settings"
    "2": 
      if ((HPUX.nfile ne null) and (HPUX.nfile ne "")) then
        objectname:=Filename(HPUX.nfile)
        objectpath:=Path(HPUX.nfile)
      else
        objectname:="AUDITLOG"
        objectpath:="."
      endif
      message:="Set audit next file name"
    "3": 
      if ((HPUX.cfile ne null) and (HPUX.cfile ne "")) then
        objectname:=Filename(HPUX.cfile)
        objectpath:=Path(HPUX.cfile)
      else
        objectname:="AUDITLOG"
        objectpath:="."
      endif
      message:="Set audit current file name"
    "4": 
      if ((HPUX.nfile ne null) and (HPUX.nfile ne "")) then
        objectname:=Filename(HPUX.nfile)
        objectpath:=Path(HPUX.nfile)
        message:="Set audit next file name"
        CopyTo(Finish)
      endif
      message:="Set audit on"
      eventmainclass:="Start"
      eventclass:="Audit"
      if ((HPUX.cfile ne null) and (HPUX.cfile ne "")) then
        objectname:=Filename(HPUX.cfile)
        objectpath:=Path(HPUX.cfile)
      else
        objectname:="Unavailable"
        objectpath:="."
      endif
    "5": 
      eventmainclass:="Stop"
      eventclass:="Audit"
      objecttype:="SYSTEM"
      objectname:=Uppercase(GetChunkProperty(HPUX,"platformname"))
      objectpath:="-"
      message:="Set audit off"
    "6": 
      objecttype:="SYSTEM"
      objectname:=Uppercase(GetChunkProperty(HPUX,"platformname"))
      objectpath:="-"
      message:="Switch audit files"
  endcase
  MoveTo(Finish)
endstate

state SystemObject
  objecttype := "SYSTEM"
  objectname := Uppercase(GetChunkProperty(HPUX,"platformname"))
  objectpath := "-"
  MoveTo(Finish)
endstate

final state Pidwrite 
  if HPUX.audituser = "4294967295" then 
    Remember("audituser", HPUX.pid, HPUX.realuser)
  else
    Remember("audituser", HPUX.pid, HPUX.audituser)
  endif
  Remember("realuser", HPUX.pid, HPUX.realuser)
  Remember("uid", HPUX.pid, HPUX.uid)
endstate

final state Exit 
  parameters := Forget("params", HPUX.pid)
  command := Forget("command", HPUX.pid)
  if parameters ne "" then 

    successclass := "Failure"
    case command of
      "chown", "groupadd", "groupdel", "groupmod", "userdel", "useradd",
      "chsh", "su":
        MoveTo(PrepareExecve)
    endcase
  else

    Forget("audituser", HPUX.pid)
    Forget("realuser", HPUX.pid)
    Forget("uid", HPUX.pid)
  endif
endstate

state PrepareExecve 
  eventmainclass := Recall("emc", command)
  eventclass := Recall("ec", command)
  objecttype := Recall("ot", command)
  recordtype := command
  case command of
    "groupadd", "groupdel", "useradd", "userdel": 
      RegexMatch(parameters, ", ([^,]+)\\]$")
      objectname := RegexRef("1")
    "groupmod": 
      if RegexMatch(parameters, "-n, ([^,]+)") <> "0" then
        newgroup := RegexRef("1")
      endif
      RegexMatch(parameters, ", ([^,]+)\\]$")
      objectname := RegexRef("1")
    "chsh": 
      RegexMatch(parameters, ", ([^,]+)(, [^,]+)?\\]$")
      objectname := RegexRef("1")
    "su": 
      if RegexMatch(HPUX.parameters, "^\\[su(, -)?(, ([^,]+))?") <> "0" then
        objectname := RegexRef("3")
      else
        objectname := "root"
      endif
    "chown": 
      RegexMatch(parameters, ", (([^-][^,:]+)(:[^,]+)?), (.*)\\]$")
      newowner := RegexRef("2")
      objectname := RegexRef("4")
  endcase
  objectpath := Uppercase(GetChunkProperty(HPUX, "platformname"))
  MoveTo(Finish)
endstate

state Chmod 

  parameters := Forget("params", HPUX.pid)
  command := Forget("command", HPUX.pid)
  if parameters ne "" then 
    successclass := "Success"
    MoveTo(PrepareExecve)
  else 
    MoveTo(Trash)
  endif
endstate

state Passwd

  objectname := HPUX.user
  objectpath := Uppercase(GetChunkProperty(HPUX, "platformname"))
  objecttype := HPUX.objecttype

  message := HPUX.reason
  if audituser ne realuser then
    message := Append(message, "; process was running as ", realuser)
  endif

  recordtype := "10282passwd"

  MoveTo(Finish)
endstate

state Login

  if HPUX.reason eq "Login successfully" then
    MoveTo(Trash)
  else

    if HPUX.successclass eq "Failure" then
      logonname := "Unavailable"
      realname := "Unavailable"
    endif

    objectpath := "."
    objectname := Uppercase(GetChunkProperty(HPUX, "platformname"))
    objecttype := "SYSTEM"

    message := HPUX.reason
    recordtype := "9218login"

    MoveTo(Finish)
  endif
endstate

state Execve
  command := Filename("/",HPUX.path)
  case command of
    "chown":

      Remember("params", HPUX.pid, HPUX.parameters)
      Remember("command", HPUX.pid, command)
      MoveTo(Trash)
	"su":
	  MoveTo(PrepareExecve)
    "groupadd", "groupdel", "groupmod", "userdel", "useradd", "chsh":

      Remember("params", HPUX.pid, HPUX.parameters)
      Remember("command", HPUX.pid, command)
      MoveTo(Trash)
    "chmod": 
      eventmainclass := "Modify"
      eventclass := "Access"
      objectpath := Trim(Path(HPUX.parameter_last), ".")
      objectname := Trim(Filename(HPUX.parameter_last), ".")
      objecttype := "FILE"
      recordtype := "execve:chmod"
      changes := Trim(HPUX.commandline)
      MoveTo(Finish)
    otherwise
      MoveTo(Trash)
  endcase
endstate

state Chown16 

  Forget("params", HPUX.pid)
  Forget("command", HPUX.pid)

  objectname := Trim(Filename(HPUX.path), "-")
  objectpath := Trim(Path(HPUX.path), ".")
  objecttype := HPUX.objecttype
  newowner := HPUX.user

  message := Append(HPUX.eventdescription, " to ", HPUX.user, " in group ", HPUX.group)
  recordtype := "chown16"

  MoveTo(Finish)
endstate

state FileOpen 

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "open5"
  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state FileCreate 

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "creat8"
  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

 MoveTo(Finish)
endstate

state Link

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "link9"

  if Trim(HPUX.topath,"-") ne "-" then
    newname := HPUX.topath
  endif

  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state Ulink

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "ulink10"

  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state ChDir

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "chdir12"

  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state SetUID

  objectname := Trim(HPUX.pid, "-")
  objectpath := "-"
  objecttype := HPUX.objecttype

  recordtype := "setuid23"
  message := "UID="
  message := Append(message, HPUX.fd)

  MoveTo(Finish)
endstate

state Access

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "access33"

  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state Stat

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
 objecttype := HPUX.objecttype

 case HPUX.eventid of
  "38" : recordtype := "stat38"
  "40" : recordtype := "lstat40"
  "366": recordtype := "lstat64-366"
  "369": recordtype := "stat64-369"
 endcase

  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state Setgroups

  objectname := Trim(HPUX.pid, "-")
  objectpath := "."
  objecttype := HPUX.objecttype

  recordtype := "setgroups80"

  MoveTo(Finish)
endstate

state FStat

  objectname := Trim(HPUX.fd, "-")
  objectpath := "."
  objecttype := HPUX.objecttype

 case HPUX.eventid of
  "92" : recordtype := "fstat92"
  "361": recordtype := "fstat64-361"
 endcase

  MoveTo(Finish)
endstate

state FD9_1_Commands

  objectname := Trim(HPUX.inode, "-")
  objectpath := "."
  objecttype := HPUX.objecttype

 case HPUX.eventid of
  "123" :recordtype := "fchown123"
         newowner := HPUX.int
  "124" :recordtype := "fchmod124"
         newvalue := HPUX.int
  "130" :recordtype := "ftruncate130"
         newvalue := HPUX.int
  "238": recordtype := "fsetacl238"
         newvalue := HPUX.int
  "360": recordtype := "ftruncate64-360"
         newvalue := HPUX.int
  "407": recordtype := "fsetacl407"
         newvalue := HPUX.int
 endcase

  MoveTo(Finish)
endstate

state Rename

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "rename128"

  if Trim(HPUX.topath,"-") ne "-" then
    newname := HPUX.topath
  endif

  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state Truncate

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
 objecttype := HPUX.objecttype

 case HPUX.eventid of
  "129" : recordtype := "truncate129"
  "370": recordtype := "ftruncate370"
 endcase

  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state MkDir

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "mkdir136"

  if Trim(HPUX.path,"-") ne "-" then
    newname := HPUX.path
  endif

  MoveTo(Finish)
endstate

state RmDir

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "rmdir137"

  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state GetAccess

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

 case HPUX.eventid of
  "249" : recordtype := "getaccess249"
  "408": recordtype := "getaccess408"
 endcase

   if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

state LChOwn

  if Trim(Filename(HPUX.path), "-") eq "-" then
    objectname := Trim(HPUX.path,"-")
    objectpath := "."
  else
    objectname := Trim(Filename(HPUX.path), "-")
    objectpath := Trim(Path(HPUX.path), ".")
  endif
  objecttype := HPUX.objecttype

  recordtype := "lchown332"
  if Trim(HPUX.path,"-") ne "-" then
    path := HPUX.path
  endif

  MoveTo(Finish)
endstate

final state Trash 
endstate

final state Finish

  platformtype := "HPUX"
  platformname := Uppercase(GetChunkProperty(HPUX,"platformname"))
  platform := GetPlatform(PlatformRefKey)

  object := GetObject(ObjectRefKey)

  description := platformname
  stream := GetStream(StreamRefKey)

  audituser := Recall("audituser", HPUX.pid)
  realuser := Recall("realuser", HPUX.pid)
  originator := Recall("uid", HPUX.pid)
  if HPUX.eventid = "1" then 
    Forget("audituser", HPUX.pid)
    Forget("realuser", HPUX.pid)
    Forget("uid", HPUX.pid)
    Forget("params", HPUX.pid)
    Forget("command", HPUX.pid)
  endif
  if logonname eq null then 
    if (audituser ne "" and audituser <> "4294967295") then
      logonname := audituser
    else
      logonname := realuser 
    endif

    if HPUX.realname ne HPUX.uid then
      realname := HPUX.realname
    else
      realname := logonname
    endif
  endif
  source := GetSource(SourceRefKey, SourceAspectKey)

  origin := GetOrigin(OriginRefKey)

  target := GetTarget(TargetRefKey)

  if eventmainclass eq null then
    eventmainclass := HPUX.emainclass
  endif
  if eventclass eq null then
    eventclass := HPUX.eclass
  endif
  if successclass eq null then
    successclass := Trim(HPUX.sclass, HPUX.successclass)
  endif
  eventtimestamp := HPUX.platformeventtime
  chunk := HPUX
  if recordtype eq null then
    recordtype := HPUX.eventdescription
  endif

  pid := HPUX.pid

  event := GetEvent(EventDetailKey)
endstate

