/// hpux11iv3.src.gml - Licensed Materials ­ Property of IBM
/// hpux11iv3.src.gml - 5724-S67
/// hpux11iv3.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// hpux11iv3.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key DummyKey(dummy)
key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceAspectKey(originator)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(newvalue, eventdetails, object_handle, errormessage)

first state First
  Remember("emc", "groupadd", "Create")
  Remember("ec", "groupadd", "Group")
  Remember("ot", "groupadd", "GROUP")
  Remember("emc", "groupdel", "Delete")
  Remember("ec", "groupdel", "Group")
  Remember("ot", "groupdel", "GROUP")
  Remember("emc", "groupmod", "Modify")
  Remember("ec", "groupmod", "Group")
  Remember("ot", "groupmod", "GROUP")
  Remember("emc", "userdel", "Delete")
  Remember("ec", "userdel", "User")
  Remember("ot", "userdel", "USER")
  Remember("emc", "useradd", "Create")
  Remember("ec", "useradd", "User")
  Remember("ot", "useradd", "USER")
  Remember("emc", "chsh", "Modify")
  Remember("ec", "chsh", "User")
  Remember("ot", "chsh", "USER")
  Remember("emc", "su", "Logon")
  Remember("ec", "su", "Su")
  Remember("ot", "su", "USER")
  Remember("emc", "chown", "Change")
  Remember("ec", "chown", "Owner")
  Remember("ot", "chown", "OBJECT")
  Remember("emc", "chmod", "Modify")
  Remember("ec", "chmod", "Access")
  Remember("ot", "chmod", "OBJECT")
  Remember("emc", "audusr", "Modify")
  Remember("ec", "audusr", "Audit")
  Remember("ot", "audusr", "SYSTEM")
endstate

initial state HPUX

	eventmainclass := HPUX.eventmainclass
	eventclass     := HPUX.eventclass
	successclass   := HPUX.successclass 

	eventtimestamp := HPUX.platformeventtime

	logonname := HPUX.username
	realname  := HPUX.username

	if (HPUX.objectpath eq "" or HPUX.objectpath eq "'-'") then objectpath := "-"
	else objectpath	   := HPUX.objectpath
	endif

	if (HPUX.objectname eq "" or HPUX.objectname eq "'-'") then objectname := "-"
	else objectname	   := HPUX.objectname
	endif

	objecttype     := HPUX.objecttype 

	platformtype := "HPUX"
	platformname := Uppercase(GetChunkProperty(HPUX,"platformname"))

	eventdetails  := HPUX.eventdetails	
	object_handle := HPUX.inode		
	errormessage := HPUX.error	
	newvalue := HPUX.objectfocus

	case HPUX.event of   
		"admin": case HPUX.command of  
					"groupadd": MoveTo (GroupUser)
					"groupdel": MoveTo (GroupUser)
					"groupmod": MoveTo (GroupUser)
					"useradd" : MoveTo (GroupUser)
					"userdel" : MoveTo (GroupUser)
					"passwd"  : MoveTo (Clear)
					"chsh"    : MoveTo (Clear)
					"audevent": MoveTo (Finish)
					"audsys"  : MoveTo (Finish)
					otherwise MoveTo(Trash)
				 endcase
		"audswitch": MoveTo(Finish)		 
		"chdir": MoveTo(Finish)
		"chmod": MoveTo(Clear)
		"chown": MoveTo(Clear)
		"creat": MoveTo(Finish)
		"execve": case objectname of
					"groupadd", "groupdel", "groupmod", 
					"useradd", "userdel", "chsh", "chown",
					"chmod", "su", "passwd", "audusr": MoveTo (Execve)
					otherwise MoveTo(Trash)
				  endcase
		"exit": MoveTo (Exit)
		"fchmod": MoveTo(Finish)
		"fchown": MoveTo(Finish)
		"fstat": MoveTo(Finish)
		"ftruncate": MoveTo(Finish)
		"ftruncate64": MoveTo(Finish)
		"getaccess": MoveTo(Finish)
		"kill": MoveTo(Finish)
		"lchown": MoveTo(Finish)
		"link": MoveTo (Finish)
		"login": MoveTo (Login)
		"lstat": MoveTo(Finish)
		"mkdir": MoveTo(Finish)
		"mount": MoveTo(Finish)
		"open": MoveTo(Finish)
		"rename": MoveTo(Finish)
		"rmdir": MoveTo(Finish)
		"setdomainname": MoveTo(Setdomainname)
		"setgroups": MoveTo (Finish)
		"setuid": MoveTo(Finish)
		"stat": MoveTo(Finish)
		"stime": MoveTo(Finish)
		"symlink": MoveTo(Finish)
		"truncate": MoveTo(Finish)
		"truncate64": MoveTo(Finish)
		"umount": MoveTo(Finish)
		"unlink": MoveTo(Finish)
		otherwise MoveTo(Trash)
    endcase
endstate

state Clear

	Forget("objectnames", HPUX.process_id)
	Forget("params", HPUX.process_id)
	Forget("commands", HPUX.process_id)
	Forget("newvalues", HPUX.process_id)
	MoveTo(Finish)

endstate

state Execve

	command := HPUX.objectname

	parameters := RegexReplace(HPUX.parameters, "arg #\\d+ = \"(.*?)\"\\s*", "$1 ")
	parameters := Trim(parameters)	

	Remember("commands", HPUX.process_id, command)
	Remember("params", HPUX.process_id, parameters)

	case command of
    "groupadd", "groupdel", "useradd", "userdel": 
      RegexMatch(parameters, "^\\S+ (\\S+)$") 
	  Remember("objectnames", HPUX.process_id, RegexRef("1"))	  
	  MoveTo(Trash)	

    "groupmod": 
      if RegexMatch(parameters, "-n (\\S+)") <> "0" 	then newgroup := RegexRef("1") 	endif
      RegexMatch(parameters, "(\\S+)$")
      Remember("objectnames", HPUX.process_id, RegexRef("1"))	
	  Remember("newvalues", HPUX.process_id, newgroup)
	  MoveTo(Trash)	

    "chsh": 
      RegexMatch(parameters, "(\\S+)( \\S+)?$")
      Remember("objectnames", HPUX.process_id, RegexRef("1"))	  
	  MoveTo(Trash)	

    "su": 
      if RegexMatch(parameters, "^su( -)? (\\S+)") <> "0" then objectname := RegexRef("2")
      else objectname := "root"
      endif
	  Remember("objectnames", HPUX.process_id, objectname)
	  successclass := "-"
	  MoveTo(ExecveEvent) 

    "chown": 
      RegexMatch(parameters, "^chown .*?([^-][^,:]+)(:[^,]+)? (.*)$")
      newowner := RegexRef("1")
      Remember("objectnames", HPUX.process_id, RegexRef("3"))	
	  Remember("newvalues", HPUX.process_id, newowner)
	  MoveTo(Trash)

	"chmod": 
	  RegexMatch(parameters, "(\\S+)$")
	  Remember("objectnames", HPUX.process_id, RegexRef("1"))	  
	  MoveTo(Trash)

	"passwd": 
	  RegexMatch(parameters, "(\\S+)$")
	  Remember("objectnames", HPUX.process_id, RegexRef("1"))	  
	  MoveTo(Trash)

	"audusr":
	  successclass := "-"
	  Remember("objectnames", HPUX.process_id, "-")
	  MoveTo(ExecveEvent)

	endcase

endstate

state ExecveEvent

	command		   := Recall("commands", HPUX.process_id)
	eventmainclass := Recall("emc", command)
	eventclass     := Recall("ec", command)	
	objecttype	   := Recall("ot", command)
	objectname     := Recall("objectnames", HPUX.process_id)
	objectpath	   := "-"
	newvalue	   := Recall("newvalues", HPUX.process_id)

	MoveTo(Clear)

endstate

state Exit 

  parameters := Recall("params", HPUX.process_id)
  command    := Recall("commands", HPUX.process_id)

  if parameters eq "" then 		
	Forget("objectnames", HPUX.process_id)
	Forget("params", HPUX.process_id)
	Forget("commands", HPUX.process_id)
	Forget("newvalues", HPUX.process_id)
	MoveTo(Trash)

  else
    successclass := "Failure"
    case command of
    "chsh", "chown", "chmod", "su", "passwd":
		MoveTo(ExecveEvent)
	otherwise
		MoveTo(Trash)
	endcase

  endif  
endstate

state GroupUser

	temp := Recall("objectnames", HPUX.process_id)
	if (temp ne "" and objectname eq "-") then
	   objectname := temp
	endif
	newvalue   := Recall("newvalues", HPUX.process_id)
	MoveTo (Clear)

endstate

state Login

    if (HPUX.successclass eq "Success" and HPUX.reason ne "Login successfully") then
		MoveTo(Trash)
	else	
		if HPUX.reason eq "Login name doesn't exist" then
			logonname  := "Unavailable"
		else 
			logonname  := HPUX.user
		endif

		objectname := Uppercase(GetChunkProperty(HPUX, "platformname"))

		MoveTo(Finish)
	endif

endstate

state Setdomainname

	objectname := Uppercase(GetChunkProperty(HPUX, "platformname"))
	MoveTo (Finish)

endstate

final state Finish  

	eventdetails := RegexReplace(eventdetails, "\\s*(\\r?\\n)\\s*", "$1")
	description := platformname

	source   := GetSource(DummyKey)
	object   := GetObject(DummyKey)
	platform := GetPlatform(DummyRefKey)	
	origin   := GetOrigin(DummyKey)
	target   := GetTarget(DummyKey)	
	stream   := GetStream(DummyKey)  
	chunk    := HPUX
	event    := GetEvent(EventDetailKey)  

endstate	

final state Trash
endstate
