/// ids.src.gml - Licensed Materials ­ Property of IBM
/// ids.src.gml - 5724-S67
/// ids.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// ids.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectname,objectpath)
key OriginRefKey(platformname,platformtype)
key PlatformRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailRefKey(mode,path,offset,logsize,modification,request,Source_id,Target_id,privilege,attribute,value,grantor,revoker,grantees,revokees,Target,Source,profile,dbinstance,recordtype,reason,platformeventcount,platformeventendtime)
key SourceAspectKey(originator)
key ObjectAspectKey(owner,id,origtype,oldvalue,newvalue,size)

first state Setup
  description:="Aggregator"
  equality:="successclass,recordtype,objectpath,objectname,id,logonname"
  targets:=""
  separator:=":"
  period:=GetIniProperty("AggregationPeriod","300000")
  threshold:=GetIniProperty("AggregationThreshold","1")
  aggregator:=GetListener(Aggregator)
  if ((Setup.recordtype eq "ACTB") or (Setup.recordtype eq "INRW") or (Setup.recordtype eq "UPRW") or (Setup.recordtype eq "RDRW") or (Setup.recordtype eq "DLRW")) then
    Listen(aggregator,Setup)
  endif
  MoveTo(Listening)
endstate

state Listening (platformeventcount eq null)
  if ((Listening.recordtype eq "ACTB") or (Listening.recordtype eq "INRW") or (Listening.recordtype eq "UPRW") or (Listening.recordtype eq "RDRW") or (Listening.recordtype eq "DLRW")) then
    Listen(aggregator,Listening)
  endif
endstate

last state Shutdown
 if aggregator ne null then
     StopListening(aggregator)
     aggregator:=null
 endif
endstate

initial final state recieve
(( (platformeventcount ne null) and (description eq "Aggregator") ))

  ///OnWhat
  objecttype:=Trim(recieve.objecttype, "Unavailable")
  objectpath:=Trim(Lowercase(recieve.objectpath), "Unavailable")
  objectname:=Trim(Lowercase(recieve.objectname),"Unavailable") 

  if ((recieve.owner ne "") and (recieve.owner ne "-"))  then owner:=recieve.owner   endif
  if ((recieve.id ne "") and (recieve.id ne "-"))     then id:=recieve.id   endif

  object:=GetObject(ObjectRefKey,ObjectAspectKey)

  ///Where
  platformname:=Trim(GetChunkProperty(recieve,"SystemName"),"Unavailable")
  platformtype:="IBM Informix DS"
  platform:=GetPlatform(PlatformRefKey)

  ///FromWhere
  platformname:=Trim(recieve.clientplatformtype,"Unavailable")
  platformtype:="Host"
  origin:=GetOrigin(OriginRefKey)

  ///ToWhere
  platformname:=Trim(GetChunkProperty(recieve,"SystemName"),"Unavailable")
  platformtype:="IBM Informix DS"
  target:=GetTarget(TargetRefKey)

  ///Who
  domainname := Trim(GetChunkProperty(recieve,"_domainname"), "Unavailable")
  case domainname of
        "Unavailable":
            logonname  := Trim(Lowercase(recieve.logonname),"Unavailable")
        otherwise
            logonname  := Uppercase(Append(domainname, "\\", recieve.logonname))
  endcase
  realname:=Trim(Lowercase(recieve.logonname),"Unavailable")
  orig := GetOriginator(logonname)
  if(orig ne logonname)
  then
    originator := orig
  endif 
  source:=GetSource(SourceRefKey,SourceAspectKey)

  ///Stream
  stream:=GetStream(StreamRefKey)

  ///What
  chunk:=recieve
  eventmainclass:=Trim(recieve.eventmainclass,"Unavailable")
  eventclass:=Trim(recieve.eventclass,"Unavailable")
  if recieve.successclass ne "" then
    case recieve.successclass of
      "0":
        successclass:="Success"
      otherwise
        successclass:="Failure"
        reason:=recieve.successclass
    endcase
  else
    successclass:="Unavlbl"
  endif

  eventtimestamp:=recieve.platformeventtime
  if ((recieve.dbinstance ne "") and (recieve.dbinstance ne "-")) then dbinstance:=recieve.dbinstance endif
  if ((recieve.recordtype ne "") and (recieve.recordtype ne "-")) then recordtype:=recieve.recordtype endif
  if( recieve.platformeventcount ne "1" )
  then
    platformeventcount := recieve.platformeventcount
    platformeventendtime := recieve.platformeventendtime
  endif
  event:=GetEvent(EventDetailRefKey)
endstate

initial final state informix
(( ( recordtype ne "ACTB" ) and ( recordtype ne "INRW" ) and ( recordtype ne "UPRW" ) and ( recordtype ne "DLRW" ) and ( recordtype ne "RDRW" ) ))

  ///OnWhat
  objecttype:=Trim(informix.objecttype, "Unavailable")
  objectpath:=Trim(Lowercase(informix.objectpath), "Unavailable")
  objectname:=Trim(Lowercase(informix.objectname),"Unavailable") 

  if ((informix.owner ne "") and (informix.owner ne "-"))     then owner:=informix.owner   endif
  if ((informix.id ne "") and (informix.id ne "-"))     then id:=informix.id   endif
  if ((informix.origtype ne "") and (informix.origtype ne "-"))   then origtype:=informix.origtype   endif
  if ((informix.oldvalue ne "") and (informix.oldvalue ne "-"))   then oldvalue:=informix.oldvalue   endif
  if ((informix.newvalue ne "") and (informix.newvalue ne "-"))   then newvalue:=informix.newvalue   endif
  if ((informix.size ne "") and (informix.size ne "-"))    then size:=informix.size   endif

  object:=GetObject(ObjectRefKey,ObjectAspectKey)

  ///Where
  platformname:=Trim(GetChunkProperty(informix,"SystemName"),"Unavailable")
  platformtype:="IBM Informix DS"
  platform:=GetPlatform(PlatformRefKey)

  ///FromWhere
  platformname:=Trim(informix.clientplatformtype,"Unavailable")
  platformtype:="Host"
  origin:=GetOrigin(OriginRefKey)

  ///ToWhere
  platformname:=Trim(GetChunkProperty(informix,"SystemName"),"Unavailable")
  platformtype:="IBM Informix DS"
  target:=GetTarget(TargetRefKey)

  ///Who
  domainname := Trim(GetChunkProperty(informix,"_domainname"), "Unavailable")
  case domainname of
        "Unavailable":
            logonname  := Trim(Lowercase(informix.logonname),"Unavailable")
        otherwise
            logonname  := Uppercase(Append(domainname, "\\", informix.logonname))
  endcase
  realname:=Trim(Lowercase(informix.logonname),"Unavailable")
  orig := GetOriginator(logonname)
  if(orig ne logonname)
  then
    originator := orig
  endif 
  source:=GetSource(SourceRefKey,SourceAspectKey)

  ///Stream
  stream:=GetStream(StreamRefKey)

  ///What
  chunk:=informix
  eventmainclass:=Trim(informix.eventmainclass,"Unavailable")
  eventclass:=Trim(informix.eventclass,"Unavailable")
  if informix.successclass ne "" then
    case informix.successclass of
      "0":
        successclass:="Success"
      otherwise
        successclass:="Failure"
        reason:=informix.successclass
    endcase
  else
    successclass:="Unavlbl"
  endif

  eventtimestamp:=informix.platformeventtime
  if ((informix.mode ne "") and (informix.mode ne "-"))     then mode:=informix.mode endif
  if ((informix.path ne "") and (informix.path ne "-"))     then path:=informix.path endif
  if ((informix.offset ne "") and (informix.offset ne "-"))     then offset:=informix.offset endif
  if ((informix.logsize ne "") and (informix.logsize ne "-"))     then logsize:=informix.logsize endif
  if ((informix.modification ne "") and (informix.modification ne "-"))     then modification:=informix.modification endif
  if ((informix.request ne "") and (informix.request ne "-"))     then request:=informix.request endif
  if ((informix.Source_id ne "") and (informix.Source_id ne "-"))     then Source_id:=informix.Source_id endif
  if ((informix.Target_id ne "") and (informix.Target_id ne "-"))     then Target_id:=informix.Target_id endif
  if ((informix.privilege ne "") and (informix.privilege ne "-"))     then privilege:=informix.privilege endif
  if ((informix.attribute ne "") and (informix.attribute ne "-"))     then attribute:=informix.attribute endif
  if ( (informix.recordtype eq "STLM") or (informix.recordtype eq "TMOP") ) then
    if (informix.value1 ne "") then 
      case informix.value1 of
        "-1":
          value:="Wait forever"
        "0":
          value:="Do not wait"
        otherwise
          value:=Append("Wait for ",informix.value1," seconds")
      endcase
    endif
  else
    if (informix.recordtype eq "STTX") then
      if (informix.value1 eq "0") then
        if ( informix.attribute eq "Access mode") then
          value:="Read/Write"
        else
          if (informix.attribute eq "Isolation Level") then
            value:="Dirty Read"
          endif
        endif
      else
        if (informix.value1 eq "1") then
          if ( informix.attribute eq "Access mode") then
            value:="Read-only"
          else
            if (informix.attribute eq "Isolation Level") then
              value:="Committed Read"
            endif
          endif
        else
          if informix.value1 ne ""     then value:=informix.value1 endif
        endif
      endif
    else
      if informix.value1 ne ""     then value:=informix.value1 endif
    endif
  endif

  if ((informix.grantor ne "") and (informix.grantor ne "-"))    then grantor:=informix.grantor endif
  if ((informix.revoker ne "") and (informix.revoker ne "-"))    then revoker:=informix.revoker endif
  if ((informix.revokees ne "") and (informix.revokees ne "-"))   then revokees:=informix.revokees endif
  if ((informix.grantees ne "") and (informix.grantees ne "-"))   then grantees:=informix.grantees endif
  if ((informix.Source ne "") and (informix.Source ne "-"))   then Source:=informix.Source endif
  if ((informix.profile ne "") and (informix.profile ne "-"))   then profile:=informix.profile endif
  if ((informix.dbinstance ne "") and (informix.dbinstance ne "-"))   then dbinstance:=informix.dbinstance endif
  if ((informix.recordtype ne "") and (informix.recordtype ne "-"))   then recordtype:=informix.recordtype endif
  if ((informix.Target ne "") and (informix.Target ne "-"))   then Target:=informix.Target endif

  event:=GetEvent(EventDetailRefKey)
endstate
