/// iplanet.src.gml - Licensed Materials ­ Property of IBM
/// iplanet.src.gml - 5724-S67
/// iplanet.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// iplanet.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventRefKey(miscellaneous,reason,severity)

initial final state iPlanet

        platformname := GetChunkProperty(iPlanet,"platformname")
        platformtype := "iPlanet Web Server"
        platform     := GetPlatform(PlatformRefKey)

        if (iPlanet.objectname ne null and iPlanet.objectname ne "NULL" and
            iPlanet.objectname ne "/" and iPlanet.objectname ne "\"") then
                objectname := Filename (iPlanet.objectname)
                objectpath := Path (iPlanet.objectname)
        else
             if (iPlanet.objecttype eq "SERVER") then
                objectname := platformname
             else
                objectname := "-"
             endif      
             objectpath := "-"          
        endif

        if (objectname eq null or objectname eq "") then
            objectname := "Unavailable"
        endif

        if (objectpath eq null or objectpath eq "") then
            objectpath := "Unavailable"
        endif

        if (iPlanet.objecttype ne null and iPlanet.objecttype ne "NULL" and 
                iPlanet.objecttype ne "") then
                objecttype := iPlanet.objecttype
        else
                objecttype := "Unavailable"
        endif

        object := GetObject (ObjectRefKey)

        if (iPlanet.username ne null and iPlanet.username ne "NULL") then
                logonname := iPlanet.username
        else
                logonname := "Unavailable"
        endif   
        description := Append(platformname,"\\",logonname)
        stream := GetStream (StreamRefKey)

        if (iPlanet.hostname ne null and iPlanet.hostname ne "NULL") then
                realname := iPlanet.hostname
        else
                realname := platformname
        endif
        source := GetSource(SourceRefKey)

        target := GetTarget (TargetRefKey)

        platformname := realname
        platformtype := "Client"
        origin       := GetOrigin(OriginRefKey)

        if (iPlanet.status_code ne null and iPlanet.status_code ne "NULL") then
                miscellaneous := Append ("Status code: ",iPlanet.status_code)
        endif

        if (iPlanet.eclass ne "NULL") then
                eventclass := iPlanet.eclass
        else
                eventclass := "Unavailable"
        endif

        if (iPlanet.successclass ne "NULL") then
                successclass := iPlanet.successclass
        else
                successclass := "Unavailable"
        endif

        if (iPlanet.emainclass eq "access log") then
          case iPlanet.operation of
            "DELETE":
               eventmainclass:="Delete"
            "GET","get":
               eventmainclass:="Read"
            "HEAD","OPTIONS":
               eventmainclass:="Inspect"
               eventclass:="Page"
            "PUT":
               eventmainclass:="Write"
            "POST":
               eventmainclass:="Use"
               eventclass:="Program"
            "TRACE":
               eventmainclass:="Trace"
            "SEARCH","PROPFIND","INDEX":
               eventmainclass:="Search"
          otherwise
            if (iPlanet.operation ne "-") then
              eventmainclass:="Unrecognized"
              eventclass:="Request"
              successclass:="*"
            else
              eventmainclass:="Ignore"
              eventclass:="Request"
              successclass:="*"
            endif
          endcase

        else
          if (iPlanet.emainclass ne "NULL") then
                eventmainclass := iPlanet.emainclass
          else
                eventmainclass := "Unavailable"
          endif
        endif
        reason := iPlanet.descr
        severity := iPlanet.severity

        eventtimestamp := iPlanet.platformeventtime
        chunk  := iPlanet
        event  := GetEvent(EventRefKey)

endstate

