/// issrealsecure.src.gml - Licensed Materials ­ Property of IBM
/// issrealsecure.src.gml - 5724-S67
/// issrealsecure.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// issrealsecure.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(recordtype, message, sensor)

initial final state RealSecure (pltftype eq "ISS RealSecure")

  platformtype := RealSecure.pltftype
  platformname := RealSecure.pltfname
  platform := GetPlatform(PlatformRefKey)

  if RealSecure.objectname ne null then
    objectname := RealSecure.objectname
  else
    objectname := "*"
  endif
  if RealSecure.objectpath ne null then
    objectpath := RealSecure.objectpath
  else
    if RealSecure.metcalf ne null then
      objectpath := RealSecure.metcalf
    else
      objectpath := "-"
    endif
  endif

  if RealSecure.protocol ne null then
   objectpath := Append(objectpath, " - protocol: ", RealSecure.protocol)
  endif

  if RealSecure.objecttype ne null then
    objecttype := RealSecure.objecttype
  else
    objecttype := "*"
  endif
  object := GetObject(ObjectRefKey)

  if RealSecure.entrypoint ne null then
    description := RealSecure.entrypoint
  else
    description := ""
  endif
  stream := GetStream(StreamRefKey)

  if RealSecure.logonname ne null then
   logonname := RealSecure.logonname
  else
   logonname := RealSecure.usersid
  endif
  realname := Append("ISS RealSecure ",RealSecure.category)
  source := GetSource(SourceRefKey)

  if RealSecure.source ne null then
    platformname := RealSecure.source
    platformname := Append(platformname, " - port: ", RealSecure.sport)
  endif
  origin := GetOrigin(OriginRefKey)

  if RealSecure.target ne null then
   platformname := RealSecure.target
   platformname := Append(platformname, " - port: ", RealSecure.dport)
  endif
  target := GetTarget(TargetRefKey)

  message  := RealSecure.description
  if RealSecure.msgadd ne null then
   message  := Append(message, ". ", RealSecure.msgadd)
  endif
  if RealSecure.sensor ne null then
   sensor := RealSecure.sensor
  endif

  chunk := RealSecure
  eventclass     := RealSecure.eclass
  eventmainclass := RealSecure.emainclass
  successclass   := RealSecure.successclass
  eventtimestamp := RealSecure.platformeventtime
  recordtype     := RealSecure.recordtype
  event := GetEvent(EventDetailKey)
endstate
