/// itds.src.gml - Licensed Materials ­ Property of IBM
/// itds.src.gml - 5724-S67
/// itds.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// itds.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key OriginDetailRefKey(nwaddress, port)
key TargetRefKey(platformtype, platformname)
key TargetDetailRefKeyPort(port)
key TargetDetailRefKeyIP(nwaddress)
key EventDetailRefKeyMess(recordtype, host, port, eventreason, object_focus, SourceDN, TargetDN, Target, origtype, eventdetail)
key EventDetailRefKeyNonMess(object_focus, attribute, protocol, Target, eventreason, recordtype, search_scope, request_value, id)

initial final state itds

platformtype    := "IBM TDS"
platformname    := GetChunkProperty(itds, "platformname")
platform        := GetPlatform(PlatformRefKey)

if GetChunkProperty(itds, "Option1") eq "./itds.cfg" then 
  tds_inst := Trim(GetChunkProperty(itds, "Option10"), "InstanceName")
else 
  tds_inst := Trim(GetChunkProperty(itds, "Option9"), "InstanceName")
endif

if itds.event_type eq "message" then 

eventclass      := itds.eventclass
eventmainclass  := itds.eventmainclass
successclass    := Trim(itds.successclass, "Unavlbl")

objecttype      := itds.objecttype

case itds.place1 of 
 "1":
    logonname1 := Trim(itds.aspect1, "Unavailable")
 "2":
    logonname1 := Trim(itds.aspect2, "Unavailable")
 "3":
    logonname1 := Trim(itds.aspect3, "Unavailable")
otherwise
    logonname1 := ""
endcase

case itds.place2 of 
 "1":
    objectpath1 := Trim(itds.aspect1, "Unavailable")
 "2":
    objectpath1 := Trim(itds.aspect2, "Unavailable")
 "3":
    objectpath1 := Trim(itds.aspect3, "Unavailable")
otherwise
    objectpath1 := ""
endcase

case itds.place3 of 
 "1":
    objectname1 := Trim(itds.aspect1, "Unavailable")
 "2":
    objectname1 := Trim(itds.aspect2, "Unavailable")
 "3":
    objectname1 := Trim(itds.aspect3, "Unavailable")
otherwise
    objectname1 := ""
endcase

case itds.place4 of 
 "1":
    host1 := Trim(itds.aspect1, "Unavailable")
 "2":
    host1 := Trim(itds.aspect2, "Unavailable")
 "3":
    host1 := Trim(itds.aspect3, "Unavailable")
otherwise
    host1 := ""
endcase

case itds.place5 of 
 "1":
    port1 := Trim(itds.aspect1, "Unavailable")
 "2":
    port1 := Trim(itds.aspect2, "Unavailable")
 "3":
    port1 := Trim(itds.aspect3, "Unavailable")
otherwise
    port1 := ""
endcase

case itds.place6 of 
 "1":
    eventreason1 := Trim(itds.aspect1, "Unavailable")
 "2":
    eventreason1 := Trim(itds.aspect2, "Unavailable")
 "3":
    eventreason1 := Trim(itds.aspect3, "Unavailable")
otherwise
    eventreason1 := ""
endcase

case itds.place7 of 
 "1":
    object_focus1 := Trim(itds.aspect1, "Unavailable")
 "2":
    object_focus1 := Trim(itds.aspect2, "Unavailable")
 "3":
    object_focus1 := Trim(itds.aspect3, "Unavailable")
otherwise
    object_focus1 := ""
endcase

case itds.place8 of 
 "1":
    SourceDN1 := Trim(itds.aspect1, "Unavailable")
 "2":
    SourceDN1 := Trim(itds.aspect2, "Unavailable")
 "3":
    SourceDN1 := Trim(itds.aspect3, "Unavailable")
otherwise
    SourceDN1 := ""
endcase

case itds.place9 of 
 "1":
    TargetDN1 := Trim(itds.aspect1, "Unavailable")
 "2":
    TargetDN1 := Trim(itds.aspect2, "Unavailable")
 "3":
    TargetDN1 := Trim(itds.aspect3, "Unavailable")
otherwise
    TargetDN1 := ""
endcase

case itds.place10 of 
 "1":
    Target1 := Trim(itds.aspect1, "Unavailable")
 "2":
    Target1 := Trim(itds.aspect2, "Unavailable")
 "3":
    Target1 := Trim(itds.aspect3, "Unavailable")
otherwise
    Target1 := ""
endcase

case itds.place11 of 
 "1":
    WhereTo1 := Trim(itds.aspect1, "Unavailable")
 "2":
    WhereTo1 := Trim(itds.aspect2, "Unavailable")
 "3":
    WhereTo1 := Trim(itds.aspect3, "Unavailable")
otherwise
    WhereTo1 := ""
endcase

case itds.place12 of 
 "1":
    WhereToPort1 := Trim(itds.aspect1, "Unavailable")
 "2":
    WhereToPort1 := Trim(itds.aspect2, "Unavailable")
 "3":
    WhereToPort1 := Trim(itds.aspect3, "Unavailable")
otherwise
    WhereToPort1 := ""
endcase

case itds.recordtype of 
 "GLPCOM015E":
    objectname  := Trim(GetChunkProperty(itds, "platformname"), "Unavailable")
 "GLPRPL031I":
    objectname  := Trim(GetChunkProperty(itds, "platformname"), "Unavailable")
 "GLPRPL096I":
    objectname  := Trim(GetChunkProperty(itds, "platformname"), "Unavailable")
otherwise
 if Trim(itds.objectname, "null") ne "null" then 
       objectname := Trim(RegexReplace(itds.objectname, "%tds_inst%", tds_inst), "Unavailable") 
 else
       objectname := Trim(RegexReplace(objectname1, "%tds_inst%", tds_inst), "Unavailable")
 endif
endcase

case itds.recordtype of 
 "GLPRDB067E":
    objectpath  := Append(tds_inst,"/",Trim(objectpath1, "Unavailable"))
 "GLPRDB068E":
    objectpath  := Append(tds_inst,"/",Trim(objectpath1, "Unavailable"))
 "GLPRDB095I":
    objectpath  := Append(tds_inst,"/",Trim(objectpath1, "Unavailable"))
 "GLPRPL086E":
    objectpath  := Append(tds_inst,"/",Trim(objectpath1, "Unavailable"))
 "GLPSRV065E":
    objectpath  := Append(tds_inst,"/",Trim(objectpath1, "Unavailable"))
otherwise
 if Trim(itds.objectpath, "null") ne "null" then 
       objectpath := Trim(RegexReplace(itds.objectpath, "%tds_inst%", tds_inst), "Unavailable") 
 else
       objectpath := Trim(RegexReplace(objectpath1, "%tds_inst%", tds_inst), "Unavailable")
 endif
endcase

object := GetObject(ObjectRefKey)

if Trim(itds.logonname, "null") ne "null" then
      logonname := itds.logonname 
else
      logonname := Trim(logonname1, "Unavailable") 
endif

realname    := logonname
source      := GetSource(SourceRefKey)

platformtype    := "IBM TDS"
platformname    := Trim(WhereTo1, GetChunkProperty(itds, "platformname"))
if WhereToPort1 ne "" then port := Trim(WhereToPort1, "Unavailable") endif

target          := GetTarget(TargetRefKey, TargetDetailRefKeyPort)

platformtype    := "IBM TDS"
platformname    := GetChunkProperty(itds, "platformname")
origin          := GetOrigin(OriginRefKey)

description := Trim(logonname, "Unavailable")
stream      := GetStream(StreamRefKey)

if Trim(itds.eventdetail, "null") ne "null" then eventdetail := itds.eventdetail endif
if eventreason1 ne ""   then    eventreason := Trim(eventreason1, "Unavailable") endif
if host1 ne ""          then    host := Trim(host1, "Unavailable") endif
if port1 ne ""          then    port := Trim(port1, "Unavailable") endif
if object_focus1 ne ""  then    object_focus := Trim(object_focus1, "Unavailable") endif
if SourceDN1 ne ""      then    SourceDN := Trim(SourceDN1, "Unavailable") endif
if TargetDN1 ne ""      then    TargetDN := Trim(TargetDN1, "Unavailable") endif
if Target1 ne ""        then    Target := Trim(Target1, "Unavailable") endif
if Trim(itds.origtype, "null")   ne "null"  then    origtype := itds.origtype endif
if Trim(itds.recordtype, "null") ne "null"  then    recordtype := itds.recordtype endif
chunk           := itds
eventtimestamp  := itds.platformeventtime

event           := GetEvent(EventDetailRefKeyMess)

else

if itds.operation1 eq "Modify" then

   if Trim(itds.objectname1, "null") ne "null" then 
   attribute        := itds.objectname1
   objectname       := itds.objectname1
   eventmainclass   := "Create"
   eventclass       := "Attribute"
   objecttype       := "ATTRIBUTE"
   recordtype       := "Modify/add"
   endif

   if Trim(itds.objectname2, "null") ne "null" then 
   attribute        := itds.objectname2
   objectname       := itds.objectname2
   eventmainclass   := "Delete"
   eventclass       := "Attribute"
   objecttype       := "ATTRIBUTE"
   recordtype       := "Modify/delete"
   endif

   if Trim(itds.objectname3, "null") ne "null" then 
   attribute        := itds.objectname3
   objectname       := itds.objectname3
   eventmainclass   := "Modify"
   eventclass       := "Attribute"
   objecttype       := "ATTRIBUTE"
   recordtype       := "Modify/replace"   
   endif

else

   if Trim(itds.attribute1, "null") ne "null" then 
      attribute	:= itds.attribute1 
   endif

   eventclass       := itds.eventclass
   eventmainclass   := itds.eventmainclass
   objecttype       := itds.objecttype
   objectname       := Trim(RegexReplace(itds.objectname, "%tds_inst%", tds_inst), "Unavailable")

endif

objectpath      := Trim(RegexReplace(itds.objectpath, "%tds_inst%", tds_inst), "Unavailable")
object          := GetObject(ObjectRefKey)

if itds.successclass ne "Success" then 
if Trim(itds.successclass,  "Unavailable") eq "Unavailable"
then
successclass    := "Unavlbl"
else
successclass    := "Failure"
eventreason     := itds.successclass
endif
else
successclass    := "Success"
endif

logonname   := Trim(itds.logonname, "Unavailable")
realname    := logonname
source      := GetSource(SourceRefKey)

platformtype    := "IBM TDS"
platformname    := GetChunkProperty(itds, "platformname")
if Trim(itds.nwaddress, "null") ne "null" then nwaddress := itds.nwaddress endif
target          := GetTarget(TargetRefKey, TargetDetailRefKeyIP)

platformtype    := "Host"
platformname    := Trim(itds.from_platformname, GetChunkProperty(itds, "platformname"))

if Trim(itds.from_platformname, "null") ne "null" then nwaddress := itds.from_platformname endif
if Trim(itds.from_port, "null") ne "null"  then port := itds.from_port endif
origin          := GetOrigin(OriginRefKey, OriginDetailRefKey)

description     := logonname
stream          := GetStream(StreamRefKey)

if Trim(itds.object_focus, "null") ne "null"    then object_focus := itds.object_focus endif
if Trim(itds.protocol, "null") ne "null"        then protocol := itds.protocol endif
if Trim(itds.Target, "null") ne "null"          then Target := itds.Target endif
if Trim(itds.recordtype, "null") ne "null"      then recordtype := itds.recordtype endif
if Trim(itds.search_scope, "null") ne "null"    then search_scope := itds.search_scope endif
if Trim(itds.request_value, "null") ne "null"   then request_value := itds.request_value endif
if Trim(itds.id1, "null") ne "null"             then id := itds.id1 endif

chunk           := itds
eventtimestamp  := itds.platformeventtime

event           := GetEvent(EventDetailRefKeyNonMess)

endif

endstate
