/// itim.src.gml - Licensed Materials ­ Property of IBM
/// itim.src.gml - 5724-S67
/// itim.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// itim.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectname,objectpath)
key OriginRefKey(platformname,platformtype)
key PlatformRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailRefKey(Target,TargetDN,Targettype,Source,SourceDN,Sourcetype,newvalue,workflow_id,recordtype,authtype)
key SourceAspectKey(originator)
key ObjectAspectKey(origDN,origtype,parent,owner,ownerDN,access,access_dn)

initial final state tim
  ///OnWhat
  objecttype:=Trim(tim.ot, "Unavailable")
  objectpath:=Trim(Lowercase(tim.op), "Unavailable")

  if tim.on eq "SSN" 
  then 
    objectname:=Trim(Lowercase(GetChunkProperty(tim,"SystemName")),"Unavailable")
  else 
    objectname:=Trim(Lowercase(tim.on),"Unavailable") 
  endif

  if tim.origdn ne ""     then origDN:=tim.origdn   endif
  if tim.origtype ne ""   then origtype:=tim.origtype   endif
  if tim.parentnode ne "" then parent:=tim.parentnode   endif
  if tim.owner ne ""      then owner:=tim.owner   endif
  if tim.ownerdn ne ""    then ownerDN:=tim.ownerdn   endif

  if tim.access_name ne "" then access:=tim.access_name endif
  if tim.access_dn ne "" then access_dn:=tim.access_dn endif

  object:=GetObject(ObjectRefKey,ObjectAspectKey)

  ///Where
  platformname:=Trim(GetChunkProperty(tim,"SystemName"),"Unavailable")
  platformtype:="IBM TIM"
  origin:=GetOrigin(OriginRefKey)

  ///FromWhere
  platformname:=Trim(GetChunkProperty(tim,"SystemName"),"Unavailable")
  platformtype:="IBM TIM"
  platform:=GetPlatform(PlatformRefKey)

  ///ToWhere
  platformname:=Trim(GetChunkProperty(tim,"SystemName"),"Unavailable")
  platformtype:="IBM TIM"
  target:=GetTarget(TargetRefKey)

  ///Who
  if tim.originator ne null
  then 
    logonname:=Trim(Lowercase(tim.logonname),"Unavailable")
    realname:=Trim(Lowercase(tim.logonname),"Unavailable")
    originator:=Lowercase(tim.originator)
    source:=GetSource(SourceRefKey,SourceAspectKey)
  else
    if tim.logonname eq "System" then
      logonname:="System"
      realname:="System"
    else
      logonname:=Trim(Uppercase(tim.logonname),"Unavailable")
      realname:=Trim(Uppercase(tim.logonname),"Unavailable")
    endif
    source:=GetSource(SourceRefKey)
  endif

  ///Stream
  stream:=GetStream(StreamRefKey)

  ///What
  chunk:=tim
  eventmainclass:=Trim(tim.emc,"Unavailable")
  eventclass:=Trim(tim.ec,"Unavailable")
  case tim.sc of
    "SUCCESS":
      successclass:="Success"
    "FAILURE":
      successclass:="Failure"
    "SUBMITTED":
      successclass:="Success"
    otherwise
      successclass:="Unavlbl"
  endcase

  eventtimestamp:=tim.platformeventtime
  if tim.target ne ""     then Target:=tim.target endif
  if tim.targetdn ne ""   then TargetDN:=tim.targetdn endif
  if tim.targettype ne "" then Targettype:=tim.targettype endif
  if tim.source ne ""     then Source:=tim.source endif
  if tim.sourcedn ne ""   then SourceDN:=tim.sourcedn endif
  if tim.sourcetype ne "" then Sourcetype:=tim.sourcetype endif
  if tim.newvalue ne ""   then newvalue:=tim.newvalue endif
  if tim.workflow_id ne "" then workflow_id:=tim.workflow_id endif
  if tim.recordtype ne "" then recordtype:=tim.recordtype endif
  if tim.authtype ne ""   then authtype:=tim.authtype endif

  event:=GetEvent(EventDetailRefKey)
endstate
