/// laf.src.gml - Licensed Materials ­ Property of IBM
/// laf.src.gml - 5724-S67
/// laf.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// laf.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(dummy)
key TargetRefKey(dummy)
key SourceRefKey(dummy)
key StreamRefKey(description)
key OriginRefKey(dummy)
key PlatformRefKey(dummy)
key EventAspectKey1(tty,process_id,command,context,task,recordtype,uid, session_id, oldvalue,newvalue,object_focus,attribute,eventreason)
key EventAspectKey2(process_id,session_id,context,tty,command,attribute,oldvalue,newvalue,Target,Source,Targettype,eventreason,modification,recordtype,origtype,uid)
key EventAspectKey3(tty,exitcode,parentprocess_id,process_id,session_id,command,context,auditrule,newname,newpath,recordtype,Target,Targetdevice,Targetinode,inode,device,owner,ownergroup,objcontext,accesstype,group,effectiveuser,effectivegroup,savedsetuser,uid)
key OriginAspectKey1(nwaddress)
key SourceAspectKey1(originator)

initial final state USER_CHAUTHTOK
((   (eventtype eq "USER_CHAUTHTOK")  ))

  ///Where and ToWhere
  platformname := Trim(GetChunkProperty(USER_CHAUTHTOK,"SystemName"),"Unavailable")
  platformtype := "LAF"
  platform     := GetPlatform(PlatformRefKey)
  target       := GetTarget(TargetRefKey)

  ///FromWhere
  if( (USER_CHAUTHTOK.addr ne "?") and (USER_CHAUTHTOK.addr ne "") and (USER_CHAUTHTOK.addr ne null) ) then nwaddress:=USER_CHAUTHTOK.addr endif
  if( USER_CHAUTHTOK.hostname ne "?" )
  then
    platformname := Trim(USER_CHAUTHTOK.hostname, USER_CHAUTHTOK.addr, "Unavailable")
    platformtype := "Host"
  endif
  origin := GetOrigin(OriginRefKey,OriginAspectKey1)

  recordtype := Append("USER_CHAUTHTOK.", USER_CHAUTHTOK.evtid)

  ///OnWhat
  objectpath := "-"
  ///Add for Sles 
  if ((USER_CHAUTHTOK.account ne "") and (USER_CHAUTHTOK.account ne null))
  then
    if (USER_CHAUTHTOK.op eq "error removing account from group") then
      objecttype := USER_CHAUTHTOK.ot
      objectname := Trim(USER_CHAUTHTOK.group)
      object_focus := USER_CHAUTHTOK.account      
    else 
      objecttype := USER_CHAUTHTOK.ot
      objectname := Trim(USER_CHAUTHTOK.account)
      if( (USER_CHAUTHTOK.group  ne "") and (USER_CHAUTHTOK.group  ne null) ) then object_focus := USER_CHAUTHTOK.group endif
    endif
  else 
    if ((USER_CHAUTHTOK.new ne "") and (USER_CHAUTHTOK.new ne null))
    then
      objecttype := USER_CHAUTHTOK.ot
      objectname := Trim(USER_CHAUTHTOK.new)
    else
      if ((USER_CHAUTHTOK.group ne "") and (USER_CHAUTHTOK.group ne null))
      then
        objecttype := USER_CHAUTHTOK.ot
        objectname := Trim(USER_CHAUTHTOK.group)
      else
        if ((USER_CHAUTHTOK.for ne "") and (USER_CHAUTHTOK.for ne null))
        then
          objecttype := USER_CHAUTHTOK.ot
          objectname := Trim(USER_CHAUTHTOK.for)
        else
          if( ((USER_CHAUTHTOK.acct eq "") or (USER_CHAUTHTOK.acct eq null)) and ((USER_CHAUTHTOK.acct2 eq "") or (USER_CHAUTHTOK.acct2 eq null)) )
          then
            objecttype := Append( USER_CHAUTHTOK.ot, "ID" )
            objectname := USER_CHAUTHTOK.id
            recordtype := Append( recordtype, "b")
          else
            objecttype := USER_CHAUTHTOK.ot
            objectname := Trim(USER_CHAUTHTOK.acct,USER_CHAUTHTOK.acct2)
          endif
        endif
      endif
    endif
  endif

  if( USER_CHAUTHTOK.ot eq "USERDEFAULT" ) 
  then 
    objectname := "-"
    objecttype := "USERDEFAULT"
///    recordtype := "USER_CHAUTHTOK.14"
    recordtype := Append("USER_CHAUTHTOK.", USER_CHAUTHTOK.evtid)
  endif

  ///Who     Algorithm described in QE0902002    
  if( (USER_CHAUTHTOK.auid_id ne "") and (USER_CHAUTHTOK.auid_id ne null)) 
  then      
      originator := USER_CHAUTHTOK.auid_id 
      logonname  := GetLogonName(originator)    
      if((USER_CHAUTHTOK.pid ne null) and (USER_CHAUTHTOK.pid ne ""))
      then
          Remember("auid_table",  Append(platformname,"_",USER_CHAUTHTOK.pid), logonname)
      endif
  else 
    if ((USER_CHAUTHTOK.auid ne "") and (USER_CHAUTHTOK.auid ne null) and (USER_CHAUTHTOK.auid ne "unset")) 
    then
        logonname  := USER_CHAUTHTOK.auid 
        originator := GetOriginator(logonname)
        if((USER_CHAUTHTOK.pid ne null) and (USER_CHAUTHTOK.pid ne ""))
        then
            Remember("auid_table",  Append(platformname,"_",USER_CHAUTHTOK.pid), USER_CHAUTHTOK.auid)            
        endif
    else
        if((USER_CHAUTHTOK.pid ne null) and (USER_CHAUTHTOK.pid ne "") and (Recall("auid_table",  Append(platformname,"_",USER_CHAUTHTOK.pid)) ne ""))
        then                
            logonname  := Recall("auid_table",  Append(platformname,"_",USER_CHAUTHTOK.pid))
            originator := GetOriginator(logonname) 
        else
            if((USER_CHAUTHTOK.uid ne null) and (USER_CHAUTHTOK.uid ne "")) 
            then
                logonname  := USER_CHAUTHTOK.uid 
                originator := GetOriginator(logonname) 
                if((USER_CHAUTHTOK.pid ne null) and (USER_CHAUTHTOK.pid ne ""))
                then
                    Remember("auid_table",  Append(platformname,"_",USER_CHAUTHTOK.pid), USER_CHAUTHTOK.uid)                    
                endif
            endif
        endif       
    endif 
  endif 

  logonname := Trim(logonname, "Unavailable")
  realname  := logonname
  source    := GetSource(SourceRefKey,SourceAspectKey1)

  ///Stream
  stream:=GetStream(StreamRefKey)

  ///What
  chunk          := USER_CHAUTHTOK
  eventmainclass := USER_CHAUTHTOK.emc
  eventclass     := USER_CHAUTHTOK.ec
  eventtimestamp := USER_CHAUTHTOK.platformeventtime

  if( USER_CHAUTHTOK.res eq "success" ) 
  then 
    successclass := "Success" 
  else
    successclass := "Failure" 
  endif

  case USER_CHAUTHTOK.op of
    "error removing account from group", "password change denied": 
       successclass := "Warning" 
    "invalid name":
      if ((USER_CHAUTHTOK.group ne "") and (USER_CHAUTHTOK.group ne null)) then 
        eventmainclass	:= "Group"
        objecttype 	:= "GROUP"
        recordtype	:= Append("USER_CHAUTHTOK.", "42c")
      endif
    "defaults changed":
      attribute := Append("gid=", USER_CHAUTHTOK.gid, " home=", USER_CHAUTHTOK.home, " shell=", USER_CHAUTHTOK.shell, " inactive=", USER_CHAUTHTOK.inactive, " expire=", USER_CHAUTHTOK.expire)
      objecttype := USER_CHAUTHTOK.ot
      objectname := "userad"
      objectpath := "/etc/default"
    "GID is not unique":
      objecttype := USER_CHAUTHTOK.ot
      objectname := Trim(USER_CHAUTHTOK.gid2id)
    "UID is not unique":
      objecttype := USER_CHAUTHTOK.ot
      objectname := Trim(USER_CHAUTHTOK.uid2id)
    "home directory created", "home directory deleted":
      object_focus := USER_CHAUTHTOK.home
    "can't get unique gid in range", "can't get unique uid in range", "password change failed, pam error", "permission denied":
      objecttype := USER_CHAUTHTOK.ot
      objectname := GetChunkProperty(USER_CHAUTHTOK,"SystemName")
    "password change failed, pam error", "permission denied":
      objecttype := USER_CHAUTHTOK.ot
      objectname := GetChunkProperty(USER_CHAUTHTOK,"SystemName")
      object_focus := Trim(USER_CHAUTHTOK.account, "-")
    "cannot determine account name":
      if ( (USER_CHAUTHTOK.uid2id ne null) and (USER_CHAUTHTOK.uid2id ne "") ) then 
        objecttype := USER_CHAUTHTOK.ot
        objectname := Trim(USER_CHAUTHTOK.uid2id)
      else
        objecttype := "USER" 
        objectname := Trim(USER_CHAUTHTOK.uid2)
      endif
    "cannot lock group file: already locked":
      objecttype := USER_CHAUTHTOK.ot
      objectname := "group"
      objectpath := "/etc"
    "cannot lock password file: already locked":
      objecttype := USER_CHAUTHTOK.ot
      objectname := "shadow"
      objectpath := "/etc"
    "failed to drop privileges":
      objecttype := USER_CHAUTHTOK.ot
      objectname := Trim(USER_CHAUTHTOK.by)
      if ( (USER_CHAUTHTOK.errno ne null) and (USER_CHAUTHTOK.errno ne "") ) then eventreason := Append("errno=", USER_CHAUTHTOK.errno) endif
    "password status display for all users denied", "password status displayed for all users":
      objecttype := USER_CHAUTHTOK.ot
      objectname := "shadow"
      objectpath := "/etc"
    "path specification denied":
      objecttype := USER_CHAUTHTOK.ot
      objectname := "chage"
    "running command":
      objecttype := USER_CHAUTHTOK.ot
      objectpath := Trim(Path(USER_CHAUTHTOK.script),"-")
      objectname := Trim(Filename(USER_CHAUTHTOK.script),"-")
      object_focus := Trim(USER_CHAUTHTOK.account, "-")
    "updating default config file faild":
      objecttype := USER_CHAUTHTOK.ot
      if ((USER_CHAUTHTOK.file ne null) and (USER_CHAUTHTOK.file ne "")) then
        objectpath := Trim(Path(USER_CHAUTHTOK.file),"-")
        objectname := Trim(Filename(USER_CHAUTHTOK.file),"-")
      else
        objectname := "userad"
        objectpath := "/etc/default"
      endif
    "is not owned by user, not removed":
      successclass := "Warning" 
      objectpath := Trim(Path(USER_CHAUTHTOK.file),"-")
      objectname := Trim(Filename(USER_CHAUTHTOK.file),"-")
      object_focus := Trim(USER_CHAUTHTOK.account, "-")
    "user tried to set the password from stdin":
      objecttype := USER_CHAUTHTOK.ot
      objectname := "passwd"
  endcase
  ///new old values
  if( (USER_CHAUTHTOK.old_id ne "") and (USER_CHAUTHTOK.old_id  ne null) ) then oldvalue := USER_CHAUTHTOK.old_id endif
  if( (USER_CHAUTHTOK.GECOS ne "") and (USER_CHAUTHTOK.GECOS  ne null) ) then newvalue := USER_CHAUTHTOK.GECOS endif
  if( (USER_CHAUTHTOK.old_GECOS ne "") and (USER_CHAUTHTOK.old_GECOS  ne null) ) then oldvalue := USER_CHAUTHTOK.old_GECOS endif
  if( (USER_CHAUTHTOK.change ne "") and (USER_CHAUTHTOK.change  ne null) ) then newvalue := USER_CHAUTHTOK.change endif
  if( (USER_CHAUTHTOK.old_change ne "") and (USER_CHAUTHTOK.old_change  ne null) ) then oldvalue := USER_CHAUTHTOK.old_change endif
  if( (USER_CHAUTHTOK.old_gid ne "") and (USER_CHAUTHTOK.old_gid  ne null) ) then 
    oldvalue := USER_CHAUTHTOK.old_gid 
    if( (USER_CHAUTHTOK.gid ne "") and (USER_CHAUTHTOK.gid ne null) ) then newvalue := USER_CHAUTHTOK.gid endif
  endif
  if( (USER_CHAUTHTOK.old_group ne "") and (USER_CHAUTHTOK.old_group ne null) ) then oldvalue := USER_CHAUTHTOK.old_group endif
  if( (USER_CHAUTHTOK.old_home ne "") and (USER_CHAUTHTOK.old_home ne null) ) then 
    oldvalue := USER_CHAUTHTOK.old_home 
    if( (USER_CHAUTHTOK.home ne "") and (USER_CHAUTHTOK.home ne null) ) then newvalue := USER_CHAUTHTOK.home endif
  endif
  if( (USER_CHAUTHTOK.old_shell ne "") and (USER_CHAUTHTOK.old_shell  ne null) ) then 
    oldvalue := USER_CHAUTHTOK.old_shell
    if( (USER_CHAUTHTOK.shell ne "") and (USER_CHAUTHTOK.shell  ne null) ) then newvalue := USER_CHAUTHTOK.shell endif
  endif
  if( (USER_CHAUTHTOK.old_inactive ne "") and (USER_CHAUTHTOK.old_inactive  ne null) ) then 
    oldvalue := USER_CHAUTHTOK.old_inactive
    if( (USER_CHAUTHTOK.inactive ne "") and (USER_CHAUTHTOK.inactive ne null) ) then newvalue := USER_CHAUTHTOK.inactive endif
  endif
  if( (USER_CHAUTHTOK.old ne "") and (USER_CHAUTHTOK.old  ne null) ) then 
    oldvalue := USER_CHAUTHTOK.old 
    if( (USER_CHAUTHTOK.inactive ne "") and (USER_CHAUTHTOK.inactive ne null) ) then newvalue := USER_CHAUTHTOK.inactive endif
  endif
  if( (USER_CHAUTHTOK.old_expire ne "") and (USER_CHAUTHTOK.old_expire  ne null) ) then 
    oldvalue := USER_CHAUTHTOK.old_expire 
    if( (USER_CHAUTHTOK.expire ne "") and (USER_CHAUTHTOK.expire  ne null) ) then newvalue := USER_CHAUTHTOK.expire endif
  endif
  if( (USER_CHAUTHTOK.old_date ne "") and (USER_CHAUTHTOK.old_date  ne null) ) then 
    oldvalue := USER_CHAUTHTOK.old_date
    if( (USER_CHAUTHTOK.expire ne "") and (USER_CHAUTHTOK.expire  ne null) ) then newvalue := USER_CHAUTHTOK.expire endif
  endif

  if( (USER_CHAUTHTOK.max ne "") and (USER_CHAUTHTOK.max  ne null) ) then newvalue := USER_CHAUTHTOK.max endif
  if( (USER_CHAUTHTOK.old_max ne "") and (USER_CHAUTHTOK.old_max  ne null) ) then oldvalue := USER_CHAUTHTOK.old_max endif
  if( (USER_CHAUTHTOK.min ne "") and (USER_CHAUTHTOK.min  ne null) ) then newvalue := USER_CHAUTHTOK.min endif
  if( (USER_CHAUTHTOK.old_min ne "") and (USER_CHAUTHTOK.old_min  ne null) ) then oldvalue := USER_CHAUTHTOK.old_min endif
  if( (USER_CHAUTHTOK.warn ne "") and (USER_CHAUTHTOK.warn  ne null) ) then newvalue := USER_CHAUTHTOK.warn endif
  if( (USER_CHAUTHTOK.old_warn ne "") and (USER_CHAUTHTOK.old_warn  ne null) ) then oldvalue := USER_CHAUTHTOK.old_warn endif
  if( (USER_CHAUTHTOK.new_id ne "") and (USER_CHAUTHTOK.new_id  ne null) ) then newvalue := USER_CHAUTHTOK.new_id endif
  if( (USER_CHAUTHTOK.old_id ne "") and (USER_CHAUTHTOK.old_id  ne null) ) then oldvalue := USER_CHAUTHTOK.old_id endif

  if( (USER_CHAUTHTOK.terminal  ne "") and (USER_CHAUTHTOK.terminal  ne null) ) then tty := USER_CHAUTHTOK.terminal  endif
  if( (USER_CHAUTHTOK.pid  ne "") and (USER_CHAUTHTOK.pid  ne null) ) then process_id := USER_CHAUTHTOK.pid       endif
  if( (USER_CHAUTHTOK.exe  ne "") and (USER_CHAUTHTOK.exe  ne null) ) then command    := USER_CHAUTHTOK.exe       endif
  if( (USER_CHAUTHTOK.subj ne "") and (USER_CHAUTHTOK.subj ne null) ) then context    := USER_CHAUTHTOK.subj      endif
  if( (USER_CHAUTHTOK.ses  ne "") and (USER_CHAUTHTOK.ses  ne null) ) then session_id    := USER_CHAUTHTOK.ses    endif
  if( (USER_CHAUTHTOK.op   ne "") and (USER_CHAUTHTOK.op   ne null) ) then task       := USER_CHAUTHTOK.op        endif
  if( (USER_CHAUTHTOK.uid  ne "") and (USER_CHAUTHTOK.uid  ne null) ) then uid        := USER_CHAUTHTOK.uid       endif
  if( (USER_CHAUTHTOK.eventreason  ne null) and (USER_CHAUTHTOK.eventreason  ne "") ) then eventreason  := USER_CHAUTHTOK.eventreason   endif

  objectname := Trim(objectname, "Unavailable") 
  object     := GetObject(ObjectRefKey)

  event:=GetEvent(EventAspectKey1)
endstate

initial final state ORDINARY
((   (gml eq "X")  ))

  ///Where and ToWhere
  platformname := Trim(GetChunkProperty(ORDINARY,"SystemName"),"Unavailable")
  platformtype := "LAF"
  platform     := GetPlatform(PlatformRefKey)
  target       := GetTarget(TargetRefKey)

  ///FromWhere
  if( (ORDINARY.nwaddress ne "?") and (ORDINARY.nwaddress ne null) and (ORDINARY.nwaddress ne "") ) then nwaddress:=ORDINARY.nwaddress endif
  if( (ORDINARY.hostname ne "?") and (ORDINARY.hostname ne null) and (ORDINARY.hostname ne "") )
  then
    platformname := Trim(ORDINARY.hostname, ORDINARY.nwaddress, "Unavailable")
    platformtype := "Host"
  endif
  origin := GetOrigin(OriginRefKey,OriginAspectKey1)

  ///OnWhat
  objecttype := ORDINARY.ot
  objectpath := "-"
  objectname := ORDINARY.on

  case objecttype of
    "OBJECT":
      objectpath := "."
    "ROLE":
      if( ORDINARY.on eq "__context__" ) then objectname := Trim(ORDINARY.new_context,ORDINARY.new_scontext,ORDINARY.selected_context) endif
    "SYSTEM": 
      objectname := GetChunkProperty(ORDINARY,"SystemName")
    "USER":
      if( ORDINARY.on eq "__uid__" )       then objectname := ORDINARY.uid     endif
      if( ORDINARY.on eq "__msg_uid__" )   then objectname := ORDINARY.msg_uid endif
      if( ORDINARY.on eq "__msg_acct__" )  then objectname := ORDINARY.acct    endif
    "ACTOR":
      if( ORDINARY.on eq "__msg_acct__" ) then objectname := ORDINARY.acct endif
    "PROCESS":
      if( ORDINARY.on eq "__msg_cmd__" )
      then
        if( (ORDINARY.cmd ne "") and (ORDINARY.cmd ne null) )
        then
          objectpath := Trim(Path("/",ORDINARY.cmd),".")
          objectname := Filename("/",ORDINARY.cmd)
        else
          objectpath := "."
          objectname := "Unavailable"
        endif
      endif
  endcase

  if( (ORDINARY.origtype ne null) and (ORDINARY.origtype ne "") ) then origtype := ORDINARY.origtype  endif
  objectpath := Trim(objectpath,"Unavailable")
  objectname := Trim(objectname,"Unavailable")
  object     := GetObject(ObjectRefKey)

  ///Who     Algorithm described in QE0902002         
  if( (ORDINARY.auid_id ne "") and (ORDINARY.auid_id ne null)) 
  then      
      originator := ORDINARY.auid_id 
      logonname  := GetLogonName(originator)    
      if((ORDINARY.process_id ne null) and (ORDINARY.process_id ne ""))
      then
          Remember("auid_table",  Append(platformname,"_",ORDINARY.process_id), logonname)      
      endif
  else 
    if ((ORDINARY.auid ne "") and (ORDINARY.auid ne null) and (ORDINARY.auid ne "unset")) 
    then        
        logonname  := ORDINARY.auid 
        originator := GetOriginator(logonname)
        if((ORDINARY.process_id ne null) and (ORDINARY.process_id ne ""))
        then
            Remember("auid_table",  Append(platformname,"_",ORDINARY.process_id), ORDINARY.auid)        
        endif
    else 
        if((ORDINARY.eventtype eq "LOGIN") and (ORDINARY.uid ne null) and (ORDINARY.uid ne ""))
        then
            logonname  := ORDINARY.uid 
            originator := GetOriginator(logonname)
            if((ORDINARY.process_id ne null) and (ORDINARY.process_id ne ""))
            then
                Remember("auid_table",  Append(platformname,"_",ORDINARY.process_id), ORDINARY.uid)            
            endif
        else
            if((ORDINARY.process_id ne null) and (ORDINARY.process_id ne "") and (Recall("auid_table",  Append(platformname,"_",ORDINARY.process_id)) ne ""))
            then                
                logonname  := Recall("auid_table",  Append(platformname,"_",ORDINARY.process_id))
                originator := GetOriginator(logonname) 
            else
                if((ORDINARY.uid ne null) and (ORDINARY.uid ne "")) 
                then
                    logonname  := ORDINARY.uid 
                    originator := GetOriginator(logonname) 
                    if((ORDINARY.process_id ne null) and (ORDINARY.process_id ne ""))
                    then
                        Remember("auid_table",  Append(platformname,"_",ORDINARY.process_id), ORDINARY.uid)
                    endif                    
                endif
            endif
        endif
    endif 
  endif 

  originator := Trim(originator, "Unavailable")
  logonname  := Trim(logonname, "Unavailable")
  realname   := logonname
  source     := GetSource(SourceRefKey,SourceAspectKey1)

  ///Stream
  stream:=GetStream(StreamRefKey)

  ///What
  chunk          := ORDINARY
  eventmainclass := ORDINARY.emc
  eventclass     := ORDINARY.ec
  successclass   := ORDINARY.sc
  eventtimestamp := ORDINARY.platformeventtime
  recordtype     := ORDINARY.eventtype

  case successclass of
    "sc": 
      if( ORDINARY.res eq "success" ) 
      then 
        successclass := "Success" 
      else
        successclass := "Failure" 
      endif
    "sc2": 
      if( ORDINARY.res eq "failed" ) 
      then 
        successclass := "Failure" 
      else
        successclass := "Success" 
      endif
    "sc3": 
      if( (ORDINARY.res eq "1") or (ORDINARY.res eq "") or (ORDINARY.res eq null) ) 
      then 
        successclass := "Success" 
      else
        successclass := "Failure" 
      endif
    "sc4":
      res := Trim(ORDINARY.avc) 
      if( res eq "granted" ) 
      then 
        successclass := "Success" 
      else
        successclass := "Warning" 
      endif
  endcase

  if( (ORDINARY.process_id ne null) and (ORDINARY.process_id ne "") ) then process_id := ORDINARY.process_id  endif
  if( (ORDINARY.session_id ne null) and (ORDINARY.session_id ne "") ) then session_id := ORDINARY.session_id  endif
  if( (ORDINARY.context    ne null) and (ORDINARY.context    ne "") ) then context    := ORDINARY.context     endif
  if( (ORDINARY.tty        ne null) and (ORDINARY.tty        ne "") ) then tty        := ORDINARY.tty         endif
  if( (ORDINARY.command    ne null) and (ORDINARY.command    ne "") ) then command    := ORDINARY.command     endif
  if( (ORDINARY.attribute  ne null) and (ORDINARY.attribute  ne "") ) then attribute  := ORDINARY.attribute   endif
  if( (ORDINARY.oldvalue   ne null) and (ORDINARY.oldvalue   ne "") ) then oldvalue   := ORDINARY.oldvalue    endif
  if( (ORDINARY.newvalue   ne null) and (ORDINARY.newvalue   ne "") ) then newvalue   := ORDINARY.newvalue    endif
  if( (ORDINARY.Target     ne null) and (ORDINARY.Target     ne "") ) then Target     := ORDINARY.Target      endif
  if( (ORDINARY.Source     ne null) and (ORDINARY.Source     ne "") ) then Source     := ORDINARY.Source      endif
  if( (ORDINARY.Targettype ne null) and (ORDINARY.Targettype ne "") ) then Targettype := ORDINARY.Targettype  endif
  if( (ORDINARY.modification ne null) and (ORDINARY.modification ne "") ) then modification := ORDINARY.modification  endif
  if( (ORDINARY.eventreason  ne null) and (ORDINARY.eventreason  ne "") ) then eventreason  := ORDINARY.eventreason   endif
  if( (ORDINARY.uid          ne null) and (ORDINARY.uid          ne "") ) then uid          := ORDINARY.uid           endif
  if( ORDINARY.on eq "__context__" ) 
  then 
    var := Trim(ORDINARY.old_context,ORDINARY.old_scontext,ORDINARY.default_context,"")
    if( var ne "" ) then oldvalue := var endif
  endif
  if( recordtype eq "FS_RELABEL" ) then modification := "filesystem relabeled" endif
  event:=GetEvent(EventAspectKey2)
endstate

initial final state SYSCALL_ORDINARY
((   (gml eq "Y")  ))

  ///Where and ToWhere and FromWhere
  platformname := Trim(GetChunkProperty(SYSCALL_ORDINARY,"SystemName"),"Unavailable")
  platformtype := "LAF"
  platform     := GetPlatform(PlatformRefKey)
  target       := GetTarget(TargetRefKey)
  origin       := GetOrigin(OriginRefKey,OriginAspectKey1)

  ///OnWhat
  objecttype := SYSCALL_ORDINARY.ot
  objectpath := SYSCALL_ORDINARY.op
  objectname := SYSCALL_ORDINARY.on
  object     := GetObject(ObjectRefKey)

  ///Who     Algorithm described in QE0902002         
  if( (SYSCALL_ORDINARY.auid_id ne "") and (SYSCALL_ORDINARY.auid_id ne null)) 
  then      
      originator := SYSCALL_ORDINARY.auid_id 
      logonname  := GetLogonName(originator)    
      if((SYSCALL_ORDINARY.pid ne null) and (SYSCALL_ORDINARY.pid ne ""))
      then
          Remember("auid_table",  Append(platformname,"_",SYSCALL_ORDINARY.pid), logonname)          
      endif
  else 
    if ((SYSCALL_ORDINARY.auid ne "") and (SYSCALL_ORDINARY.auid ne null) and (SYSCALL_ORDINARY.auid ne "unset")) 
    then        
        logonname  := SYSCALL_ORDINARY.auid 
        originator := GetOriginator(logonname)
        if((SYSCALL_ORDINARY.pid ne null) and (SYSCALL_ORDINARY.pid ne ""))
        then
            Remember("auid_table",  Append(platformname,"_",SYSCALL_ORDINARY.pid), SYSCALL_ORDINARY.auid)            
        endif
    else
        if((SYSCALL_ORDINARY.pid ne null) and (SYSCALL_ORDINARY.pid ne "") and (Recall("auid_table",  Append(platformname,"_",SYSCALL_ORDINARY.pid)) ne ""))
        then                
            logonname  := Recall("auid_table",  Append(platformname,"_",SYSCALL_ORDINARY.pid))
            originator := GetOriginator(logonname) 
        else
            if((SYSCALL_ORDINARY.ppid ne null) and (SYSCALL_ORDINARY.ppid ne "") and (Recall("auid_table",  Append(platformname,"_",SYSCALL_ORDINARY.ppid)) ne ""))
            then                
                logonname  := Recall("auid_table",  Append(platformname,"_",SYSCALL_ORDINARY.ppid))
                originator := GetOriginator(logonname)
            else
                if((SYSCALL_ORDINARY.uid ne null) and (SYSCALL_ORDINARY.uid ne "")) 
                then
                    logonname  := SYSCALL_ORDINARY.uid 
                    originator := GetOriginator(logonname) 
                    if((SYSCALL_ORDINARY.pid ne null) and (SYSCALL_ORDINARY.pid ne ""))
                    then
                        Remember("auid_table",  Append(platformname,"_",SYSCALL_ORDINARY.pid), SYSCALL_ORDINARY.uid)                    
                    endif
                endif
            endif
        endif
    endif 
  endif 

  originator := Trim(originator, "Unavailable")
  logonname  := Trim(logonname, "Unavailable")
  realname   := logonname
  if ((SYSCALL_ORDINARY.gid  ne "") and (SYSCALL_ORDINARY.gid  ne "Unavailable")) then group          := SYSCALL_ORDINARY.gid  endif
  if ((SYSCALL_ORDINARY.euid ne "") and (SYSCALL_ORDINARY.euid ne "Unavailable")) then effectiveuser  := SYSCALL_ORDINARY.euid endif
  if ((SYSCALL_ORDINARY.egid ne "") and (SYSCALL_ORDINARY.egid ne "Unavailable")) then effectivegroup := SYSCALL_ORDINARY.egid endif
  if ((SYSCALL_ORDINARY.suid ne "") and (SYSCALL_ORDINARY.suid ne "Unavailable")) then savedsetuser   := SYSCALL_ORDINARY.suid endif
  source     := GetSource(SourceRefKey,SourceAspectKey1)

  ///Stream
  stream:=GetStream(StreamRefKey)

  ///What
  chunk          := SYSCALL_ORDINARY
  eventmainclass := SYSCALL_ORDINARY.emc
  eventclass     := SYSCALL_ORDINARY.ec
  successclass   := SYSCALL_ORDINARY.sc
  eventtimestamp := SYSCALL_ORDINARY.platformeventtime
  recordtype     := SYSCALL_ORDINARY.eventtype

  if ((SYSCALL_ORDINARY.tty  ne "") and (SYSCALL_ORDINARY.tty  ne null)) then tty              := SYSCALL_ORDINARY.tty  endif
  if ((SYSCALL_ORDINARY.exit ne "") and (SYSCALL_ORDINARY.exit ne null)) then exitcode         := SYSCALL_ORDINARY.exit endif
  if ((SYSCALL_ORDINARY.ppid ne "") and (SYSCALL_ORDINARY.ppid ne null)) then parentprocess_id := SYSCALL_ORDINARY.ppid endif
  if ((SYSCALL_ORDINARY.pid  ne "") and (SYSCALL_ORDINARY.pid  ne null)) then process_id       := SYSCALL_ORDINARY.pid  endif
  if ((SYSCALL_ORDINARY.ses  ne "") and (SYSCALL_ORDINARY.ses  ne null)) then session_id       := SYSCALL_ORDINARY.ses  endif
  if ((SYSCALL_ORDINARY.exe  ne "") and (SYSCALL_ORDINARY.exe  ne null)) then command          := SYSCALL_ORDINARY.exe  endif
  if ((SYSCALL_ORDINARY.subj ne "") and (SYSCALL_ORDINARY.subj ne null)) then context          := SYSCALL_ORDINARY.subj endif
  if ((SYSCALL_ORDINARY.rule ne "") and (SYSCALL_ORDINARY.rule ne null)) then auditrule        := SYSCALL_ORDINARY.rule endif
  if ((SYSCALL_ORDINARY.uid  ne "") and (SYSCALL_ORDINARY.uid  ne null)) then uid              := SYSCALL_ORDINARY.uid  endif

  event:=GetEvent(EventAspectKey3)
endstate

initial final state PathDevNull
((   (eventtype eq "PATH")  ))
  evtid:=Append(PathDevNull.evttime,":",PathDevNull.evtnumber,":",PathDevNull.item)
  Remember("PATH.name",  evtid, PathDevNull.pathname)
  Remember("PATH.inode", evtid, PathDevNull.pathinode)
  Remember("PATH.dev",   evtid, PathDevNull.pathdev)
  Remember("PATH.rdev",  evtid, PathDevNull.pathrdev)
  Remember("PATH.mode",  evtid, PathDevNull.pathmode)
  Remember("PATH.ouid",  evtid, PathDevNull.pathouid)
  Remember("PATH.ogid",  evtid, PathDevNull.pathogid)
  Remember("PATH.obj",   evtid, PathDevNull.pathobj)
endstate

initial final state CwdDevNull
((   (eventtype eq "CWD")  ))
  evtid:=Append(CwdDevNull.evttime,":",CwdDevNull.evtnumber)
  Remember("CWD",  evtid, CwdDevNull.cwd)
endstate

initial final state SYSCALL_IMP
((   (gml eq "Z")  ))

  ///Where and ToWhere and FromWhere
  platformname := Trim(GetChunkProperty(SYSCALL_IMP,"SystemName"),"Unavailable")
  platformtype := "LAF"
  platform     := GetPlatform(PlatformRefKey)
  target       := GetTarget(TargetRefKey)
  origin       := GetOrigin(OriginRefKey,OriginAspectKey1)

  ///What
  chunk          := SYSCALL_IMP
  eventtimestamp := SYSCALL_IMP.platformeventtime
  recordtype     := SYSCALL_IMP.syscall
  successclass   := SYSCALL_IMP.sc 
  case recordtype of
    "chmod":
      eventmainclass := "Modify"
      eventclass     := "Accesstype"
    "fchmod":
      eventmainclass := "Modify"
      eventclass     := "Accesstype"
    "fchmodat":
      eventmainclass := "Modify"
      eventclass     := "Accesstype"
      ignorecwd      := "yes"
    "chown":
      eventmainclass := "Change"
      eventclass     := "Owner"
    "chown32":
      eventmainclass := "Change"
      eventclass     := "Owner"
    "lchown":
      eventmainclass := "Change"
      eventclass     := "Owner"
    "lchown32":
      eventmainclass := "Change"
      eventclass     := "Owner"
    "fchown":
      eventmainclass := "Change"
      eventclass     := "Owner"
    "fchown32":
      eventmainclass := "Change"
      eventclass     := "Owner"
    "fchownat":
      eventmainclass := "Change"
      eventclass     := "Owner"
      ignorecwd      := "yes"
    "creat":
      eventmainclass := "Open"
      eventclass     := "File"
      objecttype     := "FILE"
    "open":
      eventmainclass := "Open"
      eventclass     := "File"
      objecttype     := "FILE"
    "openat":
      eventmainclass := "Open"
      eventclass     := "File"
      objecttype     := "FILE"
      ignorecwd      := "yes"
    "truncate":
      eventmainclass := "Truncate"
      eventclass     := "File"
      objecttype     := "FILE"
    "truncate64":
      eventmainclass := "Truncate"
      eventclass     := "File"
      objecttype     := "FILE"
    "ftruncate":
      eventmainclass := "Truncate"
      eventclass     := "File"
      objecttype     := "FILE"
    "ftruncate64":
      eventmainclass := "Truncate"
      eventclass     := "File"
      objecttype     := "FILE"
    "mkdir":
      eventmainclass := "Create"
      eventclass     := "Directory"
      objecttype     := "DIRECTORY"
    "mkdirat":
      eventmainclass := "Create"
      eventclass     := "Directory"
      objecttype     := "DIRECTORY"
      ignorecwd      := "yes"
    "rmdir":
      eventmainclass := "Delete"
      eventclass     := "Directory"
      objecttype     := "DIRECTORY"
    "unlink":
      eventmainclass := "Delete"
      asobjecttype   := "yes"
    "unlinkat":
      eventmainclass := "Delete"
      asobjecttype   := "yes"
      ignorecwd      := "yes"
    "rename":
      eventmainclass := "Move"
      eventclass     := "File"
      objecttype     := "FILE"
    "renameat":
      eventmainclass := "Move"
      eventclass     := "File"
      ignorecwd      := "yes"
    "link":
      eventmainclass := "Create"
      eventclass     := "Shortcut"
      objecttype     := "SHORTCUT" 
    "linkat":
      eventmainclass := "Create"
      eventclass     := "Shortcut"
      objecttype     := "SHORTCUT" 
      ignorecwd      := "yes"
    "symlink":
      eventmainclass := "Create"
      eventclass     := "Shortcut"
      objecttype     := "SHORTCUT" 
    "symlinkat":
      eventmainclass := "Create"
      eventclass     := "Shortcut"
      objecttype     := "SHORTCUT" 
      ignorecwd      := "yes"
    "setxattr":
      eventmainclass := "Write"
      eventclass     := "Attribute"
    "lsetxattr":
      eventmainclass := "Write"
      eventclass     := "Attribute"
    "fsetxattr":
      eventmainclass := "Write"
      eventclass     := "Attribute"
    "removexattr":
      eventmainclass := "Remove"
      eventclass     := "Attribute"
    "lremovexattr":
      eventmainclass := "Remove"
      eventclass     := "Attribute"
    "fremovexattr":
      eventmainclass := "Remove"
      eventclass     := "Attribute"
    "mknod":
      eventmainclass := "Create"
      asobjecttype   := "yes"
    "mknodat":
      eventmainclass := "Create"
      asobjecttype   := "yes"
      ignorecwd      := "yes"
    "mount":
      eventmainclass := "Mount"
      eventclass     := "Volume"
      objecttype     := "VOLUME" 
    "umount":
      eventmainclass := "Unmount"
      eventclass     := "Volume"
      objecttype     := "VOLUME" 
    "umount2":
      eventmainclass := "Unmount"
      eventclass     := "Volume"
      objecttype     := "VOLUME"
    "execve":
      eventmainclass := "Execute"
      eventclass     := "Process"
      objecttype     := "PROCESS"
  endcase

  evtid := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber)
  cwd   := Recall("CWD",  evtid)
  Forget("CWD",  evtid)

    objectpath := "."
    objectname := "Unavailable"
    pathmode   := "Unavailable"
    pathname   := "Unavailable"
    cwd        := "Unavailable"	

    if( SYSCALL_IMP.items eq "1" )
    then
      evtid     := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","0")
      pathname  := Recall("PATH.name",  evtid)
      pathinode := Recall("PATH.inode", evtid)
      pathdev   := Recall("PATH.dev",   evtid)
      pathrdev  := Recall("PATH.rdev",   evtid)
      pathmode  := Recall("PATH.mode",  evtid)
      pathouid  := Recall("PATH.ouid",  evtid)
      pathogid  := Recall("PATH.ogid",  evtid)
      pathobj   := Recall("PATH.obj",   evtid)
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)
    endif

    if( SYSCALL_IMP.items eq "2" )
    then
      evtid := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","1")
      if( (recordtype eq "rename") or (recordtype eq "renameat") )
      then
        pathname2 := Recall("PATH.name",  evtid)
      else
        if( (recordtype eq "link") or (recordtype eq "linkat") )
        then
          pathname3 := Recall("PATH.name",  evtid)
        else
          if( recordtype eq "mount" )
          then
            pathdev2   := Recall("PATH.dev",   evtid)
            pathrdev2  := Recall("PATH.rdev",   evtid)
            pathinode2 := Recall("PATH.inode", evtid)
          else
            pathname  := Recall("PATH.name",  evtid)
            pathinode := Recall("PATH.inode", evtid)
            pathdev   := Recall("PATH.dev",   evtid)
            pathrdev   := Recall("PATH.rdev",   evtid)
            pathmode  := Recall("PATH.mode",  evtid)
            pathouid  := Recall("PATH.ouid",  evtid)
            pathogid  := Recall("PATH.ogid",  evtid)
            pathobj   := Recall("PATH.obj",   evtid)
          endif
        endif
      endif
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)

      evtid := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","0")
      if( (recordtype eq "rename") or (recordtype eq "renameat") or (recordtype eq "link") or (recordtype eq "linkat") or (recordtype eq "mount") )
      then
        pathname  := Recall("PATH.name",  evtid)
        pathinode := Recall("PATH.inode", evtid)
        pathdev   := Recall("PATH.dev",   evtid)
        pathrdev  := Recall("PATH.rdev",   evtid)
        pathmode  := Recall("PATH.mode",  evtid)
        pathouid  := Recall("PATH.ouid",  evtid)
        pathogid  := Recall("PATH.ogid",  evtid)
        pathobj   := Recall("PATH.obj",   evtid)
      endif
      if( (recordtype eq "symlink") or (recordtype eq "symlinkat") ) then pathname3 := Recall("PATH.name",  evtid) endif
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)
    endif

    if( SYSCALL_IMP.items eq "3" )
    then
      evtid     := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","2")
      pathname  := Recall("PATH.name",  evtid)
      pathinode := Recall("PATH.inode", evtid)
      pathdev   := Recall("PATH.dev",   evtid)
      pathrdev  := Recall("PATH.rdev",   evtid)
      pathmode  := Recall("PATH.mode",  evtid)
      pathouid  := Recall("PATH.ouid",  evtid)
      pathogid  := Recall("PATH.ogid",  evtid)
      pathobj   := Recall("PATH.obj",   evtid)
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)

      evtid     := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","1")
      pathname3 := Recall("PATH.name",  evtid)
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)

      evtid := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","0")
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)
    endif

    if( (SYSCALL_IMP.items eq "4") or (SYSCALL_IMP.items eq "5") )
    then
      evtid     := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","3")
      pathname2 := Recall("PATH.name",  evtid)
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)

      evtid     := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","2")
      pathname  := Recall("PATH.name",  evtid)
      pathinode := Recall("PATH.inode", evtid)
      pathdev   := Recall("PATH.dev",   evtid)
      pathrdev  := Recall("PATH.rdev",   evtid)
      pathmode  := Recall("PATH.mode",  evtid)
      pathouid  := Recall("PATH.ouid",  evtid)
      pathogid  := Recall("PATH.ogid",  evtid)
      pathobj   := Recall("PATH.obj",   evtid)
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)

      evtid := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","1")
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)

      evtid := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","0")
      Forget("PATH.name",  evtid)
      Forget("PATH.inode", evtid)
      Forget("PATH.dev",   evtid)
      Forget("PATH.rdev",   evtid)
      Forget("PATH.mode",  evtid)
      Forget("PATH.ouid",  evtid)
      Forget("PATH.ogid",  evtid)
      Forget("PATH.obj",   evtid)

      if( SYSCALL_IMP.items eq "5" )
      then
        evtid := Append(SYSCALL_IMP.evttime,":",SYSCALL_IMP.evtnumber,":","4")
        Forget("PATH.name",  evtid)
        Forget("PATH.inode", evtid)
        Forget("PATH.dev",   evtid)
        Forget("PATH.rdev",   evtid)
        Forget("PATH.mode",  evtid)
        Forget("PATH.ouid",  evtid)
        Forget("PATH.ogid",  evtid)
        Forget("PATH.obj",   evtid)
      endif
    endif

    if( (objecttype ne "SHORTCUT") and (objecttype ne "VOLUME") and (objecttype ne "PROCESS"))
    then
      if( RegexMatch(pathmode, "dir") > "0") then
        objecttype := "DIRECTORY"
        recordtype := Append(recordtype,".dir")
        if( asobjecttype eq "yes" ) then eventclass := "Directory" endif
      else
        objecttype := "FILE"
        recordtype := Append(recordtype,".file")
        if( asobjecttype eq "yes" ) then eventclass := "File" endif
      endif
    endif

    if((objecttype ne "PROCESS") and RegexMatch(pathname, "(null)") > "0") then
      objecttype := Append(objecttype,"ID")
      objectpath := pathdev
      objectname := pathinode
      recordtype := Append(recordtype,".id")
    else
      if( ignorecwd eq "yes" )
      then
        abspath := pathname
      else
        abspath := Absolutify(cwd,pathname)
      endif
      if( abspath eq "/" )
      then
        objectpath := "-"
        objectname := "-"     
      else
        objectpath := Trim(Path("/",abspath),".")
        objectname := Filename("/",abspath)
      endif
    endif

    if( (pathname2 ne "") and (pathname2 ne null) )
    then
      if( ignorecwd eq "yes" )
      then
        abspath2 := pathname2
      else
        abspath2 := Absolutify(cwd,pathname2)
      endif
      newpath := Trim(Path("/",abspath2),".")
      newname := Filename("/",abspath2)
    endif

    if( (pathname3 ne "") and (pathname3 ne null) )
    then
      if( ignorecwd eq "yes" )
      then
        Target := pathname3
      else
        Target := Absolutify(cwd,pathname3)
      endif
    endif

    if( (pathdev2   ne "") and (pathdev2   ne null) ) then Targetdevice := pathdev2   endif
    ///for sles what aspect?
    ///if( (pathrdev2   ne "") and (pathrdev2   ne null) ) then Targetdevice := pathrdev2   endif
    if( (pathinode2 ne "") and (pathinode2 ne null) ) then Targetinode  := pathinode2 endif

    if( RegexMatch(pathmode, "^[^\\\\,]*\\,(.*)$") > "0") then temp := RegexRef("1") endif
    if ((temp      ne "") and (temp      ne null))  then accesstype := temp      endif
    if ((pathinode ne "") and (pathinode ne null))  then inode      := pathinode endif
    if ((pathdev   ne "") and (pathdev   ne null))  then device     := pathdev   endif
    ///if ((pathrdev   ne "") and (pathrdev   ne null))  then device2     := pathrdev   endif
    if ((pathouid  ne "") and (pathouid  ne null))  then owner      := pathouid  endif
    if ((pathogid  ne "") and (pathogid  ne null))  then ownergroup := pathogid  endif
    if ((pathobj   ne "") and (pathobj   ne null))  then objcontext := pathobj   endif

    if(recordtype eq "execve")    
    then
        objectpath := Trim(Path(SYSCALL_IMP.exe),"-")
        objectname := Trim(Filename(SYSCALL_IMP.exe),"-")
    endif

  ///OnWhat
  objectpath := Trim(objectpath, "Unavailable")
  objectname := Trim(objectname, "Unavailable")
  object := GetObject(ObjectRefKey)

  ///Who     Algorithm described in QE0902002    
  if( (SYSCALL_IMP.auid_id ne "") and (SYSCALL_IMP.auid_id ne null)) 
  then      
      originator := SYSCALL_IMP.auid_id 
      logonname  := GetLogonName(originator)    
      if((SYSCALL_IMP.pid ne null) and (SYSCALL_IMP.pid ne ""))
      then
          Remember("auid_table",  Append(platformname,"_",SYSCALL_IMP.pid), logonname)          
      endif
  else 
    if ((SYSCALL_IMP.auid ne "") and (SYSCALL_IMP.auid ne null) and (SYSCALL_IMP.auid ne "unset")) 
    then        
        logonname  := SYSCALL_IMP.auid 
        originator := GetOriginator(logonname)
        if((SYSCALL_IMP.pid ne null) and (SYSCALL_IMP.pid ne ""))
        then
            Remember("auid_table",  Append(platformname,"_",SYSCALL_IMP.pid), SYSCALL_IMP.auid)            
        endif
    else
        if((SYSCALL_IMP.pid ne null) and (SYSCALL_IMP.pid ne "") and (Recall("auid_table",  Append(platformname,"_",SYSCALL_IMP.pid)) ne ""))
        then                
            logonname  := Recall("auid_table",  Append(platformname,"_",SYSCALL_IMP.pid))
            originator := GetOriginator(logonname) 
        else
            if((SYSCALL_IMP.ppid ne null) and (SYSCALL_IMP.ppid ne "") and (Recall("auid_table",  Append(platformname,"_",SYSCALL_IMP.ppid)) ne ""))
            then                
                logonname  := Recall("auid_table",  Append(platformname,"_",SYSCALL_IMP.ppid))
                originator := GetOriginator(logonname)
            else
                if((SYSCALL_IMP.uid ne null) and (SYSCALL_IMP.uid ne "")) 
                then
                    logonname  := SYSCALL_IMP.uid 
                    originator := GetOriginator(logonname) 
                    if((SYSCALL_IMP.pid ne null) and (SYSCALL_IMP.pid ne ""))
                    then
                        Remember("auid_table",  Append(platformname,"_",SYSCALL_IMP.pid), SYSCALL_IMP.uid)                    
                    endif
                endif
            endif
        endif
    endif 
  endif   

  originator := Trim(originator, "Unavailable")
  logonname  := Trim(logonname, "Unavailable")
  realname   := logonname
  if ((SYSCALL_IMP.gid  ne "") and (SYSCALL_IMP.gid  ne "Unavailable")) then group          := SYSCALL_IMP.gid  endif
  if ((SYSCALL_IMP.euid ne "") and (SYSCALL_IMP.euid ne "Unavailable")) then effectiveuser  := SYSCALL_IMP.euid endif
  if ((SYSCALL_IMP.egid ne "") and (SYSCALL_IMP.egid ne "Unavailable")) then effectivegroup := SYSCALL_IMP.egid endif
  if ((SYSCALL_IMP.suid ne "") and (SYSCALL_IMP.suid ne "Unavailable")) then savedsetuser   := SYSCALL_IMP.suid endif
  source     := GetSource(SourceRefKey,SourceAspectKey1)

  ///Stream
  stream:=GetStream(StreamRefKey)

  if ((SYSCALL_IMP.tty  ne "") and (SYSCALL_IMP.tty  ne null)) then tty              := SYSCALL_IMP.tty  endif
  if ((SYSCALL_IMP.exit ne "") and (SYSCALL_IMP.exit ne null)) then exitcode         := SYSCALL_IMP.exit endif
  if ((SYSCALL_IMP.ppid ne "") and (SYSCALL_IMP.ppid ne null)) then parentprocess_id := SYSCALL_IMP.ppid endif
  if ((SYSCALL_IMP.pid  ne "") and (SYSCALL_IMP.pid  ne null)) then process_id       := SYSCALL_IMP.pid  endif
  if ((SYSCALL_IMP.ses  ne "") and (SYSCALL_IMP.ses  ne null)) then session_id       := SYSCALL_IMP.ses  endif
  if ((SYSCALL_IMP.exe  ne "") and (SYSCALL_IMP.exe  ne null)) then command          := SYSCALL_IMP.exe  endif
  if ((SYSCALL_IMP.subj ne "") and (SYSCALL_IMP.subj ne null)) then context          := SYSCALL_IMP.subj endif
  if ((SYSCALL_IMP.rule ne "") and (SYSCALL_IMP.rule ne null)) then auditrule        := SYSCALL_IMP.rule endif
  if ((SYSCALL_IMP.uid  ne "") and (SYSCALL_IMP.uid  ne null)) then uid              := SYSCALL_IMP.uid  endif

  event:=GetEvent(EventAspectKey3)
endstate
