/// mcafeeids.src.gml - Licensed Materials ­ Property of IBM
/// mcafeeids.src.gml - 5724-S67
/// mcafeeids.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// mcafeeids.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// mcafeeids.gml

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformname, platformtype)
key TargetRefKey(platformname, platformtype)
key EventDetailKey(attackname, classification, severity, category, interface)

first state Setup
  description := "Aggregator"
  equality    := "attackname,classification,severity,category,scategory,sename,interface,sip,sp,dip,dp,nprotocol"
  period      := "300000"
  threshold   := "0"
  aggregator  := GetListener(Aggregator)
  Listen(aggregator,Setup)
  MoveTo(ListenState)
endstate

state ListenState(((platformeventcount eq null) and (platformevent ne "repeatable")))
  Listen(aggregator,ListenState)

  Remember("ev", "attackname", ListenState.attackname)
  Remember("ev", "classification", ListenState.classification)
  Remember("ev", "severity", ListenState.severity)
  Remember("ev", "category", ListenState.category)
  Remember("ev", "scategory", ListenState.scategory)
  Remember("ev", "sename", ListenState.sename)
  Remember("ev", "interface", ListenState.interface)
  Remember("ev", "sip", ListenState.sip)
  Remember("ev", "sp", ListenState.sp)
  Remember("ev", "dip", ListenState.dip)
  Remember("ev", "dp", ListenState.dp)
  Remember("ev", "nprotocol", ListenState.nprotocol)

endstate

last state Shutdown
  if aggregator ne null then 
    StopListening(aggregator)
  endif
endstate

initial final state Finish((
                                (platformeventcount ne null) and 
                                (platformevent eq "normal") and 
                                (emainclass ne "unknown") and 
                                (description eq "Aggregator")
                           )) 
  ListenerId := Append(Finish.attackname,Finish.classification,Finish.severity,Finish.category,Finish.scategory,Finish.sename,Finish.interface,Finish.sip,Finish.sp,Finish.dip,Finish.dp,Finish.nprotocol)
  count := Recall("eventcounts", ListenerId)
  Forget("eventcounts", ListernerId)
  eventcount := Sum(Finish.platformeventcount, Trim(count, "0"))

  platformname:=Finish.sename
  platformtype:="McAfee Sensor"
  platform    :=GetPlatform(PlatformRefKey)

  objectname  := Trim(Finish.spname,Trim(Finish.sp,"*"))
  objectpath  := Append(Finish.nprotocol,"/",Trim(Finish.dpname,Trim(Finish.dp,"*")))
  objecttype  := Finish.objecttype
  object      := GetObject(ObjectRefKey)
  attackname  := Finish.attackname

  description := Append(Finish.platformeventtime, attackname)
  stream      := GetStream(StreamRefKey)

  logonname   := "Anonymous"
  realname    := logonname
  source      := GetSource(SourceRefKey)

  platformname := Finish.sip
  platformtype := "Host"
  origin := GetOrigin(OriginRefKey)

  platformname := Finish.dip
  platformtype := "Host"
  target := GetTarget(TargetRefKey)

  eventmainclass := Finish.emainclass
  eventclass     := Finish.eclass
  successclass   := Finish.success
  eventtimestamp := Finish.platformeventtime
  chunk          := Finish
  attackname     := Finish.attackname
  category       := Finish.category
  interface	 := Finish.interface
  severity	 := Finish.severity

  event := GetEvent(EventDetailKey)

endstate

initial state Repeatable(platformevent eq "repeatable")

  attackname := Recall("ev", "attackname")
  classification := Recall("ev", "classification")
  severity := Recall("ev", "severity")
  category := Recall("ev", "category")
  scategory := Recall("ev", "scategory")
  sename := Recall("ev", "sename")
  interface := Recall("ev", "interface")
  sip := Recall("ev", "sip")
  sp := Recall("ev", "sp")
  dip := Recall("ev", "dip")
  dp := Recall("ev", "dp")
  nprotocol := Recall("ev", "nprotocol")

  ListenerId := Append(attackname,classification,severity,category,scategory,sename,interface,sip,sp,dip,dp,nprotocol)
  count := Recall("eventcounts", ListenerId)
  count := Sum(Repeatable.eventcount, Trim(count, "0"))
  Remember("eventcounts", ListenerId, count)
endstate

