/// msex.src.gml - Licensed Materials ­ Property of IBM
/// msex.src.gml - 5724-S67
/// msex.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// msex.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(eventmainclass,message,reason,recordtype)

initial final state NTEvent

  platformtype := NTEvent.pltftype
  platformname := NTEvent.epiname
  platform     := GetPlatform(PlatformRefKey)

  if ((NTEvent.objectname ne null)
       and (NTEvent.objectname ne "NULL")
       and (NTEvent.objectname ne "*")
       and (NTEvent.objectname ne ""))
  then
          objectname := NTEvent.objectname
  else 
          objectname := "Unavailable"
  endif

  if ((NTEvent.objecttype ne null) and (NTEvent.objecttype ne "NULL")
          and (NTEvent.objecttype ne "*")) then 
          objecttype := NTEvent.objecttype
  else
          objecttype := "Unavailable"
  endif

  if ((NTEvent.objectpath ne null) and (NTEvent.objectpath ne "NULL")
          and (NTEvent.objectpath ne "*")) then
          objectpath := NTEvent.objectpath
  else
          objectpath := "-"
  endif

  object := GetObject(ObjectRefKey)

  if ((NTEvent.eventdescription ne null) and (NTEvent.eventdescription ne "NULL")
          and (NTEvent.eventdescription ne "*")) then
          message := NTEvent.eventdescription
  else
          message := "-"
  endif

  if ((NTEvent.originator ne null) and (NTEvent.originator ne "")) then
          originator := NTEvent.originator
  else
          originator := platformname
  endif

  if ((NTEvent.logonname ne null) and (NTEvent.logonname ne "")) then
          logonname := NTEvent.logonname
          if ((NTEvent.emainclass eq "Logon")or(NTEvent.emainclass eq "Authenticate")) then
                  if (NTEvent.successclass eq "Success") then
                          Remember("IpToName",originator,logonname)
                  endif
                  counter := Forget("Counter",originator)
                                          sid := Forget("sid")
                                          sid := Sum(sid,"1")
                                          Remember("sid",sid)
                                          Remember("flag","yes")
                  if (counter eq null) then
                   counter := "0"
                  endif
                  counter := Sum(counter,"1")
                  Remember("Counter",originator,counter)
          endif
  else

          counter := Recall("Counter",originator)
          if (counter <> "0") then
                  logonname := Recall("IpToName",originator)
          endif
          if ((logonname eq null) or (logonname eq "")) then      
                  logonname := "Unavailable"
          endif
  endif

  if (NTEvent.emainclass eq "Close") then
          counter := Forget("Counter",originator)
          if ((counter ne null) and (counter ne "")) then 
                  counter := Minus(counter,"1")
                  Remember("Counter",originator,counter)
                  if (counter = "0") then
                          Forget("Counter",originator)
                          Forget("IpToName",originator)
                          Remember("flag","no")
                          Remember("flag2","yes")
                  endif
          endif
  endif

  if (Recall("flag") eq "yes") then
          sid:=Recall("sid")
  else
          if(Recall("flag2") eq "yes") then
                  Remember("flag2","no")
                  sid:=Recall("sid")
          else
                  sid:=message
          endif
  endif

  streamtimestamp := NTEvent.platformeventtime
  description := Append(sid,"/",originator,"/",logonname)
  stream := GetStream (StreamRefKey)

  realname := originator
  source := GetSource(SourceRefKey)

  platformtype := "-"
  target := GetTarget (TargetRefKey)

  platformname := originator
  platformtype := "Client"
  origin       := GetOrigin(OriginRefKey)

  if ((NTEvent.emainclass ne null) and (NTEvent.emainclass ne "NULL")
          and (NTEvent.emainclass ne "*")) then
          eventmainclass := NTEvent.emainclass
  else
          eventmainclass := "Unavailable"
  endif

  if ((NTEvent.eclass ne null) and (NTEvent.eclass ne "NULL")
          and (NTEvent.eclass ne "*")) then
          eventclass := NTEvent.eclass
  else
          eventclass := "Unavailable"
  endif

  if ((NTEvent.successclass ne null) and (NTEvent.successclass ne "NULL")
          and (NTEvent.successclass ne "*")) then
          successclass := NTEvent.successclass
  else
          successclass := "Unavailable"
  endif

  recordtype     := NTEvent.recordtype
  eventmainclass := NTEvent.emainclass
  successclass   := NTEvent.successclass
  eventtimestamp := NTEvent.platformeventtime
  reason         := Trim(NTEvent.reason,null)
  chunk          := NTEvent
  event  := GetEvent(EventDetailKey)

endstate

