/// msexch200x.src.gml - Licensed Materials ­ Property of IBM
/// msexch200x.src.gml - 5724-S67
/// msexch200x.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// msexch200x.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// msexch200x.gml

key PlatformRefKey(platformtype,platformname)
key ObjectRefKey(objecttype,objectpath,objectname)
key StreamRefKey(description)
key SourceRefKey(realname,logonname)
key OriginRefKey(platformtype,platformname)
key TargetRefKey(platformtype,platformname)
key EventDetailKey(Source,recordtype,Target,reason,description)

initial final state NTEvent
  platformname    := NTEvent.platformname
  platformtype    := NTEvent.platformtype
  platform        := GetPlatform(PlatformRefKey)
  if( (NTEvent.objectname ne null) and (NTEvent.objectname ne "NULL")
      and (NTEvent.objectname ne "")) then
     objectname   := NTEvent.objectname
  else
     objectname   := "Unavailable"
  endif
  if( (NTEvent.objecttype ne null) and (NTEvent.objecttype ne "NULL")
      and (NTEvent.objecttype ne "")) then
     objecttype   := NTEvent.objecttype
  else
     objecttype   := "Unavailable"
  endif
  if( (NTEvent.objectpath ne null) and (NTEvent.objectpath ne "NULL")
      and (NTEvent.objectpath ne "")) then
     objectpath   := NTEvent.objectpath
  else
     objectpath   := "-"
  endif
  object       := GetObject(ObjectRefKey)		
  stream       := GetStream (StreamRefKey)

  if( (NTEvent.logonname ne null) and (NTEvent.logonname ne "NULL")
      and (NTEvent.logonname ne "")) then
     logonname    := NTEvent.logonname
  else
     logonname    := "Unavailable"
  endif
  realname     := logonname

  source := GetSource(SourceRefKey)
  target := GetTarget(TargetRefKey)

  if( (NTEvent.fromwhere ne null) and (NTEvent.fromwhere ne "NULL")
      and (NTEvent.fromwhere ne "")) then
     platformname   := NTEvent.fromwhere
  else
     platformname   := NTEvent.platformname
  endif
  platformtype    := "Client"
  origin          := GetOrigin(OriginRefKey)	
  if( (NTEvent.eventmainclass ne null) and (NTEvent.eventmainclass ne "NULL")
      and (NTEvent.eventmainclass ne "")) then
     eventmainclass := NTEvent.eventmainclass
  else
     eventmainclass := "Unavailable"
  endif
  if( (NTEvent.eventclass ne null) and (NTEvent.eventclass ne "NULL")
      and (NTEvent.eventclass ne "")) then
     eventclass   := NTEvent.eventclass
  else
     eventclass   := "Unavailable"
  endif
  if( (NTEvent.successclass ne null) and (NTEvent.successclass ne "NULL")
      and (NTEvent.successclass ne "")) then
     successclass := NTEvent.successclass 
  else
     successclass := "Unavailable"
  endif
  eventtimestamp       := NTEvent.platformeventtime
  platformeventtime    := NTEvent.platformeventtime
  Source               := NTEvent.source
  recordtype           := Append(NTEvent.eventlongid," (",NTEvent.eventshortid,")")
  Target               := Trim(NTEvent.target,null)
  reason               := Trim(NTEvent.reason,null)
  if( (NTEvent.description ne null) and (NTEvent.description ne "NULL")
      and (NTEvent.description ne "")) then
     description  := NTEvent.description
  else
     description  := "-"
  endif
  chunk := NTEvent
  event := GetEvent(EventDetailKey)
endstate
