/// msexch200x_5svc.src.gml - Licensed Materials ­ Property of IBM
/// msexch200x_5svc.src.gml - 5724-S67
/// msexch200x_5svc.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// msexch200x_5svc.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// MS Exchange 2000/2003 Event Source (EE0602003, SSoft-pipe A)
/// mapping table: WE06S5032
key PlatformRefKey(platformtype,platformname)
key ObjectRefKey(objecttype,objectpath,objectname)
key StreamRefKey(description)
key SourceRefKey(realname,logonname)
key SourceAspectKey(originator)
key OriginRefKey(platformtype,platformname)
key TargetRefKey(platformtype,platformname)
key EventDetailKey(description,id,recordtype,service,eventreason,value,newvalue,
command,attribute,directory,version,object_focus,vendor,virusname,code_page,message_id,
message_subject,sender,folder,folder_id,user,user_id,file,database,database_id,max_db_size,eventdetail,
result,arguments,session_id,mailbox,target_ip,expectedvalue,device_driver,authenticator,path,
Target,oldvalue,process_id,task,host,message,URL,transport,Source,platformeventcount,platformeventendtime)

first state Setup
  description := "Aggregator"
  equality := "ms_eventid,ms_eventsource,ms_server,ms_data"
  targets := ""
  separator := "."
  period := GetIniProperty("AggregationPeriod","300000")
  threshold := GetIniProperty("AggregationThreshold","1")
  aggregator := GetListener(Aggregator)
  Listen(aggregator,Setup)
  MoveTo(Listening)
endstate

state Listening (platformeventcount eq null)
  Listen(aggregator,Listening)
endstate

last state Shutdown
 if aggregator ne null then
     StopListening(aggregator)
     aggregator := null
 endif
endstate

initial final state NTEvent 
(( (ordinary eq "yes") and (platformeventcount ne null) and (description eq "Aggregator") ))

  ///
  /// osevents actuator stores substrings like "c:\file.txt" in the following way: "c:\\file.txt"
  /// so we need replace "\\" with "\".
  ///
  if( (NTEvent.var1 ne null) and (NTEvent.var1 ne "Unavailable") )
  then
    var1 := RegexReplace(NTEvent.var1,"\\\\\\\\","\\\\")
  else
    var1 := "Unavailable"
  endif
  if( (NTEvent.var2 ne null) and (NTEvent.var2 ne "Unavailable") )
  then
    var2 := RegexReplace(NTEvent.var2,"\\\\\\\\","\\\\")
  else
    var2 := "Unavailable"
  endif
  if( (NTEvent.var3 ne null) and (NTEvent.var3 ne "Unavailable") )
  then
    var3 := RegexReplace(NTEvent.var3,"\\\\\\\\","\\\\")
  else
    var3 := "Unavailable"
  endif
  if( (NTEvent.var4 ne null) and (NTEvent.var4 ne "Unavailable") )
  then
    var4 := RegexReplace(NTEvent.var4,"\\\\\\\\","\\\\")
  else
    var4 := "Unavailable"
  endif
  if( (NTEvent.var5 ne null) and (NTEvent.var5 ne "Unavailable") )
  then
    var5 := RegexReplace(NTEvent.var5,"\\\\\\\\","\\\\")
  else
    var5 := "Unavailable"
  endif
  if( (NTEvent.var6 ne null) and (NTEvent.var6 ne "Unavailable") )
  then
    var6 := RegexReplace(NTEvent.var6,"\\\\\\\\","\\\\")
  else
    var6 := "Unavailable"
  endif
  if( (NTEvent.var7 ne null) and (NTEvent.var7 ne "Unavailable") )
  then
    var7 := RegexReplace(NTEvent.var7,"\\\\\\\\","\\\\")
  else
    var7 := "Unavailable"
  endif
  if( (NTEvent.var8 ne null) and (NTEvent.var8 ne "Unavailable") )
  then
    var8 := RegexReplace(NTEvent.var8,"\\\\\\\\","\\\\")
  else
    var8 := "Unavailable"
  endif

  ///
  ///  Who
  ///
  case NTEvent.logonname of
    ///%1
    "L1": 
      logonname := var1

    ///%1\%2
    "L2": 
      if( (var1 eq "Unavailable") or (var2 eq "Unavailable") )
      then
        logonname := "Unavailable"
      else
        logonname := Append(var1,"\\",var2)
      endif

    ///%2 
    "L3": 
      logonname := var2

    ///%4
    "L4": 
      logonname := var4

    ///%3
    "L5": 
      logonname := var3

    ///%2%\%1%
    "L6": 
      if( (var1 eq "Unavailable") or (var2 eq "Unavailable") )
      then
        logonname := "Unavailable"
      else
        logonname := Append(var2,"\\",var1)
      endif

    ///(%2% if %3% exists or %1% otherwise)
    "L7": 
      if( var3 ne "Unavailable" )
      then
        logonname := var2
      else
        logonname := var1
      endif

    ///(%2% if exists or %1% otherwise) 
    "L8": 
      if( var2 ne "Unavailable" )
      then
        logonname := var2
      else
        logonname := var1
      endif

    ///(%3% if exists or Anonymous)
    "L9": 
      if( var3 ne "Unavailable" )
      then
        logonname := var3
      else
        logonname := "Anonymous"
      endif
    otherwise logonname := NTEvent.logonname
  endcase

  if( (logonname ne "System") and (logonname ne "Anonymous") and (logonname ne "Unavailable") )
  then
    logonname := Uppercase(logonname)
    orig := GetOriginator(logonname)
    if(orig ne logonname)
    then
      originator := orig
    endif
  endif
  logonname := Trim(logonname,"Unavailable")
  realname := logonname
  source := GetSource(SourceRefKey, SourceAspectKey)

  ///
  ///  OnWhat
  ///
  objecttype := NTEvent.objecttype

  /// OnWhat.objectpath
  case NTEvent.objectpath of 
    ///%1
    "P1": 
      objectpath := var1

    ///%1\(databasegroup part of %3)
    "P2": 
      temp := Trim(Path(var3),"Unavailable")
      if( (var1 eq "Unavailable") or (temp eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(var1,"\\",temp)
      endif

    ///%2\%3
    "P3": 
      if( (var2 eq "Unavailable") or (var3 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(var2,"\\",var3)
      endif

    ///%ComputerName%
    "P4": 
      objectpath := NTEvent.ms_server

    ///%ComputerName%\%1
    "P5": 
      if( (NTEvent.ms_server eq "Unavailable") or (var1 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var1)
      endif

    ///%ComputerName%\%2
    "P6": 
      if( (NTEvent.ms_server eq "Unavailable") or (var2 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var2)
      endif

    ///%ComputerName%\%2\%3
    "P7": 
      if( (NTEvent.ms_server eq "Unavailable") or (var2 eq "Unavailable") or (var3 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var2,"\\",var3)
      endif

    ///%ComputerName%\%3
    "P8": 
      if( (NTEvent.ms_server eq "Unavailable") or (var3 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var3)
      endif

    ///%ComputerName%\%3
    "P9": 
      if( (NTEvent.ms_server eq "Unavailable") or (var4 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var4)
      endif

    ///%ComputerName%\%5
    "P10": 
      if( (NTEvent.ms_server eq "Unavailable") or (var5 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var5)
      endif

    ///%ComputerName%\%6
    "P11": 
      if( (NTEvent.ms_server eq "Unavailable") or (var6 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var6)
      endif

    ///%ComputerName%\%7
    "P12": 
      if( (NTEvent.ms_server eq "Unavailable") or (var7 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var7)
      endif

    ///%ComputerName%\%7
    "P13": 
      if( (NTEvent.ms_server eq "Unavailable") or (var8 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",var8)
      endif

    ///%DBGroup%
    "P14": 
      if( NTEvent.ms_server eq "Unavailable" )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\First Storage Group")  
      endif      

    ///%DBGroup(%1)%
    "P15": 
      if( (NTEvent.ms_server eq "Unavailable") or (var1 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",Path(var1))  
      endif      

    ///%DBGroup(%2)%
    "P16": 
      if( (NTEvent.ms_server eq "Unavailable") or (var2 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",Path(var2))  
      endif      

    ///%DBGroup(%3)%
    "P17": 
      if( (NTEvent.ms_server eq "Unavailable") or (var3 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",Path(var3))  
      endif      

    ///%DBGroup(%4)%
    "P18": 
      if( (NTEvent.ms_server eq "Unavailable") or (var4 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",Path(var4))  
      endif      

    ///%DBGroup(%4)%
    "P19": 
      if( (NTEvent.ms_server eq "Unavailable") or (var5 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(NTEvent.ms_server,"\\",Path(var5))  
      endif      

    ///%PMPath%
    "P20": 
      if( NTEvent.ms_server eq "Unavailable" )
      then
        objectpath := "Unavailable"
      else
        if( NTEvent.ms_eventsource eq "MSExchangeIS Mailbox Store" )
        then
          objectpath := Append(NTEvent.ms_server,"\\First Storage Group\\Mailbox Store (",NTEvent.ms_server,")")  
        else
          objectpath := Append(NTEvent.ms_server,"\\First Storage Group\\Public Store (",NTEvent.ms_server,")")  
        endif
      endif      

    ///%PMPath(%3)%
    "P21": 
      if( var3 eq "Unavailable" )
      then
        objectpath := "Unavailable"
      else
        if( NTEvent.ms_eventsource eq "MSExchangeIS Mailbox Store" )
        then
          objectpath := Append(var3,"\\First Storage Group\\Mailbox Store (",var3,")")  
        else
          objectpath := Append(var3,"\\First Storage Group\\Public Store (",var3,")")  
        endif
      endif      

    ///(directory path of %1)
    "P22": 
      if( var1 eq "Unavailable" )
      then
        objectpath := "Unavailable"
      else
        objectpath := Trim(Path(var1),"Unavailable")
      endif      

    ///(directory path of %1)
    "P23": 
      if( var1 eq "Unavailable" )
      then
        objectpath := "Unavailable"
      else
        objectpath := Trim(Path(var1),"Unavailable")
      endif      

    otherwise  objectpath := NTEvent.objectpath
  endcase

  /// OnWhat.objectname
  case NTEvent.objectname of
    ///%1
    "N1": 
      objectname := var1

    ///%2
    "N2": 
      objectname := var2

    ///%4
    "N3": 
      objectname := var4

    ///%ComputerName%
    "N4": 
      objectname := NTEvent.ms_server

    ///%DBName%
    "N5": 
      if( NTEvent.ms_server eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        if( NTEvent.ms_eventsource eq "MSExchangeIS Mailbox Store" )
        then
          objectname := Append("Mailbox Store (",NTEvent.ms_server,")")  
        else
          objectname := Append("Public Store (",NTEvent.ms_server,")")  
        endif
      endif      

    ///%DBName(%1)%
    "N6": 
      if( var1 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var1),"Unavailable")
      endif      

    ///%DBName(%2)%
    "N7": 
      if( var2 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var2),"Unavailable")
      endif      

    ///%DBName(%3)%
    "N8": 
      if( var3 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var3),"Unavailable")
      endif      

    ///%DBName(%4)%
    "N9": 
      if( var4 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var4),"Unavailable")
      endif      

    ///%DBName(%5)%
    "N10": 
      if( var5 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var5),"Unavailable")
      endif      

    ///%PMName(%1)%
    "N11": 
      if( var1 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var1),"Unavailable")
      endif      

    ///%PMName(%2)%
    "N12": 
      if( var2 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var2),"Unavailable")
      endif      

    ///%PMName(%3)%
    "N13": 
      if( var3 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var3),"Unavailable")
      endif      

    ///%PMName(%1)%
    "N14": 
      if( var4 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var4),"Unavailable")
      endif      

    ///(database name part of %3)
    "N15": 
      if( var3 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var3),"Unavailable")
      endif      

    ///(directory name of %1)
    "N16": 
      if( var1 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var1),"Unavailable")
      endif      

    ///(file name of %1)
    "N17": 
      if( var1 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Trim(Filename(var1),"Unavailable")
      endif      

    ///%pop-imap%
    "N18": 
      if( NTEvent.ms_eventsource eq "POP3SVC" )
      then
        objectname := "POP3"
      else
        objectname := "IMAP4"
      endif      

    ///%2% if %3% enable or %1% otherwise
    "N19": 
      if( var3 ne "Unavailable" )
      then
        objectname := var2
      else
        objectname := var1
      endif      

    ///0x%1
    "N20": 
      if( var1 eq "Unavailable" )
      then
        objectname := "Unavailable"
      else
        objectname := Append("0x",var1)
      endif   

   ///%3
    "N21": 
      objectname := var3

    otherwise  objectname := NTEvent.objectname    
  endcase

  if( objectname ne null )
  then
    RegexMatch(objectname, "^cn=(.*)$")
    objectname := Trim(RegexRef("1"), objectname)
  endif

  objectname := Lowercase(objectname)
  objectpath := Lowercase(objectpath)
  object := GetObject(ObjectRefKey)		
  stream := GetStream (StreamRefKey)

  ///
  ///  FromWhere
  ///
  platformtype := "HOST"
  case NTEvent.from of
    ///%1
    "W1": platformname := var1

    ///%3
    "W2": platformname := var3

    ///%2
    "W3": platformname := var2

    ///%1% if %2% exists or %ssn% otherwise
    "W5": 
      if( var2 ne "Unavailable" )
      then
        platformname := var1
      else
        platformname := Trim(GetChunkProperty(NTEvent,"SystemName"), "Unavailable")
      endif      

    ///%1% if %3% exists or %ssn% otherwise
    "W6": 
      if( var3 ne "Unavailable" )
      then
        platformname := var1
      else
        platformname := Trim(GetChunkProperty(NTEvent,"SystemName"), "Unavailable")
      endif      

    ///%1% if %6% exists or %ssn% otherwise
    "W8": 
      if( var6 ne "Unavailable" )
      then
        platformname := var1
      else
        platformname := Trim(GetChunkProperty(NTEvent,"SystemName"), "Unavailable")
      endif      
    otherwise platformname := Trim(GetChunkProperty(NTEvent,"SystemName"), "Unavailable")    
  endcase
  platformname := Uppercase(platformname)
  origin := GetOrigin(OriginRefKey)

  ///
  ///  Where
  ///
  platformtype := "MS Exchange 2000/2003"
  platformname := Trim(Uppercase(GetChunkProperty(NTEvent,"SystemName")), "Unavailable")
  platform     := GetPlatform(PlatformRefKey)

  ///
  ///  WhereTo
  ///
  platformtype := "HOST"
  case NTEvent.to of
    ///%1
    "W1": platformname := var1

    ///%3
    "W2": platformname := var3

    ///%2
    "W3": platformname := var2

    ///%1% if %2% exists or %ssn% otherwise
    "W5": 
      if( var2 ne "Unavailable" )
      then
        platformname := var1
      else
        platformname := Trim(GetChunkProperty(NTEvent,"SystemName"), "Unavailable")
      endif      

    ///%1% if %3% exists or %ssn% otherwise
    "W6": 
      if( var3 ne "Unavailable" )
      then
        platformname := var1
      else
        platformname := Trim(GetChunkProperty(NTEvent,"SystemName"), "Unavailable")
      endif      

    ///%1% if %6% exists or %ssn% otherwise
    "W8": 
      if( var6 ne "Unavailable" )
      then
        platformname := var1
      else
        platformname := Trim(GetChunkProperty(NTEvent,"SystemName"), "Unavailable")
      endif      
    otherwise platformname := Trim(GetChunkProperty(NTEvent,"SystemName"), "Unavailable")    
  endcase
  platformname := Uppercase(platformname)
  target := GetTarget(TargetRefKey)

  id := NTEvent.shortid
  recordtype := NTEvent.fullid
  service := NTEvent.ms_eventsource

  ///
  /// aspects filling
  ///
  case NTEvent.eventreason of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        eventreason := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        eventreason := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        eventreason := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        eventreason := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        eventreason := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        eventreason := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        eventreason := Append(var1,":",var2)
      endif

    /// 0x%1
    "A13":
      if( var1 ne "Unavailable" )
      then
        eventreason := Append("0x",var1)
      endif

    /// 0x%2
    "A14":
      if( var2 ne "Unavailable" )
      then
        eventreason := Append("0x",var2)
      endif
    "evt1":
      if( var3 ne "Unavailable" )
      then
        eventreason := var3
      else
        if( var2 ne "Unavailable" )
        then
          eventreason := var2
        endif
      endif
    "evt2":
      if( var6 ne "Unavailable" )
      then
        if( var4 ne "Unavailable" )
        then
          eventreason := var4
        endif
      else
        if( var3 ne "Unavailable" )
        then
          eventreason := var3
        endif
      endif
    "evt3":
      if( var4 ne "Unavailable" )
      then
        eventreason := var4
      else
        if( var3 ne "Unavailable" )
        then
          eventreason := var3
        endif
      endif
    "evt4":
      if( var6 ne "Unavailable" )
      then
        eventreason := var6
      else
        if( var5 ne "Unavailable" )
        then
          eventreason := var5
        endif
      endif
    otherwise  
      if( NTEvent.eventreason ne "A0" )
      then
        eventreason := NTEvent.eventreason 
      endif   
  endcase

  case NTEvent.value of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        value := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        value := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        value := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        value := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        value := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        value := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        value := Append(var1,":",var2)
      endif

    /// %1\%2
    "A15":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        eventreason := Append(var1,"\\",var2)
      endif
    otherwise  
      if( NTEvent.value ne "A0" )
      then
        value := NTEvent.value 
      endif   
  endcase

  case NTEvent.newvalue of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        newvalue := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        newvalue := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        newvalue := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        newvalue := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        newvalue := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        newvalue := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        newvalue := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.newvalue ne "A0" )
      then
        newvalue := NTEvent.newvalue 
      endif   
  endcase

  case NTEvent.command of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        command := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        command := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        command := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        command := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        command := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        command := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        command := Append(var1,":",var2)
      endif
    "evt5":
      if( var3 ne "Unavailable" )
      then
        if( var2 ne "Unavailable" )
        then
          command := var2
        endif
      else
        if( var1 ne "Unavailable" )
        then
          command := var1
        endif
      endif
    "evt6":
      if( var6 ne "Unavailable" )
      then
        if( var2 ne "Unavailable" )
        then
          command := var2
        endif
      else
        if( var1 ne "Unavailable" )
        then
          command := var1
        endif
      endif
    otherwise  
      if( NTEvent.command ne "A0" )
      then
        command := NTEvent.command 
      endif   
  endcase

  case NTEvent.attribute of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        attribute := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        attribute := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        attribute := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        attribute := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        attribute := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        attribute := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        attribute := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.attribute ne "A0" )
      then
        attribute := NTEvent.attribute 
      endif   
  endcase

  case NTEvent.directory of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        directory := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        directory := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        directory := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        directory := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        directory := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        directory := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        directory := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.directory ne "A0" )
      then
        directory := NTEvent.directory 
      endif   
  endcase

  case NTEvent.version of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        version := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        version := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        version := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        version := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        version := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        version := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        version := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.version ne "A0" )
      then
        version := NTEvent.version 
      endif   
  endcase

  case NTEvent.object_focus of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        object_focus := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        object_focus := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        object_focus := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        object_focus := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        object_focus := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        object_focus := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        object_focus := Append(var1,":",var2)
      endif

    /// 0x%1
    "A13":
      if( var1 ne "Unavailable" )
      then
        eventreason := Append("0x",var1)
      endif
    otherwise  
      if( NTEvent.object_focus ne "A0" )
      then
        object_focus := NTEvent.object_focus 
      endif   
  endcase

  case NTEvent.vendor of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        vendor := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        vendor := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        vendor := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        vendor := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        vendor := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        vendor := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        vendor := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.vendor ne "A0" )
      then
        vendor := NTEvent.vendor 
      endif   
  endcase

  case NTEvent.virusname of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        virusname := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        virusname := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        virusname := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        virusname := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        virusname := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        virusname := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        virusname := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.virusname ne "A0" )
      then
        virusname := NTEvent.virusname 
      endif   
  endcase

  case NTEvent.code_page of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        code_page := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        code_page := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        code_page := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        code_page := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        code_page := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        code_page := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        code_page := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.code_page ne "A0" )
      then
        code_page := NTEvent.code_page 
      endif   
  endcase

  case NTEvent.message_id of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        message_id := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        message_id := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        message_id := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        message_id := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        message_id := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        message_id := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        message_id := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.message_id ne "A0" )
      then
        message_id := NTEvent.message_id 
      endif   
  endcase

  case NTEvent.message_subject of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        message_subject := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        message_subject := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        message_subject := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        message_subject := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        message_subject := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        message_subject := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        message_subject := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.message_subject ne "A0" )
      then
        message_subject := NTEvent.message_subject 
      endif   
  endcase

  case NTEvent.sender of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        sender := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        sender := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        sender := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        sender := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        sender := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        sender := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        sender := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.sender ne "A0" )
      then
        sender := NTEvent.sender 
      endif   
  endcase

  case NTEvent.folder of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        folder := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        folder := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        folder := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        folder := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        folder := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        folder := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        folder := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.folder ne "A0" )
      then
        folder := NTEvent.folder 
      endif   
  endcase

  case NTEvent.folder_id of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        folder_id := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        folder_id := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        folder_id := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        folder_id := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        folder_id := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        folder_id := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        folder_id := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.folder_id ne "A0" )
      then
        folder_id := NTEvent.folder_id 
      endif   
  endcase

  case NTEvent.user of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        user := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        user := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        user := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        user := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        user := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        user := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        user := Append(var1,":",var2)
      endif
    "evt1":
      if( var3 ne "Unavailable" )
      then
        user := var3
      else
        if( var2 ne "Unavailable" )
        then
          user := var2
        endif
      endif
    "evt2":
      if( var6 ne "Unavailable" )
      then
        if( var4 ne "Unavailable" )
        then
          user := var4
        endif
      else
        if( var3 ne "Unavailable" )
        then
          user := var3
        endif
      endif
    "evt3":
      if( var4 ne "Unavailable" )
      then
        user := var4
      else
        if( var3 ne "Unavailable" )
        then
          user := var3
        endif
      endif
    "evt4":
      if( var6 ne "Unavailable" )
      then
        user := var6
      else
        if( var5 ne "Unavailable" )
        then
          user := var5
        endif
      endif
    otherwise  
      if( NTEvent.user ne "A0" )
      then
        user := NTEvent.user 
      endif   
  endcase

  case NTEvent.user_id of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        user_id := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        user_id := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        user_id := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        user_id := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        user_id := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        user_id := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        user_id := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.user_id ne "A0" )
      then
        user_id := NTEvent.user_id 
      endif   
  endcase

  case NTEvent.file of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        file := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        file := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        file := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        file := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        file := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        file := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        file := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.file ne "A0" )
      then
        file := NTEvent.file 
      endif   
  endcase

  case NTEvent.database of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        database := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        database := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        database := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        database := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        database := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        database := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        database := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.database ne "A0" )
      then
        database := NTEvent.database 
      endif   
  endcase

  case NTEvent.max_db_size of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        max_db_size := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        max_db_size := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        max_db_size := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        max_db_size := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        max_db_size := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        max_db_size := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        max_db_size := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.max_db_size ne "A0" )
      then
        max_db_size := NTEvent.max_db_size 
      endif   
  endcase

  case NTEvent.result of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        result := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        result := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        result := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        result := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        result := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        result := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        result := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.result ne "A0" )
      then
        result := NTEvent.result 
      endif   
  endcase

  case NTEvent.arguments of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        arguments := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        arguments := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        arguments := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        arguments := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        arguments := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        arguments := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        arguments := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.arguments ne "A0" )
      then
        arguments := NTEvent.arguments 
      endif   
  endcase

  case NTEvent.session_id of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        session_id := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        session_id := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        session_id := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        session_id := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        session_id := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        session_id := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        session_id := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.session_id ne "A0" )
      then
        session_id := NTEvent.session_id 
      endif   
  endcase

  case NTEvent.mailbox of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        mailbox := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        mailbox := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        mailbox := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        mailbox := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        mailbox := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        mailbox := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        mailbox := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.mailbox ne "A0" )
      then
        mailbox := NTEvent.mailbox 
      endif   
  endcase

  case NTEvent.target_ip of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        target_ip := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        target_ip := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        target_ip := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        target_ip := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        target_ip := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        target_ip := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        target_ip := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.target_ip ne "A0" )
      then
        target_ip := NTEvent.target_ip 
      endif   
  endcase

  case NTEvent.expectedvalue of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        expectedvalue := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        expectedvalue := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        expectedvalue := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        expectedvalue := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        expectedvalue := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        expectedvalue := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        expectedvalue := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.expectedvalue ne "A0" )
      then
        expectedvalue := NTEvent.expectedvalue 
      endif   
  endcase

  case NTEvent.database_id of
    ///%2
    "A2": 
      if( var2 ne "Unavailable" )
      then 
        database_id := var2
      endif
  endcase

  case NTEvent.device_driver of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        device_driver := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        device_driver := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        device_driver := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        device_driver := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        device_driver := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        device_driver := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        device_driver := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.device_driver ne "A0" )
      then
        device_driver := NTEvent.device_driver 
      endif   
  endcase

  case NTEvent.authenticator of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        authenticator := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        authenticator := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        authenticator := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        authenticator := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        authenticator := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        authenticator := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        authenticator := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.authenticator ne "A0" )
      then
        authenticator := NTEvent.authenticator 
      endif   
  endcase

  case NTEvent.path of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        path := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        path := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        path := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        path := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        path := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        path := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        path := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.path ne "A0" )
      then
        path := NTEvent.path 
      endif   
  endcase

  case NTEvent.Target of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        Target := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        Target := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        Target := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        Target := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        Target := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        Target := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        Target := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.Target ne "A0" )
      then
        Target := NTEvent.Target 
      endif   
  endcase

  case NTEvent.oldvalue of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        oldvalue := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        oldvalue := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        oldvalue := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        oldvalue := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        oldvalue := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        oldvalue := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        oldvalue := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.oldvalue ne "A0" )
      then
        oldvalue := NTEvent.oldvalue 
      endif   
  endcase

  case NTEvent.process_id of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        process_id := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        process_id := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        process_id := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        process_id := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        process_id := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        process_id := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        process_id := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.process_id ne "A0" )
      then
        process_id := NTEvent.process_id 
      endif   
  endcase

  case NTEvent.task of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        task := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        task := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        task := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        task := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        task := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        task := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        task := Append(var1,":",var2)
      endif
    "evt7":
      if( var6 ne "Unavailable" )
      then
        if( var3 ne "Unavailable" )
        then
          task := var3
        endif
      else
        if( var2 ne "Unavailable" )
        then
          task := var2
        endif
      endif
    otherwise  
      if( NTEvent.task ne "A0" )
      then
        task := NTEvent.task 
      endif   
  endcase

  case NTEvent.host of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        host := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        host := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        host := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        host := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        host := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        host := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        host := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.host ne "A0" )
      then
        host := NTEvent.host 
      endif   
  endcase

  case NTEvent.message of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        message := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        message := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        message := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        message := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        message := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        message := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        message := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.message ne "A0" )
      then
        message := NTEvent.message 
      endif   
  endcase

  case NTEvent.URL of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        URL := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        URL := var2
      endif

    ///%3
    "A3":
      if( var3 ne "Unavailable" )
      then
        URL := var3
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        URL := var4
      endif

    ///%5
    "A5":
      if( var5 ne "Unavailable" )
      then
        URL := var5
      endif

    /// 0x%3
    "A11":
      if( var3 ne "Unavailable" )
      then
        URL := Append("0x",var3)
      endif

    /// %1:%2
    "A12":
      if( (var1 ne "Unavailable") and (var2 ne "Unavailable") )
      then
        URL := Append(var1,":",var2)
      endif
    otherwise  
      if( NTEvent.URL ne "A0" )
      then
        URL := NTEvent.URL 
      endif   
  endcase

  case NTEvent.transport of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        transport := var1
      endif

    ///%2
    "A2":
      if( var2 ne "Unavailable" )
      then
        transport := var2
      endif
    otherwise  
      if( NTEvent.transport ne "A0" )
      then
        transport := NTEvent.transport 
      endif   
  endcase

  case NTEvent.Source of
    ///%1
    "A1": 
      if( var1 ne "Unavailable" )
      then 
        Source := var1
      endif

    ///%4
    "A4":
      if( var4 ne "Unavailable" )
      then
        Source := var4
      endif
    otherwise  
      if( NTEvent.Source ne "A0" )
      then
        Source := NTEvent.Source 
      endif   
  endcase

  if( NTEvent.platformeventcount ne "1" )
  then
    platformeventcount := NTEvent.platformeventcount
    platformeventendtime := NTEvent.platformeventendtime
  endif

  if(NTEvent.eventdetail ne "A0")
  then
    eventdetail := NTEvent.eventdetail
  endif

  ///
  ///  What
  ///
  chunk := NTEvent
  eventmainclass := NTEvent.emc
  eventclass := NTEvent.ec
  successclass := NTEvent.sc 
  eventtimestamp := NTEvent.platformeventtime
  event := GetEvent(EventDetailKey)
endstate

///
/// additional 2 states to combine 8 SA log records:
///  1073742830+1073742831; 1073742830+3221226480; 1073742830+2147484657;
///  1073742863+1073742864; 1073742863+2147484690; 1073742863+3221226517.
///
initial state MS
(( (ordinary eq "no") and ((fullid eq "1073742830") or (fullid eq "1073742863")) and (platformeventcount ne null) and (description eq "Aggregator") ))
  MoveTo(MS2)
endstate

state MS2
(( (ordinary eq "no") and (fullid ne "1073742830") and (fullid ne "1073742863") and (platformeventcount ne null) and (description eq "Aggregator") ))
  if( (MS.var1 eq MS2.var1) and (MS.typeid eq MS2.typeid) ) 
  then
    logonname := "Anonymous"
    realname := logonname
    source := GetSource(SourceRefKey, SourceAspectKey)

    objecttype := "MAILBOX"

    if( (MS.var2 ne null) and (MS.var2 ne "Unavailable") )
    then
      MSvar2 := RegexReplace(MS.var2,"\\\\\\\\","\\\\")
    else
      MSvar2 := "Unavailable"
    endif
    if( (MS.var3 ne null) and (MS.var3 ne "Unavailable") )
    then
      MSvar3 := RegexReplace(MS.var3,"\\\\\\\\","\\\\")
    else
      MSvar3 := "Unavailable"
    endif
    if( (MS.var4 ne null) and (MS.var4 ne "Unavailable") )
    then
      MSvar4 := RegexReplace(MS.var4,"\\\\\\\\","\\\\")
    else
      MSvar4 := "Unavailable"
    endif
    if( (MS2.var1 ne null) and (MS2.var1 ne "Unavailable") )
    then
      MS2var1 := RegexReplace(MS2.var1,"\\\\\\\\","\\\\")
    else
      MS2var1 := "Unavailable"
    endif

    server := Trim(Filename(MSvar4),"Unavailable")
    if( server ne "Unavailable" )
    then
      RegexMatch(server, "^cn=(.*)$")
      server := Trim(RegexRef("1"), server)
    endif

    if( MS2.typeid eq "1" )
    then
      if( (server eq "Unavailable") or (MSvar2 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(server,"\\",MSvar2)
      endif
    else
      if( (server eq "Unavailable") or (MSvar3 eq "Unavailable") )
      then
        objectpath := "Unavailable"
      else
        objectpath := Append(server,"\\",MSvar3)
      endif    
    endif    

    if( MS2var1 eq "Unavailable" )
    then
      objectname := "Unavailable"
    else
      objectname := Trim(Filename(MS2var1),"Unavailable")
    endif      

    objectname := Lowercase(objectname)
    objectpath := Lowercase(objectpath)
    object := GetObject(ObjectRefKey)		
    stream := GetStream (StreamRefKey)

    platformtype := "HOST"
    platformname := Uppercase(server)
    origin := GetOrigin(OriginRefKey)

    platformtype := "MS Exchange 2000/2003"
    platformname := Trim(Uppercase(GetChunkProperty(MS,"SystemName")), "Unavailable")
    platform     := GetPlatform(PlatformRefKey)

    platformtype := "HOST"
    platformname := Uppercase(server)
    target := GetTarget(TargetRefKey)

    id := MS2.shortid
    recordtype := MS2.fullid
    service := MS2.ms_eventsource

    case MS2.fullid of
      "1073742831": 
        eventmainclass := "Move"
        eventclass := "Mailbox"
        successclass := "Success"
        Target := MSvar3 
      "3221226480":
        eventmainclass := "Move"
        eventclass := "Mailbox"
        successclass := "Failure"
        eventreason := MS2.var2 
        Target := MSvar3 
      "2147484657":
        eventmainclass := "Stop"
        eventclass := "Move"
        successclass := "Success" 
        Target := MSvar3 

      "1073742864":
        eventmainclass := "Restore"
        eventclass := "Mailbox"
        successclass := "Success"
        Source := MSvar2
      "2147484690":
        eventmainclass := "Stop"
        eventclass := "Restore"
        successclass := "Success" 
        Source := MSvar2
      "3221226517":
        eventmainclass := "Stop"
        eventclass := "Restore"
        successclass := "Success" 
        Source := MSvar2
    endcase

    chunk := MS2
    eventdetail := MS2.eventdetail
    eventtimestamp := MS2.platformeventtime

    event := GetEvent(EventDetailKey)
    MoveTo(DevNull) 
    endif
endstate

final state DevNull
endstate
