/// msexch2010.src.gml - Licensed Materials ­ Property of IBM
/// msexch2010.src.gml - 5724-S67
/// msexch2010.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// msexch2010.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key ObjectDetailRefKey(origtype)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceDetailRefKey(originator)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKey(eventid, access, arguments, attribute, authtype, command, database, directory, eventdetail, eventreason, folder, folder_id, host, mailbox,
                      message_id, message_subject, newvalue, object_focus, oldvalue, origin_host, parent, process_id, protocol, recipient, sender,
                      origin_hostname, target_hostname, target_port, user, value, provider)

first state Setup

 description := "Directory Scan"
 equality := "eventid,eventclass,eventmainclass,successclass,objectpath,objecttype,logonname"
 targets := "objectname"
 separator := "\\" 
 period := "5000" 
 period := GetIniProperty("AggregationPeriod","5000")
 threshold := GetIniProperty("AggregationThreshold","1")
 strategy := "directory"
 directoryscan := GetListener(Aggregator)
 if ((Setup.eventclass ne "User") and (Setup.eventclass ne "Group")) then 
   Listen(directoryscan,Setup)
 endif
 CopyTo(DirectoryScan)

 equality := "eventid,eventclass,eventmainclass,successclass,objectpath,objecttype,logonname"
 description := "Ready"
 targets := "objectname"
 period := GetIniProperty("AggregationPeriod","2000")
 period := "2000" 
 strategy := "directory" 
 removedups := GetListener(Aggregator)
 if ((Setup.eventclass ne "User") and (Setup.eventclass ne "Group")) then 
   Listen(removedups,Setup) 
 endif
 directoryscan:=null 
 MoveTo(RemoveDuplicates)
endstate

last state Shutdown

 if directoryscan ne null then
     StopListening(directoryscan)
     Remember("DirectoryScan","status","shutting down")
     directoryscan := null
 endif
 if removedups ne null then
   if (Recall("DirectoryScan","status") eq "shutting down") then
     Remember("DirectoryScan","status","down")

     CopyTo(RemoveDuplicates)
   else

     if (Recall("DirectoryScan","status") eq "down") then
       StopListening(removedups)
       Forget("DirectoryScan","status")
       removedups := null
     else

       CopyTo(RemoveDuplicates)
     endif
   endif
 endif
endstate

state DirectoryScan ((platformeventcount eq null
                      and eventclass ne "User"
                      and eventclass ne "Group"))
  Listen(directoryscan,DirectoryScan)
endstate

state RemoveDuplicates ((description eq "Directory Scan"
                         and eventclass ne "User" 
                         and eventclass ne "Group"))
  Listen(removedups,RemoveDuplicates)
endstate

initial final state msexchnage2007_2010 ((eventclass eq "User" 
                                          or eventclass eq "Group"
                                          or description eq "Ready"))

  platformtype        := "MS Exchange 2007/2010"
  if Trim(msexchnage2007_2010.platform_hostname, "null") ne "null" then
      platformname    := msexchnage2007_2010.platform_hostname
  else
      platformname    := GetChunkProperty(msexchnage2007_2010, "SystemName")
  endif
  platform            := GetPlatform(PlatformRefKey)

  if Trim(msexchnage2007_2010.platformname_from, "null") ne "null" then
      platformname        := msexchnage2007_2010.platformname_from
  else
      if Trim(msexchnage2007_2010.platform_hostname, "null") ne "null" then
          platformname    := msexchnage2007_2010.platform_hostname
      else
          platformname    := GetChunkProperty(msexchnage2007_2010, "SystemName")
      endif
  endif
  origin                  := GetOrigin(OriginRefKey)

  if Trim(msexchnage2007_2010.platformname_to, "null") ne "null" then
      platformname        := msexchnage2007_2010.platformname_to
  else
      if Trim(msexchnage2007_2010.platform_hostname, "null") ne "null" then
          platformname    := msexchnage2007_2010.platform_hostname
      else
          platformname    := Trim(GetChunkProperty(msexchnage2007_2010, "SystemName"), "Unavailable")
      endif
  endif
  target                  := GetTarget(TargetRefKey)

  if Trim(msexchnage2007_2010.platform_hostname, "null") ne "null" then
      platformname    := msexchnage2007_2010.platform_hostname
  else
      platformname    := GetChunkProperty(msexchnage2007_2010, "SystemName")
  endif

  objectname      := Trim(msexchnage2007_2010.objectname, "Unavailable") 
  objectpath      := Trim(msexchnage2007_2010.objectpath, "-")
  objecttype      := Trim(msexchnage2007_2010.objecttype, "Unavailable")
  if Trim(msexchnage2007_2010.origtype, "null") ne "null"   then origtype   := msexchnage2007_2010.origtype   endif
  object          := GetObject(ObjectRefKey, ObjectDetailRefKey)

  logonname       := Trim(msexchnage2007_2010.logonname, "System")
  if (RegexMatch(logonname, "(?i:cn=[^,/]+)") eq "0") then
    if (RegexMatch(logonname, "\\\\") > "0") then
       logonname    := Uppercase(logonname)
       if (RegexMatch(logonname, "BUILTIN\\\\") > "0") then
         logonname  := RegexReplace(logonname, "BUILTIN\\\\", "")
         logonname  := Uppercase(Append(platformname, "\\", logonname))
       endif
    else
       logonname    := Uppercase(Append(platformname, "\\", logonname))
    endif
  endif
  realname        := logonname
  originator      := GetOriginator(logonname)

  if Trim(originator, "null") ne "null" then 
    source          := GetSource(SourceRefKey, SourceDetailRefKey) 
  else
    source          := GetSource(SourceRefKey)
  endif

  description     := Trim(logonname, "System")
  stream          := GetStream(StreamRefKey)

  chunk           := msexchnage2007_2010
  eventtimestamp  := msexchnage2007_2010.platformeventtime
  eventmainclass  := Trim(msexchnage2007_2010.eventmainclass, "Unavailable")
  eventclass      := Trim(msexchnage2007_2010.eventclass, "Unavailable")
  successclass    := Trim(msexchnage2007_2010.successclass, "Unavalbl")

  eventid       := msexchnage2007_2010.eventid
  if Trim(msexchnage2007_2010.Command, "null")              ne "null" then command                  := msexchnage2007_2010.Command endif
  if Trim(msexchnage2007_2010.access, "null")               ne "null" then access           := msexchnage2007_2010.access endif
  if Trim(msexchnage2007_2010.arguments, "null")        ne "null" then arguments        := msexchnage2007_2010.arguments endif
  if Trim(msexchnage2007_2010.attribute, "null")        ne "null" then attribute        := msexchnage2007_2010.attribute endif
  if Trim(msexchnage2007_2010.authtype, "null")         ne "null" then authtype         := msexchnage2007_2010.authtype endif
  if Trim(msexchnage2007_2010.database, "null")         ne "null" then database         := msexchnage2007_2010.database endif
  if Trim(msexchnage2007_2010.directory, "null")        ne "null" then directory        := msexchnage2007_2010.directory endif
  if Trim(msexchnage2007_2010.eventdetail, "null")      ne "null" then eventdetail      := msexchnage2007_2010.eventdetail endif
  if Trim(msexchnage2007_2010.eventreason, "null")      ne "null" then eventreason      := msexchnage2007_2010.eventreason endif
  if Trim(msexchnage2007_2010.folder, "null")           ne "null" then folder           := msexchnage2007_2010.folder endif
  if Trim(msexchnage2007_2010.folder_id, "null")        ne "null" then folder_id        := msexchnage2007_2010.folder_id endif
  if Trim(msexchnage2007_2010.host, "null")             ne "null" then host             := msexchnage2007_2010.host endif
  if Trim(msexchnage2007_2010.logonname, "null")        ne "null" then logonname        := msexchnage2007_2010.logonname endif
  if Trim(msexchnage2007_2010.mailbox, "null")          ne "null" then mailbox          := msexchnage2007_2010.mailbox endif
  if Trim(msexchnage2007_2010.message_id, "null")       ne "null" then message_id       := msexchnage2007_2010.message_id endif
  if Trim(msexchnage2007_2010.message_subject, "null")  ne "null" then message_subject  := msexchnage2007_2010.message_subject endif
  if Trim(msexchnage2007_2010.newvalue, "null")         ne "null" then newvalue         := msexchnage2007_2010.newvalue endif
  if Trim(msexchnage2007_2010.object_focus, "null")     ne "null" then object_focus     := msexchnage2007_2010.object_focus endif
  if Trim(msexchnage2007_2010.oldvalue, "null")         ne "null" then oldvalue         := msexchnage2007_2010.oldvalue endif
  if Trim(msexchnage2007_2010.orig_type, "null")        ne "null" then orig_type        := msexchnage2007_2010.orig_type endif
  if Trim(msexchnage2007_2010.origin_host, "null")      ne "null" then origin_host      := msexchnage2007_2010.origin_host endif
  if Trim(msexchnage2007_2010.parent, "null")           ne "null" then parent           := msexchnage2007_2010.parent endif
  if Trim(msexchnage2007_2010.platformname, "null")     ne "null" then platformname     := msexchnage2007_2010.platformname endif
  if Trim(msexchnage2007_2010.process_id, "null")       ne "null" then process_id       := msexchnage2007_2010.process_id endif
  if Trim(msexchnage2007_2010.protocol, "null")         ne "null" then protocol         := msexchnage2007_2010.protocol endif
  if Trim(msexchnage2007_2010.recipient, "null")        ne "null" then recipient        := msexchnage2007_2010.recipient endif
  if Trim(msexchnage2007_2010.sender, "null")           ne "null" then sender           := msexchnage2007_2010.sender endif   

  if Trim(msexchnage2007_2010.origin_hostname, "null")  ne "null" then origin_hostname  := msexchnage2007_2010.origin_hostname endif
  if Trim(msexchnage2007_2010.target_hostname, "null")  ne "null" then target_hostname  := msexchnage2007_2010.target_hostname endif

  if Trim(msexchnage2007_2010.target_port, "null")      ne "null" then target_port      := msexchnage2007_2010.target_port endif
  if Trim(msexchnage2007_2010.user, "null")             ne "null" then user             := msexchnage2007_2010.user endif
  if Trim(msexchnage2007_2010.value, "null")            ne "null" then value            := msexchnage2007_2010.value endif
  if Trim(msexchnage2007_2010.providername, "null")     ne "null" then provider         := msexchnage2007_2010.providername endif

  if (  (msexchnage2007_2010.eventid eq "1030.16388.procman") or
        (msexchnage2007_2010.eventid eq "1009.32772.imap") or
        (msexchnage2007_2010.eventid eq "1101.32772.imap") or
        (msexchnage2007_2010.eventid eq "1103.32772.imap") or
        (msexchnage2007_2010.eventid eq "2102.32772.imap") or
        (msexchnage2007_2010.eventid eq "1031.16388.transproc") or
        (msexchnage2007_2010.eventid eq "1039.16388.transproc") or
        (msexchnage2007_2010.eventid eq "1009.32772.transproc") or
        (msexchnage2007_2010.eventid eq "1012.32772.transproc") or
        (msexchnage2007_2010.eventid eq "1021.32772.transproc") or
        (msexchnage2007_2010.eventid eq "1034.49156.transproc") or
        (msexchnage2007_2010.eventid eq "1036.49156.transproc") or
        (msexchnage2007_2010.eventid eq "1030.16388.transproc") )

  then 
    target_hostname := Trim(GetChunkProperty(msexchnage2007_2010, "SystemName"), "Unavailable") 
  endif

  if (  (msexchnage2007_2010.eventid eq "2005.16388.transproc") or
        (msexchnage2007_2010.eventid eq "2007.16388.transproc") or
        (msexchnage2007_2010.eventid eq "2002.32772.transproc") or
        (msexchnage2007_2010.eventid eq "2003.32772.transproc") or
        (msexchnage2007_2010.eventid eq "2006.32772.transproc") or
        (msexchnage2007_2010.eventid eq "1004.49156.transproc") or
        (msexchnage2007_2010.eventid eq "1013.49156.transproc") or
        (msexchnage2007_2010.eventid eq "2011.49156.transproc") or
        (msexchnage2007_2010.eventid eq "2015.49156.transproc") or
        (msexchnage2007_2010.eventid eq "2016.49156.transproc") or
        (msexchnage2007_2010.eventid eq "2017.49156.transproc") or
        (msexchnage2007_2010.eventid eq "2018.49156.transproc") or
        (msexchnage2007_2010.eventid eq "11023.49156.transproc") )
  then 
    origin_hostname := Trim(GetChunkProperty(msexchnage2007_2010, "SystemName"), "Unavailable") 
  endif

  if msexchnage2007_2010.platformeventcount ne null then eventcount := msexchnage2007_2010.platformeventcount endif
  event           := GetEvent(EventDetailRefKey)

endstate
