/// mssql_audit.src.gml - Licensed Materials ­ Property of IBM
/// mssql_audit.src.gml - 5724-S67
/// mssql_audit.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// mssql_audit.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

/// mssql_audit.gml 

key ObjectRefKey(objecttype,objectname,objectpath)
key OriginRefKey(platformname,platformtype) 
key PlatformRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailRefKey(description,Target)

initial final state mssql
  eventclass     := mssql.eventclass
  eventmainclass := mssql.eventmainclass
  successclass   := mssql.successclass

  objecttype := mssql.objecttype
  objectpath := NormalizeString(Trim(mssql.objectpath, "-"))
  if (objectpath eq "/") then
     objectpath := "-"
  endif
  objectname := NormalizeString(Trim(mssql.objectname, "Unavailable"))
  object     := GetObject(ObjectRefKey)

  platformtype := "Host"
  machine      := GetChunkProperty(mssql, "SystemName")
  platformname := Trim(mssql.host, machine)
  origin       := GetOrigin(OriginRefKey)

  platformtype := "MS SQL Server"
  platformname := Trim(mssql.server, machine)
  platform     := GetPlatform(PlatformRefKey)

  platformname := Trim(mssql.server, machine)
  target       := GetTarget(TargetRefKey)

  logonname := Trim(mssql.who, "SYSTEM")
  realname  := logonname
  source    := GetSource(SourceRefKey)

  tmp := Trim(mssql.description, "Unavailable")
  if tmp ne "Unavailable" then
     description := tmp
  endif
  stream := GetStream(StreamRefKey)

  chunk := mssql
  eventtimestamp := mssql.platformeventtime

  tmp := Trim(mssql.runas_user, mssql.runas_user2, mssql.Target, "Unavailable")
  if tmp ne "Unavailable" then
     Target := tmp
  endif

 event := GetEvent(EventDetailRefKey)

endstate
