/// novell_naas.src.gml - Licensed Materials ­ Property of IBM
/// novell_naas.src.gml - 5724-S67
/// novell_naas.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// novell_naas.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(recordtype, message)

initial final state Finish
  platformname:=GetChunkProperty(Finish,"platformname")
  platformtype:="Novell_6"
  platform := GetPlatform(PlatformRefKey)

  if Finish.objectname ne null then
    if Finish.objectpath ne null then
      objectpath := Finish.objectpath  
      objectname := Finish.objectname
    else
      objectpath := Path(Finish.objectname)  
      objectname := Filename(Finish.objectname)
    endif    
  else
    objectpath := Finish.objectpath  
    objectname := "-"
  endif

  objectname := Trim(objectname,"-")
  objectpath := Trim(objectpath,"-")

  objecttype := Trim(Finish.objecttype,"*")

  object := GetObject(ObjectRefKey)

  description := Trim(Finish.description,"No description")

  stream := GetStream(StreamRefKey)

  logonname := Trim(Finish.logonname,Trim(Finish.usersid,"Unavailable"))
  realname := logonname

  source := GetSource(SourceRefKey)

  origin := GetOrigin(OriginRefKey)

  target := GetTarget(TargetRefKey)

  message := ""
  if (Finish.msgadd ne null and Finish.msgadd ne "NO_DATA") then
    message := Append(message,description,Finish.msgadd)
  else
    message := Append(message,description)    
  endif

  eventclass := Finish.eclass
  eventmainclass := Finish.emainclass
  successclass := Finish.successclass
  eventtimestamp := Finish.platformeventtime
  chunk := Finish
  recordtype := Finish.recordtype
  event := GetEvent(EventDetailKey)
endstate
