/// oraapp.src.gml - Licensed Materials ­ Property of IBM
/// oraapp.src.gml - 5724-S67
/// oraapp.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// oraapp.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectpath,objectname)
key ObjectAspectKey(origtype,primary_columns)
key OriginRefKey(platformtype,platformname) 
key PlatformRefKey(platformtype,platformname)
key TargetRefKey(platformtype,platformname)
key SourceRefKey(realname,logonname)
key StreamRefKey(description)
key EventDetailRefKey(attribute,oldvalue,session_id,process_id,Targettype,os_user_name,app_user_name)

initial state AUDIT_LOGINS 
((    (oraapp_table_name eq "fnd_logins")
))

  OSUserAsLogonname := GetIniProperty("OSUserAsLogonname", "0")

  eventmainclass := AUDIT_LOGINS.eventmainclass
  eventclass := AUDIT_LOGINS.eventclass
  successclass := AUDIT_LOGINS.successclass

  ///OnWhat    
  objecttype := Trim(AUDIT_LOGINS.objecttype,"Unavailable")
  objectpath := Trim(AUDIT_LOGINS.objectpath,"Unavailable")
  if( (objectpath eq null) or (objectpath eq "NULL") or (objectpath eq "")) 
  then
     objectpath := "Unavailable"
  endif
  objectname := GetChunkProperty(AUDIT_LOGINS,"SystemName")
  if( (objectname eq null) or (objectname eq "NULL") or (objectname eq "")) 
  then
     objectname := "Unavailable"
  endif
  object := GetObject(ObjectRefKey)

  ///FromWhere    
  platformname := GetChunkProperty(AUDIT_LOGINS,"SystemName")
  platformtype := "Oracle Applications"   
  origin := GetOrigin(OriginRefKey)

  ///Where
  platformtype := "Oracle Applications"
  platformname:=GetChunkProperty(AUDIT_LOGINS,"SystemName")
  platform := GetPlatform(PlatformRefKey)

  ///Who
  OSuser:=Trim(AUDIT_LOGINS.login_name,"Unavailable")
  APPuser:=Trim(AUDIT_LOGINS.user_name,"Unavailable")

  if (OSUserAsLogonname eq "1") then
    logonname := OSuser
  else
    logonname := APPuser
  endif
  realname := logonname

  source := GetSource(SourceRefKey)

  ///ToWhere
  platformtype := "Oracle Applications"
  platformname := GetChunkProperty(AUDIT_LOGINS,"SystemName")
  target:=GetTarget(TargetRefKey)
  description := APPuser
  stream := GetStream(StreamRefKey)

  ///aspects
  session_id := Trim(AUDIT_LOGINS.session_id,null)
  process_id := Trim(AUDIT_LOGINS.process_id,null)
  os_user_name := OSuser
  app_user_name := APPuser

  ///When
  eventtimestamp := AUDIT_LOGINS.datetime

  chunk := AUDIT_LOGINS
  event := GetEvent(EventDetailRefKey)

endstate

initial state AUDIT_RESP 
((    (oraapp_table_name eq "fnd_login_responsibilities")
))
  OSUserAsLogonname := GetIniProperty("OSUserAsLogonname", "0")

  eventmainclass := AUDIT_RESP.eventmainclass
  eventclass := AUDIT_RESP.eventclass
  successclass := AUDIT_RESP.successclass

  ///OnWhat    
  objecttype := Trim(AUDIT_RESP.objecttype,"Unavailable")
  objectpath := Trim(AUDIT_RESP.objectpath,"Unavailable")
  objectname := Trim(AUDIT_RESP.objectname,"Unavailable")
  if( (objectname eq null) or (objectname eq "NULL") or (objectname eq "")) then
     objectname := "Unavailable"
  endif
  origtype   := "Responsibility"
  object     := GetObject(ObjectRefKey,ObjectAspectKey)

  ///FromWhere    
  platformname := GetChunkProperty(AUDIT_RESP,"SystemName")
  platformtype := "Oracle Applications"   
  origin := GetOrigin(OriginRefKey)

  ///Where
  platformtype := "Oracle Applications"
  platformname:=GetChunkProperty(AUDIT_RESP,"SystemName")
  platform := GetPlatform(PlatformRefKey)

  OSuser:=Trim(AUDIT_RESP.login_name,"Unavailable")
  APPuser:=Trim(AUDIT_RESP.user_name,"Unavailable")

  if (OSUserAsLogonname eq "1") then
    logonname := OSuser
  else
    logonname := APPuser
  endif
  realname := logonname

  source := GetSource(SourceRefKey)

  ///ToWhere
  platformtype := "Oracle Applications"
  platformname := GetChunkProperty(AUDIT_RESP,"SystemName")
  target := GetTarget(TargetRefKey)
  description := APPuser
  stream := GetStream(StreamRefKey)

  ///aspects
  session_id := Trim(AUDIT_RESP.session_id,null)
  process_id := Trim(AUDIT_RESP.process_id,null)
  os_user_name := OSuser
  app_user_name := APPuser

  ///When
  eventtimestamp := AUDIT_RESP.datetime

  chunk := AUDIT_RESP
  event := GetEvent(EventDetailRefKey)

endstate

initial state AUDIT_FORM 
((    (oraapp_table_name eq "fnd_login_resp_forms")
))

  OSUserAsLogonname := GetIniProperty("OSUserAsLogonname", "0")

  eventmainclass := AUDIT_FORM.eventmainclass
  eventclass := AUDIT_FORM.eventclass
  successclass := AUDIT_FORM.successclass

  ///OnWhat    
  objecttype := Trim(AUDIT_FORM.objecttype,"Unavailable")
  objectpath := Trim(AUDIT_FORM.objectpath,"Unavailable")
  objectname := Trim(AUDIT_FORM.objectname,"Unavailable")
  if( (objectname eq null) or (objectname eq "NULL") or (objectname eq "")) then
     objectname := "Unavailable"
  endif
  object := GetObject(ObjectRefKey)

  ///FromWhere    
  platformname := GetChunkProperty(AUDIT_FORM,"SystemName")
  platformtype := "Oracle Applications"   
  origin := GetOrigin(OriginRefKey)

  ///Where
  platformtype := "Oracle Applications"
  platformname:=GetChunkProperty(AUDIT_FORM,"SystemName")
  platform := GetPlatform(PlatformRefKey)

  ///Who
  OSuser:=Trim(AUDIT_FORM.login_name,"Unavailable")
  APPuser:=Trim(AUDIT_FORM.user_name,"Unavailable")

  if (OSUserAsLogonname eq "1") then
    logonname := OSuser
  else
    logonname := APPuser
  endif
  realname := logonname

  source := GetSource(SourceRefKey)

  ///ToWhere
  platformtype := "Oracle Applications"
  platformname := GetChunkProperty(AUDIT_FORM,"SystemName")
  target:=GetTarget(TargetRefKey)
  description := APPuser
  stream := GetStream(StreamRefKey)

  ///aspects
  session_id := Trim(AUDIT_FORM.session_id,null)
  process_id := Trim(AUDIT_FORM.process_id,null)
  os_user_name := OSuser
  app_user_name := APPuser

  ///When
  eventtimestamp := AUDIT_FORM.datetime

  chunk := AUDIT_FORM
  event := GetEvent(EventDetailRefKey)

endstate

initial state AUDIT_UNS_LOGINS 
((    (oraapp_table_name eq "fnd_unsuccessful_logins")
))

  OSUserAsLogonname := GetIniProperty("OSUserAsLogonname", "0")

  eventmainclass := AUDIT_UNS_LOGINS.eventmainclass
  eventclass := AUDIT_UNS_LOGINS.eventclass
  successclass := AUDIT_UNS_LOGINS.successclass

  ///OnWhat    
  objecttype := Trim(AUDIT_UNS_LOGINS.objecttype,"Unavailable")
  objectpath := Trim(AUDIT_UNS_LOGINS.objectpath,"Unavailable")
  objectname := GetChunkProperty(AUDIT_UNS_LOGINS,"SystemName")
  if( (objectname eq null) or (objectname eq "NULL") or (objectname eq "")) then
     objectname := "Unavailable"
  endif
  object := GetObject(ObjectRefKey)

  ///FromWhere    
  platformname := GetChunkProperty(AUDIT_UNS_LOGINS,"SystemName")
  platformtype := "Oracle Applications"   
  origin := GetOrigin(OriginRefKey)

  ///Where
  platformtype := "Oracle Applications"
  platformname:=GetChunkProperty(AUDIT_UNS_LOGINS,"SystemName")
  platform := GetPlatform(PlatformRefKey)

  ///Who
  OSuser:=Trim(AUDIT_UNS_LOGINS.login_name,"Unavailable")
  APPuser:=Trim(AUDIT_UNS_LOGINS.user_name,"Unavailable")

  if (OSUserAsLogonname eq "1") then
    logonname := OSuser
  else
    logonname := APPuser
  endif
  realname := logonname

  source := GetSource(SourceRefKey)

  ///ToWhere
  platformtype := "Oracle Applications"
  platformname := GetChunkProperty(AUDIT_UNS_LOGINS,"SystemName")
  target:=GetTarget(TargetRefKey)
  description := APPuser
  stream := GetStream(StreamRefKey)

  ///aspects
  os_user_name := OSuser
  app_user_name := APPuser

  ///When
  eventtimestamp := AUDIT_UNS_LOGINS.datetime

  chunk := AUDIT_UNS_LOGINS
  event := GetEvent(EventDetailRefKey)

endstate

initial state AUDIT_REQUESTS 
((    (oraapp_table_name eq "fnd_concurrent_requests")
))

  OSUserAsLogonname := GetIniProperty("OSUserAsLogonname", "0")

  eventmainclass := AUDIT_REQUESTS.eventmainclass
  eventclass := AUDIT_REQUESTS.eventclass
  successclass := AUDIT_REQUESTS.successclass

  ///OnWhat    
  objecttype := Trim(AUDIT_REQUESTS.objecttype,"Unavailable")
  objectpath := Trim(AUDIT_REQUESTS.objectpath,"Unavailable")
  objectname := GetChunkProperty(AUDIT_REQUESTS,"SystemName")
  if( (objectname eq null) or (objectname eq "NULL") or (objectname eq "")) then
     objectname := "Unavailable"
  endif
  origtype   := "Concurrent Request"
  object     := GetObject(ObjectRefKey,ObjectAspectKey)

  ///FromWhere    
  platformname := GetChunkProperty(AUDIT_REQUESTS,"SystemName")
  platformtype := "Oracle Applications"   
  origin := GetOrigin(OriginRefKey)

  ///Where
  platformtype := "Oracle Applications"
  platformname:=GetChunkProperty(AUDIT_REQUESTS,"SystemName")
  platform := GetPlatform(PlatformRefKey)

  ///Who
  OSuser:=Trim(AUDIT_REQUESTS.login_name,"Unavailable")
  APPuser:=Trim(AUDIT_REQUESTS.user_name,"Unavailable")

  if (OSUserAsLogonname eq "1") then
    logonname := OSuser
  else
    logonname := APPuser
  endif
  realname := logonname

  source := GetSource(SourceRefKey)

  ///ToWhere
  platformtype := "Oracle Applications"
  platformname := GetChunkProperty(AUDIT_REQUESTS,"SystemName")
  target:=GetTarget(TargetRefKey)
  description := APPuser
  stream := GetStream(StreamRefKey)

  ///aspects
  os_user_name := OSuser
  app_user_name := APPuser

  ///When
  eventtimestamp := AUDIT_REQUESTS.datetime

  chunk := AUDIT_REQUESTS
  event := GetEvent(EventDetailRefKey)

endstate

initial state AUDIT_TRAIL 
((    (oraapp_table_name eq "fnd_audit_groups_a")
      or (oraapp_table_name eq "fnd_audit_schemas_a")
      or (oraapp_table_name eq "fnd_audit_tables_a")
      or (oraapp_table_name eq "fnd_audit_columns_a")
      or (oraapp_table_name eq "alr_alerts_a")
      or (oraapp_table_name eq "fnd_oracle_userid_a")
      or (oraapp_table_name eq "fnd_user_a")
      or (oraapp_table_name eq "fnd_user_resp_groups_a")
      or (oraapp_table_name eq "fnd_form_functions_a")
      or (oraapp_table_name eq "fnd_menus_a")
      or (oraapp_table_name eq "fnd_menu_entries_a")
      or (oraapp_table_name eq "fnd_request_groups_a")
      or (oraapp_table_name eq "fnd_request_group_units_a")
      or (oraapp_table_name eq "fnd_enabled_plsql_a")
      or (oraapp_table_name eq "fnd_resp_functions_a")
      or (oraapp_table_name eq "fnd_concurrent_programs_a")
      or (oraapp_table_name eq "fnd_executables_a")
      or (oraapp_table_name eq "fnd_data_groups_a")
      or (oraapp_table_name eq "fnd_data_group_units_a")
))

  OSUserAsLogonname := GetIniProperty("OSUserAsLogonname", "0")

  eventmainclass := AUDIT_TRAIL.eventmainclass
  eventclass := AUDIT_TRAIL.eventclass
  successclass := AUDIT_TRAIL.successclass

  ///OnWhat    
  objecttype := Trim(AUDIT_TRAIL.objecttype,"Unavailable")
  dns := GetChunkProperty(AUDIT_TRAIL,"Option1")
  objectpath := Append(dns,"\\",AUDIT_TRAIL.objectpath)
  objectname := Trim(AUDIT_TRAIL.objectname,"Unavailable")
  if( (objectname eq null) or (objectname eq "NULL") or (objectname eq "")) then
     objectname := "Unavailable"
  endif
  primary_columns := AUDIT_TRAIL.primary_columns
  object := GetObject(ObjectRefKey,ObjectAspectKey)

  ///FromWhere    
  platformname := GetChunkProperty(AUDIT_TRAIL,"SystemName")
  platformtype := "Oracle Applications"   
  origin := GetOrigin(OriginRefKey)

  ///Where
  platformtype := "Oracle Applications"
  platformname:=GetChunkProperty(AUDIT_TRAIL,"SystemName")
  platform := GetPlatform(PlatformRefKey)

  ///Who
  OSuser:=Trim(AUDIT_TRAIL.login_name,"Unavailable")
  APPuser:=Trim(AUDIT_TRAIL.user_name,"Unavailable")
  if (OSUserAsLogonname eq "1") then
    logonname := OSuser
  else
    logonname := APPuser
  endif
  realname := logonname
  source := GetSource(SourceRefKey)

  ///ToWhere
  platformtype := "Oracle Applications"
  platformname := GetChunkProperty(AUDIT_TRAIL,"SystemName")
  target:=GetTarget(TargetRefKey)
  description := APPuser
  stream      := GetStream(StreamRefKey)

  ///aspects
  os_user_name := OSuser
  app_user_name := APPuser
  Targettype := Trim(AUDIT_TRAIL.targettype,null)
  session_id := Trim(AUDIT_TRAIL.session_id,null)

  if (AUDIT_TRAIL.audit_translation_type eq "U")
  then

    ///table: FND_AUDIT_GROUPS_A
    if ((AUDIT_TRAIL.GROUP_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.GROUP_NAME,"/")
          attribute := Append(attribute,"GROUP_NAME","/")
      endif

    if ((AUDIT_TRAIL.STATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_groups_a"))
    then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.STATE,"/")
          attribute := Append(attribute,"STATE","/")
      endif

    if ((AUDIT_TRAIL.DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_groups_a"))
    then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DESCRIPTION,"/")
          attribute := Append(attribute,"DESCRIPTION","/")
      endif

    ///table: FND_AUDIT_SCHEMAS_A
    if ((AUDIT_TRAIL.STATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_schemas_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.STATE,"/")
          attribute := Append(attribute,"STATE","/")
      endif

    if ((AUDIT_TRAIL.ORACLE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_schemas_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ORACLE_ID,"/")
          attribute := Append(attribute,"ORACLE_ID","/")
      endif

    if ((AUDIT_TRAIL.APPLICATION_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_schemas_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.APPLICATION_ID,"/")
          attribute := Append(attribute,"APPLICATION_ID","/")
      endif

    ///table: FND_AUDIT_TABLES_A
    if ((AUDIT_TRAIL.STATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_tables_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.STATE,"/")
          attribute := Append(attribute,"STATE","/")
      endif

    ///table: FND_AUDIT_COLUMNS_A
    if ((AUDIT_TRAIL.STATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_columns_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.STATE,"/")
          attribute := Append(attribute,"STATE","/")
      endif

    if ((AUDIT_TRAIL.SEQUENCE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_audit_columns_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SEQUENCE_ID,"/")
          attribute := Append(attribute,"SEQUENCE_ID","/")
      endif

    ///table: ALR_ALERTS_A
    if ((AUDIT_TRAIL.MAINTAIN_HISTORY_DAYS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MAINTAIN_HISTORY_DAYS,"/")
          attribute := Append(attribute,"MAINTAIN_HISTORY_DAYS","/")
      endif

    if ((AUDIT_TRAIL.CHECK_TIME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CHECK_TIME,"/")
          attribute := Append(attribute,"CHECK_TIME","/")
      endif

    if ((AUDIT_TRAIL.CHECK_START_TIME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CHECK_START_TIME,"/")
          attribute := Append(attribute,"CHECK_START_TIME","/")
      endif

    if ((AUDIT_TRAIL.CHECK_END_TIME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CHECK_END_TIME,"/")
          attribute := Append(attribute,"CHECK_END_TIME","/")
      endif

    if ((AUDIT_TRAIL.SECONDS_BETWEEN_CHECKS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SECONDS_BETWEEN_CHECKS,"/")
          attribute := Append(attribute,"SECONDS_BETWEEN_CHECKS","/")
      endif

    if ((AUDIT_TRAIL.CHECK_ONCE_DAILY_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CHECK_ONCE_DAILY_FLAG,"/")
          attribute := Append(attribute,"CHECK_ONCE_DAILY_FLAG","/")
      endif

    if ((AUDIT_TRAIL.ALERT_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ALERT_NAME,"/")
          attribute := Append(attribute,"ALERT_NAME","/")
      endif

    if ((AUDIT_TRAIL.ALERT_CONDITION_TYPE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ALERT_CONDITION_TYPE,"/")
          attribute := Append(attribute,"ALERT_CONDITION_TYPE","/")
      endif

    if ((AUDIT_TRAIL.ENABLED_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENABLED_FLAG,"/")
          attribute := Append(attribute,"ENABLED_FLAG","/")
      endif

    if ((AUDIT_TRAIL.START_DATE_ACTIVE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.START_DATE_ACTIVE,"/")
          attribute := Append(attribute,"START_DATE_ACTIVE","/")
      endif

    if ((AUDIT_TRAIL.END_DATE_ACTIVE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.END_DATE_ACTIVE,"/")
          attribute := Append(attribute,"END_DATE_ACTIVE","/")
      endif

    if ((AUDIT_TRAIL.TABLE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.TABLE_ID,"/")
          attribute := Append(attribute,"TABLE_ID","/")
      endif

    if ((AUDIT_TRAIL.TABLE_APPLICATION_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.TABLE_APPLICATION_ID,"/")
          attribute := Append(attribute,"TABLE_APPLICATION_ID","/")
      endif

    if ((AUDIT_TRAIL.DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DESCRIPTION,"/")
          attribute := Append(attribute,"DESCRIPTION","/")
      endif

    if ((AUDIT_TRAIL.WEEKLY_CHECK_DAY ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.WEEKLY_CHECK_DAY,"/")
          attribute := Append(attribute,"WEEKLY_CHECK_DAY","/")
      endif

    if ((AUDIT_TRAIL.MONTHLY_CHECK_DAY_NUM ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MONTHLY_CHECK_DAY_NUM,"/")
          attribute := Append(attribute,"MONTHLY_CHECK_DAY_NUM","/")
      endif

    if ((AUDIT_TRAIL.DAYS_BETWEEN_CHECKS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DAYS_BETWEEN_CHECKS,"/")
          attribute := Append(attribute,"DAYS_BETWEEN_CHECKS","/")
      endif

    if ((AUDIT_TRAIL.CHECK_BEGIN_DATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CHECK_BEGIN_DATE,"/")
          attribute := Append(attribute,"CHECK_BEGIN_DATE","/")
      endif

    if ((AUDIT_TRAIL.DATE_LAST_CHECKED ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DATE_LAST_CHECKED,"/")
          attribute := Append(attribute,"DATE_LAST_CHECKED","/")
      endif

    if ((AUDIT_TRAIL.INSERT_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.INSERT_FLAG,"/")
          attribute := Append(attribute,"INSERT_FLAG","/")
      endif

    if ((AUDIT_TRAIL.UPDATE_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.UPDATE_FLAG,"/")
          attribute := Append(attribute,"UPDATE_FLAG","/")
      endif

    if ((AUDIT_TRAIL.DELETE_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DELETE_FLAG,"/")
          attribute := Append(attribute,"DELETE_FLAG","/")
      endif

    if ((AUDIT_TRAIL.DELETE_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DELETE_FLAG,"/")
          attribute := Append(attribute,"DELETE_FLAG","/")
      endif

    if ((AUDIT_TRAIL.ONE_TIME_ONLY_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ONE_TIME_ONLY_FLAG,"/")
          attribute := Append(attribute,"ONE_TIME_ONLY_FLAG","/")
      endif

    if ((AUDIT_TRAIL.TABLE_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.TABLE_NAME,"/")
          attribute := Append(attribute,"TABLE_NAME","/")
      endif

    if ((AUDIT_TRAIL.SECURITY_GROUP_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SECURITY_GROUP_ID,"/")
          attribute := Append(attribute,"SECURITY_GROUP_ID","/")
      endif

    if ((AUDIT_TRAIL.SQL_STATEMENT_TEXT ne null) and (AUDIT_TRAIL.oraapp_table_name eq "alr_alerts_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SQL_STATEMENT_TEXT,"/")
          attribute := Append(attribute,"SQL_STATEMENT_TEXT","/")
      endif

    ///table: FND_ORACLE_USERID_A
    if ((AUDIT_TRAIL.ENABLED_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_oracle_userid_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENABLED_FLAG,"/")
          attribute := Append(attribute,"ENABLED_FLAG","/")
      endif 

    if ((AUDIT_TRAIL.CONCURRENT_BATCH_QUEUE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_oracle_userid_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CONCURRENT_BATCH_QUEUE_ID,"/")
          attribute := Append(attribute,"CONCURRENT_BATCH_QUEUE_ID","/")
      endif

    if ((AUDIT_TRAIL.DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_oracle_userid_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DESCRIPTION,"/")
          attribute := Append(attribute,"DESCRIPTION","/")
      endif

    if ((AUDIT_TRAIL.ORACLE_USERNAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_oracle_userid_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ORACLE_USERNAME,"/")
          attribute := Append(attribute,"ORACLE_USERNAME","/")
      endif

    if ((AUDIT_TRAIL.READ_ONLY_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_oracle_userid_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.READ_ONLY_FLAG,"/")
          attribute := Append(attribute,"READ_ONLY_FLAG","/")
      endif

    if ((AUDIT_TRAIL.ENCRYPTED_ORACLE_PASSWORD ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_oracle_userid_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENCRYPTED_ORACLE_PASSWORD,"/")
          attribute := Append(attribute,"ENCRYPTED_ORACLE_PASSWORD","/")
      endif

    if ((AUDIT_TRAIL.INSTALL_GROUP_NUM ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_oracle_userid_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.INSTALL_GROUP_NUM,"/")
          attribute := Append(attribute,"INSTALL_GROUP_NUM","/")
      endif

    ///table: FND_USER_A
    if ((AUDIT_TRAIL.LAST_LOGON_DATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.LAST_LOGON_DATE,"/")
          attribute := Append(attribute,"LAST_LOGON_DATE","/")
      endif 

    if ((AUDIT_TRAIL.ENCRYPTED_USER_PASSWORD ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENCRYPTED_USER_PASSWORD,"/")
          attribute := Append(attribute,"ENCRYPTED_USER_PASSWORD","/")
      endif 

    if ((AUDIT_TRAIL.DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DESCRIPTION,"/")
          attribute := Append(attribute,"DESCRIPTION","/")
      endif 

    if ((AUDIT_TRAIL.END_DATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.END_DATE,"/")
          attribute := Append(attribute,"END_DATE","/")
      endif 

    if ((AUDIT_TRAIL.START_DATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.START_DATE,"/")
          attribute := Append(attribute,"START_DATE","/")
      endif 

    if ((AUDIT_TRAIL.PASSWORD_ACCESSES_LEFT ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PASSWORD_ACCESSES_LEFT,"/")
          attribute := Append(attribute,"PASSWORD_ACCESSES_LEFT","/")
      endif 

    if ((AUDIT_TRAIL.PASSWORD_DATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PASSWORD_DATE,"/")
          attribute := Append(attribute,"PASSWORD_DATE","/")
      endif 

    if ((AUDIT_TRAIL.PASSWORD_LIFESPAN_ACCESSES ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PASSWORD_LIFESPAN_ACCESSES,"/")
          attribute := Append(attribute,"PASSWORD_LIFESPAN_ACCESSES","/")
      endif 

    if ((AUDIT_TRAIL.PASSWORD_LIFESPAN_DAYS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PASSWORD_LIFESPAN_DAYS,"/")
          attribute := Append(attribute,"PASSWORD_LIFESPAN_DAYS","/")
      endif 

    if ((AUDIT_TRAIL.ENCRYPTED_FOUNDATION_PASSWORD ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENCRYPTED_FOUNDATION_PASSWORD,"/")
          attribute := Append(attribute,"ENCRYPTED_FOUNDATION_PASSWORD","/")
      endif   

    if ((AUDIT_TRAIL.USER_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.USER_NAME,"/")
          attribute := Append(attribute,"USER_NAME","/")
      endif   

    if ((AUDIT_TRAIL.SESSION_NUMBER ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SESSION_NUMBER,"/")
          attribute := Append(attribute,"SESSION_NUMBER","/")
      endif   

    if ((AUDIT_TRAIL.EMPLOYEE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EMPLOYEE_ID,"/")
          attribute := Append(attribute,"EMPLOYEE_ID","/")
      endif   

    if ((AUDIT_TRAIL.EMAIL_ADDRESS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EMAIL_ADDRESS,"/")
          attribute := Append(attribute,"EMAIL_ADDRESS","/")
      endif

    if ((AUDIT_TRAIL.FAX ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.FAX,"/")
          attribute := Append(attribute,"FAX","/")
      endif

    if ((AUDIT_TRAIL.CUSTOMER_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CUSTOMER_ID,"/")
          attribute := Append(attribute,"CUSTOMER_ID","/")
      endif

    if ((AUDIT_TRAIL.SUPPLIER_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SUPPLIER_ID,"/")
          attribute := Append(attribute,"SUPPLIER_ID","/")
      endif

    if ((AUDIT_TRAIL.WEB_PASSWORD ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.WEB_PASSWORD,"/")
          attribute := Append(attribute,"WEB_PASSWORD","/")
      endif

    if ((AUDIT_TRAIL.GCN_CODE_COMBINATION_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.GCN_CODE_COMBINATION_ID,"/")
          attribute := Append(attribute,"GCN_CODE_COMBINATION_ID","/")
      endif

    if ((AUDIT_TRAIL.PERSON_PARTY_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PERSON_PARTY_ID,"/")
          attribute := Append(attribute,"PERSON_PARTY_ID","/")
      endif

    if ((AUDIT_TRAIL.USER_GUID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.USER_GUID,"/")
          attribute := Append(attribute,"USER_GUID","/")
      endif

    ///table: FND_FORM_FUNCTIONS_A
    if ((AUDIT_TRAIL.FUNCTION_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.FUNCTION_NAME,"/")
          attribute := Append(attribute,"FUNCTION_NAME","/")
      endif

    if ((AUDIT_TRAIL.APPLICATION_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.APPLICATION_ID,"/")
          attribute := Append(attribute,"APPLICATION_ID","/")
      endif

    if ((AUDIT_TRAIL.FORM_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.FORM_ID,"/")
          attribute := Append(attribute,"FORM_ID","/")
      endif

    if ((AUDIT_TRAIL.PARAMETERS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PARAMETERS,"/")
          attribute := Append(attribute,"PARAMETERS","/")
      endif

    if ((AUDIT_TRAIL.TYPE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.TYPE,"/")
          attribute := Append(attribute,"TYPE","/")
      endif

    if ((AUDIT_TRAIL.WEB_HOST_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.WEB_HOST_NAME,"/")
          attribute := Append(attribute,"WEB_HOST_NAME","/")
      endif

    if ((AUDIT_TRAIL.WEB_AGENT_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.WEB_AGENT_NAME,"/")
          attribute := Append(attribute,"WEB_AGENT_NAME","/")
      endif

    if ((AUDIT_TRAIL.WEB_HTML_CALL ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.WEB_HTML_CALL,"/")
          attribute := Append(attribute,"WEB_HTML_CALL","/")
      endif

    if ((AUDIT_TRAIL.WEB_ENCRYPT_PARAMETERS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.WEB_ENCRYPT_PARAMETERS,"/")
          attribute := Append(attribute,"WEB_ENCRYPT_PARAMETERS","/")
      endif

    if ((AUDIT_TRAIL.WEB_SECURED ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.WEB_SECURED,"/")
          attribute := Append(attribute,"WEB_SECURED","/")
      endif

    if ((AUDIT_TRAIL.WEB_ICON ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.WEB_ICON,"/")
          attribute := Append(attribute,"WEB_ICON","/")
      endif

    if ((AUDIT_TRAIL.CONTEXT_DEPENDENCE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CONTEXT_DEPENDENCE,"/")
          attribute := Append(attribute,"CONTEXT_DEPENDENCE","/")
      endif

    if ((AUDIT_TRAIL.MAINTENANCE_MODE_SUPPORT ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MAINTENANCE_MODE_SUPPORT,"/")
          attribute := Append(attribute,"MAINTENANCE_MODE_SUPPORT","/")
      endif

    if ((AUDIT_TRAIL.OBJECT_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.OBJECT_ID,"/")
          attribute := Append(attribute,"OBJECT_ID","/")
      endif

    if ((AUDIT_TRAIL.REGION_APPLICATION_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REGION_APPLICATION_ID,"/")
          attribute := Append(attribute,"REGION_APPLICATION_ID","/")
      endif

    if ((AUDIT_TRAIL.REGION_CODE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REGION_CODE,"/")
          attribute := Append(attribute,"REGION_CODE","/")
      endif

    if ((AUDIT_TRAIL.JRAD_REF_PATH ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.JRAD_REF_PATH,"/")
          attribute := Append(attribute,"JRAD_REF_PATH","/")
      endif

    if ((AUDIT_TRAIL.IREP_ASSOC_FUNCTION_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IREP_ASSOC_FUNCTION_NAME,"/")
          attribute := Append(attribute,"IREP_ASSOC_FUNCTION_NAME","/")
      endif

    if ((AUDIT_TRAIL.IREP_CLASS_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IREP_CLASS_ID,"/")
          attribute := Append(attribute,"IREP_CLASS_ID","/")
      endif

    if ((AUDIT_TRAIL.IREP_COMPATIBILITY ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IREP_COMPATIBILITY,"/")
          attribute := Append(attribute,"IREP_COMPATIBILITY","/")
      endif

    if ((AUDIT_TRAIL.IREP_DIRECTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IREP_DIRECTION,"/")
          attribute := Append(attribute,"IREP_DIRECTION","/")
      endif

    if ((AUDIT_TRAIL.IREP_LIFECYCLE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IREP_LIFECYCLE,"/")
          attribute := Append(attribute,"IREP_LIFECYCLE","/")
      endif

    if ((AUDIT_TRAIL.IREP_METHOD_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IREP_METHOD_NAME,"/")
          attribute := Append(attribute,"IREP_METHOD_NAME","/")
      endif

    if ((AUDIT_TRAIL.IREP_OVERLOAD_SEQUENCE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IREP_OVERLOAD_SEQUENCE,"/")
          attribute := Append(attribute,"IREP_OVERLOAD_SEQUENCE","/")
      endif

    if ((AUDIT_TRAIL.IREP_SCOPE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IREP_SCOPE,"/")
          attribute := Append(attribute,"IREP_SCOPE","/")
      endif

    if ((AUDIT_TRAIL.IREP_SYNCHRO ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,IREP_SYNCHRO.IREP_SCOPE,"/")
          attribute := Append(attribute,"IREP_SYNCHRO","/")
      endif

    if ((AUDIT_TRAIL.IREP_SCHEMA_VALIDATION_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,IREP_SYNCHRO.IREP_SCHEMA_VALIDATION_FLAG,"/")
          attribute := Append(attribute,"IREP_SCHEMA_VALIDATION_FLAG","/")
      endif

    if ((AUDIT_TRAIL.IREP_DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,IREP_SYNCHRO.IREP_DESCRIPTION,"/")
          attribute := Append(attribute,"IREP_DESCRIPTION","/")
      endif

    if ((AUDIT_TRAIL.IREP_INBOUND_XML_DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,IREP_SYNCHRO.IREP_INBOUND_XML_DESCRIPTION,"/")
          attribute := Append(attribute,"IREP_INBOUND_XML_DESCRIPTION","/")
      endif

    if ((AUDIT_TRAIL.IREP_OUTBOUND_XML_DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_form_functions_a"))
      then
          oldvalue := Append(oldvalue,IREP_SYNCHRO.IREP_OUTBOUND_XML_DESCRIPTION,"/")
          attribute := Append(attribute,"IREP_OUTBOUND_XML_DESCRIPTION","/")
      endif

    ///table: FND_MENUS_A
    if ((AUDIT_TRAIL.MENU_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_menus_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MENU_NAME,"/")
          attribute := Append(attribute,"MENU_NAME","/")
      endif   

    if ((AUDIT_TRAIL.TYPE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_menus_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.TYPE,"/")
          attribute := Append(attribute,"TYPE","/")
      endif

    ///table: FND_MENU_ENTRIES_A
    if ((AUDIT_TRAIL.FUNCTION_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_menu_entries_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.FUNCTION_ID,"/")
          attribute := Append(attribute,"FUNCTION_ID","/")
      endif

    if ((AUDIT_TRAIL.SUB_MENU_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_menu_entries_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SUB_MENU_ID,"/")
          attribute := Append(attribute,"SUB_MENU_ID","/")
      endif

    if ((AUDIT_TRAIL.GRANT_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_menu_entries_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.GRANT_FLAG,"/")
          attribute := Append(attribute,"GRANT_FLAG","/")
      endif

    ///table: FND_REQUEST_GROUPS_A
    if ((AUDIT_TRAIL.REQUEST_GROUP_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_request_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REQUEST_GROUP_NAME,"/")
          attribute := Append(attribute,"REQUEST_GROUP_NAME","/")
      endif

    if ((AUDIT_TRAIL.DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_request_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DESCRIPTION,"/")
          attribute := Append(attribute,"DESCRIPTION","/")
      endif

    if ((AUDIT_TRAIL.REQUEST_GROUP_CODE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_request_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REQUEST_GROUP_CODE,"/")
          attribute := Append(attribute,"REQUEST_GROUP_CODE","/")
      endif

    ///table: FND_ENABLED_PLSQL_A
    if ((AUDIT_TRAIL.ENABLED ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_enabled_plsql_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENABLED,"/")
          attribute := Append(attribute,"ENABLED","/")
      endif

    if ((AUDIT_TRAIL.EXTERNAL ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_enabled_plsql_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXTERNAL,"/")
          attribute := Append(attribute,"EXTERNAL","/")
      endif

    ///table: FND_CONCURRENT_PROGRAMS_A
    if ((AUDIT_TRAIL.CONCURRENT_CLASS_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CONCURRENT_CLASS_ID,"/")
          attribute := Append(attribute,"CONCURRENT_CLASS_ID","/")
      endif

    if ((AUDIT_TRAIL.CLASS_APPLICATION_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CLASS_APPLICATION_ID,"/")
          attribute := Append(attribute,"CLASS_APPLICATION_ID","/")
      endif

    if ((AUDIT_TRAIL.ENABLED_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENABLED_FLAG,"/")
          attribute := Append(attribute,"ENABLED_FLAG","/")
      endif

    if ((AUDIT_TRAIL.RUN_ALONE_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.RUN_ALONE_FLAG,"/")
          attribute := Append(attribute,"RUN_ALONE_FLAG","/")
      endif

    if ((AUDIT_TRAIL.QUEUE_CONTROL_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.QUEUE_CONTROL_FLAG,"/")
          attribute := Append(attribute,"QUEUE_CONTROL_FLAG","/")
      endif

    if ((AUDIT_TRAIL.ARGUMENT_METHOD_CODE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ARGUMENT_METHOD_CODE,"/")
          attribute := Append(attribute,"ARGUMENT_METHOD_CODE","/")
      endif

    if ((AUDIT_TRAIL.QUEUE_METHOD_CODE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.QUEUE_METHOD_CODE,"/")
          attribute := Append(attribute,"QUEUE_METHOD_CODE","/")
      endif

    if ((AUDIT_TRAIL.EXECUTION_METHOD_CODE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXECUTION_METHOD_CODE,"/")
          attribute := Append(attribute,"EXECUTION_METHOD_CODE","/")
      endif

    if ((AUDIT_TRAIL.CONCURRENT_PROGRAM_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CONCURRENT_PROGRAM_NAME,"/")
          attribute := Append(attribute,"CONCURRENT_PROGRAM_NAME","/")
      endif

    if ((AUDIT_TRAIL.EXECUTION_OPTIONS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXECUTION_OPTIONS,"/")
          attribute := Append(attribute,"EXECUTION_OPTIONS","/")
      endif

    if ((AUDIT_TRAIL.OUTPUT_PRINT_STYLE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.OUTPUT_PRINT_STYLE,"/")
          attribute := Append(attribute,"OUTPUT_PRINT_STYLE","/")
      endif

    if ((AUDIT_TRAIL.PRINT_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PRINT_FLAG,"/")
          attribute := Append(attribute,"PRINT_FLAG","/")
      endif

    if ((AUDIT_TRAIL.SRS_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SRS_FLAG,"/")
          attribute := Append(attribute,"SRS_FLAG","/")
      endif

    if ((AUDIT_TRAIL.REQUIRED_STYLE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REQUIRED_STYLE,"/")
          attribute := Append(attribute,"REQUIRED_STYLE","/")
      endif

    if ((AUDIT_TRAIL.SAVE_OUTPUT_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SAVE_OUTPUT_FLAG,"/")
          attribute := Append(attribute,"SAVE_OUTPUT_FLAG","/")
      endif

    if ((AUDIT_TRAIL.PRINTER_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PRINTER_NAME,"/")
          attribute := Append(attribute,"PRINTER_NAME","/")
      endif

    if ((AUDIT_TRAIL.MINIMUM_WIDTH ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MINIMUM_WIDTH,"/")
          attribute := Append(attribute,"MINIMUM_WIDTH","/")
      endif

    if ((AUDIT_TRAIL.MINIMUM_LENGTH ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MINIMUM_LENGTH,"/")
          attribute := Append(attribute,"MINIMUM_LENGTH","/")
      endif

    if ((AUDIT_TRAIL.EXECUTABLE_APPLICATION_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXECUTABLE_APPLICATION_ID,"/")
          attribute := Append(attribute,"EXECUTABLE_APPLICATION_ID","/")
      endif

    if ((AUDIT_TRAIL.EXECUTABLE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXECUTABLE_ID,"/")
          attribute := Append(attribute,"EXECUTABLE_ID","/")
      endif

    if ((AUDIT_TRAIL.REQUEST_SET_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REQUEST_SET_FLAG,"/")
          attribute := Append(attribute,"REQUEST_SET_FLAG","/")
      endif

    if ((AUDIT_TRAIL.REQUEST_PRIORITY ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REQUEST_PRIORITY,"/")
          attribute := Append(attribute,"REQUEST_PRIORITY","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE1 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE1,"/")
          attribute := Append(attribute,"ATTRIBUTE1","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE2 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE2,"/")
          attribute := Append(attribute,"ATTRIBUTE2","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE3 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE3,"/")
          attribute := Append(attribute,"ATTRIBUTE3","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE4 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE4,"/")
          attribute := Append(attribute,"ATTRIBUTE4","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE5 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE5,"/")
          attribute := Append(attribute,"ATTRIBUTE5","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE6 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE6,"/")
          attribute := Append(attribute,"ATTRIBUTE6","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE7 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE7,"/")
          attribute := Append(attribute,"ATTRIBUTE7","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE8 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE8,"/")
          attribute := Append(attribute,"ATTRIBUTE8","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE9 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE9,"/")
          attribute := Append(attribute,"ATTRIBUTE9","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE10 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE10,"/")
          attribute := Append(attribute,"ATTRIBUTE10","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE11 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE11,"/")
          attribute := Append(attribute,"ATTRIBUTE11","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE12 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE12,"/")
          attribute := Append(attribute,"ATTRIBUTE12","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE13 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE13,"/")
          attribute := Append(attribute,"ATTRIBUTE13","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE14 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE14,"/")
          attribute := Append(attribute,"ATTRIBUTE14","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE15 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE15,"/")
          attribute := Append(attribute,"ATTRIBUTE15","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE16 ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE16,"/")
          attribute := Append(attribute,"ATTRIBUTE16","/")
      endif

    if ((AUDIT_TRAIL.ATTRIBUTE_CATEGORY ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ATTRIBUTE_CATEGORY,"/")
          attribute := Append(attribute,"ATTRIBUTE_CATEGORY","/")
      endif

    if ((AUDIT_TRAIL.IPROG_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.IPROG_ID,"/")
          attribute := Append(attribute,"IPROG_ID","/")
      endif

    if ((AUDIT_TRAIL.RESTART ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.RESTART,"/")
          attribute := Append(attribute,"RESTART","/")
      endif

    if ((AUDIT_TRAIL.NLS_COMPLIANT ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.NLS_COMPLIANT,"/")
          attribute := Append(attribute,"NLS_COMPLIANT","/")
      endif

    if ((AUDIT_TRAIL.ICON_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ICON_NAME,"/")
          attribute := Append(attribute,"ICON_NAME","/")
      endif

    if ((AUDIT_TRAIL.OUTPUT_FILE_TYPE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.OUTPUT_FILE_TYPE,"/")
          attribute := Append(attribute,"OUTPUT_FILE_TYPE","/")
      endif

    if ((AUDIT_TRAIL.ENABLE_TRACE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENABLE_TRACE,"/")
          attribute := Append(attribute,"ENABLE_TRACE","/")
      endif

    if ((AUDIT_TRAIL.CD_PARAMETER ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CD_PARAMETER,"/")
          attribute := Append(attribute,"CD_PARAMETER","/")
      endif

    if ((AUDIT_TRAIL.INCREMENT_PROC ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.INCREMENT_PROC,"/")
          attribute := Append(attribute,"INCREMENT_PROC","/")
      endif

    if ((AUDIT_TRAIL.MLS_EXECUTABLE_APP_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MLS_EXECUTABLE_APP_ID,"/")
          attribute := Append(attribute,"MLS_EXECUTABLE_APP_ID","/")
      endif

    if ((AUDIT_TRAIL.MLS_EXECUTABLE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MLS_EXECUTABLE_ID,"/")
          attribute := Append(attribute,"MLS_EXECUTABLE_ID","/")
      endif

    if ((AUDIT_TRAIL.ENABLE_TIME_STATISTICS ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ENABLE_TIME_STATISTICS,"/")
          attribute := Append(attribute,"ENABLE_TIME_STATISTICS","/")
      endif

    if ((AUDIT_TRAIL.SECURITY_GROUP_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SECURITY_GROUP_ID,"/")
          attribute := Append(attribute,"SECURITY_GROUP_ID","/")
      endif

    if ((AUDIT_TRAIL.STAT_COLLECT ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.STAT_COLLECT,"/")
          attribute := Append(attribute,"STAT_COLLECT","/")
      endif

    if ((AUDIT_TRAIL.RESOURCE_CONSUMER_GROUP ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.RESOURCE_CONSUMER_GROUP,"/")
          attribute := Append(attribute,"RESOURCE_CONSUMER_GROUP","/")
      endif

    if ((AUDIT_TRAIL.ROLLBACK_SEGMENT ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ROLLBACK_SEGMENT,"/")
          attribute := Append(attribute,"ROLLBACK_SEGMENT","/")
      endif

    if ((AUDIT_TRAIL.OPTIMIZER_MODE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.OPTIMIZER_MODE,"/")
          attribute := Append(attribute,"OPTIMIZER_MODE","/")
      endif

    if ((AUDIT_TRAIL.INSTANCE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.INSTANCE_ID,"/")
          attribute := Append(attribute,"INSTANCE_ID","/")
      endif

    if ((AUDIT_TRAIL.ACTIVITY_SUMMARIZER ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ACTIVITY_SUMMARIZER,"/")
          attribute := Append(attribute,"ACTIVITY_SUMMARIZER","/")
      endif

    if ((AUDIT_TRAIL.PROGRAM_TYPE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.PROGRAM_TYPE,"/")
          attribute := Append(attribute,"PROGRAM_TYPE","/")
      endif

    if ((AUDIT_TRAIL.REFRESH_PORTLET ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REFRESH_PORTLET,"/")
          attribute := Append(attribute,"REFRESH_PORTLET","/")
      endif

    if ((AUDIT_TRAIL.REQUEST_SCH_INTERVAL ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.REQUEST_SCH_INTERVAL,"/")
          attribute := Append(attribute,"REQUEST_SCH_INTERVAL","/")
      endif

    if ((AUDIT_TRAIL.ALLOW_MULTIPLE_PENDING_REQUEST ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ALLOW_MULTIPLE_PENDING_REQUEST,"/")
          attribute := Append(attribute,"ALLOW_MULTIPLE_PENDING_REQUEST","/")
      endif

    if ((AUDIT_TRAIL.DELETE_LOG_FILE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DELETE_LOG_FILE,"/")
          attribute := Append(attribute,"DELETE_LOG_FILE","/")
      endif

    if ((AUDIT_TRAIL.MULTI_ORG_CATEGORY ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.MULTI_ORG_CATEGORY,"/")
          attribute := Append(attribute,"MULTI_ORG_CATEGORY","/")
      endif

    if ((AUDIT_TRAIL.TEMPLATE_APPL_SHORT_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.TEMPLATE_APPL_SHORT_NAME,"/")
          attribute := Append(attribute,"TEMPLATE_APPL_SHORT_NAME","/")
      endif

    if ((AUDIT_TRAIL.TEMPLATE_CODE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_concurrent_programs_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.TEMPLATE_CODE,"/")
          attribute := Append(attribute,"TEMPLATE_CODE","/")
      endif

    ///table: FND_EXECUTABLES_A
    if ((AUDIT_TRAIL.EXECUTABLE_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_executables_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXECUTABLE_NAME,"/")
          attribute := Append(attribute,"EXECUTABLE_NAME","/")
      endif

    if ((AUDIT_TRAIL.EXECUTION_METHOD_CODE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_executables_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXECUTION_METHOD_CODE,"/")
          attribute := Append(attribute,"EXECUTION_METHOD_CODE","/")
      endif

    if ((AUDIT_TRAIL.EXECUTION_FILE_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_executables_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXECUTION_FILE_NAME,"/")
          attribute := Append(attribute,"EXECUTION_FILE_NAME","/")
      endif

    if ((AUDIT_TRAIL.SUBROUTINE_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_executables_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.SUBROUTINE_NAME,"/")
          attribute := Append(attribute,"SUBROUTINE_NAME","/")
      endif

    if ((AUDIT_TRAIL.ICON_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_executables_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ICON_NAME,"/")
          attribute := Append(attribute,"ICON_NAME","/")
      endif

    if ((AUDIT_TRAIL.EXECUTION_FILE_PATH ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_executables_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.EXECUTION_FILE_PATH,"/")
          attribute := Append(attribute,"EXECUTION_FILE_PATH","/")
      endif

    ///table: FND_DATA_GROUPS_A
    if ((AUDIT_TRAIL.DATA_GROUP_NAME ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_data_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DATA_GROUP_NAME,"/")
          attribute := Append(attribute,"DATA_GROUP_NAME","/")
      endif

    if ((AUDIT_TRAIL.DEFAULT_GROUP_FLAG ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_data_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DEFAULT_GROUP_FLAG,"/")
          attribute := Append(attribute,"DEFAULT_GROUP_FLAG","/")
      endif

    if ((AUDIT_TRAIL.DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_data_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DESCRIPTION,"/")
          attribute := Append(attribute,"DESCRIPTION","/")
      endif

    ///table: FND_DATA_GROUP_UNITS_A
    if ((AUDIT_TRAIL.ORACLE_ID ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_data_group_units_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.ORACLE_ID,"/")
          attribute := Append(attribute,"ORACLE_ID","/")
      endif

    if ((AUDIT_TRAIL.DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_data_group_units_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DESCRIPTION,"/")
          attribute := Append(attribute,"DESCRIPTION","/")
      endif

    ///table: FND_USER_RESP_GROUPS_A
    if ((AUDIT_TRAIL.START_DATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_resp_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.START_DATE,"/")
          attribute := Append(attribute,"START_DATE","/")
      endif

    if ((AUDIT_TRAIL.END_DATE ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_resp_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.END_DATE,"/")
          attribute := Append(attribute,"END_DATE","/")
      endif

    if ((AUDIT_TRAIL.DESCRIPTION ne null) and (AUDIT_TRAIL.oraapp_table_name eq "fnd_user_resp_groups_a"))
      then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.DESCRIPTION,"/")
          attribute := Append(attribute,"DESCRIPTION","/")
      endif

    ///Standatr Who columns
    if (AUDIT_TRAIL.LAST_UPDATE_DATE ne null)
    then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.LAST_UPDATE_DATE,"/")
          attribute := Append(attribute,"LAST_UPDATE_DATE","/")
      endif

    if (AUDIT_TRAIL.LAST_UPDATED_BY ne null)
    then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.LAST_UPDATED_BY,"/")
          attribute := Append(attribute,"LAST_UPDATED_BY","/")
      endif

    if (AUDIT_TRAIL.LAST_UPDATE_LOGIN ne null)
    then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.LAST_UPDATE_LOGIN,"/")
          attribute := Append(attribute,"LAST_UPDATE_LOGIN","/")
      endif

    if (AUDIT_TRAIL.CREATED_BY ne null)
    then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CREATED_BY,"/")
          attribute := Append(attribute,"CREATED_BY","/")
      endif

    if (AUDIT_TRAIL.CREATION_DATE ne null)
    then
          oldvalue := Append(oldvalue,AUDIT_TRAIL.CREATION_DATE,"/")
          attribute := Append(attribute,"CREATION_DATE","/")
      endif

    attribute := Trim(RegexReplace(attribute, "(/)$", ""),"Unavailable")
    oldvalue := Trim(RegexReplace(oldvalue, "(/)$", ""),"Unavailable")

  endif

  ///When
  eventtimestamp := AUDIT_TRAIL.datetime

  chunk := AUDIT_TRAIL
  event := GetEvent(EventDetailRefKey)

endstate
