/// oracle_fga.src.gml - Licensed Materials ­ Property of IBM
/// oracle_fga.src.gml - 5724-S67
/// oracle_fga.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// oracle_fga.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// oraclefga.gml

key PlatformRefKey(platformtype,platformname)
key ObjectRefKey(objecttype,objectpath,objectname)
key StreamRefKey(description)
key SourceRefKey(realname,logonname)
key OriginRefKey(platformtype,platformname)
key TargetRefKey(platformtype,platformname)
key EventDetailKey(sessionid,entryid,SCN,description,os_user_name,db_user_name)

initial final state FGA
  platformname := GetChunkProperty(FGA,"SystemName")
  if( (platformname eq null) or (platformname eq "NULL")
      or (platformname eq ""))
  then
     platformname := "Oracle Server"
  endif
  platformtype := "Oracle FGA"
  platform     := GetPlatform(PlatformRefKey)
  OSUserAsLogonname := GetIniProperty("OSUserAsLogonname", "0")

  if( (FGA.eclass ne null) and (FGA.eclass ne "NULL")
      and (FGA.eclass ne "")) then
     eventclass := FGA.eclass
  else
     eventclass := "Unavailable"
  endif

  eventmainclass := "Trigger"
  successclass   := "Success"
  objecttype     := "DATABASETRIGGER"

  if( (FGA.objectname ne null) and (FGA.objectname ne "NULL")
      and (FGA.objectname ne "")) then
     objectname := FGA.objectname
  else
     objectname := "Unavailable"
  endif

  if( (FGA.objectpath ne null) and (FGA.objectpath ne "NULL")
      and (FGA.objectpath ne "")) then
     objectpath := FGA.objectpath
  else
     objectpath := "Unavailable"
  endif

  object := GetObject(ObjectRefKey)		

  description := FGA.sessionid
  stream := GetStream (StreamRefKey)

  OSName := Trim(FGA.realname,"Unavailable")
  DBName := Trim(FGA.logonname,"Unavailable")

  os_user_name := OSName
  db_user_name := DBName

  if (OSUserAsLogonname ne "1") then
    logonname:=DBName
  else
    logonname:=OSName
  endif

  realname:=logonname

  source := GetSource(SourceRefKey)
  target := GetTarget(TargetRefKey)

  if( (FGA.fwplatformname ne null) and (FGA.fwplatformname ne "NULL")
      and (FGA.fwplatformname ne "")) then
     platformname := FGA.fwplatformname
  else
     platformname := "Unavailable"
  endif
  platformtype := "Oracle Client"
  origin := GetOrigin(OriginRefKey)	

  eventtimestamp    := FGA.eventtime
  platformeventtime := FGA.eventtime
  sessionid   := FGA.sessionid
  entryid     := FGA.entryid
  SCN         := FGA.SCN
  description := FGA.description
  chunk       := FGA
  event       := GetEvent(EventDetailKey)
endstate
