/// oracledat.src.gml - Licensed Materials ­ Property of IBM
/// oracledat.src.gml - 5724-S67
/// oracledat.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// oracledat.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectname,objectpath)
key OriginRefKey(platformname,platformtype) 
key PlatformRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailRefKey(description)

initial final state oracledat

  eventclass     := oracledat.eclass
  eventmainclass := oracledat.emainclass

  case oracledat.successclass of
    "0":  successclass := "Success"
    otherwise
          successclass := "Failure"
  endcase

  if oracledat.id eq "122" then
    successclass := "Info"
  endif

  objecttype := oracledat.objecttype

  sshES := Trim(GetChunkProperty(oracledat,"SSHKeyFile"),"")
  if sshES eq ""
  then
    objectpath := Lowercase(Trim(GetChunkProperty(oracledat,"Option1"),"-"))
  else
    objectpath := Lowercase(Trim(GetChunkProperty(oracledat,"Option2"),"-"))
  endif

  objectname    := Trim(Lowercase(oracledat.objectname),"Unavailable")

  if objecttype eq "DATABASE"
  then
	objectname := objectpath
    objectpath := "-"  
  endif

  description   := Trim(oracledat.description,Trim(oracledat.event_description,"Unavailable"))
  id            := oracledat.id
  object        := GetObject(ObjectRefKey)

  platformtype  := "Host"
  platformname  := Trim(Lowercase(oracledat.fromwhere),Trim(Lowercase(oracledat.terminal),"Unavailable"))
  origin        := GetOrigin(OriginRefKey)

  platformtype  := "Oracle"
  platformname  := Trim(Lowercase(GetChunkProperty(oracledat,"SystemName")),"Unavailable")
  platform      := GetPlatform(PlatformRefKey)

  platformtype  := "Oracle"
  platformname  := Trim(Lowercase(GetChunkProperty(oracledat,"SystemName")),"Unavailable")
  target        := GetTarget(TargetRefKey)

  logonname     := Trim(Lowercase(oracledat.name),"Unavailable")
  realname      := logonname
  source        := GetSource(SourceRefKey)

  if oracledat.description ne "" then
    description	:= oracledat.description
  endif

  stream        := GetStream(StreamRefKey)

  chunk         := oracledat
  eventtimestamp:= oracledat.platformeventtime
  event         := GetEvent(EventDetailRefKey)

endstate
