/// rsamanager.src.gml - Licensed Materials ­ Property of IBM
/// rsamanager.src.gml - 5724-S67
/// rsamanager.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// rsamanager.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// rsamanager.gml 

key PlatformRefKey(platformtype, platformname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key EventDetailKey(eventtimestamp, recordtype, reason, description, tokennumber)

initial final state Init

  eventmainclass := Init.eventmainclass
  eventclass     := Init.eventclass
  successclass   := Init.successclass

  objecttype := Trim(Init.objecttype, "Unknown")
  objectname := Trim(Init.objectname, "Unknown")
  objectpath := "."
  object     := GetObject(ObjectRefKey)

  origplatformname   := Trim(Init.platformname,"-")
  if (origplatformname eq "-") then
    origplatformname := GetChunkProperty(Init, "platformname")
  endif
  origplatformtype   := Init.platformeventtype

  platformname := origplatformname
  platformtype := origplatformtype
  platform     := GetPlatform(PlatformRefKey)

  description := Trim(Init.description, "No description")
  stream      := GetStream(StreamRefKey)

  logonname := Trim(Init.logonname, "System")
  realname  := Trim(Init.realname, logonname)
  source    := GetSource(SourceRefKey)

  platformname := Trim(Init.platformnameFrom, origplatformname)
  platformtype := "RSA Client"
  origin       := GetOrigin(OriginRefKey)

  platformname := Trim(Init.platformnameTo, origplatformname)
  platformtype := Init.platformeventtype
  target       := GetTarget(TargetRefKey)

  chunk := Init
  recordtype     := Init.eventid
  eventtimestamp := Init.platformeventtime
  if( Init.reason ne "") then
    reason       := Init.reason
  endif
  description    := Init.description

  show_token_number := NormalizeString(GetIniProperty("SHOW_TOKEN_NUMBER", "No"))
  if ((show_token_number eq "Yes") and (Init.tokennumber ne "") and (Init.tokennumber ne null)) then 
    tokennumber := Init.tokennumber 
  endif

  event := GetEvent(EventDetailKey)

endstate
