/// sapjs.src.gml - Licensed Materials ­ Property of IBM
/// sapjs.src.gml - 5724-S67
/// sapjs.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// sapjs.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(logonname, realname)
key SourceAspectRefKey(hostname, instancename)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKey(eventid, reason, privilege, objectfocus, message, attribute, origtype)

initial final state NetWeaver
  (eventmainclass ne "Unavailable")

  platformtype := "SAP NetWeaver AS Java"
  if Trim(GetChunkProperty(NetWeaver, "_hostname"), "null") ne "null" then
    hostname := GetChunkProperty(NetWeaver, "_hostname")
  endif
  if Trim(GetChunkProperty(NetWeaver, "_instancename"), "null") ne "null" then
    instancename := GetChunkProperty(NetWeaver, "_instancename")
  else
    if Trim(GetChunkProperty(NetWeaver, "MapperOption1"), "null") ne "null" then
        instancename := GetChunkProperty(NetWeaver, "MapperOption1")
    endif
  endif

  if Trim(instancename, "null") ne "null" then
    platformname := Append(GetChunkProperty(NetWeaver, "SystemName"),"-",instancename)
  else
    platformname := GetChunkProperty(NetWeaver, "SystemName")
  endif

  platform := GetPlatform(PlatformRefKey)

  if Trim(NetWeaver.objectname, "null") ne "null" then
     objectname := NetWeaver.objectname
  else
     objectname := platformname
  endif
  if objectname eq "Unavailable" then objectname := platformname endif

  if Trim(NetWeaver.objectpath, "null") ne "null" then
     objectpath := NetWeaver.objectpath
  else
     objectpath := "-"
  endif
  if Trim(NetWeaver.objecttype, "null") ne "null" then
     objecttype := NetWeaver.objecttype
  else
     objecttype := "-"
  endif
  object := GetObject(ObjectRefKey)

  if Trim(NetWeaver.username, "null") ne "null" then
     logonname := NetWeaver.username
  endif
  if Trim(logonname, "null") eq "Unavailable" then logonname := "System" endif
  realname := logonname
  if ((Trim(hostname, "null") eq "null") or (Trim(instancename, "null") eq "null")) then
    source := GetSource(SourceRefKey)
  else  
    source := GetSource(SourceRefKey, SourceAspectRefKey)
  endif

  if ((Trim(hostname, "null") ne "null") or (Trim(instancename, "null") ne "null")) then
    description := Append(logonname,"@",instancename,"-",hostname)
  else
    description := Append(logonname,"@",platformname)
  endif
  stream := GetStream(StreamRefKey)

  target := GetTarget(TargetRefKey)

  if Trim(NetWeaver.platformname_fr, "null") ne "null" then 
    platformname := NetWeaver.platformname_fr
    platformtype := "HOST"
  endif
  origin := GetOrigin(OriginRefKey)

  eventclass := NetWeaver.eventclass
  eventmainclass := NetWeaver.eventmainclass
  successclass := NetWeaver.successclass
  eventtimestamp := NetWeaver.eventtime
  chunk := NetWeaver

  if Trim(NetWeaver.eventid, "null")      ne "null" then eventid := NetWeaver.eventid endif
  if Trim(NetWeaver.reason, "null")       ne "null" then reason := NetWeaver.reason endif
  if Trim(NetWeaver.privilege, "null")    ne "null" then privilege := NetWeaver.privilege endif
  if Trim(NetWeaver.objectfocus, "null")  ne "null" then objectfocus := NetWeaver.objectfocus endif
  if Trim(NetWeaver.attribute, "null")    ne "null" then attribute := NetWeaver.attribute endif
  if Trim(NetWeaver.origtype, "null")     ne "null" then origtype := NetWeaver.origtype endif
  if Trim(NetWeaver.message, "null")      ne "null" then message := NetWeaver.message endif

  GetEvent(EventDetailRefKey)
endstate
