/// siteprotector.src.gml - Licensed Materials ­ Property of IBM
/// siteprotector.src.gml - 5724-S67
/// siteprotector.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// siteprotector.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceAspectKey(originator)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKeyAudit(task, Sourcetype, Source, oldvalue, newvalue, user, result, active_policy, target_ip, command, attribute, recordtype, eventdetail, host, path)
key EventDetailRefKeySensor(protocol, alert_name, recordtype, eventdetails, Source, priority, origin_port, user)

initial final state siteprotector

if siteprotector.srctype eq "audit" then

platformtype    := "IBM SiteProtector"
platformname    := GetChunkProperty(siteprotector, "SystemName")
platform        := GetPlatform(PlatformRefKey)

if siteprotector.LocationofConsole eq "Location Not Applicable" then
   LocationofConsole := "" 
else
   LocationofConsole := siteprotector.LocationofConsole
endif

case siteprotector.id of 
 "421", "422":
    objectpath  := Trim(siteprotector.GroupPath, "Unavailable")
 "430":
    objectpath  := Trim(siteprotector.Group, "Unavailable")
otherwise
    objectpath  := "-"
endcase

case siteprotector.id of 
 "3", "4":
    objectname  := "Application Server"
 "101", "102", "103", "104":
    objectname  :=  Trim(siteprotector.logonname, "Unavailable")  
 "105", "106", "109", "313", "409", "721", "722", "743", "744", "745", "746", "901", "950", "952", "953", "960", "961", "963":
    objectname  :=  Trim(platformname, "Unavailable")
 "301", "302", "303", "312", "314", "331", "332":   
    objectname  :=  Trim(siteprotector.GroupPath, "Unavailable")
 "107":
    if siteprotector.TypeofAction eq "Create" then     
	  objectname  :=  "Active Directory"
    else
      objectname  :=  Trim(siteprotector.ActiveDirectoryUserName, "Unavailable")
    endif
 "108":
    objectname  :=  "Auto Group"
 "333":   
    objectname  :=  Trim(siteprotector.Asset, "Unavailable")   
 "401", "402", "403", "404", "407", "408", "410":   
    objectname  :=  Trim(siteprotector.AgentName, "Unavailable") 
 "405", "406", "707", "708", "709":
    RegexMatch(siteprotector.ScannerList, "\\[(.+):.+\\]")
    objectname  :=  Trim(RegexRef("1"), "Unavailable")      
 "411", "412", "413":   
    objectname  :=  Trim(siteprotector.SiteLevelPolicyName, "Unavailable") 
 "414", "415", "416":   
    objectname  :=  Trim(siteprotector.SiteLevelResponseName, "Unavailable") 
 "417":
    if siteprotector.TypeofAction eq "Create" then
      objectname  :=  Trim(platformname, "Unavailable")
    else
      objectname  :=  Trim(siteprotector.PolicyFileName, "Unavailable")
    endif    
 "418", "419", "420":   
    objectname  :=  Trim(siteprotector.PolicyFileName, "Unavailable")
 "421", "422":   
    objectname  :=  Trim(siteprotector.AgentType, "Unavailable") 
 "430":
    if Trim(siteprotector.AgentType, "null") ne "null" then
      objectname  :=  Trim(siteprotector.AgentType, "Unavailable")
    else
      objectname  :=  Trim(siteprotector.AgentAssetName, "Unavailable")
    endif
 "450", "451", "452", "453":   
    objectname  :=  Trim(siteprotector.PolicyRepositoryName, "Unavailable")    
 "454":   
    objectname  :=  Trim(siteprotector.DestinationRepositoryName, "Unavailable")   
 "501":   
    objectname  :=  "RealSecureDB"   
 "603":   
    objectname  :=  Trim(siteprotector.UserGroupadded, "Unavailable")   
 "604":   
    objectname  :=  Trim(siteprotector.UserGroupremoved, "Unavailable")     
 "605":   
    objectname  :=  Trim(siteprotector.UserGroupupdated, "Unavailable")     
 "606", "607":   
    objectname  :=  Trim(siteprotector.UserGroup, "Unavailable")
 "740":   
    objectname  :=  Trim(siteprotector.Tokenadded, "Unavailable")
 "741":   
    objectname  :=  Trim(siteprotector.Tokenremoved, "Unavailable")
 "742":   
    objectname  :=  Trim(siteprotector.Updatedtokenvalue, "Unavailable")  
 "747", "748", "749":
    objectname  :=  "One Trust Entitlement"
 "801":   
    objectname  :=  Trim(siteprotector.Details, "Unavailable")    
 "900":
    objectname  :=  "Export of Analysis Data"    
 "902":
    objectname  :=  Trim(siteprotector.IncidentExceptionName, "Unavailable")  
 "951":
    objectname  :=  "Report Job"
otherwise
    objectname  := "Unavailable"
endcase    

case siteprotector.id of 
 "107", "108", "109", "314", "403", "404", "407", "408", "410", "900":
    task1  :=  Trim(siteprotector.CommandScheduled, "")
 "801":
    task1  :=  Trim(siteprotector.Option, "")
 "405", "406", "707", "708", "709":
    task1  :=  Trim(siteprotector.ScanSchedule, "")
endcase

case siteprotector.id of 
 "109", "314", "403", "404", "407", "408", "410", "411", "412", "413", "414", "415", "416":
    Sourcetype1  :=  Trim(siteprotector.AgentType, "")
 "421", "422":   
    Sourcetype1  :=  Trim(siteprotector.AgentName, "")   
 "902":   
    Sourcetype1  :=  Trim(siteprotector.Type, "")    
endcase

case siteprotector.id of 
 "107":
    Source1  :=  Trim(siteprotector.ActiveDirectoryServerName, "")    
 "109":
    Source1  :=  Trim(siteprotector.AgentName, "")   
endcase

case siteprotector.id of 
 "331", "332":
    host1  :=  Trim(siteprotector.Asset, "")  
endcase

case siteprotector.id of 
 "107":
    path1  :=  Trim(siteprotector.GroupPath, "")  
endcase

case siteprotector.id of 
 "303":
    oldvalue1  :=  Trim(siteprotector.OldGroupPath, "")
 "454":    
    oldvalue1  :=  Trim(siteprotector.PolicyRepositoryName, "")
 "742":
    oldvalue1  :=  Trim(siteprotector.Previoustokenvalue, "") 
 "746":
    oldvalue1  :=  Trim(siteprotector.Previousinterval, "")    
endcase   

case siteprotector.id of 
 "303":
    newvalue1  :=  Trim(siteprotector.GroupPath, "")
 "454":    
    newvalue1  :=  Trim(siteprotector.DestinationRepositoryName, "")
 "746":
    newvalue1  :=  Trim(siteprotector.Updatedinterval, "")    
endcase     

case siteprotector.id of 
 "606":   
    user1  :=  Trim(siteprotector.UserGroupMemberadded, "")        
 "607":   
    user1  :=  Trim(siteprotector.UserGroupMemberremoved, "")    	

endcase       

case siteprotector.id of 
 "801":   
    result1  :=  Trim(siteprotector.Results, "")        
endcase  

case siteprotector.id of 
 "707":   
    policy1  :=  Trim(siteprotector.ScanPolicy, "")        
endcase     

case siteprotector.id of 
 "707":  
    RegexMatch(siteprotector.ScanArguments, "Target IP=\\W(\\d+\\W\\d+\\W\\d+\\W\\d+)\\W")
    target_ip1  :=  Trim(RegexRef("1"), "")            
endcase     

case siteprotector.id of 
 "108", "902":   
    command1  :=  Trim(siteprotector.TypeofAction, "")        
endcase     

case siteprotector.id of 
 "801":   
    attribute1  :=  Trim(siteprotector.Ticketnumber, "")    
 "960":   
    attribute1  :=  Trim(siteprotector.TicketCreatedonObjectType, "")   
 "961":   
    attribute1  :=  Trim(siteprotector.TicketDetails, "")    
endcase  

case siteprotector.id of 
 "3", "4", "801", "950", "951", "952", "953":   
    FromWhere  :=  platformname    
otherwise  
    FromWhere  :=  Trim(LocationofConsole, "Unavailable")       
endcase 

eventclass      := siteprotector.eventclass
eventmainclass  := siteprotector.eventmainclass
successclass    := siteprotector.successclass

objecttype      := siteprotector.objecttype
object          := GetObject(ObjectRefKey)

realname        := Trim(Uppercase(siteprotector.logonname), "Unavailable")
logonname       := realname
originator      := GetOriginator(logonname, "ND")
if (originator eq "ND")
then
 originator     := logonname
endif

source := GetSource(SourceRefKey, SourceAspectKey)

platformtype    := "IBM SiteProtector"
platformname    := GetChunkProperty(siteprotector, "SystemName")
target          := GetTarget(TargetRefKey)

platformtype    := "Host"
platformname    := FromWhere
origin          := GetOrigin(OriginRefKey)

description     := Trim(logonname, "Unavailable")
stream          := GetStream(StreamRefKey)

if Trim(task1, "null") ne "null"       then task := task1 endif
if Trim(Sourcetype1, "null") ne "null" then Sourcetype := Sourcetype1 endif
if Trim(Source1, "null") ne "null"     then Source := Source1 endif
if Trim(oldvalue1, "null") ne "null"   then oldvalue := oldvalue1 endif
if Trim(newvalue1, "null") ne "null"   then newvalue := newvalue1 endif
if Trim(user1, "null") ne "null"       then user := user1 endif
if Trim(result1, "null") ne "null"     then result := result1 endif
if Trim(policy1, "null") ne "null"     then active_policy := policy1 endif
if Trim(target_ip1, "null") ne "null"  then target_ip := target_ip1 endif
if Trim(command1, "null") ne "null"    then command := command1 endif
if Trim(attribute1, "null") ne "null"  then attribute := attribute1 endif
if Trim(host1, "null") ne "null"       then host := host1 endif
if Trim(path1, "null") ne "null"       then path := path1 endif
if Trim(siteprotector.eventdetails, "null") ne "null"  then eventdetail := siteprotector.eventdetails endif
if Trim(siteprotector.recordtype, "null") ne "null"    then recordtype := siteprotector.recordtype
endif

chunk           := siteprotector
eventtimestamp  := siteprotector.platformeventtime

event           := GetEvent(EventDetailRefKeyAudit)   

else

if Trim(siteprotector.Where, "null") ne "null" then 
  Where := IntToNetworkAddress("IP", siteprotector.Where)
else 
  Where := "Unavailable" 
endif

if Trim(siteprotector.WhereTo, "null") ne "null" then 
  WhereTo := IntToNetworkAddress("IP", siteprotector.WhereTo)
else 
  WhereTo := "Unavailable"
endif

if Trim(siteprotector.FromWhere, "null") ne "null" then 
  FromWhere := IntToNetworkAddress("IP", siteprotector.FromWhere)
else 
  FromWhere := "Unavailable" 
endif

platformtype    := "Host"
platformname    := Where
platform        := GetPlatform(PlatformRefKey)

platformtype    := "Host"
platformname    := WhereTo
target          := GetTarget(TargetRefKey)

platformtype    := "Host"
platformname    := FromWhere
origin          := GetOrigin(OriginRefKey)

realname        := Uppercase(Trim(siteprotector.logonname, "System"))
logonname       := realname
originator      := GetOriginator(logonname, "ND")
if (originator eq "ND")
then
 originator := logonname
endif
source := GetSource(SourceRefKey, SourceAspectKey)

description     := Trim(logonname, "Unavailable")
stream          := GetStream(StreamRefKey)

eventclass      := siteprotector.eventclass
eventmainclass  := siteprotector.eventmainclass
successclass    := siteprotector.successclass
objecttype      := siteprotector.objecttype

objectpath      := "-"

case siteprotector.AlertTypeID of 
 "203", "207", "204", "206", "210":
   objectname   := Trim(siteprotector.logonname, "Unavailable")
 "101", "102", "103", "104", "105", "202", "205", "702", "901":
   objectname   := FromWhere
 "0", "208", "209", "211", "212", "301", "302", "404", "701", "801", "802", "803", "1001", "213", "214", "107", "215", "1004":
   objectname   := Where
otherwise
   objectname  := "Unavailable" 
endcase

object          := GetObject(ObjectRefKey)

chunk           := siteprotector
eventtimestamp  := siteprotector.platformeventtime

if Trim(siteprotector.recordtype, "null") ne "null"       then recordtype := siteprotector.recordtype endif
if Trim(siteprotector.eventdetails, "null") ne "null"     then eventdetails := siteprotector.eventdetails endif
if Trim(siteprotector.Source, "null") ne "null"           then Source := siteprotector.Source endif
if Trim(siteprotector.priority, "null") ne "null"         then priority := siteprotector.priority endif
if Trim(siteprotector.origin_port, "null") ne "null"      then origin_port := siteprotector.origin_port endif
if Trim(siteprotector.alert_name, "null") ne "null"       then alert_name := siteprotector.alert_name endif
if logonname ne "SYSTEM"                                  then user := logonname endif

case siteprotector.AlertTypeID of 
 "101":
    protocol  :=  "TCP"    
 "102":
    protocol  :=  "UDP"
 "103":
    protocol  :=  "ICMP" 
 "104": 
    protocol  :=  "ARP" 
endcase 

event           := GetEvent(EventDetailRefKeySensor)   

endif

endstate
