/// sm.src.gml - Licensed Materials ­ Property of IBM
/// sm.src.gml - 5724-S67
/// sm.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// sm.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(logonname, realname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(details)

initial final state SM

 if ((SM.clientip ne null) and (SM.clientip ne ""))  then
     Remember(SM.sessionid, SM.clientip)
  endif
  clientip  := Recall(SM.sessionid)

 if ((SM.hostname ne null) and (SM.hostname ne "")) then
    platformname := SM.hostname
 else
    platformname := "Unavailable"
 endif
 platformtype := "Site Minder Policy Server"
 platform     := GetPlatform(PlatformRefKey)

 platformname := Trim(clientip,platformname)
 platformtype := "Client"
 origin := GetOrigin(OriginRefKey)

 platformname := "Unavailable" 
 if (SM.tablename = "smaccesslog4") then
   if ((SM.agentname ne null) and (SM.agentname ne ""))  then
     platformname := SM.agentname
   endif
   platformtype := "Agent"
 else
   if ((SM.hostname ne null) and (SM.hostname ne "")) then
     platformname := SM.hostname
   endif
   platformtype := "Policy Server"  
 endif
 target := GetTarget(TargetRefKey)

 if ((SM.objectname ne null) and (SM.objectname ne "")) then
    objectname := SM.objectname
 else 
    objectname := "Unavailable"
 endif
 if ((SM.objecttype ne null) and (SM.objecttype ne "")) then 
   objecttype := SM.objecttype
 else
   objecttype := "Unavailable"
 endif
 if ((SM.objectpath ne null) and (SM.objectpath ne "")) then 
   objectpath  := SM.objectpath 
 else
   objectpath  := "Unavailable"
 endif
 object := GetObject(ObjectRefKey)

 if ((SM.sessionid ne null) and (SM.sessionid ne "")) then 
   sessionid := SM.sessionid 
 else
   sessionid := "Unavailable"
 endif
 description := sessionid
 stream := GetStream (StreamRefKey)

 if ((SM.username ne null) and (SM.username ne ""))  then
   realname := SM.username
 else
   realname := "Unavailable"
 endif   
 logonname := realname
 source := GetSource(SourceRefKey)

 if ((SM.details ne null) and (SM.details ne ""))  then
   details := SM.details
 else
   details := "-"
 endif   
 details := Append(details, "/");
 if ((SM.reason ne null) and (SM.reason ne ""))  then
   details := Append(details, SM.reason);
 else
   details := Append(details, "-");
 endif   
 details := Append(details, "/");
 if ((SM.statusmsg ne null) and (SM.statusmsg ne ""))  then
  details := Append(details, SM.statusmsg);
 else
   details := Append(details, "-");
 endif   

 if ((SM.eventmainclass ne null) and (SM.eventmainclass ne ""))  then
   eventmainclass  := SM.eventmainclass
 else
   eventmainclass  := "Unavailable"
 endif   
 if ((SM.eventclass ne null) and (SM.eventclass ne ""))  then
   eventclass := SM.eventclass
 else
   eventclass := "Unavailable"
 endif   
 if ((SM.eventsuccess ne null) and (SM.eventsuccess ne ""))  then
   successclass    := SM.eventsuccess
 else
   successclass    := "Failure"
 endif   

 eventtimestamp  := SM.platformeventtime

 chunk           := SM
 event           := GetEvent(EventDetailKey)

endstate
