/// smex.src.gml - Licensed Materials ­ Property of IBM
/// smex.src.gml - 5724-S67
/// smex.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// smex.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(recordtype, message)

initial final state Finish

  platformtype := "ScanMail Exhange"
  platformname := Finish.epiname
  platform := GetPlatform(PlatformRefKey)

  if (Finish.objectname eq null and Finish.objectpath eq null) then
	objectname := "Unavailable"
	objectpath := "Unavailable"
  else if (Finish.objectname eq null and Finish.objectpath ne null) then
	objectname := Filename(Finish.objectpath)
	objectpath := Path(Finish.objectpath)
  else if (Finish.objectname ne null and Finish.objectpath eq null) then
	objectname := Filename(Finish.objectname)
	objectpath := Path(Finish.objectname)
  else 
	objectname := Finish.objectname
	objectpath := Finish.objectpath
  endif endif endif

  if Finish.objecttype ne null then
    objecttype := Finish.objecttype
  else
    objecttype := "*"
  endif

  object := GetObject(ObjectRefKey)

  if Finish.entrypoint ne null then
    description := Finish.entrypoint
  else
    description := ""
  endif
  stream := GetStream(StreamRefKey)

  if (Finish.originator ne null) then
    sid:=Trim(Finish.originator)
    case sid of
      "S-1-5-7":
        logonname := "Anonymous"
      "S-1-5-18":
        logonname := "System"
      otherwise
        logonname := sid
      endcase
  else
    logonname := "Unavailable"
  endif

  realname := logonname
  source := GetSource(SourceRefKey)

  if (Finish.sender ne null) then
  	platformtype := "ScanMail Exhange"
  	platformname := Finish.sender
  endif
  origin := GetOrigin(OriginRefKey)

  if (Finish.recipient ne null) then
  	platformtype := "ScanMail Exhange"
  	platformname := Finish.recipient
  endif
  target := GetTarget(TargetRefKey)

  message := ""
  message := Append(message, Finish.eventdescription, Finish.msgadd)

  eventclass := Finish.eclass
  eventmainclass := Finish.emainclass
  successclass := Finish.successclass
  eventtimestamp := Finish.platformeventtime
  chunk := Finish
  recordtype := Finish.recordtype
  event := GetEvent(EventDetailKey)
endstate
