/// smln.src.gml - Licensed Materials ­ Property of IBM
/// smln.src.gml - 5724-S67
/// smln.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// smln.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)

key StreamRefKey(description)

key SourceRefKey(logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(miscellaneous)

initial final state ScanMail

platformname := ScanMail.server
if (platformname eq null or platformname eq "") then
        platformname := "Unavailable"
endif

platformtype := "ScanMail for Lotus Notes"
platform     := GetPlatform(PlatformRefKey)

virus := Trim(ScanMail.virusname)
objectpath := Trim(ScanMail.infecteddoc)

if ((virus eq "NO") or (virus eq "encrypted")) then 
        objecttype := "DOCUMENT"
        if (NormalizeString(Trim(ScanMail.infecteddoc)) eq "Encrypted") then
                objectname := "Encrypted document"
        endif
else
        objecttype := "VIRUS"
        objectname := virus     
endif

if (objecttype eq "" or objecttype eq null) then
        objecttype := "Unavailable"
endif

if (objectname eq null or objectname eq "") then
        objectname := "Unavailable"
endif

if (objectpath eq "" or objectpath eq null) then
        objectpath := "Unavailable"
endif

object := GetObject(ObjectRefKey)

if (ScanMail.user ne null and ScanMail.user ne "NULL" and ScanMail.user ne "") then
        logonname := ScanMail.user
else
        if (ScanMail.dbfile ne null and ScanMail.dbfile ne "NULL" and ScanMail.dbfile ne "") then
                logonname := ScanMail.dbfile
        else
                logonname := "Unavailable"
        endif
endif

realname := logonname
source := GetSource(SourceRefKey)

description := logonname
stream := GetStream(StreamRefKey) 

if (ScanMail.sentto_dbfile ne null and ScanMail.sentto_dbfile ne "NULL" and ScanMail.sentto_dbfile ne "") then
        platformname := ScanMail.sentto_dbfile
else
        if (ScanMail.sentto_user ne null and ScanMail.sentto_user ne "NULL" and ScanMail.sentto_user ne "") then
                platformname := ScanMail.sentto_user
        else
                if (ScanMail.sentto ne null and ScanMail.sentto ne "NULL" and ScanMail.sentto ne "") then
                        platformname := ScanMail.sentto
                else
                        platformname := "Unavailable"
                endif           
        endif
endif
platformtype := "ScanMail for Lotus Notes"
target := GetTarget(TargetRefKey)

platformname := logonname
origin := GetOrigin(OriginRefKey)

eventclass := ""
if objecttype eq "VIRUS" then
        if (ScanMail.status ne null and ScanMail.status ne "NULL") then
                eventclass := ScanMail.status
                eventclass := Append(eventclass," ","virus")
        else
                eventclass := "Virus"
        endif
else
        eventclass := objectname
endif

if ((ScanMail.eventmainclass ne null) and (ScanMail.eventmainclass ne "")) then
        eventmainclass := ScanMail.eventmainclass
else
        eventmainclass := "Unavailable" 
endif

if ((ScanMail.eventclass ne null) and (ScanMail.eventclass ne "")) then
        eventclass := ScanMail.eventclass
else
        eventclass := "Unavailable"     
endif

successclass := ScanMail.scanresult
if (successclass eq "" or successclass eq null) then
        successclass := "Failure"
endif

eventtimestamp := ScanMail.date
chunk := ScanMail

miscellaneous := ""
if (ScanMail.sentto_dbfile ne null and ScanMail.sentto_dbfile ne "NULL") then
        miscellaneous := Append(ScanMail.sentto_dbfile,".nsf"," database")
else
        if (ScanMail.sentto_user ne null and ScanMail.sentto_user ne "NULL") then
                miscellaneous := Append(ScanMail.sentto_user," mailbox")
        else
                miscellaneous := Append(ScanMail.sentto," mailbox")
        endif
endif

if ((ScanMail.scan ne null) and (ScanMail.scan ne "") and (ScanMail.scan ne "NULL")) then
        if (miscellaneous ne "") then
                miscellaneous := Append (miscellaneous, "/", ScanMail.scan)
        else
                miscellaneous := ScanMail.scan
        endif
endif

if ((ScanMail.msg ne null) and (ScanMail.msg ne "") and (ScanMail.msg ne "NULL")) then
        if (miscellaneous ne "") then
                miscellaneous := Append(miscellaneous,"/",ScanMail.msg)
        else
                miscellaneous := ScanMail.msg
        endif
endif

event := GetEvent(EventDetailKey)

endstate 
