/// sp5nt.src.gml - Licensed Materials ­ Property of IBM
/// sp5nt.src.gml - 5724-S67
/// sp5nt.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// sp5nt.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(recordtype, message)

initial final state Finish

  platformtype := "ServerProtect NT/2000"
  platformname := Finish.epiname
  platform := GetPlatform(PlatformRefKey)

  if (Finish.objectname ne null) then
    if (Finish.platformevent ne "earthagent") then
    	objectname := Finish.objectname
    else
    	if (Finish.objectname eq "0" or Finish.objectname eq "[0]") then
    		objectname := "EarthAgent"
    	else
    		objectname := Finish.objectname
    	endif
    endif
  else
    objectname := "-"
  endif
  viruspath := Finish.objectpath
  if (viruspath ne null) then
    if (Filename(viruspath) ne Path(viruspath)) then
    	objectpath := Filename(viruspath)
    	msgadd := Append("; virus location ",Path(viruspath))
    else
    	objectpath := Finish.objectpath
    endif
  else
    objectpath := "-"
  endif
  objecttype := Finish.objecttype
  object := GetObject(ObjectRefKey)

  description := platformname
  stream := GetStream(StreamRefKey)

  logonname := Finish.logonname
  realname := logonname
  source := GetSource(SourceRefKey)

  origin := GetOrigin(OriginRefKey)

  target := GetTarget(TargetRefKey)

  message := ""
  message := Append(message, Finish.eventdescription, msgadd, Finish.msgadd)

  eventclass := Finish.eclass
  eventmainclass := Finish.emainclass
  successclass := Finish.successclass
  eventtimestamp := Finish.platformeventtime
  chunk := Finish
  recordtype := Finish.recordtype
  event := GetEvent(EventDetailKey)
endstate
