/// stratus.src.gml - Licensed Materials ­ Property of IBM
/// stratus.src.gml - 5724-S67
/// stratus.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// stratus.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

//

//

//

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(logonname, realname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(details, logrecord)

initial final state Start
 if (Start.syserr_time eq "1") then
   Remember("time", Start.platformeventtime)   
 endif
 systemname := Start.systemname
 if (systemname ne null) then
   Remember("systemname", systemname)
 else
  systemname := Recall("systemname")
 endif

 if (Start.syserr_part eq "1") then
  time := Start.platformeventtime
  date := Recall("time")
  time := Sum(date, time)

  time := Sum("-31536000000", time)
  if (Start.needsystemname eq "1") then
   objectname := systemname
  endif
  needname := Start.needname
  processid := Start.processid
  objecttype := Start.objecttype
  objectname := Start.objectname
  objectpath := Start.objectpath
  username := Start.username
  eventmainclass  := Start.eventmainclass 
  successclass  := Start.successclass 
  eventclass  := Start.eventclass
  details  := Start.details
  originid := Start.originid
  originname := Start.originname
  origingroup := Start.origingroup
  MoveTo(Stage22)
 endif

 if (Start.security_number eq "1") then
  time := Start.platformeventtime
  groupname := Start.groupname
  username := Start.username
  terminalname := Start.terminalname
  MoveTo(Stage2) 
 endif

 MoveTo(Trash)
endstate

final state Trash 
endstate

state Stage22 (syserr_part ne null)
 if (Stage22.syserr_part eq "1") then
  MoveTo(Exit)
 endif
 if (Stage22.syserr_part eq "2") then
  if ((eventmainclass eq null)and(Stage22.eventmainclass ne null)) then
   eventmainclass := Stage22.eventmainclass
  endif
  if ((successclass eq null)and(Stage22.successclass ne null)) then
   successclass := Stage22.successclass
  endif
  if (Stage22.originid ne null) then
   originid := Stage22.originid
  endif
  if (Stage22.originname ne null) then
   originname := Stage22.originname
  endif
  if (Stage22.origingroup ne null) then
   origingroup := Stage22.origingroup
  endif
  MoveTo(Exit)
 endif
 MoveTo(Trash)
endstate

state Stage2 (security_number ne null)
 if (Stage2.security_number eq "2") then
  processid := Stage2.processid
  eventclass := Stage2.eventclass
  eventmainclass := Stage2.eventmainlass
  successclass := Stage2.successlass
  MoveTo(Stage3)
 endif

 if (Stage2.security_number eq "3") then
  targetplatformname := Stage2.loginmodulename
  if (Stage2.terminalname ne null) then
   terminalname := Stage2.terminalname
  endif
  objecttype := Stage2.objecttype
  objectname := Stage2.objectname
  objectpath := Stage2.objectpath

  if ((Stage2.logrecord eq "1:line3.ftplogin") or (Stage2.logrecord eq "1:line3.ftplogin2")) then  
   objectname := username
  endif
  MoveTo(Stage4)
 endif
 MoveTo(Trash)
endstate

state Stage3 (security_number ne null)
 if (Stage3.security_number eq "3") then
  targetplatfotmname := Stage3.loginmodulename
  if (Stage3.objecttype ne null) then
   objecttype := Stage3.objecttype
  endif
  if (Stage3.objectname ne null) then
   objectname := Stage3.objectname
  endif
  if (Stage3.objectpath ne null) then
   objectpath := Stage3.objectpath
  endif
  MoveTo(Stage4)
 else
  MoveTo(Trash)
 endif
endstate

state Stage4 (security_number ne null)
 if (Stage4.security_number eq "4") then
  if (Stage4.eventclass ne null) then
   eventclass := Stage4.eventclass
  endif
  if (Stage4.eventmainclass ne null) then
   eventmainclass := Stage4.eventmainclass
  endif
  if (Stage4.successclass ne null) then
   successclass := Stage4.successclass
  endif
  if (Stage4.details ne null) then
   details := Stage4.details  
  endif
  if (Stage4.objecttype ne null) then
   objecttype := Stage4.objecttype
  endif
  MoveTo(Exit)
 else
   MoveTo(Trash)
 endif
endstate

final state Exit
 if ((eventclass eq "Process")and(eventmainclass eq "Create")and(successclass eq "Success")) then
  Remember(processid, objectname)
 endif

 if (needname eq "1") then
  objectname := Recall(processid)
  if (objectname eq "") then
   objectname := processid
  endif
 endif

 platformtype := "Stratus VOS"
 platformname := Trim(systemname, "-")
 platform     := GetPlatform(PlatformRefKey)

 platformname := Trim(terminalname, Trim(systemname, "-"))
 platformtype := "Stratus VOS"
 origin := GetOrigin(OriginRefKey)

 if (targetplatformname ne null) then
  platformname := targetplatformname
 endif
 target := GetTarget(TargetRefKey)

 objectname := Trim(objectname, "-")
 objecttype := Trim(objecttype, "-")
 if ((objecttype eq "SYSTEM") and (objectname eq "Unavailable")) then
  objectname := systemname
 endif
 if ((objecttype eq "FILE")
 or (objecttype eq "SEQUENTIALFILE")
 or (objecttype eq "MESSAGEQUEUEFILE")
 or (objecttype eq "SERVERQUEUEFILE")
 or (objecttype eq "STREAMFILE")
 or (objecttype eq "FIXEDFILE")
 or (objecttype eq "RELATIVEFILE")
 or (objecttype eq "DIRECTORY")) then
  objectpath := Path(">",objectname)
  objectname := Filename(">",objectname)
 endif

 if ((objectpath eq "-") or (objectpath eq "") or (objectpath eq null)) then
   objectpath := systemname
 endif
 objecttype := Uppercase(objecttype)
 object := GetObject(ObjectRefKey)

 realname := Trim(originname, username, "-")
 logonname := realname
 description := Append(Trim(processid, "-"), Trim(originid, "-"), logonname)

 stream := GetStream (StreamRefKey)
 source := GetSource(SourceRefKey)

 details := Trim(details, "-") 

 eventmainclass := Trim(eventmainclass, "-")
 eventclass := Trim(eventclass, "-")
 successclass := Trim(successclass, "Failure") 
 successclass := NormalizeString(successclass)

 eventtimestamp  := time
 chunk           := Start
 logrecord       := Start.logrecord
 event           := GetEvent(EventDetailKey)

endstate
