/// sunsim.src.gml - Licensed Materials ­ Property of IBM
/// sunsim.src.gml - 5724-S67
/// sunsim.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// sunsim.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectname,objectpath)
key OriginRefKey(platformname,platformtype) 
key PlatformRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailRefKey(user,platformobjecttype,action,reason)

initial final state sunsim
  successclass       := sunsim.sclass
  eventclass         := sunsim.eclass
  eventmainclass     := sunsim.emclass

  case sunsim.simaction of
    "Reset Password":
      eventclass         := "Password"
      eventmainclass     := "Reset"
    "Change Password":
      eventclass         := "Password"
      eventmainclass     := "Change"
    "Reject":
      eventmainclass     := "Access"
      successclass       := "Failure"
  endcase

  objecttype         := sunsim.objtype
  objectname         := Trim(Lowercase(sunsim.objname),"Unavailable")
  objectpath         := sunsim.objpath
  object             := GetObject(ObjectRefKey)

  platformtype       := sunsim.platformtype
  platformname       := Trim(Lowercase(sunsim.wherefrom),"Unavailable")
  origin             := GetOrigin(OriginRefKey)

  platformtype       := sunsim.platformtype
  platformname       := Trim(Lowercase(sunsim.where),"Unavailable")
  platform           := GetPlatform(PlatformRefKey)

  platformtype       := sunsim.platformtype
  platformname       := Trim(Lowercase(sunsim.whereto),"Unavailable")
  target             := GetTarget(TargetRefKey)

  logonname          := Trim(Lowercase(sunsim.who),"Unavailable")
  realname           := logonname
  source             := GetSource(SourceRefKey)

  description        := Trim(logonname,"-")
  stream             := GetStream(StreamRefKey)

  chunk              := sunsim
  eventtimestamp     := sunsim.when

  if(sunsim.user ne "") then
    user             := sunsim.user
  endif

  platformobjecttype := sunsim.platformobjtype
  action             := sunsim.action

  if(sunsim.reason ne "=Unavailable") then
    reason           := sunsim.reason
  endif

  event              := GetEvent(EventDetailRefKey)

endstate
