/// sybasease.src.gml - Licensed Materials ­ Property of IBM
/// sybasease.src.gml - 5724-S67
/// sybasease.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// sybasease.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// sybasease.gml 

key ObjectRefKey(objecttype,objectpath,objectname)
key OriginRefKey(platformtype,platformname) 
key PlatformRefKey(platformtype,platformname)
key TargetRefKey(platformtype,platformname)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventAspects(description, value, reason, recordtype)
key SourceAspectKey(attribute)

initial state ASE
(( (sequence eq "1") ))

  event     := ASE.event
  eventmod  := ASE.eventmod
  loginname := ASE.loginname
  dbname    := ASE.dbname
  objname   := ASE.objname
  extrainfo := ASE.extrainfo

  if( (ASE.proxyinfo eq ASE.extrainfo) and (ASE.event ne "1") )
  then
    MoveTo(ASE2)
  else
    MoveTo(SybaseASE)
  endif

endstate

state ASE2
(( (sequence gt "1") ))

  if ( (event eq ASE2.event) and (eventmod eq ASE2.eventmod) and (loginname eq ASE2.loginname) and (dbname eq ASE2.dbname) and (objname eq ASE2.objname) ) then
    extrainfo := Append(extrainfo,ASE2.extrainfo) 
    if(RegexMatch(extrainfo, "^[^;]*;[^;]*;[^;]*;[^;]*;[^;]*;[^;]*;[^;]*;") > "0")
    then
      MoveTo(SybaseASE)
    endif
  endif

endstate

final state SybaseASE
    RegexMatch(extrainfo, "^[^;]*;([^;]*);([^;]*);([^;]*);([^;]*);([^;]*);[^;]*;")
    keywords  := NormalizeString(Trim(RegexRef("1"), "Unavailable"))
    previous  := NormalizeString(Trim(RegexRef("2"), "Unavailable"))
    current   := NormalizeString(Trim(RegexRef("3"), "Unavailable"))
    otherinfo := NormalizeString(Trim(RegexRef("4"), "Unavailable"))
    proxy     := Trim(RegexRef("5"), "Unavailable")

    case ASE.eventmainclass of
        "A1": /// Enable (if %Current value% = on) or Disable (if %Current value% = off)
          case current of
            "On":
              eventmainclass := "Enable"
            "Off":
              eventmainclass := "Disable"
            otherwise
              eventmainclass := "Unavailable"
          endcase

        "A2": /// Create (if %Keywords or options% = create role), Delete (if %Keywords or options% = drop role), Modify (if %Keywords or options% =  alter role), Add (if %Keywords or options% =  grant role), Remove (if %Keywords or options% =  revoke role)
          case keywords of
            "Create role":
              eventmainclass := "Create"
            "Drop role":
              eventmainclass := "Delete"
            "Alter role":
              eventmainclass := "Modify"
            "Grant role":
              eventmainclass := "Add"
            "Revoke role":
              eventmainclass := "Remove"
            otherwise
              eventmainclass := "Unavailable"
          endcase

        "A3": /// Add (if %Other information% contains "SSL_ADMIN addcert") or Remove (if %Other information% contains "SSL_ADMIN dropcert") or Access (otherwise)
          case otherinfo of
            "Ssl_admin addcert":
              eventmainclass := "Add"
            "Ssl_admin dropcert":
              eventmainclass := "Remove"
            "Unavailable":
              eventmainclass := "Unavailable"
            otherwise
              eventmainclass := "Access"
          endcase

        "A4": /// Create (if %Keywords% contains "create login") or Delete (otherwise)
          case keywords of
            "Create login":
              eventmainclass := "Create"
            "Unavailable":
              eventmainclass := "Unavailable"
            otherwise
              eventmainclass := "Delete"
          endcase

        "A0": /// dbcc events
          case keywords of
            "Checktable":
              eventmainclass := "Verify"
              eventclass     := "Dbtable"
              objecttype     := "DBTABLE"
            "Checkdb":
              eventmainclass := "Verify"
              eventclass     := "Dbtable"
              objecttype     := "DATABASE"
            "Checkstorage":
              eventmainclass := "Verify"
              eventclass     := "Database"
              objecttype     := "DATABASE"
            "Storagecheck":
              eventmainclass := "Verify"
              eventclass     := "Database"
              objecttype     := "DATABASE"
            "Checkalloc":
              eventmainclass := "Verify"
              eventclass     := "Databasespace"
              objecttype     := "DATABASE"
            "Indexalloc":
              eventmainclass := "Verify"
              eventclass     := "Dbindexspace"
              objecttype     := "DBINDEX"
            "Tablealloc":
              eventmainclass := "Verify"
              eventclass     := "Dbtablespace"
              objecttype     := "DBTABLE"
            "Catalogcheck":
              eventmainclass := "Verify"
              eventclass     := "Systemdbtable"
              objecttype     := "DATABASE"
            "Checkverify":
              eventmainclass := "Verify"
              eventclass     := "Database"
              objecttype     := "DATABASE"
            "Verifycheck":
              eventmainclass := "Verify"
              eventclass     := "Database"
              objecttype     := "DATABASE"
            "Addtempdb":
              eventmainclass := "Add"
              eventclass     := "Database"
              objecttype     := "DATABASE"
           "Checkcatalog":
              eventmainclass := "Verify"
              eventclass     := "Systemdbtable"
              objecttype     := "DATABASE"
           "Checkindex":
              eventmainclass := "Verify"
              eventclass     := "Dbindex"
              objecttype     := "DBINDEX"
           "Complete_xact":
              eventmainclass := "Modify"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Forget_xact":
              eventmainclass := "Modify"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Dbrepair":
              eventmainclass := "Drop"
              eventclass     := "Database"
              objecttype     := "DATABASE"
           "Engine":
              eventmainclass := "Modify"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Fix_text":
              eventmainclass := "Modify"
              eventclass     := "Dbtable"
              objecttype     := "DBTABLE"
           "Monitor":
              eventmainclass := "Modify"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Pravailabletempdbs":
              eventmainclass := "List"
              eventclass     := "Databasegroup"
              objecttype     := "DBINSTANCE"
           "Rebuild_text":
              eventmainclass := "Modify"
              eventclass     := "Dbobjects"
              objecttype     := "DATABASE"
           "Reindex":
              eventmainclass := "Verify"
              eventclass     := "Dbtable"
              objecttype     := "DBTABLE"
           "Serverlimits":
              eventmainclass := "Inspect"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Stackused":
              eventmainclass := "Inspect"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Traceon":
              eventmainclass := "Modify"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Traceoff":
              eventmainclass := "Modify"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Tune":
              eventmainclass := "Modify"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
           "Upgrade_object":
              eventmainclass := "Modify"
              eventclass     := "Dbobject"
              objecttype     := "DBOBJECT"
           otherwise
              eventmainclass := "Access"
              eventclass     := "Dbinstance"
              objecttype     := "DBINSTANCE"
          endcase

       otherwise
          eventmainclass := ASE.eventmainclass
    endcase

    case ASE.eventclass of
        "B1": /// Dbgroup (if %Keywords or options% = create role, drop role, alter role),Actor (if %Keywords or options% =  grant role, revoke role)
          case keywords of
            "Create role":
              eventclass := "Dbgroup"
            "Drop role":
              eventclass := "Dbgroup"
            "Alter role":
              eventclass := "Dbgroup"
            "Grant role":
              eventclass := "Actor"
            "Revoke role":
              eventclass := "Actor"
            otherwise
              eventclass := "Unavailable"
          endcase

       "B2": /// Database (if %objname% is blank) or Dbobject 
         if(Trim(ASE.objname, "Unavailable") eq "Unavailable")
         then
           eventclass := "Database"
         else
           eventclass := "Dbobject"
         endif

       "B0":
         dummy := "dummy"
       otherwise
         eventclass := ASE.eventclass
    endcase

    if((ASE.event eq "36") or (ASE.event eq "37")) /// Fatal or non-fatal error
    then
        successclass := "Warning"
    else
        if((ASE.eventmod eq "0") or (ASE.eventmod eq "1"))
        then
            successclass := "Success"
            if((ASE.event ne "45") and (ASE.event ne "46")) /// not login or logout events
            then
              if(eventmainclass ne "Unavailable")
              then
                eventmainclass := NormalizeString(Append("Ask", eventmainclass))
              endif
            endif
        else
            successclass := "Failure"
        endif
    endif

    case ASE.objecttype of
        "C1": /// DATABASE (if %objname% is blank) or DBOBJECT
            if(Trim(ASE.objname, "Unavailable") eq "Unavailable")
            then
                objecttype := "DATABASE"
            else
                objecttype := "DBOBJECT"
            endif
       "C0":
           dummy := "dummy"
        otherwise
            objecttype := ASE.objecttype
    endcase

    sshES := Trim(GetChunkProperty(ASE,"SSHKeyFile"),"")
    if sshES eq ""
    then
      dsn := Trim(GetChunkProperty(ASE,"Option1"), "Unavailable")
    else
      dsn := Trim(GetChunkProperty(ASE,"Option2"), "Unavailable")
    endif

    case ASE.objectpath of
        "D1": /// %DSN%
            objectpath := NormalizeString(dsn)
        "D2": /// %DSN%\%dbname%
            objectpath := NormalizeString(Append(dsn, "\\", Trim(ASE.dbname, "Unavailable")))
        "D3": /// %DSN% (if %objname% is blank) or %DSN%\%dbname%
            if(Trim(ASE.objname, "Unavailable") eq "Unavailable")
            then
                objectpath := NormalizeString(dsn)
            else
                objectpath := NormalizeString(Append(dsn, "\\", Trim(ASE.dbname, "Unavailable")))
            endif
        "D4": /// %host name% item of %Other information%
            if(RegexMatch(otherinfo, "^[^,]*,(.*)") > "0")
            then
                objectpath := NormalizeString(Trim(RegexRef("1"), "Unavailable"))
            else
                objectpath := "Unavailable"
            endif
        "D5": /// %DSN%\%dbname%\%objname%
            objectpath := NormalizeString(Append(dsn, "\\", Trim(ASE.dbname, "Unavailable"), "\\", Trim(ASE.objname, "Unavailable")))
        "D0": /// dbcc mapping
          case objecttype of
            "DBINSTANCE":
              objectpath := "-"
              objectname := NormalizeString(dsn)
            "DATABASE":
              objectpath := NormalizeString(dsn)
              objectname := NormalizeString(Trim(ASE.dbname, "Unavailable"))
            otherwise
              objectpath := NormalizeString(Append(dsn, "\\", Trim(ASE.dbname, "Unavailable")))
              objectname := NormalizeString(Trim(ASE.objname, "Unavailable"))
          endcase
        otherwise
            objectpath := NormalizeString(ASE.objectpath)
    endcase

    case proxy of
      "Unavailable":
        logonname := Trim(ASE.loginname, "Unavailable")
      otherwise
        logonname := proxy
    endcase

    case ASE.objectname of
        "E1":
            objectname := NormalizeString(Trim(ASE.dbname, "Unavailable"))
        "E2":
            objectname := NormalizeString(Trim(ASE.objname, "Unavailable"))
        "E3":
            objectname := NormalizeString(Trim(otherinfo, "Unavailable"))
        "E4":
            objectname := NormalizeString(dsn)
        "E5":
            if(Trim(ASE.objname, "Unavailable") eq "Unavailable")
            then
                objectname := NormalizeString(Trim(ASE.dbname, "Unavailable"))
            else
                objectname := NormalizeString(Trim(ASE.objname, "Unavailable"))
            endif
        "E6":
            if(RegexMatch(otherinfo, "^([^,]*),.*") > "0")
            then
                objectname := NormalizeString(Trim(RegexRef("1"), "Unavailable"))
            else
                objectname := "Unavailable"
            endif
        "E7":
            objectname := NormalizeString(Trim(current, "Unavailable"))

        "E8":
            objectname := NormalizeString(logonname)
        "E0":
            dummy := "dummy"
        otherwise
            objectname := NormalizeString(ASE.objectname)
    endcase

    object := GetObject(ObjectRefKey)

    platformtype := "Sybase ASE"
    platformname := Trim(GetChunkProperty(ASE,"SystemName"), "Unavailable")

    platform     := GetPlatform(PlatformRefKey)
    target       := GetTarget(TargetRefKey)

    if(ASE.event eq "45") /// logon event
    then
        if(RegexMatch(otherinfo, "^([^,]*),.*") > "0")
        then
            platformname := RegexRef("1")
            if(Trim(RegexRef("1"), "Unavailable") eq "Unavailable")
            then
                if(RegexMatch(otherinfo, "^[^,]*,(.*)") > "0")
                then
                    platformname := Trim(RegexRef("1"), "Unavailable")
                endif 
            endif
        else
            platformname := "Unavailable"
        endif
    endif

    if(ASE.event eq "46") /// logoff event
    then
        platformname := Trim(otherinfo, "Unavailable")
    endif

    platformtype := "Host"
    origin := GetOrigin(OriginRefKey)

    realname  := logonname
    attribute := dsn
    source    := GetSource(SourceRefKey, SourceAspectKey)
    stream    := GetStream(StreamRefKey)

    case ASE.aspect_description of
      "0":
        dummy := "dummy"
      "1":
        description := Append("execution ", Trim(ASE.objname, "Unavailable"))
      "2":
        description := Append("dbcc ", keywords)
      "Unavailable":
        dummy := "dummy"
      otherwise
        description := ASE.aspect_description
    endcase

    if((ASE.event eq "6") or (ASE.event eq "7") or (ASE.event eq "8") or (ASE.event eq "15") or (ASE.event eq "32"))
    then
      value := otherinfo
    endif

    if((ASE.event eq "36") or (ASE.event eq "37"))
    then
        if(RegexMatch(otherinfo, "^([^.]*).[^.]*.[^.]*") > "0")
        then
            reason := RegexRef("1")
        endif 
    endif

    chunk := ASE
    recordtype := ASE.recordtype
    eventtimestamp := ASE.platformeventtime

    event := GetEvent(EventAspects)

endstate
