/// sysscan.src.gml - Licensed Materials ­ Property of IBM
/// sysscan.src.gml - 5724-S67
/// sysscan.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// sysscan.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(recordtype, message)

initial final state Finish

  platformtype := Finish.pltftype
  platformname := Finish.epiname
  platform := GetPlatform(PlatformRefKey)

  if Finish.objectname ne null then
    objectname := Finish.objectname
  else
    objectname := "-"
  endif
  if Finish.objectpath ne null then
    objectpath := Finish.objectpath
  else
    objectpath := "-"
  endif
  if (Finish.objfullpath eq "yes") then
    objectname := Filename(Filename(",",Finish.objectname))
    objectpath := Path(Filename(",",Finish.objectname))
  endif
  if Finish.objecttype ne null then
    objecttype := Finish.objecttype
  else
    objecttype := "*"
  endif
  object := GetObject(ObjectRefKey)

  if Finish.entrypoint ne null then
    description := Finish.entrypoint
  else
    description := "None"
  endif
  stream := GetStream(StreamRefKey)

  if Finish.logonname ne null then
    logonname := Finish.logonname
  else
    logonname := Finish.usersid
  endif
  realname := logonname
  source := GetSource(SourceRefKey)

  origin := GetOrigin(OriginRefKey)

  target := GetTarget(TargetRefKey)

  if (Finish.msgadd ne null) then
     message := Finish.msgadd
  else
     message := Finish.eventdescription
  endif

  eventclass := Finish.eclass
  eventmainclass := Finish.emainclass
  successclass := Finish.successclass
  eventtimestamp := Finish.platformeventtime
  chunk := Finish
  recordtype := Finish.recordtype
  event := GetEvent(EventDetailKey)
endstate
