/// sysscanol.src.gml - Licensed Materials ­ Property of IBM
/// sysscanol.src.gml - 5724-S67
/// sysscanol.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// sysscanol.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(recordtype, message)
key EventAspects(description)

initial final state Finish

  platformtype := Finish.pltftype
  platformname := Finish.host
  platform := GetPlatform(PlatformRefKey)

  if Finish.obj eq "*" then
 	  if Finish.objectname ne null then
    	objectname := Finish.objectname
	  else
    	objectname := "*"
	  endif
  else
  	objectname:=Finish.obj
  endif
  if ((objectname eq "*")or(objectname eq "Unknown")) then objectname := "-" endif

  if Finish.objectpath ne null then
    objectpath := Finish.objectpath
  else
    objectpath := "-"
  endif
  if ((objectpath eq "*")or(objectname eq "Unknown")) then objectpath := "-" endif
  if Finish.objecttype ne null then
    objecttype := Finish.objecttype
  else
    objecttype := "-"
  endif
  if((objectpath eq "-")and(objectname eq "-")and(objecttype eq "*")) then 
	objecttype:="OBJECT" 
  endif

  object := GetObject(ObjectRefKey)

  if Finish.vuln ne null then
    description := Finish.vuln
  else
    description := "None"
  endif
  stream := GetStream(StreamRefKey)

  if Finish.logonname ne null then
    logonname := Finish.logonname
  else
    logonname := "ISS"
  endif
  realname := "ISS System Scanner"
  source := GetSource(SourceRefKey)

  origin := GetOrigin(OriginRefKey)

  target := GetTarget(TargetRefKey)

  if (Finish.msgadd ne null) then
     message := Finish.msgadd
  endif
  if (Finish.description ne null) then
     description := Finish.description
  else
     description := "None"
  endif

  eventclass := Finish.eclass
  eventmainclass := Finish.emainclass
  successclass := Finish.successclass
  eventtimestamp := Finish.date
  chunk := Finish
  recordtype := Finish.vuln
  if (description eq "None") then
    event := GetEvent(EventDetailKey)
  else
    event := GetEvent(EventDetailKey,EventAspects)
  endif
endstate
