/// tameb.src.gml - Licensed Materials ­ Property of IBM
/// tameb.src.gml - 5724-S67
/// tameb.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tameb.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey( objecttype, objectname, objectpath)
key OriginRefKey( platformname, platformtype) 
key PlatformRefKey( platformname, platformtype)
key TargetRefKey( platformname, platformtype)
key SourceRefKey( logonname)
key StreamRefKey( description)
key SourceAspectKey( originator)
key EventDetailRefKey( Target, Source, URL, command)

initial final state tameb

  if tameb.eventclass ne "--" 
  then 
   eventclass     := tameb.eventclass 
   eventmainclass := tameb.eventmainclass 
   objecttype     := tameb.objecttype 
  else 
   eventclass     := tameb.eventclass_action 
   eventmainclass := tameb.eventmainclass_action 
   objecttype     := tameb.objecttype_action 
  endif 

  successclass   := tameb.successclass

  objectpath     := Trim( tameb.objectpath, "Unavailable")
  objectname     := Trim( tameb.objectname, Trim( tameb.objname, "Unavailable"))

  case tameb.action of
    "0":
      objectname := Trim( tameb.location, "Unavailable")
    "1":
      objectname := Trim( tameb.principal, "Unavailable")
    "2":
      objectname := Trim( tameb.location, "Unavailable")
  endcase

  case tameb.event_id of
    "101":
      objectname := Trim( tameb.location, "Unavailable")
    "102":
      objectname := Trim( tameb.principal, "Unavailable")
    "103":
      objectname := Trim( tameb.location, "Unavailable")
    "104":
      objectname := Trim( tameb.location, "Unavailable")
    "105":
      objectname := Trim( tameb.location, "Unavailable")
    "106":
      objectname := Trim( tameb.location, "Unavailable")
    "108":
      objectname := Trim( tameb.location, "Unavailable")
    "126":
      objectname := Trim( tameb.principal, "Unavailable")
    "127":
      objectname := Trim( tameb.location, "Unavailable")
  endcase

  object         := GetObject(ObjectRefKey)

  platformtype   := "IBM TAM"
  platformname   := Trim( Lowercase( tameb.whereto), Trim( Lowercase( GetChunkProperty( tameb, "SystemName")), "Unavailable"))
  target         := GetTarget( TargetRefKey)

  platformtype   := "IBM TAM"
  platformname   := Trim( Lowercase( tameb.wherefrom), Trim( Lowercase( GetChunkProperty( tameb, "SystemName")), "Unavailable"))
  origin         := GetOrigin( OriginRefKey)

  platformtype   := "IBM TAM"
  platformname   := Trim( Lowercase( tameb.location), Trim( Lowercase( GetChunkProperty( tameb, "SystemName")), "Unavailable"))
  platform       := GetPlatform( PlatformRefKey)

  logonname      := Trim( tameb.name, "Unavailable")
  realname       := Trim( tameb.name, Trim( tameb.additname, "Unavailable"))

  if tameb.rgyname ne ""
  then
      originator   := tameb.rgyname
  endif

  source         := GetSource( SourceRefKey, SourceAspectKey)

  stream         := GetStream( StreamRefKey)

  chunk          := tameb
  eventtimestamp := tameb.platformeventtime

  if tameb.command ne ""
  then
    command      := tameb.command
  endif
  if tameb.location ne ""
  then   
    Target       := tameb.location
  endif
  if tameb.component ne ""
  then
    Source       := tameb.component
  endif
  if tameb.url ne ""
  then  
    URL          := tameb.url
  endif

  if eventclass ne "--" 
  then 
   if successclass ne "Pending" 
   then 
    event := GetEvent(EventDetailRefKey) 
   endif 
  endif 

endstate
