/// tamesso.src.gml - Licensed Materials ­ Property of IBM
/// tamesso.src.gml - 5724-S67
/// tamesso.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tamesso.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key ObjectRefKey(objecttype, objectname, objectpath)

key OriginRefKey(platformname, platformtype)

key PlatformRefKey(platformname, platformtype)
key TargetRefKey(platformname, platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailRefKey(authenticator, user, eventreason, message)

initial final state tamesso
 SetDebugMode("off")

  objecttype     := Trim(tamesso.objecttype, "Unavailable")
  objectpath     := Trim(tamesso.objectpath, "Unavailable")
  if (tamesso.objectnameaux eq "ssn")
  then
      objectname:=GetChunkProperty(tamesso,"SystemName")
  else
      objectname     := Trim(tamesso.objectname, "Unavailable")
  endif
  object         := GetObject(ObjectRefKey)

  platformname := Trim(tamesso.fromwhere_platformname, "Unavailable")
  if (tamesso.appid eq "")
  then
     fromwhere_platformtype:=platformname
  else
     if (tamesso.appid eq "AA")
     then
        fromwhere_platformtype:="TAMESSO AccessAgent"
     else
        fromwhere_platformtype:=tamesso.appid
     endif
  endif
  platformtype := Trim(fromwhere_platformtype, "Unavailable")
  origin := GetOrigin(OriginRefKey)

  platformname := Trim(tamesso.where_platformname, "Unavailable")
  platformtype := Trim(tamesso.where_platformtype, "Unavailable")
  platform := GetPlatform(PlatformRefKey)

  platformname := Trim(tamesso.whereto_platformname, "Unavailable")
  platformtype := Trim(tamesso.whereto_platformtype, "Unavailable")
  target := GetTarget(TargetRefKey)

  logonname:=Trim(tamesso.logonname, "Unavailable")
  if (logonname eq "NA")
  then
      logonname:="Unavailable"
  endif
  realname:=logonname
  source := GetSource(SourceRefKey)

  description     := Trim(logonname, "Unavailable")
  stream          := GetStream(StreamRefKey)

  chunk := tamesso
  eventclass     := tamesso.eventclass 
  eventmainclass := tamesso.eventmainclass
  if ((tamesso.successclass > "0") or (tamesso.eventcode eq "1124118547"))
  then
      successclass:=Failure
  else
      successclass:=Success
  endif
  eventtimestamp := tamesso.platformeventtime

  if tamesso.authenticator ne "" then authenticator := tamesso.authenticator endif
  if tamesso.eventreason ne "" then eventreason := tamesso.eventreason endif
  if tamesso.user ne "" then user:=tamesso.user endif
  message           := Append(tamesso.short_description,"/",tamesso.explanation)

  event := GetEvent(EventDetailRefKey)

endstate

