/// tamos.src.gml - Licensed Materials ­ Property of IBM
/// tamos.src.gml - 5724-S67
/// tamos.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tamos.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
/// tamos.gml
key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKey(eventdetail, process_id, appliance_action, access, policy, eventreason, recordtype, protocol, transport, Targettype, Arguments, effectiveuser, command)

initial final state tamos

platformtype := "IBM TAMOS"
platformname := GetChunkProperty(tamos, "platformname")

platform     := GetPlatform(PlatformRefKey)

eventclass      := tamos.eventclass
eventmainclass  := tamos.eventmainclass

case tamos.event_id of
 "2":
   successclass := "Success"
 "16":
   successclass := "Success"
 "10":
   successclass := "Failure"
 "15":
   successclass := "Failure"
otherwise
   case tamos.appliance_action of
      "Permit":
        successclass := "Success"
      "Warning":
        successclass := "Success"
      "Trace":
        successclass := "Success"
      "Deny":
        successclass := "Failure"
   otherwise
        successclass := Trim(tamos.successclass, "Unavlbl")
   endcase
endcase

case tamos.event_id of
 "2":
   objectname := Trim(tamos.accessoreffectivename, "Unavailable")
 "3":
   objectname := Trim(tamos.accessoreffectivename, "Unavailable")
 "4":
   objectname := Trim(tamos.accessoreffectivename, "Unavailable")
 "5":
   objectname := Trim(tamos.accessoreffectivename, "Unavailable")
 "36":
   objectname := Trim(tamos.accessoreffectivename, "Unavailable")
 "37":
   objectname := Trim(tamos.accessoreffectivename, "Unavailable")
 "7":
  if tamos.targettype eq "Surrogate" then objectname := Trim(tamos.objectname, "Unavailable") 
  else 
    objectname := Trim(platformname, "-")
    if tamos.targettype eq "File" then objectname := Trim(tamos.systemresourcename, "Unavailable") endif 
  endif
 "6":
   objectname := "-"
 "9":
   objectname := Trim(tamos.systemresourcename, "Unavailable")
 "10":
   objectname := Trim(platformname, "Unavailable")
 "11":
   objectname := Trim(platformname, "Unavailable")
 "14":
   objectname := "-"
 "18":
   objectname := "-"
 "19":
   objectname := Trim(tamos.systemresourcename, "Unavailable")
 "20":
   objectname := Trim(tamos.systemresourcename, "Unavailable")
 "21":
   objectname := Trim(tamos.systemresourcename, "Unavailable")
 "22":
   objectname := Trim(tamos.systemresourcename, "Unavailable")
 "35":
   objectname := Trim(tamos.systemresourcename, "Unavailable")
 "12":
   objectname := Trim(tamos.runningprogramsystemresourcename, "Unavailable")
 "13":
   objectname := Trim(tamos.runningprogramsystemresourcename, "Unavailable")
 "14":
   objectname := "-"
 "15":
   objectname := Trim(tamos.protectedobjectname, "Unavailable")
 "16":
   objectname := Trim(tamos.protectedobjectname, "Unavailable")
 "27":
   objectname := Trim(tamos.objectname, "Unavailable")
 "28":
   objectname := Trim(tamos.objectname, "Unavailable")
 "31":
   objectname := "-"
 "32":
   objectname := "-"
 "33":
   objectname := "-"
otherwise
   objectname := Trim(platformname, "Unavailable")
endcase

objecttype  := Trim(tamos.objecttype, "Unavailable")

case tamos.event_id of
 "7": 
   if tamos.targettype eq "File" then objectpath := Trim(tamos.protectedobjectname, "Unavailable")
   else objectpath := "-" endif
 "9":
   objectpath := Trim(tamos.protectedobjectname, "Unavailable")
 "15":
   objectpath := Trim(tamos.protectedobjectname, "Unavailable")
 "16":
   objectpath := Trim(tamos.protectedobjectname, "Unavailable")
 "19":
   objectpath := Trim(tamos.protectedobjectname, "Unavailable")
 "20":
   objectpath := Trim(tamos.protectedobjectname, "Unavailable")
 "21":
   objectpath := Trim(tamos.protectedobjectname, "Unavailable")
 "22":
   objectpath := Trim(tamos.protectedobjectname, "Unavailable")
 "27":
   objectpath := Trim(Path(objectname), "Unavailable")
 "28":
   objectpath := Trim(Path(objectname), "Unavailable")
otherwise
   objectpath := "-"
endcase

object      := GetObject(ObjectRefKey)

description := tamos.logonname
stream      := GetStream(StreamRefKey)

realname    := Trim(tamos.logonname, "Unavailable")
logonname   := Trim(tamos.logonname, "Unavailable")
source      := GetSource(SourceRefKey)

case tamos.event_id of
 "1":
   platformname := Trim(tamos.loginlocationidentifier, "Unavailable")
 "6":
   platformname := Trim(tamos.fromwhere, "Unavailable")
 "7":
   if tamos.targettype eq "NetIncoming" then platformname := Trim(tamos.fromwhere, "Unavailable")
   else platformname := Trim(GetChunkProperty(tamos, "platformname"), "Unavailable") endif
otherwise
   platformname := Trim(GetChunkProperty(tamos, "platformname"), "Unavailable")
endcase
origin := GetOrigin(OriginRefKey)

case tamos.event_id of
 "35": 
   platformname := Trim(tamos.networkremotehostidentifier, "Unavailable")
 "7": 
   if tamos.targettype eq "NetOutgoing" then platformname := Trim(tamos.whereto, "Unavailable")
   else platformname := Trim(GetChunkProperty(tamos, "platformname"), "Unavailable") endif
otherwise
   platformname := Trim(GetChunkProperty(tamos, "platformname"), "Unavailable")
endcase
target := GetTarget(TargetRefKey)

if tamos.eventdetail ne ""      then eventdetail    := tamos.eventdetail endif
if tamos.process_id ne ""       then process_id     := tamos.process_id endif
if tamos.appliance_action ne "" then appliance_action := tamos.appliance_action endif
if tamos.access ne ""           then access         := tamos.access endif
if tamos.policybranchname ne "" then policy         := tamos.policybranchname endif
if tamos.eventreason ne ""      then eventreason    := tamos.eventreason endif
if tamos.recordtype ne ""       then recordtype     := tamos.recordtype endif
if tamos.protocol ne ""         then protocol       := tamos.protocol endif
if tamos.transport ne ""        then transport      := tamos.transport endif
if tamos.targettype ne ""       then Targettype     := tamos.targettype endif
if tamos.command ne ""          then command        := tamos.command endif

chunk           := tamos
eventtimestamp  := tamos.platformeventtime

if tamos.additionalparameters ne "" then
case tamos.event_id of
 "23":
   Arguments := tamos.additionalparameters
 "32":
   Arguments := tamos.additionalparameters
 "33":
   Arguments := tamos.additionalparameters
 "35":
   Arguments := tamos.additionalparameters
endcase
endif

case tamos.event_id of
 "2":
   effectiveuser := null
 "3":
   effectiveuser := null
 "4":
   effectiveuser := null
 "5":
   effectiveuser := null
 "29":
   effectiveuser := null
 "36":
   effectiveuser := null
 "37":
   effectiveuser := null 
otherwise
   effectiveuser := Trim(tamos.accessoreffectivename, null)
endcase

event := GetEvent(EventDetailRefKey)
endstate
