/// tandem.src.gml - Licensed Materials ­ Property of IBM
/// tandem.src.gml - 5724-S67
/// tandem.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tandem.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key EpiCreateKey(platformname,platformtype)
key ObjectRefKey(objectname,objectpath,objecttype,epi)
key SourceRefKey(clientip,username)
key SourceAspectKey(usernumber)
key StreamRefKey(description)
key OriginRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key EventDetailKey(version,remarks,creator,creatorsystem)

initial final state Header
  (platformevent eq "header")  
//
  //

  clientip:=Header.systemname

  epiname:=clientip
  epname:="tandem"
  platformname:=epiname
  platformtype:=epname
  epi:=GetPlatform(EpiCreateKey)
  platform:=epi

  objectname:=Header.filename
  objectpath:=Header.program
  objecttype:="AUDITLOG"
  object:=GetObject(ObjectRefKey)

  username:="System"

  realname:=username
  logonname:=username
  source:=GetSource(SourceRefKey)

  description:=Append(Header.systemname,"/",username,"/",terminal)

  stream:=GetStream(StreamRefKey)

  platformtype:="-"
  target:=GetTarget(TargetRefKey)
  origin:=GetOrigin(OriginRefKey)

  eventmainclass:="Start"
  eventclass:="Auditlog"
  successclass:="Success"

  eventtimestamp:=Header.platformeventtime
  chunk:=Header
  version:=Header.version
  event:=GetEvent(EventDetailKey)

  //
endstate 

initial final state Primary ((   platformevent eq "primary" ))  

  SetDebugMode("off")
  clientip:=Primary.systemname

  epiname:=clientip
  epname:="tandem"
  platformname:=epiname
  platformtype:=epname
  epi:=GetPlatform(EpiCreateKey)
  platform:=epi

  objectpath := Primary.terminalname
  objecttype := Trim(Primary.objectgemtype,Primary.objecttype)
  objectname := Trim(Primary.objectname,"-")
  case Primary.objecttype of

    "GUARDIAN_USER","USER_RECORD": 
      if (Primary.guardusername ne "") then
        objectname := Primary.guardusername
      else
        if (Primary.guardaliasname ne "") then
          objectname := Primary.guardaliasname
        else
          objectname := "Unknown"
        endif
      endif

    "USER_REMPASS": 
      objectpath := Primary.remotesystemname
      if (Primary.remoteusername ne "") then
        objectname := Primary.remoteusername
      else
        if (Primary.remotealiasname ne "") then
          objectname := Primary.remotealiasname
        else
          objectname := "Unknown"
        endif
      endif

  endcase
  object:=GetObject(ObjectRefKey)

  username:=Primary.username

  usernumber:=Primary.usernumber
  logonname:=username
  realname:=username
  source:=GetSource(SourceRefKey,SourceAspectKey)

  case Primary.terminalname of
    "localhost","":
      entrypoint:=clientip
  otherwise
    entrypoint:=Primary.terminalname
  endcase
  description:=entrypoint
  description:=Append(entrypoint,"/",username,"/",terminal)

  stream:=GetStream(StreamRefKey)

  platformtype:="-"
  target:=GetTarget(TargetRefKey)
  platformname:=entrypoint
  origin:=GetOrigin(OriginRefKey)

  eventmainclassremark := ""
  operationrequested:="*"

  eventmainclass := Primary.eventmainclass
  eventclass := Trim(Primary.eventclass,NormalizeString(objecttype))

  successremark := ""
  operationgranted := "*"
  case Primary.outcome of
    "PW_VALID":

      successclass := "Success"
    "PW_EXPIRED":

      successclass := "Failure"
      successremark := "PW Expired"
    "USER_EXPIRED":

      successclass := "Failure"
      successremark := "User Expired"
    "USER_FAILED":

      successclass := "Failure"
      successremark := "Too Many Failures"
    "USER_FROZEN":

      successclass := "Failure"
      successremark := "User Frozen"
    "USER_PW_INVALID":

      successclass := "Failure"
      successremark := "Password Invalid"
    "USER_INVALID":

      successclass := "Failure"
      successremark := "User Invalid"
    "GRANTED":

      successclass := "Success"
      operationgranted := operationrequested
    "DENIED":

      successclass := "Failure"
      operationgranted := ""
    "MAYBE":

      successclass := "Pending"
      operationgranted := ""
      successremark := "Outcome was unknown"
    "PASSED":

      successclass := "Success"
      operationgranted := ""
      operationgranted := operationrequested
    "FAILED":

      successclass := "Failure"
      operationgranted := ""
    "NORECORD":

      successclass := "Other"
      successremark := "Authorization record not found"
    "OTHER":

      successclass := "Other"
      successremark := "Other outcome"
    "PARTIAL_SUCCES":

      successclass := "Pending"
    "PENDING":

      successclass := "Pending"
    "WARNING":

      successclass := "Warning"
      operationgranted := operationrequested
  otherwise
      successclass := "Other"
      successremark := "Unknown outcome"
  endcase

  eventtimestamp:=Primary.platformeventtime
  chunk:=Primary

  command:=Append(Primary.operation," ",Primary.objectname);
  workunit:=Append("AN:",Primary.auditnumber)
  program:=Primary.processname
  logrecordtype:=Append("tandem:",Primary.platformevent)
  logrecordtimestamp:=Primary.platformeventtime

  remarks := ""
  if eventmainclassremark ne "" then
    if remarks ne "" then
      remarks := Append(remarks, ", ", eventmainclassremark)
    else
      remarks := eventmainclassremark
    endif
  endif
  if successremark ne "" then
    if remarks ne "" then
      remarks := Append(remarks, ", ", successremark)
    else
      remarks := successremark
    endif
  endif
  creator:=Primary.creatorname
  creatorsystem:=Primary.creatorsystemname

  event:=GetEvent(EventDetailKey)

  //
endstate 

