/// tip.src.gml - Licensed Materials ­ Property of IBM
/// tip.src.gml - 5724-S67
/// tip.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tip.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key ObjectDetailRefKey(origtype)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceDetailRefKey (origtype)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKey(process_id, session_id, eventreason, command, Target, object_focus, recordtype, authenticator, access_requested)

initial final state tip

platformtype    := "IBM TIP"
platformname    := GetChunkProperty(tip, "SystemName")
platform        := GetPlatform(PlatformRefKey)

eventclass      := tip.eventclass
eventmainclass  := tip.eventmainclass
successclass    := Trim(tip.successclass, "Unavlbl")
objecttype      := tip.objecttype

case tip.place1 of 
 "1":
   logonname1   := Trim(tip.aspect1, "Unavailable")
 "2":
   logonname1   := Trim(tip.aspect2, "Unavailable")
 "3":
   logonname1   := Trim(tip.aspect3, "Unavailable")
 "4":
   logonname1   := Trim(tip.aspect4, "Unavailable")   
otherwise
   logonname1   := ""
endcase

case tip.place2 of 
 "1":
   objectpath1  := Trim(tip.aspect1, "Unavailable")
 "2":
   objectpath1  := Trim(tip.aspect2, "Unavailable")
 "3":
   objectpath1  := Trim(tip.aspect3, "Unavailable")
 "4":
   objectpath1  := Trim(tip.aspect4, "Unavailable")   
otherwise
   objectpath1  := ""
endcase

case tip.place3 of 
 "1":
   objectname1  := Trim(tip.aspect1, "Unavailable")
 "2":
   objectname1  := Trim(tip.aspect2, "Unavailable")
 "3":
   objectname1  := Trim(tip.aspect3, "Unavailable")
 "4":
   objectname1  := Trim(tip.aspect4, "Unavailable")   
otherwise
   objectname1  := ""
endcase

case tip.place4 of 
 "1":
   eventreason1 := Trim(tip.aspect1, "")
 "2":
   eventreason1 := Trim(tip.aspect2, "")
 "3":
   eventreason1 := Trim(tip.aspect3, "")
 "4":
   eventreason1 := Trim(tip.aspect4, "")
otherwise
   eventreason1 := ""
endcase

case tip.place5 of 
 "1":
   command1     := Trim(tip.aspect1, "")
 "2":
   command1     := Trim(tip.aspect2, "")
 "3":
   command1     := Trim(tip.aspect3, "")
 "4":
   command1     := Trim(tip.aspect4, "")
otherwise
   command1     := ""
endcase

case tip.place6 of 
 "1":
   Target1      := Trim(tip.aspect1, "")
 "2":
   Target1      := Trim(tip.aspect2, "")
 "3":
   Target1      := Trim(tip.aspect3, "")
 "4":
   Target1      := Trim(tip.aspect4, "")
otherwise
   Target1      := ""
endcase

case tip.place7 of 
 "1":
   object_focus1 := Trim(tip.aspect1, "")
 "2":
   object_focus1 := Trim(tip.aspect2, "")
 "3":
   object_focus1 := Trim(tip.aspect3, "")
 "4":
   object_focus1 := Trim(tip.aspect4, "")
otherwise
   object_focus1 := ""
endcase

case tip.place8 of 
 "1":
   authenticator1 := Trim(tip.aspect1, "")
 "2":
   authenticator1 := Trim(tip.aspect2, "")
 "3":
   authenticator1 := Trim(tip.aspect3, "")
 "4":
   authenticator1 := Trim(tip.aspect4, "")
otherwise
   authenticator1 := ""
endcase

if Trim(tip.logonname, "null") ne "null" then
   logonname := tip.logonname 
else
   logonname := Trim(RegexReplace(logonname1, "\"", ""), "Unavailable")
endif

if Trim(tip.objectpath, "null") ne "null" then
   if tip.objectpath eq "%processName%" then
      objectpath := Trim(tip.process_name, "Unavailable")
   else
    objectpath := tip.objectpath
   endif
else
   objectpath   := Trim(objectpath1, "Unavailable")
endif

if Trim(tip.objectname, "null") ne "null" then
   if tip.objectname eq "%processName%" then
      objectname := Trim(tip.process_name, "Unavailable")
   else
      objectname := tip.objectname
   endif
else
   objectname   := Trim(RegexReplace(objectname1, "\"", ""), "Unavailable")
endif

if Trim(tip.eventreason, "null") ne "null" then
   eventreason := tip.eventreason
else
   if Trim(eventreason1, "null") ne "null" then
      eventreason   := eventreason1
   endif
endif

if Trim(tip.authenticator, "null") ne "null" then
   authenticator := tip.authenticator
else
   if Trim(authenticator1, "null") ne "null" then
      authenticator   := authenticator1 
   endif
endif

if Trim(tip.focus, "null") ne "null" then
   object_focus := tip.focus
else
   if Trim(object_focus1, "null") ne "null" then
	  object_focus   := Trim(RegexReplace(object_focus1, "\"", ""))
   endif
endif

if Trim(tip.message_id,  "null") ne "null" 	then recordtype := tip.message_id  endif
if Trim(tip.command,  "null") ne "null"  then command := tip.command endif
if command1 ne ""       					then command 	:= command1 endif
if Target1 ne ""        					then Target 	:= Target1 endif
if Trim(tip.process_id,  "null") ne "null" 	then process_id := tip.process_id endif
if Trim(tip.session_id,  "null") ne "null"  then session_id := tip.session_id endif

if tip.message_id eq "ADMR0023E" then 
    if RegexMatch(tip.message_text, "role for (.+) access") > "0" then
        access_requested := RegexRef("1")
        endif
endif

if tip.message_id eq "SECJ6038E" then 
        origtype := "Auditor" 
endif

if Trim(tip.origtype,  "null") ne "null" then
    origtype := tip.origtype 
endif

realname        := logonname
source          := GetSource(SourceRefKey, SourceDetailRefKey)

platformtype    := "IBM TIP"
platformname    := GetChunkProperty(tip, "SystemName")
target          := GetTarget(TargetRefKey)

platformtype    := "Host"
platformname    := Trim(tip.FromWhere, "Unavailable")
origin          := GetOrigin(OriginRefKey)

description     := Trim(logonname, "Unavailable")
stream          := GetStream(StreamRefKey)

if Trim(origtype,  "null") ne "null" then
    object          := GetObject(ObjectRefKey,ObjectDetailRefKey)
else
    object          := GetObject(ObjectRefKey)
endif

chunk           := tip
eventtimestamp  := tip.platformeventtime
event           := GetEvent(EventDetailRefKey)

endstate
