/// tklm.src.gml - Licensed Materials ­ Property of IBM
/// tklm.src.gml - 5724-S67
/// tklm.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tklm.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key ObjectRefKey(objecttype,objectpath,objectname)
key OriginRefKey(platformtype,platformname) 
key PlatformRefKey(platformtype,platformname)
key TargetRefKey(platformtype,platformname)
key SourceRefKey(realname,logonname)
key StreamRefKey(description)

key ObjectAspectKey(id,parent,owner,origtype,serial)
key EventDetailRefKey(eventid,object_focus,old_value,new_value,message,value)

initial final state TKLM 
    eventmainclass := TKLM.eventmainclass
    eventclass := TKLM.eventclass
    successclass := Trim(TKLM.outcome,"Unavlbl")
    objecttype := TKLM.objecttype

    logonname := Trim(Filename(TKLM.username), "Unavaliable")
    if RegexMatch(logonname,"server:") ne "0" then
    logonname:="SYSTEM"
    endif

    directory := "null"
    objectpath := "-"
    objectname := Trim(TKLM.objectname, "Unavaliable")
    case TKLM.ID of
        "1": 
            Remember(TKLM.uuid, TKLM.objectname)
        "2":
            objectname := Trim(TKLM.wwn, "null")
            if objectname eq "null" then
                objectname := TKLM.uuid
            else
                Remember(TKLM.uuid, TKLM.wwn)
            endif
            if TKLM.devicetype eq "1 (3592)" then
                origtype := "3592 tape drive"
            else 
                if TKLM.devicetype eq "2 (LTO)" then
                    origtype := "LTO tape drive"
                else
                    if TKLM.devicetype eq "3 (DS8K)" then
                        origtype := "DS8000 turbo drive"
                    endif
                endif
            endif
            if (origtype ne "") then
            Remember(t_devicetype, TKLM.uuid, origtype)
            endif
            if Trim(TKLM.serialnumber,"null") ne "null" then 
            serial := TKLM.serialnumber 
            Remember(t_serialnumber, TKLM.uuid, serial)
            endif            
        "3":
            objectname := Trim(TKLM.alias, "null")
            if objectname eq "null" then
                objectname := TKLM.uuid
            else
            Remember(TKLM.uuid,TKLM.alias)
            endif            
            if Trim(TKLM.groupname,"null") ne "null" then parent := TKLM.groupname endif
            if Trim(TKLM.owner,"null") ne "null" then owner := TKLM.owner endif           
        "4":
            objectname := Trim(Recall(TKLM.uuid), TKLM.uuid)
        "5":
            objectname := Trim(Recall(TKLM.uuid), TKLM.uuid)            
            if (Recall(t_devicetype, TKLM.uuid) ne "") then origtype := Recall(t_devicetype, TKLM.uuid) endif            
            if (Recall(t_serialnumber, TKLM.uuid) ne "") then serial := Recall(t_serialnumber, TKLM.uuid) endif
        "6":
            objectname := Trim(Recall(TKLM.uuid), TKLM.uuid)
        "7":
            objectname := Trim(TKLM.groupname, "null")
            if objectname eq "null" then
               objectname := Trim(Recall(TKLM.uuid), TKLM.uuid)
            endif
            objectname := Trim(objectname, "null")
            if objectname eq "null" then
               objectname := "Unavaliable"
            endif            
            if Trim(TKLM.origtype,"null") ne "null" then origtype := TKLM.origtype endif
        "7.1","7.2":
            directory := TKLM.resourcename            
            if Trim(TKLM.origtype,"null") ne "null" then origtype := TKLM.origtype endif
        "8","9","10","11","12":
            objectname := Trim(GetChunkProperty(TKLM,"SystemName"), "Unavailable")
        "14":
            logonname := "SYSTEM"
        "15":
            logonname := "SYSTEM"
        "16":
            directory := TKLM.keydatabasefile            
            if Trim(TKLM.keystorename,"null") ne "null" then 
            object_focus := TKLM.keystorename
            Remember(TKLM.keystorename, directory)
            Remember(directory, TKLM.keystorename)
            endif
        "17":
            directory := Trim(Recall(TKLM.keystorename), "null")
            if directory eq "null" then
                objectname := TKLM.keystorename
            endif
        "18":
            if Trim(Recall(TKLM.keydatabasefile),"null") ne "null" then parent := Recall(TKLM.keydatabasefile)
            else               
                if Trim(TKLM.keydatabasefile,"null") ne "null" then parent := Filename(TKLM.keydatabasefile) endif
            endif          
        "19":
            directory := TKLM.keyinfo
            if Trim(TKLM.keystorename,"null") ne "null" then parent := TKLM.keystorename endif            
        "20":
            if Trim(TKLM.keystorename,"null") ne "null" then parent := TKLM.keystorename endif
        "21":
            objectname := Trim(Recall(TKLM.keyinfo), TKLM.keyinfo)
            if Trim(TKLM.keystorename,"null") ne "null" then parent := TKLM.keystorename endif
        "22","23","24","25","26","27":
            if Trim(TKLM.keystorename,"null") ne "null" then parent := TKLM.keystorename endif
        "28":
            if (Recall(TKLM.keystorename) ne "") then 
            object_focus := Recall(TKLM.keystorename)            
            Remember(TKLM.keyinfo, object_focus)
            Remember(object_focus, TKLM.keyinfo)
            endif
            if Trim(TKLM.keystorename,"null") ne "null" then old_value := TKLM.keystorename endif
            if Trim(TKLM.keyinfo,"null") ne "null" then new_value := TKLM.keyinfo endif
        "29":
            if (Recall(TKLM.keystorename) ne "") then object_focus := Recall(TKLM.keystorename) endif            
        "30":
            directory := TKLM.keydatabasefile            
            if Trim(TKLM.keyinfo,"null") ne "null" then value := TKLM.keyinfo endif
    endcase

    if directory ne "null" then
        objectpath := Trim(Path(directory), "-")
        objectname := Trim(Filename(directory), "Unavaliable")
    endif

    if Trim(TKLM.uuid, "null") ne "null" then
    id := TKLM.uuid
    endif
    if Trim(objectname, "null") eq "null" then
    objectname := "Unavaliable"
    endif

    if Trim(TKLM.message,"null") ne "null" then message := TKLM.message endif
    if Trim(TKLM.eventid,"null") ne "null" then eventid := TKLM.eventid endif    

    object := GetObject(ObjectRefKey,ObjectAspectKey)

    platformname := Trim(GetChunkProperty(TKLM,"SystemName"), "Unavailable")
    platformtype := "IBM TKLM"
    origin := GetOrigin(OriginRefKey)
    platform := GetPlatform(PlatformRefKey)
    target := GetTarget(TargetRefKey)

    realname := logonname
    source := GetSource(SourceRefKey)

    description := logonname
    stream := GetStream(StreamRefKey)

    chunk           := TKLM
    eventtimestamp  := TKLM.platformeventtime
    event := GetEvent(EventDetailRefKey)

endstate
