/// tru64.src.gml - Licensed Materials ­ Property of IBM
/// tru64.src.gml - 5724-S67
/// tru64.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tru64.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key ObjectRefKey(objecttype,objectname,objectpath)
key OriginRefKey(platformname,platformtype) 
key PlatformRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailKey(description,Target)

initial final state Tru64

  where := Trim(GetChunkProperty(Tru64,"SystemName"),"HOST")

  objectname := Tru64.objectname
  objectpath := Tru64.objectpath
  objecttype := Tru64.objecttype

  object := GetObject(ObjectRefKey)

  re := Append(Tru64.ruid,"/",Tru64.euid)
  who := Trim(Tru64.loginname,re)
  logonname := Append(where,"/",who)
  realname  := logonname
  source := GetSource(SourceRefKey)

  platform_type := Trim(GetChunkProperty(Tru64,"PlatformType"),"HP Tru64 Unix")

  platformname := where
  platformtype := platform_type 
  platform := GetPlatform(PlatformRefKey)

  platformname := Tru64.ip
  platformtype := "HOST"
  origin := GetOrigin(OriginRefKey)

  platformname := Tru64.ip
  platformtype := "HOST"
  target := GetTarget(TargetRefKey)

  description := Tru64.audit_id

  stream := GetStream(StreamRefKey)

  description := Tru64.description
  chunk := Tru64
  eventmainclass := Tru64.eventmainclass
  eventclass := Tru64.eventclass

  if(Tru64.result = "18446744073709551615")
  then
    successclass := "Failure"
  else
    successclass := "Success"
  endif

  if(Tru64.target ne "")
  then
    Target := Tru64.target
  endif

  eventtimestamp := Tru64.platformeventtime

  GetEvent(EventDetailKey)

endstate
