/// tscm.src.gml - Licensed Materials ­ Property of IBM
/// tscm.src.gml - 5724-S67
/// tscm.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tscm.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKey(eventdetail, recordtype, port, client_ip, newname, collector_id, collector, privilegegroup_id, violationpolicymgr_id, value)
key EventDetailRefKeyOnWhat(target, target_id, id)
key EventDetailRefKeyWho(id)

initial final state tscm

if Trim(tscm.platformname, "null") ne "null" then

platformtype    := "IBM TSCM 5.1.0-5.1.1.1 Client"
platformname    := tscm.platformname 
else

platformtype    := "IBM TSCM 5.1.0-5.1.1.1"
platformname    := GetChunkProperty(tscm, "SystemName")
endif
platform        := GetPlatform(PlatformRefKey)

origin          := GetOrigin(OriginRefKey)

logonname       := tscm.logonname
logonname := Trim(logonname, "Unavailable")
realname        := logonname
if Trim(tscm.Who_id, "null") ne "null" then id := tscm.Who_id endif
source          := GetSource(SourceRefKey, EventDetailRefKeyWho)

description     := logonname
stream          := GetStream(StreamRefKey)

objecttype      := tscm.objecttype
objectpath      := tscm.objectpath
if tscm.objectname eq "-" then
    objectname := GetChunkProperty(tscm, "SystemName")
else
    objectname := tscm.objectname
endif
objectname:= Trim(objectname, "Unavailable")

if Trim(tscm.OnWhat_target, "null") ne "null" then target := tscm.OnWhat_target endif
if Trim(tscm.OnWhat_target_id, "null") ne "null" then target_id := tscm.OnWhat_target_id endif
id:= null
if Trim(tscm.OnWhat_id, "null") ne "null" then id := tscm.OnWhat_id endif
object := GetObject(ObjectRefKey, EventDetailRefKeyOnWhat)

if Trim(tscm.platformname, "null") ne "null" then

platformtype    := "IBM TSCM 5.1.0-5.1.1.1 Client"
platformname    := tscm.platformname 
else

platformtype    := "IBM TSCM 5.1.0-5.1.1.1"
platformname    := GetChunkProperty(tscm, "SystemName")
endif
target          := GetTarget(TargetRefKey) 

eventclass      := Trim(tscm.eventclass, "")
eventmainclass  := Trim(tscm.eventmainclass, "")
successclass    := Trim(tscm.successclass, "")

if Trim(tscm.What_eventdetail, "null") ne "null"            then eventdetail := tscm.What_eventdetail endif
if Trim(tscm.What_recordtype, "null") ne "null"             then recordtype := tscm.What_recordtype endif
if Trim(tscm.What_port, "null") ne "null"                   then port := tscm.What_port endif
if Trim(tscm.What_client_ip, "null") ne "null"              then client_ip := tscm.What_client_ip endif
if Trim(tscm.What_newname, "null") ne "null"                then newname := tscm.What_newname endif
if Trim(tscm.What_collector_id, "null") ne "null"           then collector_id := tscm.What_collector_id endif
if Trim(tscm.What_collector, "null") ne "null"              then collector := tscm.What_collector endif
if Trim(tscm.What_privilegegroup_id, "null") ne "null"      then privilegegroup_id := tscm.What_privilegegroup_id endif
if Trim(tscm.What_violationpolicymgr_id, "null") ne "null"  then violationpolicymgr_id := tscm.What_violationpolicymgr_id endif
if Trim(tscm.What_value, "null") ne "null"                  then value := tscm.What_value endif

chunk           := tscm
eventtimestamp  := tscm.platformeventtime
event           := GetEvent(EventDetailRefKey)

endstate
