/// tsiems.src.gml - Licensed Materials ­ Property of IBM
/// tsiems.src.gml - 5724-S67
/// tsiems.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tsiems.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(severity,miscellaneous,recordtype,module,reason,syncobject,eventid)

initial final state SelfAudit
  (((eventmainclass ne "Nomapping") and (logtype ne "bluebook") and (logtype ne "authdaemon") and (logtype ne "daemonizer")))

  platformtype := "IBM TSIEM"
  if ((SelfAudit.platformname ne null) and (SelfAudit.platformname ne "")) then
     platformname := SelfAudit.platformname
  else
     platformname := GetChunkProperty(SelfAudit, "SystemName")
  endif
  platform := GetPlatform(PlatformRefKey)

  if ((SelfAudit.objectname ne null) and (SelfAudit.objectname ne "")) then
     objectname := SelfAudit.objectname
  else
     objectname := "-"
  endif
  if ((SelfAudit.objectpath ne null) and (SelfAudit.objectpath ne "")) then
     objectpath := SelfAudit.objectpath
  else
     objectpath := "-"
  endif
  if (objectpath eq ".") then
     objectpath := Trim(Path(objectname), ".")
     objectname := Trim(Filename(objectname), "-")
  endif
  if ((SelfAudit.objecttype ne null) and (SelfAudit.objecttype ne "")) then
     objecttype := SelfAudit.objecttype
  else
     objecttype := "-"
  endif
  object := GetObject(ObjectRefKey)

  description := platformname
  stream := GetStream(StreamRefKey)

  if (SelfAudit.sourcename ne null) then
     logonname := SelfAudit.sourcename
  else
     logonname := "Anonymous"
  endif
  realname := logonname
  source := GetSource(SourceRefKey)

  origin := GetOrigin(OriginRefKey)

  if ((SelfAudit.targettype ne null) and (SelfAudit.targettype ne "")) then
     platformtype := SelfAudit.targettype
  endif
  if ((SelfAudit.targetname ne null) and (SelfAudit.targetname ne "")) then
     platformname := SelfAudit.targetname
  endif
  target := GetTarget(TargetRefKey)

  miscellaneous := SelfAudit.miscellaneous

  eventclass := SelfAudit.eventclass
  eventmainclass := SelfAudit.eventmainclass
  successclass := SelfAudit.successclass
  eventtimestamp := SelfAudit.platformeventtime
  chunk := SelfAudit
  module := SelfAudit.module     
  recordtype := SelfAudit.recordtype
  eventid := SelfAudit.eventid

  if (SelfAudit.reason ne null) then
     reason := SelfAudit.reason
  endif
  privileges := Append(privileges, SelfAudit.privileges)
  GetEvent(EventDetailKey)
endstate

initial final state Daemonizer
  (((eventmainclass ne "Nomapping") and (logtype eq "daemonizer")))

  platformtype := "IBM TSIEM"
  platformname := GetChunkProperty(Daemonizer, "SystemName")
  platform := GetPlatform(PlatformRefKey)

  if ((Daemonizer.objectname ne null) and 
      (Daemonizer.objectname ne "") and
      (Daemonizer.objectname ne "Unavailable")) then
     objectname := Daemonizer.objectname
  else
     objectname := platformname
  endif
  objectpath := "-"
  if ((Daemonizer.objecttype ne null) and (Daemonizer.objecttype ne "")) then
     objecttype := Daemonizer.objecttype
  else
     objecttype := "-"
  endif
  object := GetObject(ObjectRefKey)

  description := platformname
  stream := GetStream(StreamRefKey)

  logonname := "System"
  realname := logonname
  source := GetSource(SourceRefKey)

  origin := GetOrigin(OriginRefKey)

  target := GetTarget(TargetRefKey)
  miscellaneous := Daemonizer.miscellaneous

  eventclass := Daemonizer.eventclass
  eventmainclass := Daemonizer.eventmainclass
  successclass := Daemonizer.successclass
  eventtimestamp := Daemonizer.platformeventtime
  recordtype := Daemonizer.recordtype
  eventid := Daemonizer.eventid
  chunk := Daemonizer
  GetEvent(EventDetailKey)
endstate

initial final state AuthDaemon
  (logtype eq "authdaemon")

  platformtype := "IBM TSIEM"
  platformname := GetChunkProperty(AuthDaemon, "SystemName")
  platform := GetPlatform(PlatformRefKey)

  if ((AuthDaemon.objectname ne null) and
      (AuthDaemon.objectname ne "Connection with ") and 
      (AuthDaemon.objectname ne "Unavailable")) then
     objectname := AuthDaemon.objectname
     if (AuthDaemon.objectname ne "AuthDaemon") then
        Forget("database", "cifdb")
        Remember("database", "cifdb", AuthDaemon.objectname)
     endif
  else
     objectname := Recall("database", "cifdb") 
     if (Trim(objectname,  "null") eq "null") then
        objectname := "GEMDB"
     endif
     if (AuthDaemon.objectname eq "Connection with ") then 
        objectname := Append(AuthDaemon.objectname, objectname)
     endif
  endif
  objectpath := AuthDaemon.objectpath
  objecttype := AuthDaemon.objecttype
  object := GetObject(ObjectRefKey)

  logonname := "Anonymous"
  realname := logonname
  source := GetSource(SourceRefKey)

  description := "IBM TSIEM"
  stream := GetStream(StreamRefKey)

  platformtype := "IBM TSIEM"
  platformname := GetChunkProperty(AuthDaemon, "SystemName")
  origin := GetOrigin(OriginRefKey)

  platformtype := "IBM DB2"
  platformname := Recall("database", "cifdb")
  if (Trim(platformname,  "null") eq "null") then
     platformname := "GEMDB"
  endif

  target := GetTarget(TargetRefKey)

  eventmainclass := AuthDaemon.eventmainclass
  eventclass := AuthDaemon.eventclass
  successclass := AuthDaemon.successclass
  recordtype := AuthDaemon.recordtype
  eventid := AuthDaemon.eventid

  eventtimestamp := AuthDaemon.platformeventtime
  chunk := AuthDaemon

  if (AuthDaemon.syncobject ne null) then
     syncobject := AuthDaemon.syncobject
  endif
  if (AuthDaemon.reason ne null) then
     reason := AuthDaemon.reason
  endif
  event:=GetEvent(EventDetailKey)
endstate

initial state BBLog
  (((eventtype eq "BBLog300") or (eventtype eq "BBLog.TCPIPConn")))

  platformtype := "IBM TSIEM"
  platformname := GetChunkProperty(BBLog, "SystemName")
  platform := GetPlatform(PlatformRefKey)

  if (RegexMatch(BBLog.objectname, ".*?\"(.+?)\"") ne "0") then
     objectname := RegexRef("1")
  else  
     objectname := BBLog.objectname
  endif

  objectpath := BBLog.objectpath

  if (RegexMatch(BBLog.objecttype, ".*?\"(.+?)\"") ne "0") then
     objecttype := RegexRef("1")
  else  
     objecttype := BBLog.objecttype
  endif  
  object := GetObject(ObjectRefKey)

  if ((BBLog.sourcename ne null) and (BBLog.sourcename ne "")) then
     logonname := BBLog.sourcename
  else
     logonname := "Anonymous"
  endif                                                     
  realname := logonname

  source := GetSource(SourceRefKey)

  description := "IBM TSIEM"
  stream := GetStream(StreamRefKey)

  if ((BBLog.origintype ne null) and (BBLog.origintype ne "")) then
     platformtype := BBLog.origintype
  else
     platformtype := "IBM TSIEM"
  endif
  if ((BBLog.originname ne null) and (BBLog.originname ne "")) then
     platformname := BBLog.originname
  else
     platformname := GetChunkProperty(BBLog, "SystemName")
  endif
  origin := GetOrigin(OriginRefKey)

  if ((BBLog.targettype ne null) and (BBLog.targettype ne "")) then
     platformtype := BBLog.targettype
  else
     platformtype := "IBM TSIEM"
  endif
  if ((BBLog.targetname ne null) and (BBLog.targetname ne "")) then
	 platformname := BBLog.targetname
  else
     platformname := GetChunkProperty(BBLog, "SystemName")
  endif

  target := GetTarget(TargetRefKey)

  eventmainclass := BBLog.eventmainclass
  eventclass := BBLog.eventclass
  successclass := BBLog.successclass
  recordtype := BBLog.recordtype
  eventid := BBLog.eventid

  eventtimestamp := BBLog.platformeventtime
  chunk := BBLog

  if (BBLog.miscellaneous ne null) then
     miscellaneous := BBLog.miscellaneous
  endif
  if (BBLog.reason ne null) then
     reason := BBLog.reason
  endif

  if (successclass eq "Wait") then
     uniqueid := BBLog.successnum
     MoveTo(Notify)
  else
     if (successclass eq "WaitError") then
        successclass := "Failure"
        MoveTo(Finish)
     else
        if (successclass eq "Failed") then
           successclass := "Failure"
           MoveTo(Finish)
        else
           MoveTo(Finish)
        endif
     endif
  endif
endstate

initial final state Notify
  (eventtype eq "BBLog301")
  if (Notify.id eq uniqueid) then
     successclass := Notify.successclass

     MoveTo(Finish) 
  endif
endstate

initial state License
  (eventtype eq "BBLog08x")

  platformtype := "IBM TSIEM"
  platformname := GetChunkProperty(License, "SystemName")
  platform := GetPlatform(PlatformRefKey)

  objectname := License.objectname
  objectpath := License.objectpath
  objecttype := License.objecttype
  object := GetObject(ObjectRefKey)

  if ((License.sourcename ne null) and (License.sourcename ne "")) then
     logonname := License.sourcename
  else
     logonname := "Anonymous"
  endif
  realname := logonname

  source := GetSource(SourceRefKey)

  description := "IBM TSIEM"
  stream := GetStream(StreamRefKey)

  if ((License.origintype ne null) and (License.origintype ne "")) then
     platformtype := License.origintype
  else
     platformtype := "IBM TSIEM"
  endif
  platformname := License.originname
  origin := GetOrigin(OriginRefKey)

  if ((License.targettype ne null) and (License.targettype ne "")) then
     platformtype := License.targettype
  else
     platformtype := "IBM TSIEM"
  endif
  platformname := License.targetname
  target := GetTarget(TargetRefKey)

  eventmainclass := License.eventmainclass
  eventclass := License.eventclass
  successclass := License.successclass
  recordtype := License.recordtype
  eventid := License.eventid

  eventtimestamp := License.platformeventtime
  chunk := License

  miscellaneous := License.miscellaneous
  MoveTo(Finish)
endstate

final state Finish
  event := GetEvent(EventDetailKey)
endstate
