/// tspm.src.gml - Licensed Materials ­ Property of IBM
/// tspm.src.gml - 5724-S67
/// tspm.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// tspm.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key ObjectRefKey(objecttype, objectname, objectpath)
key ObjectDetailRefKey(arguments, origtype, group, user, resource)
key OriginRefKey(platformname, platformtype)
key OriginDetailRefKey(registry_id, registry)
key PlatformRefKey(platformname, platformtype)
key TargetRefKey(platformname, platformtype)
key SourceRefKey(logonname)
key StreamRefKey(description)
key EventDetailRefKey(eventid, origtype, policy, resource, role, command, service, message, registry_id, registry)

initial final state tspm
 SetDebugMode("off")

  objecttype     := tspm.objecttype
  objectpath     := Trim( tspm.objectpath, "Unavailable")
  objectname     := Trim( tspm.objectname, "Unavailable")
  if (tspm.onwhat_arguments ne null)  then arguments := tspm.onwhat_arguments endif
  if (tspm.onwhat_origtype ne null)   then origtype  := tspm.onwhat_origtype endif
  if (tspm.onwhat_group ne null)      then group     := tspm.onwhat_group endif
  if (tspm.onwhat_user ne null)       then user      := tspm.onwhat_user endif
  if (tspm.onwhat_resource ne null) then resource    := tspm.onwhat_resource endif
  object         := GetObject(ObjectRefKey, ObjectDetailRefKey)

  platformname := Trim(tspm.fromwhere_platformname, "Unavailable")
  platformtype := Trim(tspm.fromwhere_platformtype, "Unavailable")

  if ((Trim(tspm.fromwhere_registry_id, "") ne "") and (Trim(tspm.fromwhere_registry, "") ne ""))
  then
   registry_id := tspm.fromwhere_registry_id
   registry    := tspm.fromwhere_registry
  endif
   origin := GetOrigin(OriginRefKey)

  platformname := Trim(tspm.where_platformname, "Unavailable")
  platformtype := Trim(tspm.where_platformtype, "Unavailable")
  platform := GetPlatform(PlatformRefKey)

  platformname := Trim(tspm.whereto_platformname, "Unavailable")
  platformtype := Trim(tspm.whereto_platformtype, "Unavailable")
  target := GetTarget(TargetRefKey)

  logonname := Trim(tspm.logonname, "Unavailable")
  realname := Trim(tspm.realname, logonname)
  source := GetSource(SourceRefKey)

  description     := Trim(logonname, "Unavailable")
  stream          := GetStream(StreamRefKey)

  chunk := tspm
  eventclass     := tspm.eventclass 
  eventmainclass := tspm.eventmainclass
  successclass   := tspm.successclass
  eventtimestamp := tspm.platformeventtime

  origtype := null
  resource := null
  if (tspm.what_origtype ne null) then origtype := tspm.what_origtype endif
  if (tspm.what_policy ne null)   then policy   := tspm.what_policy endif
  if (tspm.what_resource ne null) then resource := tspm.what_resource endif
  if (tspm.what_role ne null)     then role     := tspm.what_role endif
  if (tspm.what_command ne null)  then command  := tspm.what_command endif
  if (tspm.what_service ne null)  then service  := tspm.what_service endif
  if (tspm.message ne null)       then message  := tspm.message endif
  if (tspm.event_id ne null)       then eventid  := tspm.event_id endif
  event := GetEvent(EventDetailRefKey)

endstate

