/// ues.src.gml - Licensed Materials ­ Property of IBM
/// ues.src.gml - 5724-S67
/// ues.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// ues.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key EpiCreateKey(platformname,platformtype)
key ObjectRefKey(objectname,objectpath,objecttype)
key SourceRefKey(realname,logonname)
key StreamRefKey(description)
key OriginRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)
key EventCreateKey(info)

first state Setup
  description:="Aggregator"
  equality:= "whorealname,whologonname,whatverb,whatnoun,whatsuccess,wheretype,wherename,wherefromtype,wherefromname,wheretotype,wheretoname,onwhattype,onwhatpath,onwhatname,info"
  period:="300000" 
  aggregator := GetListener("Aggregator")
  Listen(aggregator,Setup)
  MoveTo(Listening)
endstate

state Listening (platformeventcount eq null)
  Listen(aggregator,Listening)
endstate

last state Shutdown
  if aggregator ne null then
    StopListening(aggregator)
  endif
endstate

initial final state Universal (platformeventcount ne null)

  platformtype := Trim(Universal.wheretype,"-")
  platformname := Uppercase(Trim(Universal.wherename,GetChunkProperty(Universal, "platformname"),"Unavailable"))

  platform := GetPlatform(EpiCreateKey)

  if (Universal.wherefromname ne null and Universal.wherefromname ne "") then
    platformtype := Trim(Universal.wherefromtype, "-")
    platformname := Uppercase(Universal.wherefromname)
  endif

  origin:=GetOrigin(OriginRefKey)

  if (Universal.wheretoname ne null and Universal.wheretoname ne "") then
    platformtype := Trim(Universal.wheretotype, "-")
    platformname := Uppercase(Universal.wheretoname)
  endif

  target:=GetTarget(TargetRefKey)

  objecttype := Trim(Universal.onwhattype, "Unavailable")
  objectpath := Trim(Universal.onwhatpath, ".")
  objectname := Trim(Universal.onwhatname, "-")

  object := GetObject(ObjectRefKey)

  realname := Trim(Universal.whorealname, "Unavailable")
  logonname := Trim(Universal.whologonname, "Unavailable")

  source := GetSource(SourceRefKey)

  entrypoint := origin
  originator := source

  description := Append(entrypoint,"/",originator)
  stream := GetStream(StreamRefKey)

  chunk          := Universal
  eventtimestamp := Universal.platformeventtime
  eventcount     := Universal.platformeventcount
  eventmainclass := Trim(NormalizeString(Universal.whatverb), "Unavailable")
  eventclass     := Trim(NormalizeString(Universal.whatnoun), "Unavailable")
  successclass   := Trim(NormalizeString(Universal.whatsuccess), "*")
  info := Trim(Universal.info, null)

  event := GetEvent(EventCreateKey)

endstate
