/// was.src.gml - Licensed Materials ­ Property of IBM
/// was.src.gml - 5724-S67
/// was.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// was.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key ObjectDetailRefKey(origtype)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceDetailRefKey (origtype)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKey(process_id, eventreason, command, Target, object_focus, recordtype, authenticator, access_requested)

initial final state was

platformtype    := "WAS 6"
platformname    := GetChunkProperty(was, "SystemName")
platform        := GetPlatform(PlatformRefKey)

eventclass      := was.eventclass
eventmainclass  := was.eventmainclass
successclass    := Trim(was.successclass, "Unavlbl")
objecttype      := was.objecttype

case was.place1 of 
 "1":
   logonname1   := Trim(was.aspect1, "Unavailable")
 "2":
   logonname1   := Trim(was.aspect2, "Unavailable")
 "3":
   logonname1   := Trim(was.aspect3, "Unavailable")
 "4":
   logonname1   := Trim(was.aspect4, "Unavailable")   
otherwise
   logonname1   := ""
endcase

case was.place2 of 
 "1":
   objectpath1  := Trim(was.aspect1, "Unavailable")
 "2":
   objectpath1  := Trim(was.aspect2, "Unavailable")
 "3":
   objectpath1  := Trim(was.aspect3, "Unavailable")
 "4":
   objectpath1  := Trim(was.aspect4, "Unavailable")   
otherwise
   objectpath1  := ""
endcase

case was.place3 of 
 "1":
   objectname1  := Trim(was.aspect1, "Unavailable")
 "2":
   objectname1  := Trim(was.aspect2, "Unavailable")
 "3":
   objectname1  := Trim(was.aspect3, "Unavailable")
 "4":
   objectname1  := Trim(was.aspect4, "Unavailable")   
otherwise
   objectname1  := ""
endcase

case was.place4 of 
 "1":
   eventreason1 := Trim(was.aspect1, "")
 "2":
   eventreason1 := Trim(was.aspect2, "")
 "3":
   eventreason1 := Trim(was.aspect3, "")
 "4":
   eventreason1 := Trim(was.aspect4, "")
otherwise
   eventreason1 := ""
endcase

case was.place5 of 
 "1":
   command1     := Trim(was.aspect1, "")
 "2":
   command1     := Trim(was.aspect2, "")
 "3":
   command1     := Trim(was.aspect3, "")
 "4":
   command1     := Trim(was.aspect4, "")
otherwise
   command1     := ""
endcase

case was.place6 of 
 "1":
   Target1      := Trim(was.aspect1, "")
 "2":
   Target1      := Trim(was.aspect2, "")
 "3":
   Target1      := Trim(was.aspect3, "")
 "4":
   Target1      := Trim(was.aspect4, "")
otherwise
   Target1      := ""
endcase

case was.place7 of 
 "1":
   object_focus1 := Trim(was.aspect1, "")
 "2":
   object_focus1 := Trim(was.aspect2, "")
 "3":
   object_focus1 := Trim(was.aspect3, "")
 "4":
   object_focus1 := Trim(was.aspect4, "")
otherwise
   object_focus1 := ""
endcase

case was.place8 of 
 "1":
   authenticator1 := Trim(was.aspect1, "")
 "2":
   authenticator1 := Trim(was.aspect2, "")
 "3":
   authenticator1 := Trim(was.aspect3, "")
 "4":
   authenticator1 := Trim(was.aspect4, "")
otherwise
   authenticator1 := ""
endcase

if Trim(was.logonname, "null") ne "null" then
   logonname := was.logonname 
else
   logonname := Trim(RegexReplace(logonname1, "\"", ""), "Unavailable")
endif

if Trim(was.objectpath, "null") ne "null" then
   if was.objectpath eq "%processName%" then
      objectpath := Trim(was.process_name, "Unavailable")
   else
    objectpath := was.objectpath
   endif
else
   objectpath   := Trim(objectpath1, "Unavailable")
endif

if Trim(was.objectname, "null") ne "null" then
   if was.objectname eq "%processName%" then
      objectname := Trim(was.process_name, "Unavailable")
   else
      objectname := was.objectname
   endif
else
   objectname   := Trim(RegexReplace(objectname1, "\"", ""), "Unavailable")
endif

if Trim(was.eventreason, "null") ne "null" then
   eventreason := was.eventreason
else
   if Trim(eventreason1, "null") ne "null" then
      eventreason   := eventreason1
   endif
endif

if Trim(was.authenticator, "null") ne "null" then
   authenticator := was.authenticator
else
   if Trim(authenticator1, "null") ne "null" then
      authenticator   := authenticator1 
   endif
endif

if Trim(was.focus, "null") ne "null" then
   object_focus := was.focus
else
   if Trim(object_focus1, "null") ne "null" then
	  object_focus   := Trim(RegexReplace(object_focus1, "\"", ""))
   endif
endif

if Trim(was.message_id,  "null") ne "null" 	then recordtype := was.message_id  endif
if command1 ne ""       					then command 	:= command1 endif
if Target1 ne ""        					then Target 	:= Target1 endif
if Trim(was.process_id,  "null") ne "null" 	then process_id := was.process_id endif

if was.message_id eq "ADMR0023E" then 
    if RegexMatch(was.message_text, "role for (.+) access") > "0" then
        access_requested := RegexRef("1")
        endif
endif

if was.message_id eq "SECJ6038E" then 
        origtype := "Auditor" 
endif

if Trim(was.origtype,  "null") ne "null" then
    origtype := was.origtype 
endif

realname        := logonname
source          := GetSource(SourceRefKey, SourceDetailRefKey)

platformtype    := "WAS 6"
platformname    := GetChunkProperty(was, "SystemName")
target          := GetTarget(TargetRefKey)

platformtype    := "Host"
platformname    := Trim(was.FromWhere, "Unavailable")
origin          := GetOrigin(OriginRefKey)

description     := Trim(logonname, "Unavailable")
stream          := GetStream(StreamRefKey)

if Trim(origtype,  "null") ne "null" then
    object          := GetObject(ObjectRefKey,ObjectDetailRefKey)
else
    object          := GetObject(ObjectRefKey)
endif

chunk           := was
eventtimestamp  := was.platformeventtime
event           := GetEvent(EventDetailRefKey)

endstate
