/// webapps.src.gml - Licensed Materials ­ Property of IBM
/// webapps.src.gml - 5724-S67
/// webapps.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// webapps.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailKey(attribute, description, newvalue, platformeventendtime, reason)

first state Start

 equality := "sessionid,rectype,username,objectname,objecttype,objectpath,emclass,eclass,sclass"
 description := "RemoveDuplicates"
 targets := ""
 period := "600000" 
 threshold:="0"
 nodups:=GetListener("Aggregator")

 equality := ""
 description := "PassEverything"
 targets := ""
 period := "600000" 
 threshold:="0"
 keepdups:=GetListener("Aggregator")

  if Trim(Start.username,null) ne null then
    Remember("s2name", Start.sessionid, Start.username)

  endif

  if ((Start.emclass eq "Logon" and Start.component eq "iView")) then
    Listen(nodups,Start)
  else
    Listen(keepdups,Start)
  endif

  MoveTo(Filter)
endstate

state Filter(platformeventcount eq null)
  if Trim(Filter.username,null) ne null then
    Remember("s2name", Filter.sessionid, Filter.username)

  endif

  if ((Start.emclass eq "Logon" and Start.component eq "iView")) then
    Listen(nodups,Filter)
  else
    Listen(keepdups,Filter)
  endif
endstate

last state Finish
  if nodups ne null then
    StopListening(nodups)
  endif
  if keepdups ne null then
    StopListening(keepdups)
  endif
endstate

initial final state iView((platformeventcount ne null and component eq "iView"))

  platformtype := "iView"
  platformname := Trim(iView.epiname,GetChunkProperty(iView, "platformname"))
  platform := GetPlatform(PlatformRefKey)

  if Trim(iView.objectname,null) ne null then
    objectname := iView.objectname
    if Trim(iView.objectpath,null) ne null then
      objectpath := iView.objectpath
    else
      objectpath := Recall("s2server", iView.sessionid)
    endif
    if objectpath eq "" then
      objectpath := "-"
    endif
    objecttype:=Trim(iView.objecttype,"Unavailable")
    object := GetObject(ObjectRefKey)
  else if Trim(iView.sessionid,null) ne null then
    object := Recall("s2object", iView.sessionid)
    if object eq "" then
      objectname := platformname
      objectpath := "-"
      objecttype := "SERVER"
      object := GetObject(ObjectRefKey)
    endif
  endif endif
  if (object eq null or object eq "") then
    objectname := "Unavailable"
    objectpath := "Unavailable"
    objecttype := "Unavailable"
    object := GetObject(ObjectRefKey)
  endif

  description := Trim(iView.entrypoint,platformname)
  stream := GetStream(StreamRefKey)

  if Trim(iView.username,null) ne null then
    logonname := iView.username
    Remember("s2object", iView.sessionid, object)
  else
    logonname := Recall("s2name", iView.sessionid)
  endif
  logonname:=Trim(logonname,Trim(iView.Sessionid,"Unavailable"))

  realname := logonname
  source := GetSource(SourceRefKey)

  pf := platformname

  platformname := Trim(iView.origin,platformname)
  platformtype:=Trim(iView.originplatform,iView)

  origin := GetOrigin(OriginRefKey)

  platformname:= Trim(iView.target,pf)
  platformtype := Trim(iView.targetplatform,"iView")

  target := GetTarget(TargetRefKey)

  eventclass := iView.eclass
  eventmainclass := iView.emclass
  successclass := Trim(iView.sclass,"Success")

  eventtimestamp := iView.platformeventtime
  eventcount:=iView.platformeventcount
  if (iView.platformeventendtime ne null) then
    platformeventendtime:=Append("\"",iView.platformeventendtime,"\"")
  endif

  chunk := iView
  if ((iView.emclass ne "Logon" and iView.emclass ne "Logoff")) then

    description := null
    event := GetEvent(EventDetailKey)
  endif
endstate

initial final state WebbApps((platformeventcount ne null and component ne "iView"))
  platformtype := WebbApps.wplatformtype
  platformname := WebbApps.wplatformname
  platform := GetPlatform(PlatformRefKey)

  objecttype := WebbApps.objecttype

  if WebbApps.rectype eq "logmanager.getchunk" then
    objectname := Filename(WebbApps.objectpath)
    objectpath := Path(WebbApps.objectpath)
  else
    objectpath := WebbApps.objectpath
    if ((WebbApps.rectype eq "lmrg.esprocfailure" and Trim(WebbApps.objectname,null) eq null)) then
      objectname := "EventSource"
    else
      objectname := WebbApps.objectname
    endif
  endif

  object := GetObject(ObjectRefKey)

  logonname := WebbApps.logonname
  realname := WebbApps.realname

  if (Trim(logonname, null) eq null and Trim(realname, null) eq null) then
    logonname := "[Empty logon name]";
    realname := "[Empty logon name]";
  endif

  source := GetSource(SourceRefKey)

  platformname := WebbApps.fwplatformname
  platformtype := WebbApps.fwplatformtype
  origin := GetOrigin(OriginRefKey)

  platformname := WebbApps.twplatformname
  platformtype := WebbApps.twplatformtype
  target := GetTarget(TargetRefKey)

  eventclass := WebbApps.eclass
  eventmainclass := WebbApps.emclass
  successclass := WebbApps.sclass

  eventtimestamp := WebbApps.platformeventtime

  if Trim(WebbApps.attribute,null) ne null then
    attribute := WebbApps.attribute
  endif

  if Trim(WebbApps.newvalue,null) ne null then
    newvalue := WebbApps.newvalue
  else
    if Trim(WebbApps.schtime,null) ne null then
      newvalue := WebbApps.schtime
    endif
  endif

  if Trim(WebbApps.reason,null) ne null then
    reason := WebbApps.reason
  endif

  if Trim(WebbApps.info,null) ne null then
    description := WebbApps.info
  endif

  stream := GetStream(StreamRefKey)

  platformeventendtime := null

  chunk := WebbApps
  event := GetEvent(EventDetailKey)
endstate
