/// win2008.src.gml - Licensed Materials ­ Property of IBM
/// win2008.src.gml - 5724-S67
/// win2008.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// win2008.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

key PlatformRefKey(platformtype, platformname)
key ObjectRefKey(objecttype, objectpath, objectname)
key ObjectDetailRefKey(origtype, originator)
key StreamRefKey(description)
key SourceRefKey(realname, logonname)
key SourceDetailRefKey(originator)
key OriginRefKey(platformtype, platformname)
key TargetRefKey(platformtype, platformname)
key EventDetailRefKey(eventid, eventreason, accessrequested, accessremoved, accessgranted, privilege, oldvalue, newvalue, direction, message)

first state Setup
 description := "Directory Scan"
 equality := "eventid,eventclass,eventmainclass,successclass,objectpath,objecttype,logonname,originator_who,platform_hostname,platformname_fr,platformname_to"
 targets := "process_id,platform_hostname,objectname"
 separator := "\\" 
 period := "5000" 

 strategy := "directory"
 directoryscan := GetListener(Aggregator)
 if ((Setup.eventclass ne "User" and Setup.eventclass ne "Group")) then
   Listen(directoryscan,Setup)
 endif
 CopyTo(DirectoryScan)

 equality := "eventid,eventclass,eventmainclass,successclass,objectname,objectpath,objecttype,logonname,originator_who,platform_hostname,platformname_fr,platformname_to"
 description := "Ready"
 targets := "process_id,platform_hostname,objectname"
 period := "2000" 
 strategy := "directory" 
 removedups := GetListener(Aggregator)
 if ((Setup.eventclass ne "User" and Setup.eventclass ne "Group")) then
   Listen(removedups,Setup)
 endif
 directoryscan:=null 
 MoveTo(RemoveDuplicates)
endstate

last state Shutdown

 if directoryscan ne null then
     StopListening(directoryscan)
     Remember("DirectoryScan","status","shutting down")
     directoryscan := null
 endif
 if removedups ne null then
   if (Recall("DirectoryScan","status") eq "shutting down") then
     Remember("DirectoryScan","status","down")

     CopyTo(RemoveDuplicates)
   else

     if (Recall("DirectoryScan","status") eq "down") then
       StopListening(removedups)
       Forget("DirectoryScan","status")
       removedups := null
     else

       CopyTo(RemoveDuplicates)
     endif
   endif
 endif
endstate

state DirectoryScan ((platformeventcount eq null and eventclass ne "User" and eventclass ne "Group"))
  Listen(directoryscan,DirectoryScan)
endstate

state RemoveDuplicates ((description eq "Directory Scan"
                          and eventclass ne "User" and eventclass ne "Group"))
  Listen(removedups,RemoveDuplicates)
endstate

initial final state win2008 (((eventclass eq "User" or eventclass eq "Group") or description eq "Ready"))

platformtype        := "Microsoft Windows Server 2008/Vista"
if Trim(win2008.platform_hostname, "null") ne "null" then
    platformname    := win2008.platform_hostname
else
    platformname    := GetChunkProperty(win2008, "SystemName")
endif
platform            := GetPlatform(PlatformRefKey)

if Trim(win2008.platformname_fr, "null") ne "null" then
    platformname        := win2008.platformname_fr
else
    if Trim(win2008.platform_hostname, "null") ne "null" then
        platformname    := win2008.platform_hostname
    else
        platformname    := GetChunkProperty(win2008, "SystemName")
    endif
endif
origin                  := GetOrigin(OriginRefKey)

if Trim(win2008.platformname_to, "null") ne "null" then
    platformname        := win2008.platformname_to
else
    if Trim(win2008.platform_hostname, "null") ne "null" then
        platformname    := win2008.platform_hostname
    else
        platformname    := GetChunkProperty(win2008, "SystemName")
    endif
endif
target                  := GetTarget(TargetRefKey)

objectname      := Trim(win2008.objectname, "Unavailable")
objectpath      := Trim(win2008.objectpath, "-")
objecttype      := Trim(win2008.objecttype, "Unavailable")

if ((objecttype eq "USER") and (objectname eq "-")) then objectname := "Unavailable" endif
if Trim(win2008.origtype, "null") ne "null" then origtype   := win2008.origtype    endif
if ((Trim(win2008.originator_onwhat, "null") ne "null") and (win2008.originator_onwhat ne "-")) 
then 
  originator := win2008.originator_onwhat 
endif
object          := GetObject(ObjectRefKey, ObjectDetailRefKey)
originator      := null 

if Trim(win2008.platform_hostname, "null") ne "null" then
    platformname    := win2008.platform_hostname
else
    platformname    := GetChunkProperty(win2008, "SystemName")
endif

logonname       := Trim(win2008.logonname, "Unavailable")
if logonname eq platformname then 
   logonname  := "System"
   originator := "S-1-5-18"
endif
if (RegexMatch(logonname, "\\\\") > "0") then
   logonname	:= NormalizeString(logonname)
else
   logonname	:= NormalizeString(logonname)
endif

if logonname eq "-" then logonname := "Unavailable" endif

realname        := logonname

if logonname eq "System"
then

  originator := "S-1-5-18"
  logonname := "SYSTEM"
  realname := logonname 
else 
  if ((Trim(win2008.originator_who, "null") ne "null") and (win2008.originator_who ne "-")) 
  then 
    originator := win2008.originator_who 
  else

    originator := GetOriginator(logonname, null)
  endif
endif
source          := GetSource(SourceRefKey, SourceDetailRefKey)

description     := Trim(logonname, "Unavailable")
stream          := GetStream(StreamRefKey)

if Trim(win2008.eventid, "null")         ne "null" then eventid         := win2008.eventid endif
if Trim(win2008.eventreason, "null")     ne "null" then eventreason     := win2008.eventreason endif
if Trim(win2008.accessrequested, "null") ne "null" then accessrequested := win2008.accessrequested endif
if Trim(win2008.accessremoved, "null")   ne "null" then accessremoved   := win2008.accessremoved endif
if Trim(win2008.accessgranted, "null")   ne "null" then accessgranted   := win2008.accessgranted endif
if Trim(win2008.privilege, "null")       ne "null" then privilege       := win2008.privilege endif
if Trim(win2008.oldvalue, "null")        ne "null" then oldvalue        := win2008.oldvalue endif
if Trim(win2008.newvalue, "null")        ne "null" then newvalue        := win2008.newvalue endif
if Trim(win2008.direction, "null")       ne "null" then direction       := win2008.direction endif
if Trim(win2008.message, "null")         ne "null" then message         := win2008.message endif

chunk           := win2008
eventtimestamp  := win2008.platformeventtime
eventmainclass  := Trim(win2008.eventmainclass, "Unavailable")
eventclass      := Trim(win2008.eventclass, "Unavailable")
successclass    := Trim(win2008.successclass, "Unavalbl")

if win2008.platformeventcount ne null then eventcount := win2008.platformeventcount endif

event           := GetEvent(EventDetailRefKey)

endstate
