/// zalert.src.gml - Licensed Materials ­ Property of IBM
/// zalert.src.gml - 5724-S67
/// zalert.src.gml - © Copyright IBM Corp. 1998, 2007   All Rights Reserved.
/// zalert.src.gml - US Government Users Restricted Right ­ Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

/// A GML file for zAlert SNMP.

key PlatformRefKey(platformname,platformtype)
key ObjectRefKey(objectname,objecttype,objectpath)
key SourceRefKey(logonname,realname)
key StreamRefKey(description)
key OriginRefKey(platformname,platformtype)
key TargetRefKey(platformname,platformtype)

key EventDetailsmfunknownUserLogonKey(message)
key EventDetailsmfemergencyUserLogonKey(message)
key EventDetailsmfsuperUserLogonKey(message)
key EventDetailsmfsystemUserRevokedKey(message)
key EventDetailsmfsystemAuthorityGrantedKey(message,privilege)
key EventDetailsmfsystemAuthorityRemovedKey(message,privilege)
key EventDetailsmfgroupAuthorityGrantedKey(message,privilege)
key EventDetailsmfgroupAuthorityRemovedKey(message,privilege)
key EventDetailsmfnonSpecialUsedSpecialKey(message,reason)
key EventDetailsmfnonOperationsUsedOperationsKey(message,reason)
key EventDetailsmfexcessivePasswordAttemptsKey(message,value,reason)
key EventDetailsmfwarningModeGrantedDataSetAccessKey(message,access,reason)
key EventDetailsmfuaccGeUpdateSpecifiedKey(access,message,reason)
key EventDetailsmfuaccGtNoneSpecifiedKey(access,message,reason)
key EventDetailsmfapfLibraryUpdatedKey(access,message,reason)
key EventDetailsmfapfDataSetDynamicallyAddedKey(message,tty)
key EventDetailsmfstartedTaskRunFromStartedKey(message)
key EventDetailsmfauditedProgramRunKey(message)
key EventDetailsmfwarningModeGrantedGeneralResourceAccessKey(access,message)
key EventDetailsmfunixAccessViolationKey(access,message)
key EventDetailsmfglobalWriteSpecifiedKey(message,oldvalue,newvalue)
key EventDetailsmfglobalReadSpecifiedKey(message,oldvalue,newvalue)
key EventDetailsmfextendedAttributeSetKey(message)
key EventDetailsmfunixProgramExecutedKey(message)
key EventDetailsmfglobalSecurityActivatedKey(message)
key EventDetailsmfglobalSecurityDeactivatedKey(message)
key EventDetailsmfglobalSecurityChangedKey(message)
key EventDetailsmfsmfDataLostKey(message)

initial state SNMPEvent

successclass := NormalizeString(SNMPEvent.whatDESC)
if ((successclass eq "Warning") or (successclass eq "Success"))
then
	successclass := "Success"
else if ( successclass eq "Violation")
	then
		successclass := "Failure"
	else
		successclass := "*"
	endif
endif

platformtype := GetChunkProperty(SNMPEvent,"PlatformType")
platformname := SNMPEvent.whereSYSTEM
platform := GetPlatform(PlatformRefKey)

realname := Trim(SNMPEvent.whoNAME,"Unavailable")
logonname := Trim(SNMPEvent.whoUSERID,"Unavailable")

case SNMPEvent.type of
 "smf_unknownUserLogon": MoveTo(smf_unknownUserLogon)
 "smf_emergencyUserLogon": MoveTo(smf_emergencyUserLogon)
 "smf_superUserLogon": MoveTo(smf_superUserLogon)
 "smf_systemUserRevoked": MoveTo(smf_systemUserRevoked)
 "smf_systemAuthorityGranted": MoveTo(smf_systemAuthorityGranted)
 "smf_systemAuthorityRemoved": MoveTo(smf_systemAuthorityRemoved)
 "smf_groupAuthorityGranted": MoveTo(smf_groupAuthorityGranted)
 "smf_groupAuthorityRemoved": MoveTo(smf_groupAuthorityRemoved)
 "smf_nonSpecialUsedSpecial": MoveTo(smf_nonSpecialUsedSpecial)
 "smf_nonOperationsUsedOperations": MoveTo(smf_nonOperationsUsedOperations)
 "smf_excessivePasswordAttempts": MoveTo(smf_excessivePasswordAttempts)
 "smf_warningModeGrantedDataSetAccess": MoveTo(smf_warningModeGrantedDataSetAccess)
 "smf_uaccGeUpdateSpecified": MoveTo(smf_uaccGeUpdateSpecified)
 "smf_uaccGtNoneSpecified": MoveTo(smf_uaccGtNoneSpecified)
 "smf_apfLibraryUpdated": MoveTo(smf_apfLibraryUpdated)
 "smf_apfDataSetDynamicallyAdded": MoveTo(smf_apfDataSetDynamicallyAdded)
 "smf_startedTaskRunFromStarted": MoveTo(smf_startedTaskRunFromStarted)
 "smf_auditedProgramRun": MoveTo(smf_auditedProgramRun)
 "smf_warningModeGrantedGeneralResourceAccess": MoveTo(smf_warningModeGrantedGeneralResourceAccess)
 "smf_unixAccessViolation": MoveTo(smf_unixAccessViolation)
 "smf_globalWriteSpecified": MoveTo(smf_globalWriteSpecified)
 "smf_globalReadSpecified": MoveTo(smf_globalReadSpecified)
 "smf_extendedAttributeSet": MoveTo(smf_extendedAttributeSet)
 "smf_unixProgramExecuted": MoveTo(smf_unixProgramExecuted)
 "smf_globalSecurityActivated": MoveTo(smf_globalSecurityActivated)
 "smf_globalSecurityDeactivated": MoveTo(smf_globalSecurityDeactivated)
 "smf_globalSecurityChanged": MoveTo(smf_globalSecurityChanged)
 "smf_smfDataLost": MoveTo(smf_smfDataLost)
endcase

endstate

state smf_unknownUserLogon

objectname := SNMPEvent.whereSYSTEM
objecttype := "SYSTEM"
objectpath := "-"
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Foreignuser"
eventmainclass := "Logon"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent
event := GetEvent( EventDetailsmfunknownUserLogonKey )

MoveTo(Finish)

endstate

state smf_emergencyUserLogon

objectname := SNMPEvent.whereSYSTEM
objecttype := "SYSTEM"
objectpath := "-"
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Privilegeduser"
eventmainclass := "Logon"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfemergencyUserLogonKey )

MoveTo(Finish)

endstate

state smf_superUserLogon

objectname := SNMPEvent.whereSYSTEM
objecttype := "SYSTEM" 
objectpath := "-"
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Privilegeduser"
eventmainclass := "Logon"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfsuperUserLogonKey )

MoveTo(Finish)

endstate

state smf_systemUserRevoked

objectname := SNMPEvent.whoUSERID
objecttype := "PRIVILEGEDUSER"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := " "
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Privilegeduser"
eventmainclass := "Disable"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfsystemUserRevokedKey )

MoveTo(Finish)

endstate

state smf_systemAuthorityGranted

objectname := SNMPEvent.onWhatRACFCMDUSER
objecttype := "USER"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
privilege := SNMPEvent.onWhatAUTHORITY

eventclass := "Privilege"
eventmainclass := "Grant"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfsystemAuthorityGrantedKey )

MoveTo(Finish)

endstate

state smf_systemAuthorityRemoved

objectname := SNMPEvent.onWhatRACFCMDUSER
objecttype := "USER"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
privilege := SNMPEvent.onWhatAUTHORITY

eventclass := "Privilege"
eventmainclass := "Revoke"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfsystemAuthorityRemovedKey )

MoveTo(Finish)

endstate

state smf_groupAuthorityGranted

objectname := SNMPEvent.onWhatRACFCMDUSER
objecttype := "USER"
objectpath := Append(SNMPEvent.whereSYSTEM,"/",SNMPEvent.onWhatRACFCMDGROUP)
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
privilege := SNMPEvent.onWhatGROUPAUTHORITY

eventclass := "Privilege"
eventmainclass := "Grant"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfgroupAuthorityGrantedKey )

MoveTo(Finish)

endstate

state smf_groupAuthorityRemoved

objectname := SNMPEvent.onWhatRACFCMDUSER
objecttype := "USER"
objectpath := Append(SNMPEvent.whereSYSTEM,"/",SNMPEvent.onWhatRACFCMDGROUP)
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
privilege := SNMPEvent.onWhatGROUPAUTHORITY

eventclass := "Privilege"
eventmainclass := "Revoke"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfgroupAuthorityRemovedKey )

MoveTo(Finish)

endstate

state smf_nonSpecialUsedSpecial

objectname := SNMPEvent.whatRACFCMD
objecttype := "SYSTEMPROCESS"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
reason := message

eventclass := "Systemprocess"
eventmainclass := "Execute"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfnonSpecialUsedSpecialKey )

MoveTo(Finish)

endstate

state smf_nonOperationsUsedOperations

objectname := SNMPEvent.onWhatDSNAME
objecttype := "SYSTEMFILE"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
reason := message

eventclass := "Systemfile"
eventmainclass := "Access"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfnonOperationsUsedOperationsKey )

MoveTo(Finish)

endstate

state smf_excessivePasswordAttempts

objectname := SNMPEvent.whereSYSTEM
objecttype := "SYSTEM"
objectpath := "-"
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
reason := message
value := SNMPEvent.whatATTEMPTS

eventclass := "Logonattempts"
eventmainclass := "Exceed"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent
value := SNMPEvent.whatATTEMPTS

event := GetEvent( EventDetailsmfexcessivePasswordAttemptsKey )

MoveTo(Finish)

endstate

state smf_warningModeGrantedDataSetAccess

objectname := SNMPEvent.onWhatDSNAME
objecttype := "FILE"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
reason := message
access := SNMPEvent.onWhatACCESS

eventclass := "File"
eventmainclass := "Access"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfwarningModeGrantedDataSetAccessKey )

MoveTo(Finish)

endstate

state smf_uaccGeUpdateSpecified

objectname := SNMPEvent.onWhatPROFILE
objecttype := "PROFILE"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
reason := message
access := SNMPEvent.whatUACC

eventclass := "Profile"
eventmainclass := "Modify"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfuaccGeUpdateSpecifiedKey )

MoveTo(Finish)

endstate

state smf_uaccGtNoneSpecified

objectname := SNMPEvent.onWhatPROFILE
objecttype := "PROFILE"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
reason := message
access := SNMPEvent.whatUACC

eventclass := "Profile"
eventmainclass := "Modify"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfuaccGtNoneSpecifiedKey )

MoveTo(Finish)

endstate

state smf_apfLibraryUpdated

objectname := SNMPEvent.onWhatDSNAME
objecttype := "SYSTEMFILE"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
reason := message
access := SNMPEvent.onWhatACCESS

eventclass := "Systemfile"
eventmainclass := "Modify"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfapfLibraryUpdatedKey )

MoveTo(Finish)

endstate

state smf_apfDataSetDynamicallyAdded

objectname := SNMPEvent.onWhatDSNAME
objecttype := "SYSTEMFILE"
objectpath := SNMPEvent.onWhatVOLUME
object := GetObject(ObjectRefKey)

description := "description"
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
tty := SNMPEvent.fromWhereCONSOLE

eventclass := "Systemfile"
eventmainclass := "Modify"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfapfDataSetDynamicallyAddedKey )

MoveTo(Finish)

endstate

state smf_startedTaskRunFromStarted

objectname := SNMPEvent.whatSTC
objecttype := "PROCESS"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := " "
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Process"
eventmainclass := "Execute"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfstartedTaskRunFromStartedKey )

MoveTo(Finish)

endstate

state smf_auditedProgramRun

objectname := SNMPEvent.onWhatRESOURCE
objecttype := "PROCESS"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := " "
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Process"
eventmainclass := "Execute"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfauditedProgramRunKey )

MoveTo(Finish)

endstate

state smf_warningModeGrantedGeneralResourceAccess

objectname := SNMPEvent.onWhatRESOURCE
objecttype := "FILE"
objectpath := SNMPEvent.whereSYSTEM
object := GetObject(ObjectRefKey)

description := " "
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
access := SNMPEvent.onWhatACCESS

eventclass := "File"
eventmainclass := "Access"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfwarningModeGrantedGeneralResourceAccessKey )

MoveTo(Finish)

endstate

state smf_unixAccessViolation

objectname := Filename(SNMPEvent.onWhatUNIXPATHNAME)
objecttype := "FILE"
objectpath := Path(SNMPEvent.onWhatUNIXPATHNAME)
object := GetObject(ObjectRefKey)

description := " "
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
access := SNMPEvent.onWhatUNIXACCESSINTENT

eventclass := "File"
eventmainclass := "Access"
successclass := "Failure"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfunixAccessViolationKey )

MoveTo(Finish)

endstate

state smf_globalWriteSpecified

objectname := Filename(SNMPEvent.onWhatUNIXPATHNAME)
objecttype := "FILE"
objectpath := Path(SNMPEvent.onWhatUNIXPATHNAME)
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
oldvalue := SNMPEvent.onWhatOLDPERMISSIONS
newvalue := SNMPEvent.onWhatNEWPERMISSIONS

eventclass := "Writeaccess"
eventmainclass := "Grant"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfglobalWriteSpecifiedKey )

MoveTo(Finish)

endstate

state smf_globalReadSpecified

objectname := Filename(SNMPEvent.onWhatUNIXPATHNAME)
objecttype := "FILE"
objectpath := Path(SNMPEvent.onWhatUNIXPATHNAME)
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral
oldvalue := SNMPEvent.onWhatOLDPERMISSIONS
newvalue := SNMPEvent.onWhatNEWPERMISSIONS

eventclass := "Readaccess"
eventmainclass := "Grant"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfglobalReadSpecifiedKey )

MoveTo(Finish)

endstate

state smf_extendedAttributeSet

objectname := Filename(SNMPEvent.onWhatUNIXPATHNAME)
objecttype := "FILE"
objectpath := Path(SNMPEvent.onWhatUNIXPATHNAME)
object := GetObject(ObjectRefKey)

description := " "
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Systemfile"
eventmainclass := "Modify"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfextendedAttributeSetKey )

MoveTo(Finish)

endstate

state smf_unixProgramExecuted

objectname := Filename(SNMPEvent.onWhatUNIXPATHNAME)
objecttype := "PROCESS"
objectpath := Path(SNMPEvent.onWhatUNIXPATHNAME)
object := GetObject(ObjectRefKey)

description := " "
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Process"
eventmainclass := "Execute"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfunixProgramExecutedKey )

MoveTo(Finish)

endstate

state smf_globalSecurityActivated

objectname := SNMPEvent.whereSYSTEM
objecttype := "SYSTEM"
objectpath := "-"
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Security"
eventmainclass := "Increase"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfglobalSecurityActivatedKey )

MoveTo(Finish)

endstate

state smf_globalSecurityDeactivated

objectname := SNMPEvent.whereSYSTEM
objecttype := "SYSTEM"
objectpath := "-"
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Security"
eventmainclass := "Decrease"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfglobalSecurityDeactivatedKey )

MoveTo(Finish)

endstate

state smf_globalSecurityChanged

objectname := SNMPEvent.whereSYSTEM
objecttype := "SYSTEM"
objectpath := "-"
object := GetObject(ObjectRefKey)

description := SNMPEvent.whatDESC
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Security"
eventmainclass := "Modify"
successclass := "Success"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfglobalSecurityChangedKey )

MoveTo(Finish)

endstate

state smf_smfDataLost

objectname := "-"
objecttype := "SYSTEM"
objectpath := "-"
object := GetObject(ObjectRefKey)

description := " "
stream := GetStream(StreamRefKey)

source := GetSource(SourceRefKey)

origin := GetOrigin(OriginRefKey)

target := GetTarget(TargetRefKey)

message := SNMPEvent.eventIntegral

eventclass := "Audit"
eventmainclass := "Lose"
successclass := "Warning"
eventtimestamp := SNMPEvent.platformeventtime
chunk := SNMPEvent

event := GetEvent( EventDetailsmfsmfDataLostKey )

MoveTo(Finish)

endstate

final state Finish

endstate

